function scannerglobals
%scanner globals - define globals for scanner utilities
% here is where polarities for bit outputs and inputs are defined.
% there are 4 input and 4 output bits. 
% xsync=1, for example, defines
% the x sync signal to come in on the LSB of the input nibble.
% ybithigh=2 means the output y clock high state is on the 2's
% bit of the output nibble. etc etc etc
% see the K230 manual for the bit positions on the back connector.
% here is list:
% pin 1 to  6 from top left to right
% pin 8 to 12 from bottom right to left
% pin connections
% 1,2 +5V ref only
% 3,4,5,6 input MSB...LSB, bits 4...1
% 7,8,9,10 output LSB...MSB bits 1..4
% 11,12 Ground (IEEE common)
global xsyncpol ysyncpol;
global low high
global xsyncbit ysyncbit xsyncpol ysyncpol
global xclkbit xclklow xclkhigh
global yclkbit yclklow yclkhigh

low=0;
high=1;
% here is where bit locations are defined.
xsyncbit=1; % xsync is bit 1, or LSB (LSB is bit 1, not bit 0).
ysyncbit=2;
xsyncpol=low;
ysyncpol=low;
% here is where x and y polarities are defined
xclkbit=1;
xclklow=low;
xclkhigh=high; % xbithigh=1 means xbit is LSB output
yclkbit=2;
yclklow=low;
yclkhigh=high;
