function out=ivsv236(sweep,const)
%function [out,in]=ivsv236(sweep[,const])
% sweep input 236 voltage, measure output current on 236
% sweep is vector of input voltages on 230
% const (if present) is voltage that 230 is
% set to. it can be a vector.
% out is vector of measured currents, or matrix with row for each const
% value.
% see IvsV230

% author: tobi 
% edited aug 03


clf;

if nargin==0 | nargin>2,
    error('out=ivsv236(sweep[,const]), no sweep specified');
end

if nargin==1, const=0, end;

if min(size(const))>2,
    error('const input must be scalar or vector');
end

out=[];
% put inside try/catch to reset 236 if aborted
if nargin==2,
    fprintf('ensure k230 output is enabled\n');
end
try
    k236_setmode('V');
    for c=const,
        outrow=[];
        k230_setvolt(c);
        pause(1);
        in=[];
        for v=sweep
            k236_source(v);
            tmp=k236_take;
            outrow=[outrow tmp];
            in=[in v];
            plot(in,outrow);%set(l,'xdata',in,'ydata',out);
            drawnow;
        end
        out=[out;outrow];
    end
    %  k236_disable;
    k236_reset;
catch
    k236_disable;
    k236_reset;
end
clf;
plot(in,out);