function [Y,dYda]=Idiffsubfit(x,A)
% IDIFFSUBFIT Subthreshold diffpair current fitting module.
% Y=A(1) ./ (1 + exp(A(2) .* (x - A(3))) + A(4)
x=x(:);
npar=length(A);
exp1 = exp(A(2) .* (x - A(3)));
exp2 = 1 + exp1;
help1 = (A(1) .* exp1) ./(exp2.^2);
Y=A(1) ./ exp2 + A(4);

dYda=zeros(length(x),npar);
dYda(:,1)= 1 ./ exp2;
dYda(:,2)= -(x-A(3)) .* help1 ;
dYda(:,3)= A(2) .* help1;
dYda(:,4)= ones(length(x),1);
