function [Xtrunk,Ytrunk,B]=fit(Xbasis,Ybasis);
echo off
%	FIT menu-driven non-linear curve fitting package.
% Example:
% >> [Xtrunk,Ytrunk,B]=fit(Xbasis,Ybasis);
% Where Xtrunk, Ytrunk specifies the truncated portion of
% Xbasis, Ybasis to be fit, and B is a vector of parameters
% for a given curve-fitting module.
%
% See also: TAKE182, FITEVAL

clc
s=1;
if exist('Xtrunk')==0
	Xtrunk = Xbasis;
	Ytrunk = Ybasis;
 Xtrunk = Xtrunk(:);
 Ytrunk = Ytrunk(:);
end
if exist('sig')==0
 sig=ones(1,length(Xtrunk));
end
%global Xcross Ycross Xtrunk Ytrunk 
Xbasis=Xbasis(:);
Ybasis=Ybasis(:);

% default function to fit is linear
fiteqnchoice = 'linfit'; 
npar=2;
A=zeros(1,npar);
B=zeros(1,npar);

while s==1
	clc
	help fitlist
	str = input('Enter your choice: ','s');
 n = IntFromString(str);
 if n == 0 | n == -2
   break;
	elseif isalldigits(str) & (n >= 1) & (n <= 3) 
   if (n == 1)
     [Xtrunk,Ytrunk] = rangemenu(Xbasis,Ybasis,Xtrunk,Ytrunk);
     sig=ones(1,length(Xtrunk)); 
   elseif (n == 2)
     [fiteqnchoice, npar] = fiteqn;
     A=zeros(1,npar);
     B=zeros(1,npar);                      
   elseif (n == 3)
	    [A,B] = getsvs(fiteqnchoice,npar,Xbasis,Ybasis,Xtrunk,Ytrunk,A,B,sig);               
   end
   clc
	end
end
