function [Xtrunk,Ytrunk]=getrange(Xbasis,Ybasis,Xtrunk,Ytrunk);
% get X range from plot. Depending on Y coordinates it's
% either in modified or original plot!

graphical=(charquery('yn','Get points graphically','Y')=='Y');

if (graphical)
  while 1
    error = 0;
    [Xrange,Yrange] = ginput(2);
    if (length(Xbasis) ~= length(Xtrunk))
       % Not first time
       Ysize = abs( max(Ybasis) + sign(min(Ybasis))*min(Ybasis) );
%      Ysize
       max(Ybasis)
       limit = max(Ybasis) + 0.1 * Ysize;
%      limit
       if any(Yrange > limit)
         disp('Error: Please choose points from original data')
         error = 1;
       end
    end
    if ~error
      if all(Xrange < min(Xbasis)) | all(Xrange > max(Xbasis))
        disp('Error: Please choose range within bounds of plot')
      else
        break; 
      end
    end
  end
else % numerical
  while 1
    Xrange=input('Enter range in X (as [xlow xhigh]):');
    if all(Xrange < min(Xbasis)) | all(Xrange > max(Xbasis))
      disp('Error: Please choose range containing some data')
    else
      break;
    end
  end
end
        
[Xtrunk,Ytrunk] = truncate(Xbasis,Ybasis,Xrange);

