function [Y,dYda]=vittozdlfit(x,A)
% VITTOZDLFIT Fitting Vittoz model where x is drain voltage.
% The Y supplied should be the log of the current
% log(Y)=log(A(1) .* (log(1+ exp(A(2) .* (A(5) - A(3)) - A(4)))^2 -
%            log(1+ exp(A(2) .* (A(5) - A(3)) - 1/2 * x))^2 ))
x=x(:);
npar=length(A);
exp1 = exp(A(2) .* (A(5) - A(3)) - A(4));
exp2 = exp(A(2) .* (A(5) - A(3)) - A(6) .* x);
log1 = log(1 + exp1);
log2 = log(1 + exp2);

logdiff = log1.^2 - log2.^2;
Y = log(A(1) .* (logdiff));

dYda=zeros(length(x),npar);

help1 = (exp1 .* log1) ./ (1 + exp1);
help2 = (exp2 .* log2) ./ (1 + exp2);

dYda(:,1)= (1/A(1)) .* ones(length(x),1);

dYda(:,2)= (2 .* (-A(3) + A(5)) .* (help1 - help2)) ./ logdiff;

dYda(:,3)= ((2 * A(2)) .* (-help1 + help2)) ./ logdiff;

dYda(:,4)= (-2 .*  help1) ./logdiff;

dYda(:,5)= ((2 * A(2)) .*  (help1 - help2)) ./ logdiff;

dYda(:,6)= (2 .* x .*  help2) ./logdiff ;




