function FreqResp182_Init
% Initialization of global variables for FreqResp182
%  Note : Global variables cannot be cleared
%								 unless the entire workspace is.

if  ~InitFreqRespGlobals,

% You can change this.
FRScopeName = 'HP54501A_1';
FRScopeType = 'HP_54601A';

%FRScopeName = 'TEK2440_1';
%FRScopeType = 'TEK_2440';

% Use one of these two methods
% FRMethod  = 'xcorr'; % Correlates scope waveforms inside MATLAB
 FRMethod  = 'pk2pk';   % Uses built_in functions in scope (not very good)
% also doesn't work on HP54501A

% Default setting of various variables
FRInAmp = 0.05;
FRfstart = 100;
FRfend = 1000;
FRnumpoints = 20;
% Default data name
FRCurveName = 'Data';

% Set FRSetAC to 0 if you want to use DC coupling and external
% capacitor on one or more channels.
FRSetAC=1;

%Choose what type of phase signal we want
FRPhaseType = 'Degree';
%FRPhaseType = 'Radian';

% Dont change this stuff please

if strcmp (FRScopeType,'HP_54601A')
   HP601A_write(':system:header off', FRScopeName);
elseif strcmp(FRScopeType, 'TEK_2440')
   T2440_write('PATH OFF', FRScopeName);
else
   disp ('Unknown scopetype in FreqResp182_Init')
end
InitFreqRespGlobals=1;

FRPhaseType = toupper(FRPhaseType);
if strcmp(FRPhaseType, 'DEGREE')
   FRPhaseMult = 360;
elseif strcmp(FRPhaseType, 'RADIAN')
   FRPhaseMult = 2 * pi;
else
   fprintf ('FrqResp182_Init: Unknown type of phase type\n');
   FRPhaseType
end

end
