function y = logspace2(d1, d2, n)
% LOGSPACE2 Generate logarithmically spaced vector.  LOGSPACE2(d1, d2) 
%	generates a vector of 50 points logarithmically equally spaced 
%	between d1 and d2. LOGSPACE2(d1, d2, N) generates N points.
%	See also LINSPACE, LOGSPACE and :.

%	Copyright (c) 1989 by the MathWorks, Inc.

if nargin == 2
	n = 50;
end
start = log10(d1);
stop =  log10(d2);
y = (10).^ [start+(0:n-2)*(stop-start)/(n-1), stop];
