function RQS_Set=GPIB_RqsSet(deviceName)
% function RQS_Set=GPIB_RqsSet(deviceName)
% Function to determine if the RQS bit is
% set for device deviceName. 
% If RQS_Set = 1 then it was requesting service.
% Note : The RQS bit is cleared by this function even 
%        though the device has not actually been serviced.
RQS_Set=0;
Address = GPIB_Find(deviceName);
[num,str,status]=ib('wait',0,Address);
%status
binaryStatus=int2bin(status(1),15);
if bit_set(binaryStatus,11),RQS_Set=1; end

%Warranty Information :
%Even though Apple has reviewed this software, Apple makes no warranty
%or representation, either express or implied, with respect to this
%software, its quality, accuracy, merchantability, or fitness for a 
%particular purpose.  As a result, this software is provided "as is,"
%and you, its user, are assuming the entire risk as to its quality
%and accuracy.


