function HP33120A_LoadArbitraryWaveform(waveform)
%function HP33120A_LoadArbitraryWaveform(waveform)
% loads the points in waveform to the arbitrary waveform memory
% can have between 8 and 16000 points, 
% with values from -1 to +1.
% values are scaled by amplitude, offset, and frequency when output

if(nargin<1)
    error('you need to supply a waveform');
end

if(length(waveform)<8 | length(waveform)>2^14),
    error('not enough (<8) or too many (>16000) points in waveform');
end

if(max(waveform)>1)
    error('max value of waveform is 1');
end

if(min(waveform)<-1)
    error('min value of waveform is -1');
end

cmd=sprintf('%f,',waveform);
cmd=['DATA VOLATILE, ' cmd];
cmd=cmd(1:end-1);  %remove trailing ','

GPIB_Write(cmd,HP33120A_DefaultName);



