function  [y, status] = HP601A_GetRawTrace(whichscope)
% function  [y, status] = HP601A_GetRawTrace(whichscope)
% Function to obtain a raw trace.
% Assumes that data source is already selected.
% Scope is placed in binary mode to perform data
% acquisition faster.
% Data is passed back as values ranging from 0 to 255
% where zero is the centerline of the scope
%
% If header is on, then the data is preceded by
% additional characters, i.e. curve ... see documentation
% on how to parse this data stream.

if nargin == 0, whichscope = HP601A_DefaultName; end

GPIB_Write(':WAVEFORM:DATA?', whichscope);
wait(1);
[y, status] = GPIB_Read(whichscope);

% Data is passed back as a string
% Now convert (type cast) to a decimal value from 0-255

y = abs(y); 


