function [ydata, xdata]=HP601A_GetTrace(channel, whichscope)
% function [ydata, xdata]=HP601A_GetTrace(channel, whichscope)
% Gets a trace of data from the scope
% "whichscope" for "channel"

%disp('Hej! HP601A_GetTrace')
if nargin == 1, whichscope = HP601A_DefaultName; end


% Define source for data
cmdstr = sprintf(':WAVEFORM:SOURCE CHANNEL%.0f', channel);
HP601A_Write(cmdstr, whichscope);

%Define points for data
cmdstr = sprintf(':ACQUIRE:POINTS 1024'); 
HP601A_Write(cmdstr, whichscope);

cmdstr = sprintf(':WAVEFORM:FORMAT WORD'); 
HP601A_Write(cmdstr, whichscope);
transfertype = 2;

HP601A_Write(':WAVEFORM:PREAMBLE?', whichscope);
result = HP601A_Read(whichscope); 

%points = HP601A_ReadNumber(':WAVEFORM:POINTS?', whichscope);
%points
%Define points for data waveform
%cmdstr = sprintf(':WAVEFORM:POINTS 1024');
%HP601A_Write(cmdstr, whichscope);
%points = HP601A_ReadNumber(':WAVEFORM:POINTS?', whichscope);
%points

% Get raw trace.
GetData = 1;
[y, status] = HP601A_GetRawTrace(whichscope); 
status;
y(1:20);
nbytes = status(3) - 11;
% Parse out actual data
ydatar = y(11:nbytes+10);
%ydatar(60:80)
if transfertype == 2 % word
  for i = 1:length(ydatar)/2
    y1(i) = ydatar((i-1)*2+1);
    y2(i) = ydatar((i-1)*2+2);
  end
%  length(y1)
%  y1(30:40) 
%  y2(30:40) 
% I don't know why we need the factor 4 here.
  ydata = y1 * 256 + y2;
% ydata(30:40)
% length(ydata)
else  % assume byte
  ydata = ydatar;
end

% Get the interval scale
[deltay, yoffset, yorigin, deltax] = HP601A_GetScale(whichscope); 
% Adjust because we are not using signed integers
ydata = deltay*(ydata - yoffset) + yorigin; 
% fprintf('Peak value: %.4f\n', max(ydata));
% Build the xdata
xmax = deltax*(length(ydata) - 1);
xdata = [0:deltax:xmax];


