function result=HP601A_ReadNumber(string, whichscope)
% Sends the query (string) to the scope with
% the extra text (header) in the reply turned off,
% therefore the string returned is the response to a query. 
% It is assumed that the response is a number.
% Only one query is allowed. Runs string through sscanf which
% is a mex file to convert the string to a number.

if nargin==1, whichscope=HP601A_DefaultName; end

HP601A_Write('system:header?', whichscope);
onoff = HP601A_Read( whichscope);

%Need only check the length to see whether header is on or off!
if length(onoff) > 2
  HP601A_Write(['system:header off;' string], whichscope);
else
  HP601A_Write(string, whichscope);
end

result=sscanf(HP601A_Read( whichscope));
% Check whether or not to set header on!
if length(onoff) > 2
  HP601A_Write('system:header on', whichscope);
end
