function [test_volts] = HP601A_ScaleChannel(channel, suggest, whichscope)
% function HP601A_ScaleChannel(channel, suggest, whichscope)
% Scales the given channel according to the following rules:
% Assumes that there is 0 offset and AC coupling
% Start with a scale close to max
% resolution, measure Vpp and test if max value is
% too close to full scale. If so, reduce scale and try again.


if nargin < 3, whichscope = HP601A_DefaultName; end

if suggest > 0
  test_volts = suggest / 5;
else
  test_volts = .001;
end

vpp = 100000;
done = 0;
while vpp > 10000 | done
     test_volts = test_volts * 5;
     if test_volts > 4
       test_volts = 4.0;   % Assuming the channel number is 1 or 4!
       done = 1;
     end
     if test_volts < 0.004
        test_volts = 0.004;  % Assuming channel number is 1 or 4
        done = 1;
    end
    set_volts = HP601A_SetVolts(channel, test_volts, whichscope);
    cmdstr = [':MEASURE:SOURCE CHANNEL',int2str(channel)];
    HP601A_Write (cmdstr,whichscope);
    wait(2);
    vpp=HP601A_ReadNumber(':MEASURE:VPP?', whichscope);
    % sometimes it misses the Vpp measurement!
    lp = 0;
    while vpp > 10000 & lp < 3
       wait(0.5)
       vpp=HP601A_ReadNumber(':MEASURE:VPP?', whichscope); 
       lp = lp +1;
    end
    wait(2);
end

if vpp < 28
   test_volts = vpp /7;
else
   cmdstr = [':MEASURE:SOURCE CHANNEL',int2str(channel)];
   HP601A_Write (cmdstr,whichscope);
   while vpp > 10000 & lp < 3
       wait(0.5)
       vpp=HP601A_ReadNumber(':MEASURE:VPP?', whichscope) 
       lp = lp +1;
   end
   if vpp > 28
       test_volts = 4;
   else
       test_volts = vpp /7;
   end
end

if test_volts < 0.004
   test_volts = 0.004;
end
   
set_volts = HP601A_SetVolts(channel, test_volts, whichscope);
cmdstr = [':MEASURE:SOURCE CHANNEL',int2str(channel)];
HP601A_Write (cmdstr,whichscope);
wait(0.5);





     
 
 


 
 
