function volts=HP601A_SetCoupling(channel,ctype,whichscope)
% function volts=HP601A_SetCoupling(channel,ctype,whichscope)
% Sets coupling type (AC/DC) for channel at scope named whichscope.


if nargin==2, whichscope=HP601A_DefaultName; end

HP601A_Write('*CLS', whichscope); % Reset events and srq

ctype = toupper(ctype);

if strcmp (ctype, 'AC') | strcmp(ctype, 'DC')
   cmdstr =  ['CHANNEL',int2str(channel),':COUPLING ',ctype]; 
   HP601A_Write(cmdstr,whichscope);
else
   fprintf ('Unknown coupling type in HP601A_coupling')
   ctype;
end

% Determine if any events occured
eventarray=HP601A_Events(whichscope);

if(length(eventarray)>1),
 
 for i=1:length(eventarray)
  if(eventarray(i)~=0),
   if ~(eventarray(i)==558 | eventarray(i)==560),
    fprintf('Warning: Unexpected event in HP601A_SetCoupling\n');
    fprintf(' The event array contained \n');
    eventarray
   end
  end
 end %/* forloop */
end



