function HP601A_SetTime(secperdiv, whichscope)
% function HP601A_SetTime(secperdiv, whichscope)
% Sets time base correctly for Scope
% For DIGITIZE to work "correctly" scale must be 1-2-5
% This is very unclearly documented in the HP Manual
% An ACQUIRE:NORMAL digitize will not complete unless 1-2-5
% timebase is true. ACQUIRE:AVERAGE always completes and
% seems to give right answers. Thus, for ACQUIRE:AVERAGE
% the code below is not really needed.
% Be aware of a related problem; The scope will not trigger
% on a signal less than 10mV in any case.

if nargin==1, whichscope=HP601A_DefaultName; end
% ERASE only does not exist on HP54501A
% HP601A_Write(':ERASE', whichscope);
HP601A_Write(':ERASE PMEMORY0', whichscope);
% Set the scale
divs=10;
secfullscale = secperdiv*divs;
sc_exp = floor(log10(secfullscale));
units = secfullscale/10^sc_exp;
if units >= 5, scaleunit = 5;
elseif units >= 2, scaleunit = 2;
elseif units >= 1, scaleunit = 1;
else
  printf('Timebase scaling error in SetTime.\n');
end
scaleunit = scaleunit*10^sc_exp;
cmdstr=sprintf(':TIMEBASE:RANGE %0.0e', scaleunit);
HP601A_Write(cmdstr, whichscope);


