function volts=HP601A_SetVolts(channel,VoltsPerDiv,whichscope)
% function volts=HP601A_SetVolts(channel,VoltsPerDiv,whichscope)
% Sets volts/div setting for channel scope
% named whichscope.
% Returns actual volts/div and clears events.
% Therefore any execution warnings are cleared
% (i.e. rounding was performed)

if nargin==2, whichscope=HP601A_DefaultName; end

HP601A_Write('*CLS', whichscope); % Reset events and srq

% Build and issue command string
n_divs = 8;
voltsfull = VoltsPerDiv*n_divs;
cmdstr=sprintf(':CHANNEL%0.f:RANGE %.5e', channel, voltsfull);
GPIB_Write(cmdstr, whichscope);

% Determine if any events occured
eventarray=HP601A_Events(whichscope);

if(length(eventarray)>1),
 
 for i=1:length(eventarray)
  if(eventarray(i)~=0),
   if ~(eventarray(i)==558 | eventarray(i)==560),
    fprintf('Warning: Unexpected event in setvolts\n');
    fprintf(' The event array contained \n');
    eventarray
   end
  end
 end %/* forloop */
end

% Determine actual setting and return the value
cmdstr=sprintf(':CHANNEL%.0f:RANGE?',channel);
volts = HP601A_ReadNumber(cmdstr, whichscope)/n_divs;

