function K230_182Init(K230Name)
% function K230_182Init(K230Name)
% Initialize the 230 for Take program
% Initialization command is : 'I0M1D0F0X'
% 	This sets 
%		2mA limit, (IDDC, IDDCO, No Remote), Voltage Source, Standby!!
% 	IDDC/IDDCO/No Remote means maximum error checking.
global Verbose
if nargin==0, K230Name=K230_DefaultName; end

if Verbose, fprintf(['Initializing Keithley named : ' K230Name '\n']); end;
ib('clr',ib('find',K230Name));
GPIB_Write('I0M1D0F0X',K230Name);

if (K230_Error(K230Name)),
	fprintf(['Error occurred initializing Keithley 230 : (' K230Name ')\n']);
end

GPIB_Write('V000.00',K230Name);
GPIB_Write('F1',K230Name);
