function [err,ser_poll]=K230_Error(K230Name)
% function [err,ser_poll]=K230_Error(K230Name)
% Serial polls the Keithley 230 Voltage Source
% named K230Name

if nargin==0, K230Name=K230_DefaultName; end

ud=GPIB_Find(K230Name);
ser_poll=ib('rsp',ud);
ser_poll=int2bin(ser_poll,32);

if ~bit_set(ser_poll,5),
 err=0;
 if bit_set(ser_poll,0),
  fprintf('Exceeded Current Limit on K230\n');
 end
 
else
 err=1;
 fprintf(['ERROR on K230 with device name : ' K230Name]);
 if bit_set(ser_poll,1),
  fprintf('ERROR on K230 -- IDDCO (illegal command option)\n');
 end
 if bit_set(ser_poll,0),
  fprintf('ERROR on K230 -- IDDC (illegal command)\n');
 end
end
 
