function K230_Init(K230Name)
% function K230_Init(K230Name)
% Initialize the 230 for Take program
% Initialization command is : 'I0M1D0F1X'
% 	This sets 
%		2mA limit, (IDDC, IDDCO, No Remote), Voltage Source, Operate
% 	IDDC/IDDCO/No Remote means maximum error checking.

if nargin==0, K230Name=K230_DefaultName; end

 fprintf(['Initializing Keithley named : ' K230Name '\n']);
 GPIB_Write('I0M1D0F1X',K230Name);

 if (K230_Error(K230Name)),
    fprintf(['Error occurred initializing Keithley 230 : (' K230Name ')\n']);
 end
  
