function status=K230_LimitExceeded(K230Name)
% function status=K230_LimitExceeded(K230Name)
% Function to determine if current limit
% on the K230 has been exceeded
% Returns 1 if limit exceeded
% Returns 0 if limit not exceeded

if nargin==0, K230Name=K230_DefaultName; end

  status = 0;
  % Serial Poll the device to check status
  I = int2bin(ib('rsp',GPIB_Find(K230Name)),32);
  
  if (bit_set(I, 0) & (~bit_set(I, 5))),
   status=1;
  end
