function inbits=K230_ReadInput(K230Name)
% function inbits=K230_ReadInput(K230Name)
% 	read and return the four digital input bits on the K230.
%  inbits is encoded as a binary number from 0 to 15 inclusive.
%		K230Name is optional and will default to the function
%		K230_DefaultName.


if nargin==0, K230Name=K230_DefaultName; end


	GPIB_Write('G1U1X',K230Name);
	string=GPIB_Read(K230Name);
	inbits=sscanf(string(1:2),'%d');

 if (K230_Error(K230Name)),
    fprintf(['Error occurred initializing Keithley 230 : (' K230Name ')\n']);
 end
  
