function K230_SetOutput(bits,K230Name)
% function K230_SetOutput(bits,K230Name)
% 	set the four digital output bits on the 230 to bits
%  K230Name is optional and will default to the function
%		K230_DefaultName.  bits is an integer from 0 to 15 inclusive.
%  bits=0 will set all outputs high (since k230 treats low as
%  true).


if nargin==1, K230Name=K230_DefaultName; end
	if bits<0 | bits>15, error('bits value must be from 0 to 15'), end;

 cmdstr=sprintf('O%dX',bits);
	GPIB_Write(cmdstr,K230Name);

 if (K230_Error(K230Name)),
    fprintf(['Error occurred initializing Keithley 230 : (' K230Name ')\n']);
 end
  
