function K617_182Init(K617Name)
% function K617_182Init([K617Name])
% Initializes keithley electrometer
% with the command string : 'V0O1C0D0B0Q7G0T3M0K0X'
global Verbose

if nargin==0, K617Name=K617_DefaultName; end

if Verbose, 
	fprintf(['Initializing Keithley 617 Electrometer named ',...
		K617Name,'\n']); 
end;
ib('clr',ib('find',K617Name));
GPIB_Write('V0O1C0D0B0Q7G0T3M0K0X', K617Name);
if K617_Error(K617Name),
	fprintf(['Error occurred initializing Keithley 617 named ',K617Name','\n']);
end
  
if Verbose, fprintf(['Performing zero correct on: ',K617Name,'\n']); end;
GPIB_Write('C1XZ1XC0X', K617Name);
if K617_Error(K617Name),
	fprintf(['Error occurred during zero correct on ',K617Name,'\n']);
end


