function [result,overflow]=K617_DVM_quick(K617Name)
%function result=K617_DVM_quick(K617Name)
% quickly return reading on k617 electrometer named K617Name
% see also: K617_SetMode, K617_DVM 

if nargin==0, K617Name=K617_DefaultName; end

GPIB_Write('T3X',K617Name); % set single trigger by GPIB trigger signal
GPIB_Trg(K617Name);			% trigger it
[response,status]=GPIB_Read(K617Name);

result=sscanf( response( 5:length(response) ), '%g' );
overflow=(response(1)=='O');
return

%pause
%err=0;
%eval('[response,status]=GPIB_Read(K617Name);','err=1;');
%if err,
%	disp('read error from k617');
%	disp(status);
%	result=[];
%	overflow=[];
%	return;
%end
