function result=K617_Error(K617Name)
% function result=K617_Error([K617Name])
% Returns TRUE (1) if error condition exists
% 		     FALSE (0) otherwise

if nargin==0, K617Name=K617_DefaultName; end

  result = 0;
  status =int2bin(ib('rsp',GPIB_Find(K617Name)),16);
  if (bit_set(status, 5)),
    fprintf(['Error using K617 named : ' K617Name '\n']);
    result = 1;
    % Printf status word 
    fprintf('ERROR on K617  STATUS  : \n');
     for i=length(status):-1:1,
      fprintf('%.0f',status(i));
     end
      fprintf('\n');
    
    GPIB_Write('U0X',K617Name);
    ErrStr=GPIB_Read(K617Name);
    GPIB_Write('U1X',K617Name);
    ErrStr=GPIB_Read(K617Name);
    fprintf (['U1 Status = ' ErrStr]);

    if (ErrStr(4) == '1'),
      fprintf('Illegal Command\n'); end
    if (ErrStr(5) == '1'),
      fprintf('Illegal Command Option\n'); end
    if (ErrStr(6) == '1'),
      fprintf('No Remote\n'); end
    if (ErrStr(8) == '1'),
      fprintf('Trigger Overrun\n'); end
    if (ErrStr(9) == '1'),
      fprintf('Number Error\n'); end
  end
  GPIB_Write('U2X',K617Name);
  ErrStr=GPIB_Read(K617Name);
  %fprintf (['U2 Status = ' ErrStr]);
 
  if (ErrStr(9) == '1'),
    result = 1;
    fprintf('Voltage Source over I-Limit\n');
  end
