function K617_Init(K617Name)
% function K617_Init([K617Name])
% Initializes keithley electrometer
% with the command string : 'O1C0D0B0Q7G0T7M0K0X'
% This sets
% 		Output ON, Zero Check OFF, Electrometer Display,
%			Read Electrometer, Data Store Disabled, Reading with prefix,
%			One shot externally triggered, Disable SRQ, Enable EOI and
%			Bus Hold-Off on X

if nargin==0, K617Name=K617_DefaultName; end

  fprintf(['Initializing Keithley 617 Electrometer named : ', K617Name ,'\n']);
  GPIB_Write('O1C0D0B0Q7G0T7M0K0X', K617Name);
  if K617_Error(K617Name),
    fprintf(['Error occurred initializing Keithley 617 named : ',...
K617Name,'\n']);
 end

