function K617_SetRange(range, K617Name)
% function K617_SetRange(range, K617Name)
% Trigger mode 
% Allowable values are : 0 - 12
% Defined as 
%                  	0	Auto Range
%                  	1	- 11 range, depending on 617 mode
%                  	12	turn off auto range

if nargin==1, K617Name=K617_DefaultName; end

range=round(range);
if ~(range>=0 & range <13),
 fprintf('Error in argument; range not changed\n');
 return;
end

% must set to T5 trigger and read data to ensure no timeout and
% no trigger overrun
cmdstr=sprintf('R%.0fX',range);
GPIB_Write(cmdstr, K617Name);
%GPIB_Read(K617Name);
