function K617_SetTrigMode(arg, K617Name)
% function K617_SetTrigMode(arg, [K617Name])
% Trigger mode 
% Allowable values are :
% 0 - 7
% Defined as 
%                  	0	Continuous Trigger by Talk
%                  	1	One shot Trigger by Talk
%                  	2	Continuous Trigger by Get
%                  	3	One shot Trigger by Get
%                  	4	Continuous Trigger by X
%                  	5	One shot Trigger by X
%                  	6	Continuous Trigger by Ext Trig
%                  	7	One shot Trigger by Ext Trig

if nargin==1, K617Name=K617_DefaultName; end

arg=round(arg);
if ~(arg>=0 & arg <8),
 fprintf('Trigger mode not changed error in argument \n');
 return;
end

cmdstr=sprintf('T%.0fX',arg);
GPIB_Write(cmdstr, K617Name);
if K617_Error(K617Name),
 fprintf('Error in setting trigger mode on K 617 \n');
end
