function K617_SetVolt(volt, K617Name)
% function K617_SetVolt(volt, K617Name)
% Sets the voltage on the 617 

if nargin==1, K617Name=K617_DefaultName; end


  fifty_mv=50e-03;
  n=round(volt/fifty_mv);
  volt = n*fifty_mv;
 
  cmdstr = sprintf('D1V%1.3fX',volt);
  GPIB_Write(cmdstr,K617Name);
  if K617_Error(K617Name),
    fprintf(['Error occurred in Set_617_Voltage, with Cmd_Str = ' cmdstr]);
  end
