function K6430_SetMode(mode, K6430Name)
% function K6430_SetMode(mode [, K6430Name])
% Sets the mode of operation of the
% Keithley 6430 Programmable Electrometer
% mode = (upper or lower case )
%         'V'  ==>  Voltsource Amperemeter
%         'A'  ==>  Amperesource Voltmeter
% leaves 6430 in remote mode

if nargin==1, K6430Name=K6430_DefaultName; end

  mode = upper(mode);
  if(length(mode) > 1), 
    error('Mode in K6430_SetMode must be a single character');
  end

  if (mode ~= 'V' & mode ~= 'A' ),
    printf(['ILLEGAL mode for K6430 :  ' mode '\n']);
    return;
  end

  if mode=='A',  %
      cmdstr=sprintf(':configure:voltage');  % configures measure voltage
  else 
      cmdstr=sprintf(':configure:current');
  end
  
  GPIB_Write(cmdstr, K6430Name);
  if K6430_Error(K6430Name),
   fprintf(['Error occurred in Set_236_Mode, with Cmd_Str = ' cmdstr]);
  end
