function result=K6430_Take(K6430Name)
% function result=K6430_Take([K6430Name])
% Measures using the K6430 using the current
% settings, returns measurement as result. The user is 
% responsible for the K6430 being in the right 
% mode.

if nargin==0, K6430Name=K6430_DefaultName; end

GPIB_Write(':format:data ascii',K6430Name);
GPIB_Write(':format:elements voltage,current',K6430Name);

GPIB_Write(':read?',K6430Name);

[response,status]=GPIB_Read(K6430Name);
if K6430_Error(K6430Name),
    fprintf('Error occurred in K6430_Take');
end

meas=sscanf(response,'%g,%g');
voltage=meas(1); current=meas(2);

GPIB_Write(':source:function:mode?',K6430Name);
mode=GPIB_Read(K6430Name);
if mode(1:4)=='VOLT',
    result=current;
elseif mode(1:4)=='CURR',
    result=voltage;
end
