function [val, prstr] = ScopeGetVoltsDiv(channel, scopetype, scopename)
%function [val, prstr] = ScopeGetVoltsDiv(channel, scopetype, scopename)
% gets volts/div for channel
% val is volts/div
% prstr is string to label plots with

if nargin == 1, [scopename,scopetype]=Scope_DefaultScope; end

if strcmp (scopetype, 'TEK_2440')
   if channel > 4
      printf('ScopeGetVoltsDiv: channel num > 4 for TEK 2440');
   end
   T2440_Write('path off');
   cmdstr = ['CH',int2str(channel),'? VOLTS'];
   T2440_Write (cmdstr, scopename);
   reply = T2440_Read(scopename);
   val = sscanf(reply,'%g');
   prstr = T2440_GetDivStr(val, reply);
elseif strcmp (scopetype, 'HP_54601A')
   if channel > 4
      printf('ScopeGetVoltsDiv: channel num > 4 for HP 54601A');
   end
   cmdstr = [':CHANNEL',int2str(channel),':RANGE?']
   HP601A_Write(cmdstr,scopename);
   reply = HP601A_Read(scopename);
   val = sscanf(reply);
   prstr = HP601A_GetDivisionString(val, reply);
   val = val /8;
else
   printf('ScopeGetVoltsDiv: unknown scopetype');
end
