function Scope_AutoFreqInit(freq,amp,whichscope,scopetype)
% function Scope_AutoFreqInit(freq,amp,whichscope,scopetype)
% Initializes oscilliscope for the autofreq function
% dependent on which scope is used.  whichscope and scopetype
% are hardwired in autofreq.

if nargin ==2, [whichscope,scopetype]=Scope_DefaultScope; end

if nargin < 2, error('Wrong number of arguments to Scope_autofreqinit'); end
whichscope=toupper(whichscope);
scopetype=toupper(scopetype);

if strcmp(scopetype,'TEK_2440'),
  T2440_AutoFreqInit(whichscope);
else
  error('Wrong scopetype in Scope_autofreqinit');
end


% Set time base
Scope_SetTimeBase(0.5/freq, whichscope, scopetype);

% Set vertical scale for first measurement
Scope_SetVolts(1,amp/4., whichscope, scopetype);
Scope_SetVolts(2,amp/4., whichscope, scopetype);

