function [prstr] = Scope_GetCoupling(channel, scopetype, scopename)
%function [prstr] = Scope_GetCoupling(channel, scopetype, scopename)
%	get coupling for channel as string to label plots with


if strcmp (scopetype, 'TEK_2440')
   if channel > 2
      fprintf('ScopeGetCoupling: channel num > 4 for TEK 2440');
   end
	T2440_Write('path off');
   cmdstr = ['CH',int2str(channel),'? COUPLING'];
   T2440_Write (cmdstr, scopename); 
   coupl = T2440_Read(scopename);
   if coupl(1) == 'G'
      prstr = coupl(1:3);
   else
      prstr = coupl(1:2);
   end
elseif strcmp (scopetype, 'HP_54601A')
   if channel > 4
      fprintf('ScopeGetVoltsDiv: channel num > 4 for HP 54601A\n');
   end
   cmdstr = [':CHANNEL',int2str(channel),':COUPLING?'];
   HP601A_Write (cmdstr, scopename); 
   coupl = HP601A_Read(scopename); 
   prstr = coupl(1:2);
else
   fprintf('ScopeGetCoupling: unknown scopetype\n');
end
