function [val, prstr] = Scope_GetOffset(channel, scopetype, scopename)
%function [val, prstr] = Scope_GetOffset(channel, scopetype, scopename)
%	get channel offset value
%	val is offset
%	
% We assume header/path is off

% The offset is defined as the voltage that is represented at the
% center of the screen.

if strcmp (scopetype, 'TEK_2440')
   if channel > 2
      fprintf('ScopeGetVoltsDiv: channel num > 4 for TEK 2440');
   end
   cmdstr = ['CH',int2str(channel),'? VOLTS']; 
   voltdiv = T2440_ReadNumber(cmdstr, scopename);
   cmdstr = ['CH',int2str(channel),'? POSITION'];
   T2440_Write (cmdstr, scopename);
   reply = T2440_Read(scopename);
   pos = sscanf(reply,'%g'); 
   val = -pos * voltdiv;
   prstr = T2440_GetOffsetStr(val) ;
elseif strcmp (scopetype, 'HP_54601A')
   if channel > 4
      fprintf('ScopeGetVoltsDiv: channel num > 4 for HP 54601A\n');
   end
   cmdstr = [':CHANNEL',int2str(channel),':OFFSET?'];
   HP601A_Write(cmdstr,scopename);
   reply = HP601A_Read(scopename);
   val = sscanf(reply,'%g');
   prstr = HP601A_GetOffsetStr(reply, val);
else
   fprintf('ScopeGetVoltsDiv: unknown scopetype\n');
end
