function [val, prstr] = Scope_GetVoltsDiv(channel, scopetype, scopename)

% We assume header/path is off

if strcmp (scopetype, 'TEK_2440')
   if channel > 2
      printf('ScopeGetVoltsDiv: channel num > 4 for TEK 2440');
   end
   cmdstr = ['CH',int2str(channel),'? VOLTS'];
   T2440_Write (cmdstr, scopename);
   reply = T2440_Read(scopename);
   val = sscanf(reply);
   prstr = T2440_GetDivStr(val, reply);
elseif strcmp (scopetype, 'HP_54601A')
   if channel > 4
      printf('ScopeGetVoltsDiv: channel num > 4 for HP 54601A');
   end
   cmdstr = [':CHANNEL',int2str(channel),':RANGE?']
   HP601A_Write(cmdstr,scopename);
   reply = HP601A_Read(scopename);
   val = sscanf(reply);
   prstr = HP601A_GetDivStr(val, reply);
   val = val /8;
else
   printf('ScopeGetVoltsDiv: unknown scopetype');
end
