function [ydata, xdata] = Scope_GetTrace(channel, whichscope, scopetype)
% function [ydata, xdata] = Scope_GetTrace(channel, whichscope, scopetype)
% Gets a trace from scope for the given setup for each channel
% in the array channel. To replicate 
% the scopeface enter the command plot(xdata,ydata)
% whichscope and scopetype are optional -- if they are
% not given then Scope_DefaultScope is called to provide them.
% channel may be a vector of channels e.g. [1,2] for both channels
% of a two channel scope (or more for a multichannel scope. 
% ydata is returned as row vector(s).

if nargin <=1, [whichscope,scopetype]=Scope_DefaultScope; end

if (nargin<1) , 
   channel=[1:2];
   %error('Wrong number of arguments\n'); 
end

%whichscope=toupper(whichscope);
%scopetype=toupper(scopetype);
ydata=[];
if strcmp(scopetype, 'TEK_2440') 
  for i=1:length(channel),
	   [y,xdata]=T2440_GetTrace(channel(i), whichscope);
    ydata=[ydata; y];
  end
elseif strcmp(scopetype, 'HP_54601A')
  for i=1:length(channel),
    [y,xdata]=HP601A_GetTrace(channel(i), whichscope);
    ydata=[ydata; y];
  end
elseif strcmp(scopetype, 'TEK_540')
  for i=1:length(channel),
    [y,xdata]=T540_GetTrace(channel(i), whichscope);
    ydata=[ydata; y];
  end
else
  string = 'You did not choose an appropriate scopetype \n';
  string = [string 'in function Scope_GetTrace\n'];
  string = [string 'The type you chose was : ' scopetype '\n'];
  fprintf(string);
	 error(' End Program ');
end
 
