function result=Scope_ReadNumber(string,scopetype,whichscope)
% function result=Scope_ReadNumber(string,scopetype,whichscope)
% Sends the query (string) to the scope with
% the extra text (path/header) in the reply turned off,
% therefore the string returned is the response to a query. 
% It is assumed that the response is a number.
% Only one query allowed.
% Runs string through sscanf which
% is a mex file to convert the string
% to a number.

if nargin==1, [whichscope,scopetype]=Scope_DefaultScope; end 

switch scopetype
   case 'TEK_540',
   	result = T540_ReadNumber(string, whichscope);
   case 'TEK_2440',
      result = T2440_ReadNumber(string, whichscope);
   case 'HP_54601A',
      result = HP601A_ReadNumber(string, whichscope); 
   otherwise,
      error('nonexistant scope type');
end
   

   
