function [final] = Scope_ScaleChannel(channel, volt_try, whichscope, scopetype)
% function Scope_ScaleChannel(channel, volt_try, whichscope, scopetype)
% Automatically scales channel on scope whichscope which
% is a scopetype scope.
% volt_try is the volts/div to try for ?
% final is the resulting volts/div ?

if nargin ==1, [whichscope,scopetype]=Scope_DefaultScope; end

if nargin<1,error('Wrong number of input arguments to Scope_ScaleChannel');end

scopetype=toupper(scopetype);

if strcmp(scopetype,'TEK_2440'),
  final = T2440_ScaleChannel(channel, volt_try, whichscope);
elseif strcmp(scopetype,'HP_54601A')
  final = HP601A_ScaleChannel(channel, volt_try, whichscope);
else
  error('Invalid scope type in function Scope_ScaleChannel');
end
