function Scope_SetNoOffset(channel, whichscope, scopetype)
% function voltsperdiv=Scope_SetCoupling(channel, whichscope, scopetype)
% Sets offset to zero for channel on scope
% whichscope which is a scopetype oscilloscope.

if nargin == 1, [whichscope,scopetype]=Scope_DefaultScope; end

if(nargin<1), error('Too few input arguments in Scope_SetVolts'); end

scopetype=toupper(scopetype);
whichscope=toupper(whichscope);

if strcmp(scopetype,'TEK_2440'),
 T2440_SetNoOffset(channel, whichscope);
elseif strcmp(scopetype, 'HP_54601A')
 HP601A_SetNoOffset(channel, whichscope);
else
 error('The scopetype argument is invalid in function Scope_SetNoOffset');
 scopetype
end
