function status=Scope_SetTimeBase(secperdiv, whichscope, scopetype)
% function status=Scope_SetTimeBase(secperdiv, whichscope, scopetype)
% Function to set oscilloscope time base
% secperdiv = real number
% whichscope = string defining scope as defined in 
%                                      Control Panel Init : NB Handler Init
% scopetype =  string defining scope type 
%                                      (i.e. TEK_2440, etc)

if nargin ==1, [whichscope,scopetype]=Scope_DefaultScope; end

if(nargin < 1), error('Must have at least one input argument'); end

whichscope = toupper(whichscope); 
scopetype = toupper(scopetype); 
 
if strcmp(scopetype,'TEK_2440') ,
  T2440_SetTime(secperdiv, whichscope);
 	status=0;
elseif strcmp(scopetype, 'HP_54601A')
  HP601A_SetTime(secperdiv, whichscope);
 	status=0;
else
  status=-1;
end
