function voltsperdiv=Scope_SetVolts(channel, voltsperdiv, whichscope, scopetype)
% function voltsperdiv=Scope_SetVolts(channel, voltsperdiv, whichscope, scopetype)
% Sets the volts per division (voltsperdiv) for channel on scope
% whichscope which is a scopetype oscilloscope.

if nargin == 2, [whichscope,scopetype]=Scope_DefaultScope; end

if(nargin<2), error('Too few input arguments in Scope_SetVolts'); end

scopetype=toupper(scopetype);
whichscope=toupper(whichscope);

if strcmp(scopetype,'TEK_2440'),
 voltsperdiv=T2440_SetVolts(channel, voltsperdiv, whichscope);
elseif strcmp(scopetype, 'HP_54601A')
 voltsperdiv=HP601A_SetVolts(channel, voltsperdiv, whichscope);
else
 error('The scopetype argument is invalid in function Scope_SetVolts');
 scopetype
end
