function  y = T2440_GetRawTrace(whichscope)
% function  y = T2440_GetRawTrace(whichscope)
% Function to obtain a raw trace from the 2440.
% Assumes that data source is already selected.
% Scope is placed in binary mode to perform data
% acquisition faster.
% Data is passed back as values ranging from 0 to 255
% where 128 is the centerline of the scope.
% 1028 chars returned, first two are ' %', 
% 2nd and 3rd are msb and lsb of point count. other 1024 are data.


if nargin==0, whichscope=T2440_DefaultName; end

GPIB_Write('path off',whichscope);
GPIB_Write('dat enc:rpb',whichscope);
GPIB_Write('CURVE?',whichscope);
[y,status]=GPIB_Read(whichscope);

% Data is passed back as a string
% Now convert (type cast) to a decimal value from 0-255

y=double(y);
