function [deltay,yoff,deltax]=T2440_GetScale(whichscope)
% function [deltay,yoff,deltax]=T2440_GetScale(whichscope)
% Returns the deltax , deltay, and y offset values.
%
% deltax is the time between scope points
%	computed by scope from (sec/div)*(50 points/div)
% ymult is the voltage multiplier for the digitizer
%	computed by scope from (volts/div)*(25 points/div)
% yoff is location of ground in digitizing units (25/div) relative
%	to data 00 (center screen).  
%   positive means ground is above center screen.
%	ranges from -2500 to 2500 with 0.25 resolution.
%
% The function does not select a channel; selection must be
% done externally, as is usually done when getting a trace.

if nargin==0, whichscope=T2440_DefaultName; end

deltax = T2440_ReadNumber('wfm? xincr', whichscope);
deltay = T2440_ReadNumber('wfm? ymult', whichscope);
yoff   = T2440_ReadNumber('wfm? yoff' , whichscope);

