function volts=T2440_SetVolts(channel,ctype,whichscope)
% function volts=T2440_SetVolts(channel,ctype,whichscope)
% Sets coupling (AC/DC/GND) for channel on Tek 2440 scope
% named whichscope.

GPIB_Write('init srq', whichscope); % Reset events and srq
GPIB_Write('exw off', whichscope); % Turn off execution warning

% Build and issue command string
if strcmp (ctype, 'AC') | strcmp(ctype, 'DC') | strcmp(ctype, 'GND')
   cmdstr = ['ch',int2str(channel),' coupling:',ctype];
   T2440_Write(cmdstr,whichscope);
else
   fprintf ('Unknown coupling type in T2440_coupling')
   ctype
end

% Determine if any events occured
eventarray=T2440_Events(whichscope);

if(length(eventarray)>1),
 
 for i=1:length(eventarray)
  if(eventarray(i)~=0),
   if ~(eventarray(i)==558 | eventarray(i)==560),
    fprintf('Warning: Unexpected event in setvolts_2440\n');
    fprintf(' The event array contained \n');
    eventarray
   end
  end
 end %/* forloop */

end

% Determine actual setting and return the value
cmdstr=sprintf('ch%.0f? volts',channel);
volts=T2440_ReadNumber(cmdstr, whichscope);
% Set execution warning back on
GPIB_Write('exw on', whichscope);
