function T2440_SetTime(secperdiv, whichscope)
% function T2440_SetTime(secperdiv, whichscope)
% Sets time base correctly for Tek 2440 Scope

%Warranty Information :
%Even though Apple has reviewed this software, Apple makes no warranty
%or representation, either express or implied, with respect to this
%software, its quality, accuracy, merchantability, or fitness for a 
%particular purpose.  As a result, this software is provided "as is,"
%and you, its user, are assuming the entire risk as to its quality
%and accuracy.


if nargin==1, whichscope=T2440_DefaultName; end

% Turn off execution warning so that an rqs is 
% not issued.  Note the event is still played.

fprintf('Events before starting setting time\n');
eventarray=T2440_Events(whichscope);
GPIB_Write('EXW OFF',whichscope);

% Set the scale
cmdstr=sprintf('HOR ASECDIV:%0.5e',secperdiv);

GPIB_Write(cmdstr,whichscope);

% Clear out and check events
eventarray=T2440_Events(whichscope);

% Check to make sure no events besides rounding occured
bad_event = 0;
for i=1:length(eventarray)
 if (eventarray(i)~=566) & eventarray(i),
  bad_event = 1;
 end
end
if (bad_event == 1)
 fprintf('Warning: In  2440_SetTime the following events occurred\n')
 eventarray
end
GPIB_Write('EXW ON',whichscope);
