function  y = T540_GetRawTrace(whichscope)
% function  y = T540_GetRawTrace(whichscope)
% Function to obtain a raw trace from the 540.
% Assumes that data source is already selected.
% Scope is placed in binary mode to perform data
% acquisition faster.
% Data is passed back as values ranging from 0 to 255
% where 128 is the centerline of the scope.
% 1028 chars returned, first two are ' %', 
% 2nd and 3rd are msb and lsb of point count. other 1024 are data.


if nargin==0, whichscope=T540_DefaultName; end

GPIB_Write('path off',whichscope);
GPIB_Write('dat:enc rpb',whichscope);
GPIB_Write('dat:wid 1',whichscope);
reclength=t540_readnumber('hor:reco?'); % number of points in record
% grab all the points
GPIB_Write('data:start 1',whichscope);
GPIB_Write(['data:stop ',int2str(reclength)],whichscope);
GPIB_Write('CURVE?',whichscope);
[y,status]=GPIB_Read(whichscope);

% Data is passed back as a string
% Now convert (type cast) to a decimal value from 0-255

y=double(y(2:end));
