function out=vvsi(sweep,const)
%function [out,in]=ivsv2(sweep[,const])
% sweep input 236 current, measure output current on 236
% sweep is vector of input currents from 236
% out is vector of measured voltages
% const (if present) is voltage that 230 is
% set to.

if nargin==0 | nargin>2,
   error('out=ivsv2(sweep[,const]), no sweep specified');
end
in=[];
out=[];
% put inside try/catch to reset 236 if aborted
if nargin==2,
   k230_setvolt(const);
   fprintf('ensure k230 output is enabled\n');
end
try
   k236_setmode('A');
   for v=sweep
      k236_source(v);
      tmp=k236_take;
      out=[out tmp];
      in=[in v];
      plot(in,out);%set(l,'xdata',in,'ydata',out);
      drawnow;
   end
 %  k236_disable;
   k236_reset;
catch
   k236_disable;
   k236_reset;
end
clf;
plot(in,out);