function out=vvsv(sweep,const,delay)
%function out=ivsv(sweep,const)
% sweep input 230, measure output voltage on 236.
% sweep is vector of input voltages on 230.
% out is row vector of measured voltages.
% const is constant 236 current, + is source, - is sink.
% optional delay is delay in seconds after setting 
% input before measuring output.

if nargin~=2 & nargin~=3,
   error('inputs are sweep (vector of 230 outputs), const (scalar 236 output), and optional delay');
end

if max(size(const))>1,
   error('const input must be scalar');
end

if min(size(sweep))>1,
   error('sweep must be scalar or vector, not matrix');
end

if size(sweep,1)>size(sweep,2),
   sweep=sweep'; % want row vector
end

if nargin==2,
   delay=0;
end

global verbose

out=[];
in=[];
axes;
%set(gcf,'backingstore','off');
%l=line('erasemode','normal');
set(gca,'drawmode','normal');
k230_operate;
k236_setmode('A');
k236_source(const);
pause(1);
try
   for v=sweep
      k230_setvolt(v);
      if delay~=0,
         pause(delay)
      end
      tmp=k236_take;
      out=[out tmp];
      in=[in v];
      plot(in,out);%set(l,'xdata',in,'ydata',out);
      drawnow;
   end
   k236_reset;
   k230_disable;
   %k236_disable;
catch
   k236_reset;
   k230_disable;
   k236_disable;
end
plot(in,out);