function [retarg] =  Axes182GetExt(objHandle, PropName, Extra)
%  V= Axes182GetExt(H, P)
%  Retrieve value V for user-defined property P stored in the userdata property value of
% the  object with handle H. Works when H is a list of  handles too. V is then a
% vector of corresponding value strings.
% M = Axes182GetExt (H) returns a matrix of strings M indicating the names of
% all the  user-defined properties currently stored in H's userdata matrix. This
% works for a vector of handles too then M contains all the properties used in
% any of the objects.

retHandle = 0;
retNumber = 0;
if nargin == 3 & strcmp(PropName, 'handle')
	retHandle = 1;
	PropName = Extra;
	nargin = 2;
elseif nargin == 3 & strcmp(PropName, 'number')
	retNumber= 1;
	PropName = Extra;
	nargin = 2;
end
	
if nargin == 1
	M = [];
	k = 1;
	mlen = 0;
	while M==[] & k <= length(objHandle)
		UD = get(objHandle(k), 'userdata');
		if UD ~= []
			UDsize = size(UD);
			UDnum= UDsize(1);
			for j = 1:2:UDnum
				M = str2mat(M, UD(j,:))
				mlen=mlen+1;
			end
		end
		k = k+1;
	end
	
	for k=k:length(objHandle)
		UD = get(objHandle(k), 'userdata');
		if UD ~= []
			UDsize = size(UD);
			UDnum= UDsize(1);
			for j = 1:2:UDnum
				found = 0;
				for m=1:mlen
					if strcmp(deblank(lower(M(m,:))),deblank(lower(UD(j,:))))
						found = 1;
						break;
					end
				end
				if ~found
					M = str2mat(M, UD(j,:))
					mlen=mlen+1;
				end
			end
		end
	end
	retarg = M(2:mlen+1,:);
		
elseif nargin == 2
%	disp('Axes182GetExt w. nargin = 2');
	found = 0;
	PropName = deblank(PropName);
	V = [];
	numObj = length(objHandle);
	for k=1:numObj
		UD=get(objHandle(k), 'userdata');
		if UD == []
			V = str2mat(V, []);
		else
			UDsize = size(UD);
			UDnum= UDsize(1);
			valstr = ' ';
			for j = 1:2:UDnum
				if strcmp(lower(PropName), deblank(lower(UD(j,:))))
					found = 1;
					valstr = UD(j+1,:);
					break;
				end
			end
			V= str2mat(V, deblank(valstr));
		end		
	end
	%  There will be an extra empty first line due to the way we're adding on strings
	if (~retHandle & ~retNumber)
		retarg = V(2:numObj+1,:)
	else
		% return column vector of handles or numbers
		retarg = [];
		if  V ~= [] & found
			for k=1:numObj
				retarg(k,1)= abs(V(k+1,1))
			end
		end
	end
else
	error ('Wrong number of args to Axes1812GetExt');
end
	
