function [axes] = Axes182Legend(a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11, a12, a13, a14, a15, a16)
% Does the same stuff that legend does except it sets some extra things
% like making the objects in the axes clickable. Also we have to fiddle some so that
% the moving of the legend works correctly and does not interfer with moving text.

a= gca;
WBDF = get(gcf, 'WindowButtonDownFcn');

if nargin~=0,
	str=[];
	for i=1:nargin,
		str=[str,'a',int2str(i),','];
	end;
	str(length(str))='';
	cmd=['axes=legend(',str,');'];
	eval(cmd);
	if nargout==1,
		handle=axes;
	end;
end

% All children of axes should be added as objects.
% Text objects should not be moveable though since that will confuse everything
kids = get(axes, 'Children');
lines = findobj(kids, 'Type', 'line');
set(lines, 'ButtonDownFcn', 'Axes182Object(''line'')');
get(lines(1))
texts = findobj(kids, 'Type', 'text');
set(texts, 'ButtonDownFcn','Axes182Object(''textstatic'')');
get(texts(1))

% lines should have three data points instead of two. Otherwise they look
% stupid when the linestyle is one with markers.
plotLines =  findobj(get(a, 'Children'), 'Type', 'line');
for k =1:length(lines)
	Yd = get(lines(k), 'Ydata');
	Yd = [Yd(1) Yd(1:2)];
	Xd = get(lines(k), 'Xdata');
	Xd =[Xd(1) (Xd(1)+Xd(2))/2.0 Xd(2)];
	 set(lines(k), 'Ydata',  Yd, 'Xdata', Xd);
	 % Find corresponding line in plot.
	 l2 = findobj(plotLines, 'linestyle', get(lines(k), 'linestyle'), 'color', get(lines(k), 'color'));
	 if (length(l2) == 0)
	 	error('Axes182Legend: No corresponding line');
	elseif (length(l2) > 1)	
		error('Axes182Legend: More than one corresponding line');
		error('Axes182Legend: Should check names now');		
	else
		Axes182SetExt(l2, 'handle', 'LgdCorr', lines(k));		
		Axes182SetExt(lines(k), 'handle', 'LgdCorr', l2);	
		Axes182SetExt(lines(k), 'InLgd', '1');		
	end 
end

% We have to do something about the fact that legend sets gcf's WindowButtonDownFncn
get(gcf, 'WindowButtonDownFcn')
%set (gcf, 'WindowButtonDownFcn', WBDF);
set (gcf, 'WindowButtonDownFcn', 'Axes182WinBtnDwnFcn');
set(axes, 'ButtonDownFcn', 'Axes182LgdButDwnFcn');

