function Axes182LimitDial(f)

if nargin==0, figure; f='create'; end;

global Axes182LimDfig Axis182LimDcntrl  Axis182LimDgca

if strcmp(f,'create'),
		Axis182LimDgca=gca;
		
		lx=get(Axis182LimDgca,'XLim');
		ly=get(Axis182LimDgca,'YLim');
		
		DlgName='Axes Limits';
		[flag,fig]=figflag(DlgName,1);
		if flag & ~isempty(Axes182LimDcntrl),
			set(Axes182LimD(1),'string',num2str(lx(1)));
			set(Axes182LimD(2),'string',num2str(lx(2)));
			set(Axes182LimD(3),'string',num2str(ly(1)));
			set(Axes182LimD(4),'string',num2str(ly(2)));
			disp 'set limit vals'

			figure(fig);
			return;
		end;
		
		ForegroundColor = get(0,'DefaultUIControlForegroundColor');
		BackgroundColor = get(0,'DefaultUIControlBackgroundColor');
		set(0,'Units','normalized');
		
		% Get layout parameters
		ScreenUnits = get(0,'Units');
		set(0,'Units','pixels');
		ScreenPos = get(0,'ScreenSize');
		set(0,'Units',ScreenUnits);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%		
% make dialog figure
		fp=[ScreenPos(3)*.4,ScreenPos(4)*.4,130,130];
		Axes182LimDfig=figure(...
			'Units','pixels','Position',fp,...
			'NumberTitle','off','Name',DlgName, ...
 			'NextPlot','new','Resize','off','MenuBar','none', ...
 			'Color',BackgroundColor);

		set(gcf,'defaultaxesfontsize',8);
		set(Axes182LimDfig,'Units','normalized');
		disp 'made dial'
		drawnow discard
		
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%		
% make close box
		cb='Axes182LimitDial(''done'')'; st='Close';
		uicontrol(Axes182LimDfig,...
			'Style','pushbutton',...
			'Position',[.62,.01,.35,.16],... % position is llx, lly, wid, height
			'Units','normalized',...
			'String',st,...
			'Callback',cb);
		drawnow discard
		
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%		
% make limit editing boxes
		cb='Axes182LimitDial(''setlimits'')';
		fontsize=8;
		Axes182LimDcntrl(1)=uicontrol(Axes182LimDfig,...
			'Style','edit','String',num2str(lx(1)),...
			'Min',1,'Max',0,...
			'Position',[.30,.2,.25,.15],...
			'Units','normalized',...
			'ForegroundColor','black','BackgroundColor','white',...
			'CallBack',cb);
		cb='Axes182LimitDial(''setlimits'')';
		Axes182LimDcntrl(2)=uicontrol(Axes182LimDfig,...
			'Style','edit','String',num2str(lx(2)),...
			'Min',1,'Max',0,...
			'Position',[.68,.2,.25,.15],...
			'Units','normalized',...
			'ForegroundColor','black','BackgroundColor','white',...
			'CallBack',cb);
		cb='Axes182LimitDial(''setlimits'')';
		Axes182LimDcntrl(3)=uicontrol(Axes182LimDfig,...
			'Style','edit','String',num2str(ly(1)),...
			'Min',1,'Max',0,...
			'Position',[.01,.40,.25,.15],...
			'Units','normalized',...
			'ForegroundColor','black','BackgroundColor','white',...
			'CallBack',cb);
		cb='Axes182LimitDial(''setlimits'')';
		Axes182LimDcntrl(4)=uicontrol(Axes182LimDfig,...
			'Style','edit','String',num2str(ly(2)),...
			'Min',1,'Max',0,...
			'Position',[.01,.73,.25,.15],...
			'Units','normalized',...
			'ForegroundColor','black','BackgroundColor','white',...
			'CallBack',cb);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%	uicontrol(Axes182LimDfig,...
%		'Style','text','string','X',...
%		'Position',[.53,.2,.2,.17],...
%			'Units','normalized',...
%			'ForegroundColor','red');
%	uicontrol(Axes182LimDfig,...
%		'Style','text','string','Y',...
%		'Position',[.02,.5,.2,.17],...
%			'Units','normalized',...
%			'ForegroundColor','red');

	axes('position',[.36,.46,.5,.4]);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
elseif strcmp(f,'done'),
	set(Axes182LimDfig,'Visible','off');
	refresh;

elseif strcmp(f,'setlimits'),
	xl1=sscanf(get(Axes182LimDcntrl(1),'String'),'%g');
	xl2=sscanf(get(Axes182LimDcntrl(2),'String'),'%g');
	yl1=sscanf(get(Axes182LimDcntrl(3),'String'),'%g');
	yl2=sscanf(get(Axes182LimDcntrl(4),'String'),'%g');
	cmd='set(Axes182LimDgca,''XLim'',[xl1,xl2]);';
	eval(['err=0;',cmd],'err=1;');
	if err==1;sysbeep; end;
	cmd='set(Axes182LimDgca,''YLim'',[yl1,yl2]);';
	eval(['err=0;',cmd],'err=1;');
	if err==1;sysbeep; end;

elseif strcmp(f,'autorange'),
	set(gca,'XLimMode','auto');
	set(gca,'YLimMode','auto');
	refresh;
		
end;
