function Axes182LineDial(f,arg)
%  line editing dialog
% this exquisite version requires no global variables
% a fact of which I'm very proud

if nargin==0, f='create'; arg=[]; end;

%%___________________________________________________________________%%
if strcmp(f,'create'),
		currLine=arg

		linestyle=get(currLine,'LineStyle');
		linewidth=get(currLine,'LineWidth');
		markersize=get(currLine,'MarkerSize');
		color=get(currLine,'Color');
		
		DlgName='Line Style';
		[flag,fig]=figflag(DlgName, 1);
		if  flag
			Axes182SetExt (fig, 'handle', 'CurrLine',  currLine); 
		
			% get handles  to controls from window's childrenlist
			k = get(fig, 'Children')
			ui = findobj(fig, 'type', 'uicontrol');
			
			% Mark right linewidth
			uh = findobj(ui , 'CallBack', 'Axes182LineDial(''setlinewidth'')');
 			str=get(uh,'String'); sz=size(str);
			val=1;
			for i=1:sz(1),
				if sscanf(str(i,:),'%f')==linewidth, val=i; end;
			end
			set(uh,'Value',val);
 			% Mark right color
			% st=' |black|red|green|blue|cyan|white|magenta|yellow|other';
			uh= findobj(ui , 'CallBack', 'Axes182LineDial(''setlinecolor'')');
			get(uh);
			val = 9; % other color;
			if sum(color) == 0
				val =  2; % black
			elseif sum(color)==1 
				if color(1) == 1 
					val = 3; % red
				elseif color(2) == 1
					val = 4 ; %green
				elseif color(3) == 1
					val =  5; %blue
				else 
					val = 10;  % other	
				end
			elseif sum(color)==2
				if color(1) == 0 
					val = 6 ; % cyan
				elseif color(2) == 0
					val = 8; % magenta
				elseif color(3) == 0
					val =  9; %yellow
				else 
					val = 10;  % other	
				end
			elseif sum(color)==3 
				val =  7 ;% white
			else 
				val = 10;  % other	
			end
			set(uh, 'Value',val);
				
			%Mark right linestyle
			uh = findobj(ui , 'CallBack', 'Axes182LineDial(''setlinestyle'')');
			str=get(uh,'String'); sz=size(str);
			val=1;
			for i=1:sz(1),
				if strcmp([' ',linestyle],deblank(str(i,:))), val=i; end;
			end
			set(uh,'Value',val);


			uh = findobj(ui , 'CallBack', 'Axes182LineDial(''setmarkersize'')');
			set(uh,'String',int2str(markersize));
			figflag(DlgName)
	 		return
	   	end
		% If it didn't exist
		ForegroundColor = get(0,'DefaultUIControlForegroundColor');
		BackgroundColor = get(0,'DefaultUIControlBackgroundColor');
		set(0,'Units','normalized');
		
		% Get layout parameters
		ScreenUnits = get(0,'Units');
		set(0,'Units','pixels');
		ScreenPos = get(0,'ScreenSize');
		set(0,'Units',ScreenUnits);

		
		fp=[ScreenPos(3)*.4,ScreenPos(4)*.4,200,120];
		ldfig=figure(...
			'Units','pixels','Position',fp,...
			'NumberTitle','off','Name',DlgName, ...
 			'NextPlot','new','Resize','off','MenuBar','none', ...
 			'Color',BackgroundColor);
		Axes182SetExt (ldfig, 'handle', 'CurrLine',  currLine); 
		cl2 = Axes182GetExt (ldfig, 'handle', 'CurrLine')
		get(cl2)

		fp=[0,0,1,1];

		buth=.2;
		butw=.35;
		butsp=.03;
		butl=.03;
		textw=.3; textoffv=.05;

 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%		
% close box

		set(ldfig,'Units','normalized');
		
		cb='Axes182LineDial(''done'')'; st='Close';
		uicontrol(ldfig,...
			'Style','pushbutton',...
			'Position',[.8,.01,.3,buth],...
			'Units','normalized',...
			'String',st,...
			'Callback',cb);
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%		
% delete box
		
		cb='Axes182LineDial(''delete'')'; st='Delete';
		uicontrol(ldfig,...
			'Style','pushbutton',...
			'Position',[.8,.01+buth+.02,.3,buth],...
			'Units','normalized',...
			'BackgroundColor','red','String',st,...
			'Callback',cb);
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%		
% linewidth popup		
		butn=1;
		st='LineWidth'; 
		uicontrol(ldfig,...
			'Style','text',...
			'Position',[butl,butsp+(butn-1)*(buth+butsp)-textoffv,textw,buth],...
			'Units','normalized',...
			'ForegroundColor','black','String',st);
			
		st='.1|.25|.5|1|2';
		cb='Axes182LineDial(''setlinewidth'')';
		uh=uicontrol(ldfig,...
			'Style','popupmenu','String',st,'Value',val,...
			'Position',[butl+textw,butsp+(butn-1)*(buth+butsp),butw,buth],...
			'Units','normalized',...
			'ForegroundColor','black','BackgroundColor','white',...
			'CallBack',cb);
 
 		str=get(uh,'String'); sz=size(str);
		val=1;
		for i=1:sz(1),
			if sscanf(str(i,:),'%f')==linewidth, val=i; end;
		end
		set(uh,'Value',val);


 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%		
% color
		butn=2;
		st='Color';
		uicontrol(ldfig,...
			'Style','text',...
			'Position',[fp(1)+butl,fp(2)+butsp+(butn-1)*(buth+butsp)-textoffv,textw,buth],...
			'Units','normalized',...
			'ForegroundColor','black','String',st);
		
		st=' |black|red|green|blue|cyan|white|magenta|yellow|other';
		cb='Axes182LineDial(''setlinecolor'')';
		uh=uicontrol(ldfig,...
			'Style','popupmenu','String',st,...
			'Interruptible', 'yes', ...
			'Position',[fp(1)+butl+textw,fp(2)+butsp+(butn-1)*(buth+butsp),butw,buth],...
			'Units','normalized',...
			'ForegroundColor','black','BackgroundColor','white',...
			'CallBack',cb);
			% Mark right color
			val = 9; % other color;
			if sum(color) == 0
				val =  2; % black
			elseif sum(color)==1 
				if color(1) == 1 
					val = 3; % red
				elseif color(2) == 1
					val = 4 ; %green
				else
					val =  5; %blue
				end
			elseif sum(color)==2
				if color(1) == 0 
					val = 6 ; % cyan
				elseif color(2) == 0
					val = 8; % magenta
				else
					val =  9; %yellow
				end
			elseif sum(color)==3 
				val =  7 ;% white
			end
			set(uh, 'Value',val);
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%		
% linestyle

		butn=3;
		st='LineStyle';
		uicontrol(ldfig,...
			'Style','text',...
			'Position',[fp(1)+butl,fp(2)+butsp+(butn-1)*(buth+butsp)-textoffv,textw,buth],...
			'Units','normalized',...
			'ForegroundColor','black','String',st);
		
		st=' | -| --| :| -.| +| o| *| .| x';
		cb='Axes182LineDial(''setlinestyle'')';
		uh=uicontrol(ldfig,...
			'Style','popupmenu','String',st,'Value',val,...
			'Position',[fp(1)+butl+textw,fp(2)+butsp+(butn-1)*(buth+butsp),butw,buth],...
			'Units','normalized',...
			'ForegroundColor','black','BackgroundColor','white',...
			'CallBack',cb);

		str=get(uh,'String'); sz=size(str);
		val=1;
		for i=1:sz(1),
			if strcmp([' ',linestyle],deblank(str(i,:))), val=i; end;
		end
		set(uh,'Value',val);


 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%		

		butn=4;
		st='MarkerSize';
		uicontrol(ldfig,...
			'Style','text',...
			'Position',[fp(1)+butl,fp(2)+butsp+(butn-1)*(buth+butsp)-textoffv,textw,buth],...
			'Units','normalized',...
			'ForegroundColor','black','String',st);
		
		st=sprintf('%d',markersize);
		cb='Axes182LineDial(''setmarkersize'')';
		uh=uicontrol(ldfig,...
			'Style','edit','String',st,...
			'Position',[fp(1)+butl+textw,fp(2)+butsp+(butn-1)*(buth+butsp),butw,buth],...
			'Units','normalized',...
			'ForegroundColor','black','BackgroundColor','white',...
			'Min',1,'Max',0,'CallBack',cb);
		drawnow;
		
		figure(ldfig)
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%		

%%___________________________________________________________________%%		
elseif strcmp(f,'done'),
	set(gcf,'visible','off');
	currLine = Axes182GetExt(gcf, 'handle', 'CurrLine');
	figure(get(get(currLine,'Parent'),'Parent'));
	refresh;

%%___________________________________________________________________%%
elseif strcmp(f,'delete'),
	set(gcf,'visible','off');
	currLine = Axes182GetExt(gcf, 'handle', 'CurrLine');
	figure(get(get(currLine,'Parent'),'Parent'));
	delete(currLine);
	refresh;

%%___________________________________________________________________%%

elseif strcmp(f,'setlinewidth'),
	val=get(gco, 'Value');
	st=get(gco, 'String');
    currLine = Axes182GetExt(gcf,  'handle', 'CurrLine');
	set(currLine,'LineWidth',sscanf(st(val,:),'%f'));
	corrLine = Axes182GetExt(currLine, 'handle', 'LgdCorr');
	if corrLine ~= []
		set(corrLine,'LineWidth',sscanf(st(val,:),'%f'));
	end
	refresh;

%%___________________________________________________________________%%
elseif strcmp(f,'setlinecolor'),
	val=get(gco,'Value');
	st=get(gco,'String');
	currLine = Axes182GetExt(gcf, 'handle', 'CurrLine');
	if (val == 10 | val == 1)
		uisetcolor(currLine, 'Select color for line:');
		return
	end
	
	set(currLine,'Color',st(val,:));
	corrLine = Axes182GetExt(currLine, 'handle', 'LgdCorr');
	if corrLine ~= []
		set(corrLine,'Color',st(val,:));
	end
	refresh;

%%___________________________________________________________________%%
elseif strcmp(f,'setlinestyle'),
	val=get(gco,'Value');
	st=get(gco,'String');
	currLine = Axes182GetExt(gcf, 'handle', 'CurrLine');
	currLine
	set(currLine,'LineStyle',st(val,:));
	corrLine = Axes182GetExt(currLine, 'handle', 'LgdCorr')
	if corrLine ~= []
		set(corrLine,'LineStyle',st(val,:));
	end
	refresh;

%%___________________________________________________________________%%
elseif strcmp(f,'setmarkersize'),
	val=get(gco,'String');
	currLine = Axes182GetExt(gcf,  'handle', 'CurrLine');
	set(currLine,'MarkerSize',sscanf(val,'%d'));
	corrLine = Axes182GetExt(currLine, 'handle', 'LgdCorr');
	if corrLine ~= []
		set(corrLine,'MarkerSize',sscanf(val,'%d'));
	end
	refresh;	
					
end;
