function Axes182MoveAxis(arg)
%MOVEAXIS  Used to grab and move legends and axes.
%	To use, click and hold down a mouse button while
%	the cursor is near the lower left corner of the
%	axis you want to move. Wait for the cursor to change
%	to a fleur (4 way arrows), then drag the legend or axis
% 	to the desired location and release the mouse button.
%
%	To enable, set the figure window's WINDOWBUTTONDOWNFCN
%	property to 'moveaxis'. For example,
%
%	         set(gcf,'WindowButtonDownFcn','moveaxis')

%	10/5/93  D.Thomas
%	Copyright (c) 1984-94 by The MathWorks, Inc.



global OLDCA DELTA HL FIGUTS;

st=get(gcf,'SelectionType');
str = ['In Axes182MoveAxis seltype: ', st];
disp(str)
gcoType = get(gco, 'Type')
gcoUd=  get(gco, 'UserData')
gco

if nargin==0,
	if (strcmp(st,'normal'))
%		Axes182MoveAxis(1);
	end
elseif arg==1,
	Kids=get(gcf,'children');
	AxesObjs =findobj(Kids','Type','axes');
	if (AxesObjs == []), return, end % Can't move axis if there isn't one
	
	FIGUTS = get(gcf,'units');
	set(gcf,'pointer','fleur');
	if strcmp(FIGUTS,'normalized'),
		pnt = get(gcf,'currentpoint');
		set(gcf,'units','pixels');	
		pos = get(gcf,'position');
		pnt = [pnt(1) * pos(3) pnt(2) * pos(4)];
	else,
		set(gcf,'units','pixels');
		pnt=get(gcf,'currentpoint');
	end
	
	
	%Select the closest axes in some ridiculous way!
	mn=1e20;
	mi=1;
	for i=1:length(AxesObjs)
		oldunits=get(AxesObjs(i),'units'); %save old
		set(AxesObjs(i),'units','pixels')
		cap=get(AxesObjs(i),'position');
		if sum((pnt-cap(1:2)).^2)<mn,
			mn=sum((pnt-cap(1:2)).^2);
			mi=i;
			DELTA=cap(1:2)-pnt;
		end
		set(AxesObjs(i),'units',oldunits); 
	end
	
	% mi is the index of the selected axes
	ah =  AxesObjs(mi);
	 UD=get(ah,'userdata');
	OLDCA=gca;	
	if (~isempty(UD)),
		if UD(1,1)==1.1;	% Magic number for legends
			UD(1,7) = 1;       % Change this value for some nonobvious reason!
			set(ah,'userdata', UD);  % set UD back!
			OLDCA=UD(1,2); % That's the axes the legend belongs to I think!
		end
	end
	set(gcf,'currentobject', ah);
	% save some stuff  in HL string for now!			
	HL=[ah abs(get(ah,'units'))];
	set(ah,'units','pixels');
	
	set(gcf,'windowbuttonmotionfcn','Axes182MoveAxis(2)');
 	set(gcf,'windowbuttonupfcn','Axes182MoveAxis(3)');
elseif arg==2,
	apos=get(gco,'position');
	set(gco,'units','pixels','drawmode','fast',...
	'position',[get(gcf,'currentpoint')+DELTA apos(3:4)]);
elseif arg==3,
 	set(gcf,'WindowButtonMotionfcn','', ...
	    'pointer','arrow','currentaxes',OLDCA, ...
		'windowbuttonupfcn','');
	% Why can't gco be used here????
	set(HL(1),'units',setstr(HL(2:length(HL))));
	set(gcf,'units',FIGUTS);
	%
end



