function Axes182MoveLegend(arg)
%Axes182MoveLegend Used to grab and move legends.
%	To use, click and hold down a mouse button while
%	the cursor is over the legend
%	 you want to move. Wait for the cursor to change
%	to a fleur (4 way arrows), then drag the legend
% 	to the desired location and release the mouse button.
%
%	To enable, set the figure legend's BUTTONDOWNFCN
%	property to 'moveaxis'. For example,
%
%	         set(legend,'ButtonDownFcn','Axes182MoveLegend')

%	10/5/93  D.Thomas
%	Copyright (c) 1984-94 by The MathWorks, Inc.
%	 Fudged by Lena Peterson to work as buttondown function instead of
% windowbuttondownfunction.


global OLDCA DELTA HL FIGUTS;

st=get(gcf,'SelectionType');
str = ['In Axes182moveaxis seltype: ', st];
disp(str)
gcoType = get(gco, 'Type')
gcoUd=  get(gco, 'UserData')
gco

if nargin==0,
	if strcmp(st,'normal') & strcmp(get(gco, 'Type'),'axes')
		Axes182MoveLegend(1);
	end
elseif arg==1,
	ah = gco;
	UD = get(ah, 'UserData')
	if UD == []
		return;
	elseif UD(1,1) ~= 1.1
		return
	end
	
	FIGUTS = get(gcf,'units');
	set(gcf,'pointer','fleur');
	if strcmp(FIGUTS,'normalized'),
		pnt = get(gcf,'currentpoint');
		set(gcf,'units','pixels');	
		pos = get(gcf,'position');
		pnt = [pnt(1) * pos(3) pnt(2) * pos(4)];
	else,
		set(gcf,'units','pixels');
		pnt=get(gcf,'currentpoint');
	end
	
	UD(1,7) = 1;       % Change this value for some nonobvious reason!
	set(ah,'userdata', UD);  % set UD back!
	OLDCA=UD(1,2); % That's the axes the legend belongs to I think!
	
	units=get(ah,'units');
	set(ah,'units','pixels')
	cap=get(ah,'position');
	DELTA=cap(1:2)-pnt;
	set(ah,'units',units);

	% save some stuff  in HL string for now!			
	HL=[ah abs(get(ah,'units'))];
	set(ah,'units','pixels');
	
	set(gcf,'windowbuttonmotionfcn','Axes182MoveLegend(2)');
 	set(gcf,'windowbuttonupfcn','Axes182MoveLegend(3)');
elseif arg==2,
	apos=get(gco,'position');
	set(gco,'units','pixels','drawmode','fast',...
	'position',[get(gcf,'currentpoint')+DELTA apos(3:4)]);
elseif arg==3,
 	set(gcf,'WindowButtonMotionfcn','', ...
	    'pointer','arrow','currentaxes',OLDCA, ...
		'windowbuttonupfcn','');
	% Why can't gco be used here????
	set(HL(1),'units',setstr(HL(2:length(HL))));
	set(gcf,'units',FIGUTS);
	%
end



