function Axes182Msg(nx,ny,str,color,just,size)
% pop up message at normalized screen coordinates nx,ny
% and delete on first mouse movement, restoring old windowbuttonmotionfcn
% only one message of one line is allowed at this time
% owing to difficulty of keeping track of old windown
% motion function

global Axes182MsgPtr Axes182MsgWMF

if nargin==0, % clear messages, set WMF to string
	delete(Axes182MsgPtr);
	Axes182MsgPtr=[];
	set(gcf,'WindowButtonMotionFcn',Axes182MsgWMF);
else,
	if ~isempty(Axes182MsgPtr), return; end;
	
	[x,y]=Axes182sc2dc(nx,ny);
	
	Axes182MsgPtr=text(x,y,str,...
		'FontSize',size,'HorizontalAlignment',just,'Color',color,...
		'EraseMode','background');
	Axes182MsgWMF=get(gcf,'WindowButtonMotionFcn');
	set(gcf,'WindowButtonMotionFcn','Axes182Msg;');
end;
