function Axes182Object(f,arg)
%f=='setup', 		%set up functions
%f=='on ', 		    % also setup functions
%f=='off',      	% turn off objects (say, during zoom, measure functions)
%f=='line', 		% handle doubleclick on line
%f=='textstatic', % handle doubleclick on static text 
%f=='textdown', % handle doubleclick or mouse button down on moveable text  object
%f=='textmove'  % handle text motion
%f=='textup', 	% mouse up after text move

global  Axes182oldWBMF Axes182oldWBUF

if nargin==0, f=1; end;

if strcmp(f, 'setup') | strcmp(f,'on')
	disp('Setting up with Axes182')
	tl=get(gca,'Title');
	set(tl,'ButtonDownFcn','Axes182Object(''textstatic'')');
	xl=get(gca,'XLabel');
	set(xl,'ButtonDownFcn','Axes182Object(''textstatic'')');
	yl=get(gca,'YLabel');
	set(yl,'ButtonDownFcn','Axes182Object(''textstatic'')');
	kids=get(gca,'Children');
	
	lines = findobj(kids, 'Type', 'line');
	set(lines,'ButtonDownFcn','Axes182Object(''line'')');
	set(lines,'EraseMode','background');
	
	text = findobj(kids, 'Type', 'text');
	set(text,'ButtonDownFcn','Axes182Object(''textdown'')');
	
elseif strcmp(f, 'off')	
	tl=get(gca,'Title');
	set(tl,'ButtonDownFcn','');
	xl=get(gca,'XLabel');
	set(xl,'ButtonDownFcn','');
	yl=get(gca,'YLabel');
	set(yl,'ButtonDownFcn','');
	kids=get(gca,'Children');
	
	lines = findobj(kids, 'Type', 'line');
	set(lines,'ButtonDownFcn','');
	
	text = findobj(kids, 'Type', 'text');
	set(text,'ButtonDownFcn','');
	
elseif strcmp(f, 'line'), % handle doubleclick on line
	disp('line in Axes182Object'); 
	get(gco)
	selType = get(gcf, 'SelectionType');
	if strcmp (selType, 'open') % i.e doubleclick
		% What does this code do?
		% It seems it redraws the line after one is done!
		for i=1:14/(1+log(length(get(gco,'XData'))));
			set(gco,'Visible','off');
			drawnow;
			set(gco,'Visible','on');
				drawnow;
		end;
		Axes182LineDial('create',gco);
	end;
elseif strcmp(f, 'textstatic') % handle  doubleclick on static text 
	disp('textstatic in Axes182Object');
	selType = get(gcf, 'SelectionType')
	if strcmp (selType, 'open')
		Axes182TextDial('create',gco);
	end
elseif strcmp(f , 'textdown') % handle  doubleclick or buttondown on moveable text 
	disp('textdown in Axes182Object');
	selType = get(gcf, 'SelectionType')
	if strcmp (selType, 'open')
		Axes182TextDial('create',gco);
	else
		% the button came down but maybe not up again
		% this text object can now be moved
		Axes182oldWBMF = get(gcf, 'WindowButtonMotionFcn')
		set(gcf,'WindowButtonMotionFcn','Axes182Object(''textmove'')')
		Axes182oldWBUF = get(gcf, 'WindowButtonUpFcn')
		set(gcf,'WindowButtonUpFcn','Axes182Object(''textup'')');
		set(gco,'EraseMode','background');
	end;
	
elseif strcmp(f, 'textmove'), % handle motion for text objects
	cp=get(gca,'CurrentPoint');
	set(gco,'Position',[cp(1,1),cp(1,2),0]);
	
elseif strcmp (f, 'textup'), % mouse up for text, where did it end up?????
	cp=get(gca,'CurrentPoint');
	set(gco,'Position',[cp(1,1),cp(1,2),0]);
	set(gco,'EraseMode','normal');
	
	% reset  window functions to what they were before!
	set(gcf,'WindowButtonMotionFcn', Axes182oldWBMF);
	set(gcf,'WindowButtonUpFcn',  Axes182oldWBUF);
end;


