function [retarg] =  Axes182SetExt(objHandle, PropName, PropValue, Extra)

% Axes182SetExt (H, P, V) sets the user-defined property with name P to the string V for the
% object with handle H. The properties are stored in the 'UserData' of the object
%  H maybe a vector of handles in which case V can either
% be one string or a vector of strings of the same length as H.
% If contains only one string all the properties are the to that string
% otherwise each object gets the corresponding stiring from the V string matrix.
%
% B = Axes182SetExt(H, P) returns  B = 1 if the user-defined property P
% is set for object with handle H, otherwise B=0. If H is a vector, 
%  B is also a vector with each value of B corresponding to one handle in H.
%
% The property names  are not compared case sensitively 
% but are stored internally the way they were entered.

if nargin == 4 & ( strcmp(PropName,'handle') |  strcmp(PropName, 'number'))
	PropName = PropValue;
	if Extra ~= []
		PropValue = setstr([Extra 0]);
	else
		PropValue = '';
	end
	nargin = 3;
end

if nargin == 1
	disp('Axes182SetExt with only handle arg NIY');
	sysbeep;
	retarg= [];
elseif nargin == 2
	PropName = deblank(PropName);
	retarg=[];
	for k=1:length(objHandle)
		UD = get(objHandle, 'UserData');
		if UD == []
			retarg = [B 0];
		else
			UDsize = size(UD);
			UDnum = UDsize(1);
			nextAns = 0;
			for j=1:2:UDnum
				if strcmp(lower(PropName), deblank(lower(UD(j,:))))
					nextAns = 1;
					break;
				end
			end
			retarg = [retarg nextAns];
		end
	end
elseif nargin == 3
	PropName =  deblank(PropName);
	maxinlen = max(length(PropName), length(PropValue));

	UD = get(objHandle, 'userdata');
	
	if (UD == [])
		if  (PropValue ~= '')
			UD = str2mat(PropName, PropValue);
		end
	else
		UDsize = size(UD);
		UDstrlen = UDsize(2);
		UDnum= UDsize(1);
		% If there is odd number of rows add one extra so type always
		% goes on  an odd numbered row
		if  rem(UDnum , 2) == 1
			UD = str2mat(UD, '');
			UDnum = UDnum +1;
		end
		% UDlen is < length(PropName then PropName can't be in there so we don't
		% have to check
	
		propValIx = 0;
		if 	UDstrlen >= length(PropName)
			for  k=1:2:UDnum
				if strcmp(lower(PropName), deblank(lower(UD(k,:))))
					propValIx = k+1;
					break;
				end
			end
		end
	
		if (propValIx ~= 0)
			% change old property
			if PropValue ~= ''
				if propValIx == UDnum
					% Avoid getting blank line at end
					UD = str2mat(UD(1:propValIx-1,:), PropValue);
				else
					UD = str2mat(UD(1:propValIx-1,:), PropValue, UD(propValIx+1:UDnum,:));
				end
			% delete old property
			elseif PropValue == ''
				if propValIx == 2 & UDnum == 2
					UD = [];
				elseif propValIx == 2
					UD = UD(3:UDnum,:)
				elseif propValIx == UDnum
					UD =UD(1:UDnum-2,:)
				else
					UD = [UD(1:propValIx-2,:); UD(propValIx+1:UDnum,:)]
				end
				% Delete columns of blanks!
				if UD ~= []
			 		k = UDstrlen;
					col = UD(:,k)'
					while  deblank(col)== ''
						k = k - 1
						col =UD(:,k)';
					end
					if k < UDstrlen
						UD = UD(:,1:k);
					end	
				end				
			end
		elseif PropValue ~= ''
			% addnew property
			UD= str2mat(UD, PropName, PropValue);
		end
	end
	set (objHandle, 'userdata', UD);
else
	error ('Wrong number of args to Axes1812SetExt');
end
	
