function Axes182TextDial(f,arg)
% create dialog box for changing text!
% NO global variables are used!

if nargin==0, figure; f='create'; arg=text; end;

if strcmp(f,'create'),
		% get properties for current object
		currText=arg;
		fontname=get(currText,'FontName');
		fontsize=get(currText,'FontSize');
		fontangle=get(currText,'FontAngle');
		fontweight=get(currText,'FontWeight');
		color=get(currText,'Color');
		rotation=get(currText,'Rotation');
%		horizontalalignment=get(currText,'HorizontalAlignment');
%		verticalalignment=get(currText,'VerticalAlignment');
		string=get(currText,'String');
		
		DlgName='Text Style';
		[flag,fig]=figflag(DlgName,1);
		if flag 
			Axes182SetExt (fig, 'handle', 'CurrText',  currText); 
			kids = get(fig, 'Children');
			uh = findobj(kids, 'callback', 'Axes182TextDial(''setstring'')');
			set(uh,'String',string);

			uh = findobj(kids, 'callback', 'Axes182TextDial(''setname'')');
			str=get(uh,'String'); sz=size(str);
			val=1;
			for i=1:sz(1),
				if findstr(str(i,:),fontname), val=i; end;
			end
			set(uh,'Value',val);

			uh = findobj(kids, 'callback', 'Axes182TextDial(''setsize'')');
			atr=get(uh,'String'); sz=size(str);
			val=1;
			for i=1:sz(1),
				if findstr(str(i,:),int2str(fontsize)), val=i; end;
			end
			set(uh,'Value',val);

			uh = findobj(kids, 'callback', 'Axes182TextDial(''setangle'')');
			str=get(uh,'String'); sz=size(str);
			val=1;
			for i=1:sz(1),
				if findstr(str(i,:),fontangle), val=i; end;
			end
			set(uh,'Value',val);
			
			uh = findobj(kids, 'callback', 'Axes182TextDial(''setweight'')');
			str=get(uh,'String'); sz=size(str);
			val=1;
			for i=1:sz(1),
				if findstr(str(i,:),fontweight), val=i; end;
			end
			set(uh,'Value',val);

			uh = findobj(kids, 'callback', 'Axes182TextDial(''setrotation'')');
			str=get(uh,'String'); sz=size(str);
			val=1;
			for i=1:sz(1),
				if sscanf(str(i,:),'%d')==rotation, val=i; end;
			end
			set(uh,'Value',val);

			figure(fig);
			return;
		end;
		
		ForegroundColor = get(0,'DefaultUIControlForegroundColor');
		BackgroundColor = get(0,'DefaultUIControlBackgroundColor');
		set(0,'Units','normalized');
		
		% Get layout parameters
		ScreenUnits = get(0,'Units');
		set(0,'Units','pixels');
		ScreenPos = get(0,'ScreenSize');
		set(0,'Units',ScreenUnits);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%		
% make dialog figure
		fp=[ScreenPos(3)*.4,ScreenPos(4)*.4,400,100];
		tdfig=figure(...
			'Units','pixels','Position',fp,...
			'NumberTitle','off','Name',DlgName, ...
 			'NextPlot','new','Resize','off','MenuBar','none', ...
 			'Color',BackgroundColor);

		set(tdfig,'Units','normalized');
		Axes182SetExt (tdfig, 'handle', 'CurrText',  currText); 
%		set(tdfig,'DefaultUiControlFontSize',6);
		drawnow discard
		
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%		
% make close box
		cb='Axes182TextDial(''done'')'; st='Close';
		uicontrol(tdfig,...
			'Style','pushbutton',...
			'Position',[.55,.01,.3,.2],...
			'Units','normalized',...
			'String',st,...
			'Callback',cb);
		drawnow discard
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%		
% make delete box
		cb='Axes182TextDial(''delete'')'; st='Delete';
		uicontrol(tdfig,...
			'Style','pushbutton',...
			'Position',[.15,.01,.3,.2],...
			'Units','normalized',...
			'BackgroundColor','red','String',st,...
			'Callback',cb);
		drawnow discard
		
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%		
% make string editing box
		cb='Axes182TextDial(''setstring'')';
		uicontrol(tdfig,...
			'Style','edit','String',string,...
			'Min',1,'Max',0,...
			'Position',[.05,.7,.9,.23],...
			'Units','normalized',...
			'ForegroundColor','black','BackgroundColor','white',...
			'CallBack',cb);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%		
% fontname box
		pos=Axes182TextDialPos(0,1);
		st='Font'; 
		uicontrol(tdfig,...
			'Style','text',...
			'Position',pos,...
			'Units','normalized',...
			'ForegroundColor','black','String',st);
			
		st=' |Helvetica|Times|Palatino|Symbol|Courier';
		cb='Axes182TextDial(''setname'')';
		pos=Axes182TextDialPos(0,0);
		uh=uicontrol(tdfig,...
			'Style','popupmenu','String',st,...
			'Position',pos,...
			'Units','normalized',...
			'ForegroundColor','black','BackgroundColor','white',...
			'CallBack',cb);
		str=get(uh,'String'); sz=size(str);
		val=1;
		for i=1:sz(1),
			if findstr(str(i,:),fontname), val=i; end;
		end
		set(uh,'Value',val);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%		
% size box
		pos=Axes182TextDialPos(1,1);
		st='Size'; 
		uicontrol(tdfig,...
			'Style','text',...
			'Position',pos,...
			'Units','normalized',...
			'ForegroundColor','black','String',st);
			
		st=' |5|6|7|8|9|10|11|12|14|16|18|24|36';
		cb='Axes182TextDial(''setsize'')';
		pos=Axes182TextDialPos(1,0);
		uh=uicontrol(tdfig,...
			'Style','popupmenu','String',st,...
			'Position',pos,...
			'Units','normalized',...
			'ForegroundColor','black','BackgroundColor','white',...
			'CallBack',cb);
		str=get(uh,'String'); sz=size(str);
		val=1;
		for i=1:sz(1),
			if findstr(str(i,:),int2str(fontsize)), val=i; end;
		end
		set(uh,'Value',val);


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%		
% set font angle (normal, oblique, bold, etc)
		pos=Axes182TextDialPos(2,1);
		st='Angle'; 
		uicontrol(tdfig,...
			'Style','text',...
			'Position',pos,...
			'Units','normalized',...
			'ForegroundColor','black','String',st);
			
		st=' |normal|italic|oblique';
				
		cb='Axes182TextDial(''setangle'')';
		pos=Axes182TextDialPos(2,0);
		uh=uicontrol(tdfig,...
			'Style','popupmenu','String',st,...
			'Position',pos,...
			'Units','normalized',...
			'ForegroundColor','black','BackgroundColor','white',...
			'CallBack',cb);
		str=get(uh,'String'); sz=size(str);
		val=1;
		for i=1:sz(1),
			if findstr(str(i,:),fontangle), val=i; end;
		end
		set(uh,'Value',val);


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%		
% Weight 
		pos=Axes182TextDialPos(3,1);
		st='Weight';
		uicontrol(tdfig,...
			'Style','text',...
			'Position',pos,...
			'Units','normalized',...
			'ForegroundColor','black','String',st);
		
		st=' |light|normal|demi|bold';
		cb='Axes182TextDial(''setweight'')';
		pos=Axes182TextDialPos(3,0);
		uh=uicontrol(tdfig,...
			'Style','popupmenu','String',st,'Value',val,...
			'Position',pos,...
			'Units','normalized',...
			'ForegroundColor','black','BackgroundColor','white',...
			'CallBack',cb);
		str=get(uh,'String'); sz=size(str);
		val=1;
		for i=1:sz(1),
			if findstr(str(i,:),fontweight), val=i; end;
		end
		set(uh,'Value',val);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%		
% Color 
		pos=Axes182TextDialPos(4,1);
		st='Color';
		uicontrol(tdfig,...
			'Style','text',...
			'Position',pos,...
			'Units','normalized',...
			'ForegroundColor','black','String',st);
		
		st='     |black|red|green|blue|cyan|white';
		cb='Axes182TextDial(''setcolor'')';
		pos=Axes182TextDialPos(4,0);
		uh=uicontrol(tdfig,...
			'Style','popupmenu','String',st,'Value',1,...
			'Position',pos,...
			'Units','normalized',...
			'ForegroundColor','black','BackgroundColor','white',...
			'CallBack',cb);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%		
% Rotation 
		pos=Axes182TextDialPos(5,1);
		st='Rotation';
		uicontrol(tdfig,...
			'Style','text',...
			'Position',pos,...
			'Units','normalized',...
			'ForegroundColor','black','String',st);
		
		st='   |0|90|180|270';
		cb='Axes182TextDial(''setrotation'')';
		pos=Axes182TextDialPos(5,0);
		uh=uicontrol(tdfig,...
			'Style','popupmenu','String',st,...
			'Position',pos,...
			'Units','normalized',...
			'ForegroundColor','black','BackgroundColor','white',...
			'CallBack',cb);
		str=get(uh,'String'); sz=size(str);
		val=1;
		for i=1:sz(1),
			if sscanf(str(i,:),'%d')==rotation, val=i; end;
		end
		set(uh,'Value',val);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
elseif strcmp(f,'done'),
	set(gcf,'Visible','off');
	currText = Axes182GetExt(gcf, 'handle', 'CurrText');
	figure(get(get(currText,'Parent'),'Parent'));
	refresh;

%%___________________________________________________________________%%	
elseif strcmp(f,'delete'),
	set(tdfig,'Visible','off');
	currText = Axes182GetExt(gcf, 'handle', 'CurrText');
	figure(get(get(currText,'Parent'),'Parent'));
	delete(currText);
	refresh;
%%___________________________________________________________________%%	
elseif strcmp(f,'setstring'),
	st=get(gco,'String');
	currText = Axes182GetExt(gcf, 'handle', 'CurrText');
	set(currText,'String',st);
	refresh;
%%___________________________________________________________________%%	
elseif strcmp(f,'setname'),
	val=get(gco,'Value');
	st=get(gco,'String');
	set(currText,'FontName',st(val,:));
	refresh;
%%___________________________________________________________________%%	
elseif strcmp(f,'setsize'),
	val=get(gco,'Value');
	st=get(gco,'String');
	currText = Axes182GetExt(gcf, 'handle', 'CurrText');
	set(currText,'FontSize',sscanf(st(val,:),'%d'));
	refresh;
%%___________________________________________________________________%%	
elseif strcmp(f,'setangle'),
	val=get(gco,'Value');
	st=get(gco,'String');
	currText = Axes182GetExt(gcf, 'handle', 'CurrText');
	set(currText,'FontAngle',st(val,:));
	refresh;
%%___________________________________________________________________%%	

elseif strcmp(f,'setweight'),
	val=get(gco,'Value');
	st=get(gco,'String');
	currText = Axes182GetExt(gcf, 'handle', 'CurrText');
	set(currText,'FontWeight',st(val,:));
	refresh;
%%___________________________________________________________________%%						
elseif strcmp(f,'setcolor'),
	val=get(gco,'Value');
	st=get(gco,'String');
	currText = Axes182GetExt(gcf, 'handle', 'CurrText');
	set(currText,'Color',st(val,:));
	refresh;
%%___________________________________________________________________%%						
elseif strcmp(f,'setrotation'),
	val=get(gco,'Value');
	st=get(gco,'String');
	currText = Axes182GetExt(gcf, 'handle', 'CurrText');
	set(currText,'Rotation',sscanf(st(val,:),'%d'));
	refresh;
					
end;
