function  [res] = Axes182WinBtnDwnFcn(arg)

%This is the interface function to the ButtonDown functions for various 
% entities in the figure
% for now it only does stuff if the currentobject is an axes object.

%It should always run the  ButtonDownFcns automatically.....
%so this isn't really needed.....

% A kludge to find which objects except for gco is under the current point
% The only types of objects in a figure are, uicontrols, uiemnus and axes.
% We are only interested in axes for now

%If gco == gcf then no axes'object is under pointer.

if gco == gcf, return , end;
if ~strcmp(get(gco, 'Type'), 'axes'), return, end;

kids = get(gcf, 'Children')
ax = findobj(kids, 'Type', 'axes');

oldfunits = get(gcf, 'Units');
set(gcf, 'Units', 'pixels');
% This in window coords
cp = get(gcf, 'CurrentPoint')
fpos =	get(gcf, 'Position')
set (gcf, 'Units', oldfunits);

oldcounits = get(gco, 'Units')
set(gco, 'Units', 'pixels');
cop = get(gco, 'Position');
cocoord = [cop(1:2) cop(1)+cop(3)  cop(2)+cop(4)]
set(gco, 'Units', oldcounits);

% Find objects for which current point intersects the bounding box
% and which are completely covered by current object bounding box.

intersect = [];
for k = 1:length(ax)
	if ax(k) ~=gco
		oldaunits = get(ax(k), 'Units');
		set(ax(k),  'Units', 'pixels');
		apos = get(ax(k), 'Position')
		alcoord = [apos(1) apos(2) apos(1)+apos(3) apos(2)+apos(4)];
		
		set(ax(k),  'Units',  oldaunits);
		
			
%		t1 = cp(1) >= alcoord(1);
%		fprintf (1, 'cp(1) %g >= alcoord(1) %g is %d\n', cp(1), alcoord(1), t1);
%		t2 =  cp(1) <= alcoord(3);
%		fprintf (1, 'cp(1) %g <= alcoord(3) %g is %d\n', cp(1), alcoord(3), t2);
%		t3 = cp(2) >=alcoord(2);
%		fprintf (1, 'cp(2) %g >= alcoord(2) %g is %d\n', cp(2), alcoord(2), t3);
%		t4 = cp(2) <= alcoord(4);
%		fprintf (1, 'cp(2) %g <= alcoord(4) %g is %d\n', cp(2), alcoord(4), t4);
%		t5 = cocoord(1) <= alcoord(1);
%		fprintf (1, 'cocoord(1) %g <=  alcoord(1) %g is %d\n', cocoord(1), alcoord(1), t5);
%		t6 = cocoord(2) <= alcoord(2);
%		fprintf (1, 'cocoord(2) %g <= alcoord(2) %g is %d\n', cocoord(2), alcoord(2), t6);
%		t7=cocoord(3) >= alcoord(3);
%		fprintf (1, 'cocoord(3) %g >= alcoord(3) %g is %d\n', cocoord(3), alcoord(3), t7);
%		t8=cocoord(4) >= alcoord(4);
%		fprintf (1, 'cocoord(4) %g >= alcoord(4) %g is %d\n', cocoord(4), alcoord(4), t8);
		
		if  cp(1) >= alcoord(1) & cp(1) <=  alcoord(3) & ...
			cp(2) >= alcoord(2) & cp(2) <= alcoord(4) &...
			cocoord(1) <= alcoord(1) & cocoord(2) <= alcoord(2) &...
			cocoord(3) >= alcoord(3) & cocoord(4) >= alcoord(4)
			
%			disp('I did set it')
			intersect = [intersect ax(k)];
		end
	
	end
end

if intersect ~= []
	set(gcf, 'CurrentObject', intersect(1));
end;

if length(intersect) > 1
	% Select legend if there is one.
	for k =1:length(intersect)
		UD = get(intersect(k), 'UserData');
		if  UD ~= []
			if UD(1,1) == 1.1; % magic number for legends
				set(gcf, CurrentObject, intersect(k));
				break;
			end
		end
	end
end


	
% Reset the stacking order
% Can't do this for now due to copyobj not working correctly on Macs
%get(gcf, 'Children')
%Axes182StackOrder;
%get(gcf, 'Children')



