% GUIfit182:  1-D data fitting program with graphical user interface (GUI) by Lena Peterson
% version 1.0 10-24-95
%
% GUIfit182 starts the progam without supplying indata.
% GUIfit182(x, y, [sigma]) where x and y are the data vectors 
%                                          and sigma is an optional error vector of the
%                                          same length as y is also a possible invokation.
% For an explanation of the capablitites of GUIfit182 do 'help GUIfit182' and/or
% check the README file in the GUfit182 folder.
%
% Here's an list of what the various function in this folder are used for:
%
% Graphical interface functions:
%   GUIfit182.m                   -- main function for GUI callbacks
%   GUIfit182Plot.m             -- function for GUI plot  callbacks;
%   GUIfit182ExportDB.m   -- export & save dialog boxes with callbacks.
%   GUIfit182DataOut.m      -- script to be executed as callback  when data actually is exported
%   GUIfit182ImportDB.m   --  import dialog box with callbacks.
%   GUIfit182DataIn.m         -- script to be executed as callback  when data actually is imported
%   GUIfit182AxesDB.m      -- axes paramters dialog box w.  callbacks
%   GUIfit182CustomDB.m  -- custom fit function dialog box w. callbacks
%   GUIfit182TweakDB.m   --  dialog bax for deleting points from fit data w. callbacks
%   GUIfit182 InterpDB.m    -- interpolation dialog box w. callbacks
%
% Numerical functions:
%  GUIfit182Nlls
%  GUIfit182Mrqmin
%  GUIfit182Mrqcoef  
%  GUIfit182Fiteval     -- evaluate fit
%
%  Utility functions:
%    For  graphical interface
%    GUIfit182Button        -- shorthand for pushbutton
%    GUIfit182ButtonInv   --  shorthand for initially invisible pushbutton
%    GUIfit182Editbox       -- shorthand for editbox with textlabel
%    GUIfit182Textbox      -- shorthand for textbox with textlabel
%  	Others:
% 	GUIfit182LowCoord.m -- in a vector gets coord the values of which is <= specified value.
% 	GUIfit182HighCoord.m -- in  a vector gets coord the values of which is >= specified value.
% 	GUIfit182Ipv.m             -- interpolates vector linearly with n points between each pair of points.
% 	GUIfit182Apnd2File.m -- appends arguments to named files using supplied names
% 	GUIfit182Save2File.m  -- saves(overwrites) arguments to names file using supplied names
%
% M-files  for built-in fit functions (in GUIfit182fitfncns):
% 	GUIlinfit.m
% 	GUIexpfit.m
% 	GUIatanfit.m
%		GUItanhfit.m
%		GUIdsinfit.m
%
% M-files for available custom fit functions (in GUIfit182fitfncns):
%
