function [outarg1, outarg2]  = GUIfit182ExportDB (fun)

global  isModal;

global  ExportDBName SaveDBName;

global EDBeb EDBfn EDBfb EDBcb EDBintVars EDBpref EDBbb  EDBpath;

global xData yData  xFitEv yFitEv xSeed ySeed fitParVals seedParVals;
global x2Fit y2Fit  tw2Fit  xLC2Fit xUC2Fit;
% external names for all  the Export variables
global ENbaseName;
global ENxData ENyData ENxFitEv ENyFitEv  ENxSeed ENySeed 
global ENfitParVals ENseedParVals;
global ENx2Fit  ENy2Fit  ENtw2Fit ENxLC2Fit  ENxUC2Fit;
global ENfilename;

%create dialogBox window if it doesn't exist

isModal= 1;

if  nargin==0 
	fun = 'create';
	ExportDBName = 'Export  variables to workspace';
	SaveDBName = 'Save variables to file:'
	figname = ExportDBName;
elseif nargin == 1
	if strcmp(fun, 'export')| strcmp(fun, 'save')| strcmp(fun,'create');
		expType = fun;
		fun = 'create';
		ExportDBName = 'Export  variables to external workspace';
		SaveDBName = 'Save variables to file:'
		if strcmp(expType, 'save')
			figname = SaveDBName;
		else
			figname = ExportDBName;
		end
	end
end

figname

if strcmp(fun, 'create')
	[Eflag,Efig] = figflag(ExportDBName, 1);
	[Sflag,Sfig] = figflag(SaveDBName, 1);
	Eflag
	Sflag
	if ~Eflag & ~Sflag
	% create new main window
		
		pwdstr = pwd;		 
		% add delimiter so filename can be just appended on
		if isunix
		 	EDBpath = [pwdstr, '/'];
			% on PCs its '\'
		 elseif findstr(pwdstr, '\')
			 EDBpath = [pwdstr, '\'];
		else % assume macOS
		 	EDBpath = [pwdstr, ':'];
		end
		ExportDBFig = figure('name', figname, 'numbertitle','off', 'color', 0.702*[1 1 1],...
				'resize','off','position', [200  5 305 380]);
		
		tcolor =0.5*[1 1 1];
		%create inputBoxes (from bottom up?)
		 GUIfit182Button('Cancel', 'GUIfit182ExportDB(''doCancel'')', [90  5  60 18], 'red');
		 if strcmp(figname, ExportDBName);
		 	GUIfit182Button('Export', 'GUIfit182DataOut', [170  5 60 18], 'green');
		else
			b = GUIfit182Button('Write', 'GUIfit182ExportDB(''saveOK'')', [170  5 60 18], 'green');
			set (b , 'Interruptible', 'yes');
		end
		a = uicontrol('style', 'pushbutton', 'string', 'Append', ...
							'callback',  'GUIfit182ExportDB(''appendOK'')', ...
							'position', [235 5 60 18],  'backgr', 'green', 'visible', 'off');
		% set (a , 'Interruptible', 'yes');
	    if strcmp(figname, SaveDBName)
		 	set(a, 'Visible', 'on');
		end
		
		% This is the name we build everything from if names aren't set already
		
		if  ~vexist ('ENbaseName')
			doit = 1;
		elseif  strcmp(ENbaseName,'')
			doit = 1;
		end
		if (doit)
			if  ~vexist ('ENyData')
				ENbaseName= 'data';
			elseif   strcmp(ENyData,'')
				ENbaseName= 'data';
			else
				ENbaseName= ENyData;
			end
		end
		
		x1 = 3; x2 = 20; x3 = 153; x4 = 170;
		we = 125; wc = 15; h = 18,  deltay = 36; cby = 0;
		
		y = 45;
		pref = 'X';
		cb=uicontrol('style', 'checkbox', 'position', [x1 y+cby wc h], ...
							 'callback', 'GUIfit182ExportDB(''checkbox'')');
		eb=GUIfit182Editbox('Original X data', tcolor, [x2 y we h ]);
		Axes182SetExt(eb, 'number', 'ix', 1);
		Axes182SetExt(eb, 'var', 'xData');
		Axes182SetExt(eb,  'handle', 'cb', cb);
		Axes182SetExt(eb, 'pref', pref);
		Axes182SetExt(cb,  'handle', 'eb', eb);
		EDBcb(1) = cb;
		EDBeb(1) = eb;
		EDBpref  = pref;
		EDBintVars= 'xData';
		
		% Set the name
		if  ~vexist ('ENxData')
			ENxData = [pref, ENbaseName];
		elseif strcmp(ENxData,'')
			ENxData = [pref, ENbaseName];
		end
		% The default action
		if xData ~= ''
			set(cb, 'value', 1);
			set (eb, 'string', ENxData);	
		end
		
		
		pref = 'Y';
		cb=uicontrol('style', 'checkbox', 'position', [x3 y+cby wc h], ...
							 'callback', 'GUIfit182ExportDB(''checkbox'')');
		eb=GUIfit182Editbox('Original Y data', tcolor, [x4 y we h ]);
		Axes182SetExt(eb, 'number', 'ix', 2);
		Axes182SetExt(eb, 'var', 'yData');
		Axes182SetExt(eb, 'pref', pref);
		Axes182SetExt(eb,  'handle', 'cb', cb);
		Axes182SetExt(cb,  'handle', 'eb', eb);
		EDBcb(2) = cb;
		EDBeb(2) = eb;
		EDBpref  = str2mat(EDBpref, pref);
		EDBintVars =  str2mat(EDBintVars, 'yData');
		% The name
		if  ~vexist ('ENyData')
			ENyData = [pref, ENbaseName];
		elseif strcmp(ENyData,'')
			ENyData = [pref, ENbaseName];
		end
		
	
		% The default action
		if yData  ~= ''
			set(cb, 'value', 1);
			set (eb, 'string', ENyData);
		end
	
		
		y = y + deltay;
		
		% Seed
		pref = 'XS';
		cb=uicontrol('style', 'checkbox', 'value', 0, 'position', [x1 y+cby wc h], ...
							 'callback', 'GUIfit182ExportDB(''checkbox'')');
		eb=GUIfit182Editbox('X from seed eval', tcolor, [x2 y we h ]);
		Axes182SetExt(eb, 'number', 'ix', 3);
		Axes182SetExt(eb, 'var', 'xSeed');
		Axes182SetExt(eb,  'handle', 'cb', cb);
		Axes182SetExt(eb, 'pref', pref);
		Axes182SetExt(cb,  'handle', 'eb', eb);
		EDBcb(3) = cb;
		EDBeb(3) = eb;
		EDBpref  = str2mat(EDBpref, pref);
		EDBintVars =  str2mat(EDBintVars, 'xSeed');
%		if  ~vexist ('ENxSeed')
				ENxSeed = [pref, ENbaseName];
%		elseif strcmp(ENxData,'')
%				ENxSeed = [pref, ENbaseName];
%		end
		
		pref='YS';
		cb=uicontrol('style', 'checkbox', 'value', 0, 'position', [x3 y+cby wc h], ...
		 					'callback', 'GUIfit182ExportDB(''checkbox'')');
		eb=GUIfit182Editbox('Y from seed eval ', tcolor, [x4 y we h ]);
		Axes182SetExt(eb, 'number', 'ix', 4);
		Axes182SetExt(eb, 'var', 'ySeed');
		Axes182SetExt(eb,  'handle', 'cb', cb);
		Axes182SetExt(eb, 'pref', pref);
		Axes182SetExt(cb,  'handle', 'eb', eb);
		EDBcb(4) = cb;
		EDBeb(4) = eb;
		EDBpref  = str2mat(EDBpref, pref);
		EDBintVars =  str2mat(EDBintVars, 'ySeed');
		
		if ~vexist ('ENySeed') 
				ENySeed = [pref, ENbaseName];
		elseif strcmp(ENySeed,'')
				ENySeed = [pref, ENbaseName];
		end
		
		y = y + deltay;
		
		%Evaluated fit
		
		pref='XF';
		cb=uicontrol('style', 'checkbox', 'position', [x1 y+cby wc h], ...
							 'callback', 'GUIfit182ExportDB(''checkbox'')');
		eb=GUIfit182Editbox('X from fit eval', tcolor, [x2 y we h ]);
		Axes182SetExt(eb, 'number', 'ix', 5);
		Axes182SetExt(eb, 'var', 'xFitEv');
		Axes182SetExt(eb,  'handle', 'cb', cb);
		Axes182SetExt(cb,  'handle', 'eb', eb);
		Axes182SetExt(eb, 'pref', pref);
		EDBcb(5) = cb;
		EDBeb(5) = eb;
		EDBpref  = str2mat(EDBpref, pref);
		EDBintVars =  str2mat(EDBintVars, 'xFitEv');
		
%		if  ~vexist ('ENxFitEv')
				ENxFitEv= [pref, ENbaseName];
%		elseif strcmp(ENxData,'')
%				ENxFitEv = [pref, ENbaseName];
%		end
		if  xFitEv ~= ''
			set(cb, 'value', 1);
			set (eb, 'string', ENxFitEv);
		end
		
		pref = 'YF';
		cb=uicontrol('style', 'checkbox', 'position', [x3 y+cby wc h], ...
		 					'callback', 'GUIfit182ExportDB(''checkbox'')');
		eb=GUIfit182Editbox('Y from fit eval', tcolor, [x4 y we h ]);
		Axes182SetExt(eb, 'number', 'ix', 6);
		Axes182SetExt(eb, 'var', 'yFitEv');
		Axes182SetExt(eb,  'handle', 'cb', cb);
		Axes182SetExt(cb,  'handle', 'eb', eb);
		Axes182SetExt(eb, 'pref', pref);
		EDBcb(6) = cb;
		EDBeb(6) = eb;
		EDBpref  = str2mat(EDBpref, pref);
		EDBintVars=  str2mat(EDBintVars, 'yFitEv');
		
%		if ~vexist ('ENyFitEv') 
				ENyFitEv = [pref, ENbaseName];
%		elseif strcmp(ENyFitEv,'')
%				ENyFitEv = [pref, ENbaseName];
%		end
		if  yFitEv ~= ''
			set(cb, 'value', 1);
			set (eb, 'string', ENyFitEv);
		end
		
		y = y + deltay;
		
		% Data that to which fit was performed
		
		pref = 'XT';
		cb=uicontrol('style', 'checkbox', 'position', [x1 y+cby wc h], ...
							 'callback', 'GUIfit182ExportDB(''checkbox'')');
		eb=GUIfit182Editbox('X data used for fit', tcolor, [x2 y we h ]);
		Axes182SetExt(eb, 'number', 'ix', 7);
		Axes182SetExt(eb, 'var', 'x2Fit');
		Axes182SetExt(eb,  'handle', 'cb', cb);
		Axes182SetExt(cb,  'handle', 'eb', eb);
		Axes182SetExt(eb, 'pref', pref);
		EDBcb(7) = cb;
		EDBeb(7) = eb;
		EDBpref  = str2mat(EDBpref, pref);
		EDBintVars=  str2mat(EDBintVars, 'x2Fit');
		
%		if  ~vexist ('ENx2Fit')
				ENx2Fit= [pref, ENbaseName];
%		elseif strcmp(ENx2Fit,'')
%				ENx2Fit= [pref, ENbaseName];
%		end
		if  x2Fit ~= ''
			set(cb, 'value', 1);
			set (eb, 'string', ENx2Fit);
		end
		
		pref = 'YT';
		cb=uicontrol('style', 'checkbox', 'position', [x3 y+cby wc h], ...
		 					'callback', 'GUIfit182ExportDB(''checkbox'')');
		eb=GUIfit182Editbox('Y data used for fit ', tcolor, [x4 y we h ]);
		Axes182SetExt(eb, 'number', 'ix', 8);
		Axes182SetExt(eb, 'var', 'y2Fit');
		Axes182SetExt(eb,  'handle', 'cb', cb);
		Axes182SetExt(eb, 'pref', pref);
		Axes182SetExt(cb,  'handle', 'eb', eb);
		EDBcb(8) = cb;
		EDBeb(8) = eb;
		EDBpref  = str2mat(EDBpref, pref);
		EDBintVars=  str2mat(EDBintVars, 'y2Fit');
		
%		if ~vexist ('EN2yFit') 
				ENy2Fit = [pref, ENbaseName];
%		elseif strcmp(ENy2Fit,'')
%				ENy2Fit = [pref, ENbaseName];
%		end
		if  y2Fit ~= ''
			set(cb, 'value', 1);
			set (eb, 'string', ENy2Fit);
		end
		
		y = y +deltay;
		% X and Y coord for data 2 be fit 2
		
		pref = 'LC';
		cb=uicontrol('style', 'checkbox', 'position', [x1 y+cby wc h], ...
							 'callback', 'GUIfit182ExportDB(''checkbox'')');
		eb=GUIfit182Editbox('Lower X coord for fit', tcolor, [x2 y we h ]);
		Axes182SetExt(eb, 'number', 'ix', 9);
		Axes182SetExt(eb, 'var', 'xLC2Fit');
		Axes182SetExt(eb,  'handle', 'cb', cb);
		Axes182SetExt(eb, 'pref', pref);
		Axes182SetExt(cb,  'handle', 'eb', eb);
		EDBcb(9) = cb;
		EDBeb(9) = eb;
		EDBpref  = str2mat(EDBpref, pref);
		EDBintVars =  str2mat(EDBintVars, 'xLC2Fit');
		
%		if  ~vexist ('ENxLC2Fit')
				ENxLC2Fit= [pref, ENbaseName];
%		elseif strcmp(ENxLC2Fit,'')
%				ENxLC2Fit = [pref, ENbaseName];
%		end
		if  xLC2Fit ~= ''
			set(cb, 'value', 1);
			set (eb, 'string', ENxLC2Fit);
		end
		
		pref = 'UC';
		cb=uicontrol('style', 'checkbox', 'position', [x3 y+cby wc h], ...
		 					'callback', 'GUIfit182ExportDB(''checkbox'')');
		eb=GUIfit182Editbox('Upper X coord for fit', tcolor, [x4 y we h ]);
		Axes182SetExt(eb, 'number', 'ix', 10);
		Axes182SetExt(eb, 'var', 'xUC2Fit');
		Axes182SetExt(eb,  'handle', 'cb', cb);
		Axes182SetExt(eb, 'pref', pref);
		Axes182SetExt(cb,  'handle', 'eb', eb);
		EDBcb(10) = cb;
		EDBeb(10) = eb;
		EDBpref  = str2mat(EDBpref, pref);
		EDBintVars =  str2mat(EDBintVars, 'xUC2Fit');
		
%		if ~vexist ('ENxUC2Fit') 
				ENxUC2Fit = [pref, ENbaseName];
%		elseif strcmp(ENxUC2Fit,'')
%				ENxUC2Fit = [pref, ENbaseName];
%		end
		if  xUC2Fit ~= ''
			set(cb, 'value', 1);
			set (eb, 'string', ENxUC2Fit);
		end
		
		y = y +deltay;
		%  fit parameters  & seed paramters 
		
		pref = 'FP';
		cb=uicontrol('style', 'checkbox', 'position', [x1 y+cby wc h], ...
							 'callback', 'GUIfit182ExportDB(''checkbox'')');
		eb=GUIfit182Editbox('Fitted param. values', tcolor, [x2 y we h ]);
		Axes182SetExt(eb, 'number', 'ix', 11);
		Axes182SetExt(eb, 'var', 'fitParVals');
		Axes182SetExt(eb,  'handle', 'cb', cb);
		Axes182SetExt(eb, 'pref', pref);
		Axes182SetExt(cb,  'handle', 'eb', eb);
		EDBcb(11) = cb;
		EDBeb(11) = eb;
		EDBpref  = str2mat(EDBpref, pref);
		EDBintVars =  str2mat(EDBintVars, 'fitParVals');
			
%		if  ~vexist ('ENfitParVals')
				ENfitParVals= [pref, ENbaseName];
%		elseif strcmp(ENfitParVals,'')
%				ENfitParVals = [pref, ENbaseName];
%		end
		if  fitParVals ~= ''
			set(cb, 'value', 1);
			set (eb, 'string', ENfitParVals);
		end
		
		pref = 'SP';
		cb=uicontrol('style', 'checkbox', 'position', [x3 y+cby wc h], ...
		 					'callback', 'GUIfit182ExportDB(''checkbox'')');
		eb=GUIfit182Editbox('Seed param. vals', tcolor, [x4 y we h ]);
		Axes182SetExt(eb, 'number', 'ix', 12);
		Axes182SetExt(eb, 'var', 'seedParVals');
		Axes182SetExt(eb,  'handle', 'cb', cb);
		Axes182SetExt(eb, 'pref', pref);
		Axes182SetExt(cb,  'handle', 'eb', eb);
		EDBcb(12) = cb;
		EDBeb(12) = eb;
		EDBpref  = str2mat(EDBpref, pref);
		EDBintVars =  str2mat(EDBintVars, 'seedParVals');
		
%		if ~vexist ('ENseedParVals') 
				ENseedParVals = [pref, ENbaseName];
%		elseif strcmp(ENseedParVals,'')
%				ENseedParVals = [pref, ENbaseName];
%		end
		
		y = y +deltay;
		
		pref = 'TW';
		% tweakpnts used in fit  if any
		cb=uicontrol('style', 'checkbox', 'position', [x1 y+cby wc h], ...
							 'callback', 'GUIfit182ExportDB(''checkbox'')');
		eb=GUIfit182Editbox('Vector of tweaked points', tcolor, [x2 y we h ]);
		Axes182SetExt(eb, 'number', 'ix', 13);
		Axes182SetExt(eb, 'var', 'tw2Fit');
		Axes182SetExt(eb,  'handle', 'cb', cb);
		Axes182SetExt(cb,  'handle', 'eb', eb);
		EDBcb(13) = cb;
		EDBeb(13) = eb;
		EDBpref  = str2mat(EDBpref, pref);
		EDBintVars=  str2mat(EDBintVars, 'tw2Fit');
		
%		if  ~vexist ('ENtw2Fit')
				ENtw2Fit= [pref, ENbaseName];
%		elseif strcmp(ENtw2Fit,'')
%				ENtw2Fit = [pref, ENbaseName];
%		end
		if  tw2Fit ~= ''
			set(cb, 'value', 1);
			set (eb, 'string', ENtw2Fit);
		end
		
		y = y+ deltay + 10; 
		
		eb = GUIfit182Editbox('base for var names', 'red', [100 y we h]);		
		set (eb, 'string', ENbaseName, 'callback', 'GUIfit182ExportDB(''basenameRet'')');
		Axes182SetExt(eb, 'var', 'base');
		EDBbb = eb;
		
		y = y+ deltay + 10; 
		
		ENfilename = 'file.mat';
		[eb tt]= GUIfit182Editbox('Filename', tcolor, [100 y we h]);		
		set (eb, 'string', ENfilename, 'callback', 'GUIfit182ExportDB(''filenameRet'')');
		Axes182SetExt(eb, 'var', 'filename');
		if strcmp(figname, ExportDBName)
			set(tt, 'Visible', 'off');
			set(eb, 'Visible', 'off');
		end
		EDBfn = eb;
		butt =  GUIfit182Button('Change folder', 'GUIfit182ExportDB(''doCD'')', [18 y 75 h]);
		if strcmp(figname, ExportDBName)
			set(butt, 'Visible', 'off');
		end
		EDBfb = butt;
		
		% For some reason the axes pops up. Avoid that!
		set(gca, 'Visible', 'off');
	else
		if Eflag & ~Sflag
			fig = Efig;
		elseif Sflag & ~Eflag
			fig = Sfig;
		else
			sysbeep
			return;
		end
	
		globOK = 1
		if  ~vexist('EDBeb') | ~vexist('EDBcb') | ~vexist('EDBpref') | ~vexist('EDBintVars')
			globOK = 0
		elseif EDBeb == [] | EDBcb == [] | EDBpref == [] |  EDBintVars ==[]
			globOK = 0
		end

%%********************************************************************%%			
		% set up for already created figure.
		
		if ~globOK
				pwdstr = pwd;		 
			% add delimiter so filename can be just appended on
			if isunix
		 		EDBpath = [pwdstr, '/'];
				% on PCs its '\'
		 	elseif findstr(pwdstr, '\')
			 	EDBpath = [pwdstr, '\'];
			else % assume macOS
		 		EDBpath = [pwdstr, ':'];
			end
			EDBfb = findobj(fig, 'style', 'pushbutton', 'string', 'Change folder');
			eb = findobj(fig,  'type','uicontrol', 'style',  'edit')
			num = length(eb)-2;
			if EDBpref==[]
				for i = 2:num
					EDBpref = str2mat(EDBpref, '');
				end
			end
			if EDBintVars==[]
				for i = 2:num
					EDBintVars= str2mat(EDBintVars, '');
				end
			end
			
			
			for k=1:length(eb)
				% get(eb(k))
				var = Axes182GetExt(eb(k), 'var')
				if strcmp(var, 'filename');
					EDBfn = eb(k);
				elseif strcmp(var, 'base')
					EDBbb = eb(k);
				elseif  ~strcmp(var, 'base') & ~strcmp(var, 'filename');
					ix =   Axes182GetExt(eb(k), 'number', 'ix')
					cb =  Axes182GetExt(eb(k), 'handle', 'cb')
					pref =  Axes182GetExt(eb(k), 'pref');
		
					name = [pref, ENbaseName];
					str= ['EN', var, ' = ''', name, ''';'];
					eval(str);
					
					EDBcb(ix) = cb;
					EDBeb(ix) = eb(k);
				
					if ix == 1
						EDBpref =  str2mat(pref, EDBpref(2:num,:));
						EDBintVars = str2mat(var, EDBintVars(2:num,:));
					elseif ix == num
						EDBpref = str2mat(EDBpref(1:num-1,:), pref);
						EDBintVars= str2mat(EDBintVars(1:num-1,:), var);
					else 
						EDBpref = str2mat(EDBpref(1:ix-1,:), pref, EDBpref(ix+1:num,:));
						EDBintVars= str2mat(EDBintVars(1:ix-1,:), var, EDBintVars(ix+1:num,:));
					end
				end
			end
		end
		
		% now globals are OK
		
		%Change visibility of filename and callback for OK button if necessary.
		if  ~strcmp(figname, get(fig, 'name'))
			set(fig, 'Name', figname);
			tt = findobj(fig, 'type', 'uicontrol', 'style', 'text', 'string', 'Filename');
			if strcmp(figname, ExportDBName)
				butt = findobj(fig, 'string', 'Write');
				set(EDBfn, 'Visible', 'off');
				set(tt, 'Visible', 'off');
				set(EDBfb, 'Visible', 'off');
				set(butt, 'callback', 'GUIfit182DataOut');
				set(butt, 'string', 'Export');	
				butt = findobj(fig, 'string', 'Append');
				set(butt, 'Visible', 'off');
			else
				butt = findobj(fig, 'string', 'Export');
				set(EDBfn, 'Visible', 'on');
				set(EDBfn, 'string', ENfilename);
				set(EDBfb, 'Visible', 'on');
				set(tt, 'Visible', 'on');
				set(butt, 'callback', 'GUIfit182ExportDB(''saveOK'')');
				set(butt, 'string', 'Write');
				butt = findobj(fig, 'string', 'Append');
				set(butt, 'Visible', 'on');
			end
			
		end
		
		if  ~vexist ('ENbaseName')
			doit = 1;
		elseif  strcmp(ENbaseName,'')
			doit = 1;
		end
		if  doit
			if ~vexist('ENyData')
				ENbaseName = 'data'
			elseif strcmp(ENyData, '')
				ENbaseName = 'data'
			else
				ENbaseName = ENyData;
			end
		end
		set(EDBbb, 'string', ENbaseName);
		
		for ix = 1:length(EDBeb)
			var = deblank(EDBintVars(ix,:));
			ENname = [EDBpref(ix,:), ENbaseName]
			ENvar = ['EN', var];
			
			% Update  external names from  ENbaseName
			if ~strcmp(var, 'xData') & ~strcmp(var, 'yData')
				eval([ ENvar,	 '= ENname;']);
			else
				eval (['exists = vexist(''',  ENvar, ''');']);
				if  ~exists
						eval([ENvar,  '= ENname;'])
				else
					eval(['empty = strcmp(', ENvar, ','''')'])
					if empty
						eval([ENvar,  '= ENname;'])
					end
				end
			end
			evstr = ['empty = ', var, ' == '''' '];
			eval(evstr);
			if empty
				set(EDBcb(ix), 'value', 0);
				set(EDBeb(ix), 'string', '');
			else
				show = get(EDBcb(ix), 'value');
				if show 
					eval(['set(EDBeb(ix), ''string'',', ENvar, ');']);
				else
					set(EDBeb(ix), 'string', '');
				end	
			end
		end
	    figflag(figname, 0)
	end
	disp('End create')
%%_____________________________________________________________________%%
elseif  strcmp(fun, 'initExport')
	% Set the default settings for which variables to save
	if vexist('EDBcb') & vexist('EDBintVars')
		if findstr('seed', lower(EDBintVars(ix,:)))
			set(EDBcb(ix), 'value',  0);
		else
			set(EDBcb(ix), 'value',  1);
		end
	end
%%_____________________________________________________________________%%
elseif  strcmp(fun, 'basenameRet')
	disp('basenameRet')
	% Update everything when baseName is changed
	base = gco;
	ENbaseName =  get(base, 'string');

	for ix =1:length(EDBeb)
		var = EDBintVars(ix,:);
		name = [deblank(EDBpref(ix,:)), ENbaseName]
		str= ['EN', var, ' = ''', name, ''';']
		eval(str)
		val = get(EDBcb(ix), 'value');
		if val == 1
			set(EDBeb(ix), 'string',  name);
		end
	end	
%%_____________________________________________________________________%%	
	elseif  strcmp(fun, 'filenameRet')
	% Update everything when basename is changed
	fn = gco;
	ENfilename =  get(fn, 'string');
%%_________________________________________________________________%%	
elseif strcmp(fun, 'checkbox')
	disp('checkbox')
	cb = gco;
	val = get(cb, 'value');
	eb = Axes182GetExt(cb, 'handle', 'eb');
	ix = Axes182GetExt(eb, 'number', 'ix');
	if val == 0
		set(eb, 'string', '')
	else
		var = EDBintVars(ix,:)
		 eval(['empty = ', var, ' == '''' '])
		if ~empty
			cmnd = ['set(eb, ''string'', EN', var, ');']
			eval(cmnd);
		else
			set(cb, 'value', 0);
		end
	end
		
%%_________________________________________________________________%%	
elseif  strcmp(fun, 'exportOK')
	disp('exportOK')
	% read in all names of variables
	% A variable with checkbox value off or with 0 length name is not saved.
		
	intVarNames= [];
	extVarNames= [];
		
	for ix=1:length(EDBeb)
		val = get(EDBcb(ix), 'value');
		if val == 1	
			str = get(EDBeb(ix), 'string')
			if ~strcmp(str, '');
				var = EDBintVars(ix,:)
				if length(str) > 19
					sysbeep
				elseif intVarNames == []
					intVarNames = var
					extVarNames = str
				else
					intVarNames = str2mat(intVarNames, var)
					extVarNames= str2mat(extVarNames, str)
				end
			end
		end
	end
		
	% if there is no variable names of length > 0 reply is cancel
	set (gcf, 'visible', 'off');
	isModal = 0;
		
	outarg1 = extVarNames;
	outarg2 = intVarNames;
%%_________________________________________________________________%%	 
elseif  strcmp(fun, 'doCD')
	pwd
	oldFilename = get(EDBfn, 'string');
	% We have to set path every time to make sure its right.
	% otherwise when the user reads in an M-file for example the pwd is
	% changes
	cd (EDBpath(1:length(EDBpath)-1));
	
	[filename, thePath] = uiputfile(oldFilename, 'Change directory & filename to:', 100, 50);
	if (thePath ~= 0)
			cd (thePath(1:length(thePath)-1))
			EDBpath = thePath;
	end
	pwd
	if filename ~= 0
		set(EDBfn, 'string', filename);
	end	
%%_________________________________________________________________%%	
elseif  strcmp(fun, 'saveOK')
	disp('saveOK')
	% read in all names of variables
	% A variable with checkbox value off or with 0 length name is not saved.
	argstr= [];
	extVarNames= [];
	
	for ix=1:length(EDBeb)
		val = get(EDBcb(ix), 'value');
		if val ~= 0
			str = get(EDBeb(ix), 'string');
			if ~strcmp(str, '');
				if length(str) > 19
					sysbeep
				else
					if extVarNames == []
						extVarNames = str;
					else
						extVarNames = str2mat(extVarNames, str);
					end
					if argstr == [];
						argstr =  deblank(EDBintVars(ix,:));
					else
						argstr  = [argstr, ' , ', deblank(EDBintVars(ix,:))];
					end
				end
			end
		end
	end
	if argstr ~= ''	
		%[filename, thePath] = uiputfile(EDBfilename, 'Save to:', 100, 50);
		% Try to open but do not create!
		filename = get(EDBfn, 'string');
		if filename == ''
			sysbeep;
			errordlg('Filename has zero length', 'ERROR', 'on');
			return;
		end
		pwd
		% We have to set path every time to make sure its right.
		% otherwise when the user reads in an M-file for example the pwd is
		% changes
		a = pwd;
		b = ['pwd is now: ', a];
		disp(b);
		EDBpath
		cd (EDBpath(1:length(EDBpath)-1));
		a = pwd;
		b = ['pwd is now: ', a];
		disp(b);
		if findstr('.', filename);
			totname = [EDBpath,filename]
		else
			totname = [EDBpath,filename,'.mat']
		end
		[fid, message] = fopen(totname, 'r+')
		overwrite = 'Yes'
		if (fid ~= -1)
			str2= ['File ''',  totname, ''' already exists. Do you want to overwrite it?'];
			overwrite = dialog('style', 'question', 'name', 'File overwrite query', 'textstring', str2, ...
											'buttonstrings', 'Yes|No|Append');
			fclose(fid);
			if strcmp(overwrite, 'No')
				return;
			end
		else 
			message 
		end
		if  strcmp(overwrite, 'Yes')
			str = ['GUIfit182Save2File(totname, extVarNames, ',  argstr, ')']
			eval(str);
		elseif strcmp (overwrite, 'Append')
			str = ['GUIfit182Apnd2File([EDBpath,filename], extVarNames, ',  argstr, ')']
			eval(str);
		end
	end
		
	set (gcf, 'visible', 'off');
	isModal = 0;

	%%_________________________________________________________________%%	
elseif  strcmp(fun, 'appendOK')
	disp('appendOK')
	% read in all names of variables
	% A variable with checkbox value off or with 0 length name is not saved.
		
	argstr= [];
	extVarNames= [];
	
	%filename = get(EDBfn, 'string');
	vars2save = ''
	for ix=1:length(EDBeb)
		val = get(EDBcb(ix), 'value');
		if val ~= 0
			str = get(EDBeb(ix), 'string');
			if ~strcmp(str, '');
				if length(str) > 19
					sysbeep
				else
					if extVarNames == []
						extVarNames = str;
					else
						extVarNames = str2mat(extVarNames, str);
					end
					if argstr == []
						argstr =  deblank(EDBintVars(ix,:));
					else
						argstr  = [argstr, ' , ', deblank(EDBintVars(ix,:))]
					end
				end
			end
		end
	end
	if argstr ~= ''
		filename = get(EDBfn, 'string');
		%[filename, thePath] = uigetfile(EDBfilename, 'Append to:', 100, 50);
		% Try to open file in current  directory but do not create!
		if filename == ''
			sysbeep;
			errordlg('Filename has zero length', 'ERROR', 'on');
			return;
		end
		% We have to set path every time to make sure its right.
		% otherwise when the user reads in an M-file for example the pwd is
		% changes
		cd (EDBpath(1:length(EDBpath)-1));
		fid = fopen([EDBpath,filename], 'r+');
		exists = 1;
		if (fid == -1)
			exists = 0;
		else
			fclose(fid);
		end
		if exists
			str = ['GUIfit182Apnd2File(filename, extVarNames, ',  argstr, ')']
		else
			str = ['GUIfit182Save2File(filename, extVarNames, ',  argstr, ')']
		end
		extVarNames
		eval(str)
	end
	set (gcf, 'visible', 'off');
	isModal = 0;
%%_________________________________________________________________%%	
elseif strcmp(fun, 'doCancel')
	disp('doCancel')
	set (gcf, 'visible', 'off');
	isModal = 0;
end
		
