function [outarg1] =  GUIfit182Plot(fun, arg1, arg2, arg3, arg4)
% This function handles all commands that  are related to plotting.

global GUIfit182winName
global GUIfit182debug

% internal varibles that can be plotted
global xData yData xFitEv yFitEv xSeed ySeed fitParVals;
global xTrunc yTrunc  xTweak yTweak xLTcoord xUTcoord;
%global sig2fit x2fit;
%global  x2Fit y2Fit chisq cov;

global GUIfit182lineChange; 
global ENxData ENyData;

global  dbgMsgBox;
global fitEqnNumParam fitEqnName currFitEqnNum currNumParam customFitEqnName;
global parButtons parSeedBoxes parValBoxes;

global red green orange;
global  isModal;

% These globals are not necessary but makes execution faster
global plotSeed plotFit plotErrorbar plotTweak tweakRB;
global upperAxes lowerAxes;

global GUIfit182LLChange GUIfit182ULChange
% Remember the line parameters for the different lines.
global origColor origLineStyle origLineWidth origMarkerSize
global truncColor truncLineStyle truncLineWidth truncMarkerSize
global tweakColor tweakLineStyle tweakLineWidth tweakMarkerSize
global seedColor seedLineStyle seedLineWidth seedMarkerSize
global fitColor fitLineStyle fitLineWidth fitMarkerSize

disp('Hejsan')
nargin
if  nargin == 0
	return;
end

if GUIfit182debug
	msgstr = [ 'GUIfit182Plot fun is ', fun]
	GUIfit182('Msg', msgstr);
end

if strcmp(fun, 'initLines')
	GUIfit182LLChange = 0;
	GUIfit182ULChange= 0;	
% set initial linestyles for plotting
	% lower plot
	% original data 
	origColor = [1 0 0];      %red
	origLineStyle = '-';     % default is '-'
	origLineWidth =  0.5;  %default is 0.5
	origMarkerSize = 6;  % default is 6;	
	% upper plot
	% truncated untweaked data
	truncColor = [1 0 0];     %red
	truncLineStyle = '-';     % default is '-'
	truncLineWidth =  0.5; %default is 0.5
	truncMarkerSize = 6'; % default is 6;
	%   truncated tweaked data
	tweakColor = [1 0 0];     %red
	tweakLineStyle = '-';     % default is '-'
	tweakLineWidth =  0.5; %default is 0.5
	tweakMarkerSize =  6'; % default is 6;
	%   seed fncn evaluation line
	seedColor = [0 0 1];     % blue
	seedLineStyle = '-';     % default is '-'
	seedLineWidth =  0.5; %default is 0.5
	seedMarkerSize = 6; % default is 6;
	% fit evaluation line
	fitColor = [0 1 0];     % green
	fitLineStyle = '-';     % default is '-'
	fitLineWidth = 0.5; %default is 0.5
	fitMarkerSize = 6; % default is 6;
	% Enable this line if you want your figure (=plot182) windows to have white background
	% instead of black;
	whitebg(0);
	% use these line if you want the background to be some other color, in this example grey
	%color = 0.72*[1 1 1];
	%whitebg(0, color);
%%___________________________________________________________________%%
%%___________________________________________________________________%%
elseif strcmp(fun, 'cbPlotFit')
	val = get(gco, 'Value');
	plotFit = val;
	[flag, fig]  = figflag(GUIfit182winName, 1);
	upperaxes = Axes182GetExt(fig, 'handle', 'uaxes');
	 l =findobj(get(upperaxes, 'children'), 'type', 'line')		
	fitLine = '' 
	 for k=1:length(l)
		get(l(k))
		type =  Axes182GetExt(l(k), 'LineType')
		if strcmp(type, 'fit')
			fitLine = l(k);
		end
	end
	fitLine
	if val == 1
		if fitLine == '' & length(fitParVals) > 0
			GUIfit182Plot('plotTrunc')
		elseif fitLine ~= ''
			set (fitLine, 'Visible', 'on');
		end
	elseif val == 0 & fitLine ~= ''
		set(fitLine, 'visible', 'off');
	end
%%___________________________________________________________________%%
elseif strcmp(fun, 'cbPlotSeed')
	val = get(gco, 'Value');
	plotSeed = val;
	if  val == 1
		GUIfit182Plot('plotTrunc')
	elseif val == 0
		[flag, fig]  = figflag(GUIfit182winName, 1);
		upperaxes = Axes182GetExt(fig, 'handle', 'uaxes');
	 	l =findobj(get(upperaxes, 'children'), 'type', 'line')		
	 	seedLine = '';	 
	 	for k=1:length(l)
			get(l(k))
			type =  Axes182GetExt(l(k), 'LineType')
			if strcmp(type, 'seed')
				seedLine = l(k);
			end
		end
		if seedLine ~= ''
			set(seedLine, 'visible', 'off');
		end
	end
	
%%___________________________________________________________________%%
elseif strcmp(fun, 'doErrorbar')
	% gco doesn't have to be the menu item because we can use a
	% shortcut
	[flag, fig]  = figflag(GUIfit182winName, 1);
	m = findobj(fig, 'accelerator', 'E');
	checked = get(m, 'checked')
	if strcmp(checked, 'on');
		set(m, 'checked', 'off');
	else
		set(m, 'checked', 'on');	
	end
	if chisq != 0 ''
			GUIfit182Plot('plotTrunc');
	end	
%%___________________________________________________________________%%
elseif strcmp(fun, 'getPlotErrorbar')
	if vexist('plotErrorBar')
		outarg1 = plotErrorBar;
	else
   		[flag, fig] = figflag(GUIfit182winName, 1);
		m = findobj(fig, 'accelerator', 'E');
		checked = get(m, 'checked')
   		if  strcmp (checked,'on')
   			outarg1 = 1;
			plotErrorBar = 1;
		else
			outarg1 = 0;
			plotErrorBar = 0;
		end
	end
%%___________________________________________________________________%%
elseif strcmp(fun, 'setPlotFit')
 	[flag, fig] = figflag(GUIfit182winName, 1);
	plotFit = arg1;
	if flag
		ub = findobj(get(fig, 'Children'),  'style', 'checkbox', 'string', 'Plot Fit');
		set (ub,  'Value', arg1);	
	end
%%___________________________________________________________________%%
elseif strcmp(fun, 'getPlotFit')
	if vexist('plotFit')
		outarg1 = plotFit;
	else
   		[flag, fig] = figflag(GUIfit182winName, 1);
   		if flag
			ub = findobj(get(fig, 'Children'),  'style', 'checkbox', 'string', 'Plot Fit');
			outarg1 = get (ub,  'Value')
			plotFit = outarg1;
		else
			outarg1 = [];
		end
	end
%% _________________________________________________________________%%
elseif strcmp(fun, 'setPlotSeed')
	plotSeed = arg1;
  	[flag, fig] = figflag(GUIfit182winName, 1);
	if flag
		ub = findobj(get(fig, 'Children'),  'style', 'checkbox', 'string', 'Plot Seed');
		set (ub,  'Value', arg1);	
	end
%%___________________________________________________________________%%
elseif strcmp(fun, 'getPlotSeed')
   [flag, fig] = figflag(GUIfit182winName, 1);
   if flag
		ub = findobj(get(fig, 'Children'),  'style', 'checkbox', 'string', 'Plot Seed');
		outarg1 = get (ub,  'Value')
	else
		outarg1 = [];
	end
%%___________________________________________________________________%%
elseif strcmp(fun, 'tweakRB')
 	[flag, fig] = figflag(GUIfit182winName, 1);
	if nargin == 2
		me = arg1;
	else
		me = gco;
	end
	if vexist('tweakRB')
		rb = tweakRB;
	else
		rb = findobj(get(fig,  'Children'), 'callback', 'GUIfit182Plot(''tweakRB'')')
		tweakRB = rb;
	end
	for k=1:length(rb)
		if rb(k) ~= me
			set (rb(k),  'Value', 0);
		end
	end 
	GUIfit182Plot('plotTrunc');
%%___________________________________________________________________%%
elseif strcmp(fun, 'getPlotTweak')
	if vexist('plotTweak')
		outarg1 = plotTweak;
	else
	 	[flag, fig] = figflag(GUIfit182winName, 1);
	 	rb = findobj(fig, 'string', 'Plot Tweaked');
	 	get(rb)
	 	outarg1 = get(rb, 'Value');
	end
%%___________________________________________________________________%%
elseif strcmp(fun, 'setPlotTweak')
	 [flag, fig] = figflag(GUIfit182winName, 1);
	 if var1 == 1
	  	rb = findobj(fig, 'string', 'Plot  Tweaked');
		plotTweak = 1;
	else
	 	rb = findobj(fig, 'string', 'Plot  Unweaked');
		plotTweak = 0;
	end
	set(rb, 'Value', 1);
	% Reset the other ones
	GUIfit182Plot('tweakRB', rb);
%%___________________________________________________________________%%
elseif strcmp(fun, 'doPlot182')
	% new plotFigure
	if xData == '' | yData  == ''
		return;
	end
	f =figure;
	% save all current line styles into variables
	if GUIfit182ULChange
		GUIfit182Plot('saveAllUpperLineParams');
		GUIfit182ULChange = 0;
	end
	% Add all the fancy menus and stuff;
	Axes182;
	ptweak = GUIfit182Plot('getPlotTweak');
	if ~ptweak 
		theLine = Axes182Line(xData(xLTcoord:xUTcoord), yData(xLTcoord:xUTcoord), ...
								'LineName', ENyData, ....
								'Color', truncColor, ...
								'LineStyle', truncLineStyle, ...
								'LineWidth', truncLineWidth, ...
								'MarkerSize', truncMarkerSize);
		Axes182SetExt(theLine, 'LineType', 'trunc');					
	else
		GUIfit182('updateTweakVectors');
		if length(xTweak) == 0
			x = xData(xLTcoord:xUTcoord);
			y = yData(xLTcoord:xUTcoord);
		else
			x = xTweak
			y = yTweak;
		end
		theLine = Axes182Line(x, y, 'LineName', ENyData, ....
								'Color', tweakColor, ...
								'LineStyle', tweakLineStyle, ...
								'LineWidth', tweakLineWidth, ...
								'MarkerSize', tweakMarkerSize);
		Axes182SetExt('LineType', 'tweak');		
	end
	set (gca, 'NextPlot', 'add');
	plotfit = GUIfit182Plot('getPlotFit')
	plotseed = GUIfit182Plot('getPlotSeed')
	if (plotfit & fitParVals ~= '') | plotseed
		GUIfit182('updateSeed&FitVectors');
	end
	if plotfit
		name = ['fit ', ENxData];
		if length(yFitEv) > 0
			Axes182Line(xFitEv, yFitEv, 'LineName', name, ...
								'Color', fitColor, ...
								'LineStyle',  fitLineStyle, ...
								'LineWidth',  fitLineWidth, ...
								'MarkerSize',  fitMarkerSize);
		end
	end
	
	if  plotseed 
		if length(xSeed) > 0
			name = ['seed', ENxData];
			Axes182Line(xSeed, ySeed,  'LineName', name, ...
								'Color', seedColor, ...
								'LineStyle',  seedLineStyle, ...
								'LineWidth',  seedLineWidth, ...
								'MarkerSize',  seedMarkerSize);
		end
	end
	set (gca, 'NextPlot','replace');
%%___________________________________________________________________%%
elseif strcmp(fun, 'plotOrig')
	tic
		
	if xData == '' | yData == ''
		return;
	end
	
	GUIfit182('Msg', 'Plotting lower');
	t(1) = toc;
	
	[flag, fig] = figflag(GUIfit182winName, 0);
	fig
%	get(fig)
	loweraxes = Axes182GetExt(fig, 'handle', 'laxes');
%	get(loweraxes)
	axes(loweraxes);

	t(2) = toc;
	if GUIfit182LLChange
		GUIfit182Plot('saveLowerLineParams');
		GUIfit182LLChange = 0;
	end
	 % Can we just change the data part of the line
	 % or do we need to copy the linestyle information
	cla;
	theLine = Axes182Line(xData,yData, ...
							'LineName',  ENyData, ...
							'Color', origColor, ...
							'LineStyle', origLineStyle, ...
							'LineWidth', origLineWidth, ...
								'MarkerSize', origMarkerSize);
	Axes182SetExt(theLine, 'LineType', 'orig');
	titlestr = ['Original data: ', ENyData, ' vs ', ENxData];
	title(titlestr);	
	if  xUTcoord ~= length(xData) | xLTcoord ~= 1
		set (gca, 'NextPlot', 'add');
		ylim = get(gca, 'ylim')
		ucolor = [ 0 1 1];
		lcolor = [1 1 0];
		line([xData(xUTcoord) xData(xUTcoord)], ylim, 'color', ucolor, 'linestyle', '--')
		line([xData(xLTcoord) xData(xLTcoord)], ylim, 'color', lcolor, 'linestyle', '--')
		set (gca, 'NextPlot', 'replace');
	end
	if GUIfit182debug
		t(3) = toc;
		disp(['Plot orig t1:', num2str(t(1)), ' t2: ', num2str(t(2)), ' t3: ', num2str(t(3))])
	end
	GUIfit182('Msg', 'Ready');
%%___________________________________________________________________%%
elseif strcmp(fun, 'saveLowerLineParams')
	if nargin == 1
		[flag, fig] = figflag(GUIfit182winName, 0);
		loweraxes = Axes182GetExt(fig, 'handle', 'laxes');
	 	l = get(loweraxes, 'children')
	 	found = 0;
	 	theLine = '';
	 	for k=1:length(l)
			type =  Axes182GetExt(l(k), 'LineType')
			length(type)
			if strcmp(type, 'orig')
				found = 1
				theLine = l(k)
			end
		end
	else
		found = 1;
		theLine = arg1;
	end
	if found
		origLineStyle = get(theLine, 'LineStyle');
		origLineWidth = get(theLine, 'LineWidth');
		origMarkerSize = get(theLine, 'MarkerSize');
		origColor = get(theLine, 'Color');
	end
%%___________________________________________________________________%%
elseif strcmp(fun, 'saveAllUpperLineParams')
	disp('saveAllUpperLineParams')
	if nargin < 5
		[flag, fig]  = figflag(GUIfit182winName, 1);
		upperaxes = Axes182GetExt(fig, 'handle', 'uaxes');
	 	l =findobj(get(upperaxes, 'children'), 'type', 'line')
		
		 truncLine = '';
		 tweakLine = '';
		 seedLine = '';
		 fitLine = '';
	 
	 	for k=1:length(l)
			get(l(k))
			type =  Axes182GetExt(l(k), 'LineType')
			if strcmp(type, 'trunc')
				truncLine = l(k)
			elseif strcmp(type, 'tweak')
				tweakLine = l(k)
			elseif strcmp(type, 'seed')
				seedLine = l(k);
			elseif strcmp(type, 'fit')
				fitLine = l(k);
			end
		end
	else
		 truncLine = arg1;
		 tweakLine = arg2;
		 seedLine = arg3;
		 fitLine = arg4;
	end
	if truncLine ~= ''
		truncLineStyle = get(truncLine, 'LineStyle')
		truncLineWidth = get(truncLine, 'LineWidth')
		truncMarkerSize = get(truncLine, 'MarkerSize')
		truncColor = get(truncLine, 'Color')
	end
	if tweakLine ~= ''
		tweakLineStyle = get(tweakLine, 'LineStyle')
		tweakLineWidth = get(tweakLine, 'LineWidth')
		tweakMarkerSize = get(tweakLine, 'MarkerSize')
		tweakColor = get(tweakLine, 'Color')
	end
	if seedLine ~= ''
		seedLineStyle = get(seedLine, 'LineStyle');
		seedLineWidth = get(seedLine, 'LineWidth');
		seedMarkerSize = get(seedLine, 'MarkerSize');
		seedColor = get(seedLine, 'Color');
	end
	if fitLine ~= ''
		fitLineStyle = get(fitLine, 'LineStyle');
		fitLineWidth = get(fitLine, 'LineWidth');
		fitMarkerSize = get(fitLine, 'MarkerSize');
		fitColor = get(fitLine, 'Color');
	end
%%___________________________________________________________________%%
elseif strcmp(fun, 'saveOneUpperLineParams')
	ltype = arg1;
	if nargin == 3
		theLine = arg2;
	else
		[flag, fig]  = figflag(GUIfit182winName, 1);
		upperaxes = Axes182GetExt(fig, 'handle', 'uaxes');
	 	l =findobj(get(upperaxes, 'children'), 'type', 'line');
		theLine = '';
		for k=1:length(l)
		 	type =  Axes182GetExt(l(k), 'LineType');
				if strcmp(type, ltype)
				theLine = l(k);
				break;
			end
		end
	end
	if (theLine ~= '')
		eval([ltype, 'LineStyle = get(theLine, ''LineStyle'');']);
		eval([ltype, 'LineWidth = get(theLine, ''LineWidth'');']);
		eval([ltype, 'Color = get(theLine, ''Color'');']);
		eval([ltype, 'MarkerSize = get(theLine, ''MarkerSize'');']);
	end
%%___________________________________________________________________%%
elseif strcmp(fun, 'plotTrunc')
	if xData == '' | yData == ''
			return
	end
	
	GUIfit182('Msg', 'Plotting upper');
	
	[flag, fig]  = figflag(GUIfit182winName, 0);
	upperaxes = Axes182GetExt(fig, 'handle', 'uaxes');
	axes(upperaxes);
	if GUIfit182ULChange
		GUIfit182Plot('saveAllUpperLineParams');
		GUIfit182ULChange = 0;
	end
	cla;
	% check tweak or trunc here
	ptweak = GUIfit182Plot('getPlotTweak');
    if ~ptweak 
		theLine = Axes182Line(xData(xLTcoord:xUTcoord), yData(xLTcoord:xUTcoord), ...
							'LineName', ENyData, ....
							'Color', truncColor, ...
							'LineStyle', truncLineStyle, ...
							'LineWidth', truncLineWidth, ...
							'MarkerSize', truncMarkerSize);
		Axes182SetExt(theLine, 'LineType', 'trunc');					
	else
		GUIfit182('updateTweakVectors');
		if length(xTweak) == 0
			x = xData(xLTcoord:xUTcoord);
			y = yData(xLTcoord:xUTcoord);
		else
			x = xTweak;
			y = yTweak;
		end
		theLine = Axes182Line(x, y, 'LineName', ENyData, ....
							'Color', tweakColor, ...
							'LineStyle', tweakLineStyle, ...
							'LineWidth', tweakLineWidth, ...
							'MarkerSize', tweakMarkerSize);
		Axes182SetExt(theLine, 'LineType', 'tweak');		
	end
	set (gca, 'NextPlot', 'add');
	plotfit = GUIfit182Plot('getPlotFit')
	plotseed = GUIfit182Plot('getPlotSeed')
	if (plotfit & fitParVals ~= '') | plotseed
		GUIfit182('updateSeed&FitVectors');
	end
	if plotfit 
	name = ['fit ', ENxData];
		if length(yFitEv) > 0
			theLine = Axes182Line(xFitEv, yFitEv, 'LineName', name, ...
								'Color', fitColor, ...
						        'LineStyle',  fitLineStyle, ...
								'LineWidth',  fitLineWidth, ...
								'MarkerSize',  fitMarkerSize);
		    Axes182SetExt(theLine, 'LineType', 'fit');		
			titlestr = ['Fit to data: ', ENxData, ' plot ', ENxData];
%			plotErr = GUIfit182Plot('getPlotErrorbar');
%			if plotErr
%				errorbar(x2Fit, y2Fit, chisq);
%			end
	  else
	   	 	titlestr = ['Data to be fit: ', ENxData, ' vs ', ENyData];
	  end
	  title(titlestr);
  end
	
  if  plotseed
	   if length(xSeed) > 0
			name = ['seed', ENxData];
			theLine = Axes182Line(xSeed, ySeed,  'LineName', name, ...
								'Color', seedColor, ...
								'LineStyle',  seedLineStyle, ...
								'LineWidth',  seedLineWidth, ...
								'MarkerSize',  seedMarkerSize);
			 Axes182SetExt(theLine, 'LineType', 'seed');
		end
	end
	set (gca, 'NextPlot', 'replace');
	GUIfit182('Msg', 'Ready');
%%___________________________________________________________________%%
else
	if GUIfit182debug
   		str  = ['WARNING: unknown fun  in GUIfit182Plot is ', fun]
		dialog ('style', 'warning', 'textstring', str, 'name', 'Internal Problem:'); 
   		% set(dbgMsgBox, 'string',  str); 
	end

end;
