function  [] = GUIfit182TweakDB(fun,  arg1, arg2)

global GUIfit182winName
global tweakPnts xUTcoord xLTcoord ENyData

if nargin ==0
	fun = 'create';
	fig= findobj(get(0, 'Children'), 'name',  GUIfit182winName);
	if fig == [], return, end;
	ax = get(fig, 'CurrentAxes');
	if ax == [], return, end;
end

nargin 
delcolor = [0 0 0];
markcolor = [0 0 1];

if strcmp(fun,  'create')
	tic;
	selline = arg1;
	linetype= Axes182GetExt(selline, 'LineType')
	%
	% If this isn't the line for the data to be fit we shouldn't continue!!
	%
	if  ~strcmp(linetype, 'tweak') & ~strcmp(linetype, 'trunc');
		return
	end
	[flag, fig] = figflag ('Delete Points');
	if (~flag)
		col = 0.72*[ 1 1 1];
		fig  = figure('name', 'Delete Points', 'numbertitle','off', 'color', col,...
				'resize','off','position', [200  150 250  100], 'menubar', 'none');
		x1 = 5; x2=65; x3=125; x4=185;
		ys = 30;
		w = 50; h = 18; inc = 20; inc2 = 22;
		y = ys;
		uicontrol(fig, 'style', 'push', 'string', 'OK', 'backgr', 'green', 'callback',...
						'GUIfit182TweakDB(''OK'')', 'position', [x3 5 w h] );
		uicontrol(fig, 'style', 'push', 'string', 'Cancel', 'backgr', 'red', 'callback',...
						'GUIfit182TweakDB(''cancel'')', 'position', [x2 5 w h] );
		y = 30;
		uicontrol(fig, 'style', 'push', 'string', ' <- ',  'backgr', col, 'callback', ...
						'GUIfit182TweakDB(''down'')', 'position', [x1 y w h] );
		uicontrol(fig, 'style', 'push', 'string', 'Delete',  'backgr', col, 'callback', ...
						'GUIfit182TweakDB(''delete'')', 'position', [x2 y w h] );
		uicontrol(fig,  'style', 'push', 'string', 'Undelete',  'backgr', col, 'callback', ...
						'GUIfit182TweakDB(''undelete'')', 'position', [x3 y w h] );	
		uicontrol(fig, 'style',  'push', 'string', ' -> ',  'backgr', col, 'callback', ...
						'GUIfit182TweakDB(''up'')', 'position', [x4 y w h] );
	end
	t2 = toc;
	tic;
	of = gcf;
	fig= findobj(get(0, 'Children'), 'name',  GUIfit182winName);
	fca = get(fig, 'CurrentAxes');
	% disp('fca');
	Axes182SetExt(fig, 'handle', 'fca', fca);
	if (fca == []), return, end;
	if nargin  < 3
		cp = get(fca, 'CurrentPoint');
	else
		cp = arg2
	end
	% find closest point in current object;
	% find point in xdata of selected line
	x = get(selline, 'Xdata');
	y = get(selline, 'Ydata');
	Axes182SetExt(fca, 'handle', 'twl', selline);
	
	tweakcoord = GUIfit182HighCoord(x, cp(1,1))
	marker = Axes182GetExt(fca, 'handle', 'twm');
	% Catch if marker isn't a validhandle!
	eval('get(marker);', 'disp (''marker not valid''); marker = [];');
	tic;
	if marker ~= []
		pos =  [x(tweakcoord) y(tweakcoord)]
		set(marker, 'position', [x(tweakcoord) y(tweakcoord)]);
		Axes182SetExt(marker , 'number', 'twcd', tweakcoord);
	else
		figure(fig);
		marker = text (x(tweakcoord), y(tweakcoord), 'm', 'color', markcolor);
		figure(of);
		% Otherwise the axes in dialog box show!
		set(gca, 'visible', 'off');
		Axes182SetExt(marker , 'number', 'twcd', tweakcoord);
		Axes182SetExt(fca, 'handle', 'twm', marker);
		% if there was no marker we should consult database and put in
		% markers for points that were previously deleted;
		tp  = tweakPnts(xLTcoord:xUTcoord);
		if any(tp)
			coord = find(tp)
			of = gcf;
			figure(fig);
			for k = 1:length(coord)
				%str = ['d ', num2str(coord(k))];
				str ='d';
				d = text(x(coord(k)) ,  y(coord(k)), str, 'color', delcolor);				
				Axes182SetExt(d, 'number', 'twcd', coord(k));
			end
			figure(of);
			% Otherwise the axes in dialog box show!
			set(gca, 'visible', 'off');
		end
		% disp('done');
	end	
	% disp('end create');
	t4 = toc;
	tic;
elseif strcmp(fun, 'delete')
	% disp('delete');
	fig= findobj(get(0, 'Children'), 'name',  GUIfit182winName);
	fca = Axes182GetExt(fig,  'handle', 'fca');
	if (fca == []), return, end;
	m= Axes182GetExt(fca, 'handle', 'twm');
	if m == [], return; end
	pos = get(m, 'Position');
	of = gcf;
	mcoord = Axes182GetExt(m, 'number',  'twcd')
	figure(fig);
%	str = ['d ', num2str(mcoord)];
	str = 'd';
	texts = findobj(fca, 'type', 'text')
	get(texts(1));
	d = text(pos(1) ,  pos(2), str, 'color', delcolor);
	texts = findobj(fca, 'type', 'text')
	figure(of);
	% Otherwise the axes in dialog box show!
	set(gca, 'visible', 'off');	
	Axes182SetExt(d, 'number', 'twcd', mcoord);
elseif strcmp(fun, 'undelete')
	% disp('undelete');
	fig= findobj(get(0, 'Children'), 'name',  GUIfit182winName);
	fca = Axes182GetExt(fig,  'handle', 'fca');
	if fca == [], return, end;
	m= Axes182GetExt(fca, 'handle', 'twm');
	if m == [], return; end;
	mcoord = Axes182GetExt(m, 'number',  'twcd');
%	t =   findobj(get(fca, 'Children'), 'type', 'text', 'string','d')
	t =  findobj(get(fca, 'Children'), 'type', 'text')
	for k = 1:length(t)
		
		tw = Axes182GetExt(t(k), 'number', 'twcd')
		if (t (k) ~= m & tw ==  mcoord)
			delete(t(k))
		end
	end
elseif strcmp(fun, 'up')
	% disp('up')
	fig= findobj(get(0, 'Children'), 'name',  GUIfit182winName);
	fca = Axes182GetExt(fig,  'handle', 'fca');
	if (fca == []), return, end;	
	m= Axes182GetExt(fca, 'handle', 'twm');
	selline= Axes182GetExt(fca, 'handle', 'twl');
	if m == [] | selline == [], return; end
	mcoord = Axes182GetExt(m, 'number', 'twcd')
	x = get(selline, 'Xdata');
	length(x)
	if mcoord < length(x)
		mcoord = mcoord +1;
		Axes182SetExt(m, 'number', 'twcd', mcoord);
		y = get(selline, 'Ydata');
%		mcoord
%		x(mcoord)
%		y(mcoord)
		set(m, 'position', [x(mcoord) y(mcoord)]);
	end
elseif strcmp(fun, 'down')
	% disp('down');
	fig= findobj(get(0, 'Children'), 'name',  GUIfit182winName);
	fca = Axes182GetExt(fig,  'handle', 'fca');
	if (fca == []), return, end;
	m= Axes182GetExt(fca, 'handle', 'twm');
	selline= Axes182GetExt(fca, 'handle', 'twl');
	if m == [] | selline == [], return; end
	mcoord = Axes182GetExt(m, 'number', 'twcd')
	if 	mcoord > 0
		mcoord = mcoord -1;
		Axes182SetExt(m,  'number', 'twcd', mcoord);
		x = get(selline, 'Xdata');
		y = get(selline, 'Ydata');
		x(mcoord)
		y(mcoord)
		set(m, 'position', [x(mcoord) y(mcoord)]);
	end
elseif strcmp(fun, 'cancel')
	% 	disp('cancel');
	fig= findobj(get(0, 'Children'), 'name',  GUIfit182winName);
	fca = Axes182GetExt(fig,  'handle', 'fca');
	if (fca == []), return; end;
	Axes182SetExt(fig, 'handle', 'fca', []);
	m= Axes182GetExt(fca, 'handle', 'twm');
	if m ~= [], delete(m); end
	Axes182SetExt(fca, 'handle', 'twm', []);
	Axes182SetExt(fca, 'handle', 'twl', []);
%	d=findobj(get(fca, 'Children'), 'type', 'text', 'string','d')
	d=findobj(get(fca, 'Children'), 'type', 'text')
	for k = 1:length(d)
		n = 	Axes182GetExt(d(k),  'number', 'twcd');
		if n ~= []
			delete(d(k));
		end
	end
	set(gcf, 'visible', 'off');
elseif strcmp(fun, 'OK')
	% disp('OK');
	fig= findobj(get(0, 'Children'), 'name',  GUIfit182winName);
	fca = Axes182GetExt(fig,  'handle', 'fca');
	if (fca == []), return, end;
	Axes182SetExt(fig, 'handle', 'fca', []);
	m= Axes182GetExt(fca, 'handle', 'twm');
	if m ~= [], delete(m); end
	Axes182SetExt(fca, 'handle', 'twm', []);
	Axes182SetExt(fca, 'handle', 'twl', []);
	% Set them to zero!
	tweakPnts(xLTcoord:xUTcoord) = zeros([1 1+xUTcoord-xLTcoord])
%	d=findobj(get(fca, 'Children'), 'type', 'text', 'string','d')
	d=findobj(fca, 'type', 'text')
	for k = 1:length(d)
		str = get(d(k), 'string');
		n = Axes182GetExt(d(k),  'number', 'twcd');
		if n ~= []
			delete(d(k));
			globcoord = xLTcoord-1+n;
			tweakPnts(globcoord) = 1;
		end
	end
	plotTweak = GUIfit182('getPlotTweak');
	if plotTweak
		GUIfit182plot('plotTrunc');
	end
	set(gcf, 'visible', 'off');
end

%disp('end GUIfit182TweakDB');
