function [Y,dYda]=GUIatanfit(x,A)
% ATANFIT fit routine for arctan
% Y=A(1) .* atan(A(2) .* (x - A(3))) + A(4);

if nargin == 0
	Y = str2mat (' ATANFIT fit routine for arctan', ...
	     'Y= p1.* atan(p2 .* (x - p3)) + p4');
	return
end
x=x(:);
npar=length(A);
Y=A(1) .* atan(A(2) .* (x - A(3))) + A(4);

dYda=zeros(length(x),npar);
dYda(:,1)=atan(A(2) .* (x- A(3)));
dYda(:,2)=(A(1).*(x-A(3)))./(1 + A(2).^2 .*(x-A(3)).^2);
dYda(:,3)=-((A(1) .* A(2))./(1 + A(2).^2 .*(x-A(3)).^2));
dYda(:,4)=ones(length(x),1);


