function [Y,dYda]=GUIdsinfit(x,A)
% DSINFIT damped sinusoidal fitting module.
%  Y=A(1).*(exp(A(2) .* (x - A(4)))).*cos(A(3).*(x-A(4)))+A(5)

if (nargin == 0)
	Y =  str2mat ('DSINFIT damped sinusoidal fitting module.', ...
	 'Y= p1 * (exp(p2 * (x - p3))) * cos(p3 *(x-p4)) + p5');
	 return
end

x=x(:);
npar=length(A);
Y=A(1).*(exp(A(2) .* (x - A(4)))).*cos(A(3).*(x-A(4)))+A(5);

dYda=zeros(length(x),npar);
dYda(:,1)=(exp(A(2) .* (x - A(4)))).*cos(A(3).*(x-A(4)));
dYda(:,2)=A(1).*(x - A(4)).*(exp(A(2).*(x - A(4)))).*cos(A(3).*(x-A(4)));
dYda(:,3)=-A(1).*(x - A(4)).*(exp(A(2).*(x - A(4)))).*sin(A(3).*(x-A(4)));
dYda(:,4)=-A(2).*A(1).*(exp(A(2).*(x-A(4)))).*cos(A(3).*(x-A(4)))+...
A(3).*A(1).*(exp(A(2) .* (x - A(4)))).*sin(A(3).*(x-A(4)));
dYda(:,5)=ones(length(x),1);


%dplot=B(1).*(exp(B(2) .* (time - B(4)))).*cos(B(3).*(time-B(4)))+B(5);
%[B,chisq,cov]=nlls(Xtrunk,Ytrunk,sig,[ ],[ ],'dsinfit','y')
