function [Y,dYda]=GUIexpfit(x,A)
% EXPFIT Exponential curve fitting module.
% Y=A(1) .* exp(A(2) .* (x - A(3))) + A(4)

if nargin == 0
	Y = str2mat('EXPFIT Exponential curve fitting module.' , ...
	'Y= p1 * exp(p2  * (x - p3)) + p4');
	return;
end

x=x(:);
npar=length(A);
Y=A(1) .* exp(A(2) .* (x - A(3))) + A(4);

dYda=zeros(length(x),npar);
dYda(:,1)=exp(A(2) .* (x - A(3)));
dYda(:,2)=A(1).*exp(A(2).*(x-A(3))).*(x-A(3));
dYda(:,3)=-(A(1).*A(2).*exp(A(2).*(x-A(3))));
dYda(:,4)=ones(length(x),1);



