function ho=hist2donoff(xadd,yadd,onspikes,dimx,dimy)
%function ho = hist2d(xadd,yadd,onspikes,dimx,dimy)
%	plots a 2-d histogram from xadd and yadd assumed to run from
% 	1 to dimx, 1 to dimy.  addresses outside these limits are thrown
% 	away and a count is printed.
% spikes at onspikes true are positive, at false, negative

if nargin~=5,
	error('need 4 args: xadd,yadd,onspikes,dimx,dimy');
end;

if length(xadd)~=length(yadd) | length(xadd)~=length(onspikes),
	error('xadd, yadd, onspikes must have same number of components');
end

if max(size(dimx))>1 | max(size(dimy))>1,
	error('dimx and dimy must be scalars');
end;


h=zeros(dimx,dimy);

l=length(xadd);
out=0;
xaddon=xadd(onspikes);
yaddon=yadd(onspikes);
xaddoff=xadd(~onspikes);
yaddoff=yadd(~onspikes);

hon=hist2d(xaddon,yaddon,[.5,1,dimx],[.5,1,dimy]);
figure
imagesc(hon);
	rotatecolormap;

hoff=hist2d(xaddoff,yaddoff,[.5,1,dimx],[.5,1,dimy]);
figure
imagesc(hoff);
	rotatecolormap;

h=hon-hoff;

%
%for i=1:l,
%	if xadd(i) <= dimx & yadd(i) <=dimy & xadd(i) >=1 & yadd(i) >=1,
%		if onspikes(i),
%			h(yadd(i),xadd(i))=h(yadd(i),xadd(i))+1;
%		else
%			h(yadd(i),xadd(i))=h(yadd(i),xadd(i))-1;
%		end
%	else
%		out=out+1;
%	end;
%end;
%if out>0,
%	fprintf('hist2d: %d addresses thrown away because outside limits\n',out);
%end;

if 1,
	axis('xy');
	figure
	imagesc([1:dimx],[1:dimy],h);
	rotatecolormap;
	xlabel('xadd'); ylabel('yadd');
end;

if nargout==1,
	ho=h;
end;


