function h = hist2dslow(xadd,yadd,dimx,dimy)
%function h = hist2d(xadd,yadd,dimx,dimy)
%	plots a 2-d histogram from xadd and yadd assumed to run from
% 	1 to dimx, 1 to dimy.  addresses outside these limits are thrown
% 	away and a count is printed.

if nargin~=4,
	error('need 4 args: xadd,yadd,dimx,dimy');
end;

h=zeros(dimx,dimy);

l=length(xadd);
out=0;

for xx=1:dimx
	for yy=1:dimy,
		h(xx,yy)=sum( (xadd>=0 & xadd<=xx) & (yadd>=0 & yadd<=yy) );
	end
end

h(2:dimy,:)=h(2:dimy,:)-h(1:dimy-1,:);
h(:,2:dimx)=h(:,2:dimx)-h(:,1:dimx-1);


if nargout==0,
	colormap(jet);
	axis('xy');
	imagesc([1:dimx],[1:dimy],h);
	xlabel('xadd'); ylabel('yadd');
end;

