function ho = hist2d(xadd,yadd,dimx,dimy)
%function ho = hist2d(xadd,yadd,dimx,dimy)
%	plots a 2-d histogram from xadd and yadd assumed to run from
% 	1 to dimx, 1 to dimy.  addresses outside these limits are thrown
% 	away and a count is printed.

if nargin~=4,
	error('need 4 args: xadd,yadd,dimx,dimy');
end;

h=zeros(dimx,dimy);

l=length(xadd);
out=0;

for i=1:l,
	if xadd(i) <= dimx & yadd(i) <=dimy & xadd(i) >=1 & yadd(i) >=1,
		h(yadd(i),xadd(i))=h(yadd(i),xadd(i))+1;
	else
		out=out+1;
	end;
end;
if out>0,
	fprintf('hist2d: %d addresses thrown away because outside limits\n',out);
end;

if nargout==1,
	axis('xy');
	imagesc([1:dimx],[1:dimy],h);
	rotatecolormap;
	xlabel('xadd'); ylabel('yadd');
end;

if nargout==1,
	ho=h;
end;

