function showonoffspikes(f,yadd,intvls,dimx,dimy,onspikes)
%function showonoffspikes(xadd,yadd,intvls,dimx,dimy,onspikes)
% show a spike movie for on and off spike trains intermixed
% call with showonoffspikes(xadd, yadd, intvls, dimx, dimy)
% address run from 1 to dimx, 1 to dimy.
% onspikes is an array same length as xadd, yadd, and intvls that has
% true (nonzero) entries for ON spikes
% spikes are shown as RED for ON, GREEN for OFF.
% see controls by hitting h in figure window

global spikecnt figh axesh xadd yadd dim 
global patchv nspikes spikenumh spikehist
global intvls  onspikes
global dimx dimy speedfactor soundit

% function to show spikes
if ~isstr(f) & nargin==6,
	xadd=f;
	if(length(xadd)~=length(yadd) | length(xadd)~=length(intvls) |...
		 length(xadd)~=length(onspikes) ), 
		error('must have equal length vectors'); 
	end;
	f='create';
elseif ~isstr(f),
	error('wrong number of args');
end;

if 0,

elseif strcmp(f,'keypress'),

	char=get(figh,'currentcharacter');
	if 0,
	elseif char=='h' | char=='?',
		disp('');
		disp('SPC	next spike');
		disp('b	back one');
		disp('r rewind');
		disp('d	redraw');
		disp('c clear');
		disp('m movie');
		disp('f 2x faster');
		disp('s 2x slower');
		disp('n toggle sound');
		disp('');
	
	elseif char==' ',
		x=xadd(spikecnt);
		y=yadd(spikecnt);
		spikehist(x,y)=spikehist(x,y)+1;
		
		%fprintf('%d\t%d\n',x,y);
		if(onspikes(spikecnt))
			bx=[x,x+.5,x+.5,x];
			by=[y,y,y+1,y+1];
			patchv(spikecnt)=patch(bx,by,'r',...
				'erasemode','background');
		else
			bx=[x+.5,x+1,x+1,x+.5];
			by=[y,y,y+1,y+1];
			patchv(spikecnt)=patch(bx,by,'g',...
				'erasemode','background');
		end
		set(spikenumh,'string',int2str(spikecnt));
		spikecnt=spikecnt+1;
	elseif char=='f',
		speedfactor=speedfactor*2;
		fprintf('speedup is %g\n',speedfactor);
		intvls=intvls/2;
	elseif char=='s',
		speedfactor=speedfactor/2;
		fprintf('speedup is %g\n',speedfactor);
		intvls=intvls*2;

	elseif char=='r',
		for i=1:spikecnt-1,
			delete(patchv(i));
		end;
		spikecnt=1;
		spikehist=zeros(dimy,dimx);
		set(spikenumh,'string','0');
	elseif char=='b',
		if spikecnt>1,
			spikecnt=spikecnt-1;
	 		x=xadd(spikecnt);
			y=yadd(spikecnt);
			spikehist(x,y)=spikehist(x,y)-1;
			delete(patchv(spikecnt));
			set(spikenumh,'string',int2str(spikecnt));
		end
	elseif char=='c',
		fudge=.07;
		h=patch([1+fudge,dimx+1-fudge,dimx+1-fudge,1+fudge],...
			[1+fudge,1+fudge,dimy+1-fudge,dimy+1-fudge],1,'erasemode','background');
		delete(h);
	elseif char=='d',
		refresh(figh);
	elseif char=='n',
		soundit= ~soundit;
	elseif char=='m',
		snd=1:40;
		for i=spikecnt:nspikes,
			x=xadd(spikecnt);
			y=yadd(spikecnt);
			spikehist(x,y)=spikehist(x,y)+1;
			
			if(soundit), playsound(snd); end;
			if(onspikes(spikecnt))
				bx=[x,x+.5,x+.5,x];
				by=[y,y,y+1,y+1];
				patchv(spikecnt)=patch(bx,by,'r',...
					'erasemode','background');
			else
				bx=[x+.5,x+1,x+1,x+.5];
				by=[y,y,y+1,y+1];
				patchv(spikecnt)=patch(bx,by,'g',...
					'erasemode','background');
			end
			set(spikenumh,'string',int2str(spikecnt));
			spikecnt=spikecnt+1;
			pause(intvls(spikecnt));
			
		end %movie	
	end

elseif strcmp(f,'create'),

% trash bad addresses
%	tmp=(xadd>dimx);
%	xadd=xadd(~tmp);
%	yadd=yadd(~tmp);
%	intvls=intvls(~tmp);

%	tmp=(xadd<1);
%	xadd=xadd(~tmp);
%	yadd=yadd(~tmp);
%	intvls=intvls(~tmp);

%	tmp=(yadd>dimy);
%	xadd=xadd(~tmp);
%	yadd=yadd(~tmp);
%	intvls=intvls(~tmp);

%	tmp=(yadd<1);
%	xadd=xadd(~tmp);
%	yadd=yadd(~tmp);
%	intvls=intvls(~tmp);
	
	%start out playing out movie over 5 minutes  (approx)
	sumint=sum(intvls);
	intvls=300*(intvls/sumint);

	spikecnt=1;
	nspikes=length(yadd);
	patchv=zeros(nspikes,1)*NaN;
	spikehist=zeros(dimx,dimy);
	speedfactor=1;
	soundit=1;

	fprintf('\n%d spikes, total time %g, avg %g Hz\n',...
		nspikes,sumint,nspikes/sumint);
	
%	set(gcf,'nextplot','replace');
	figh=figure('keypressfcn','showonoffspikes(''keypress'');','colormap',...
		eval('jet'),'interr','yes','defaultaxesfontsize',18,...
		'defaultaxesfontweight','bold');
	axesh=axes('xlim',[1,dimx+1],'ylim',[1,dimy+1],'drawmode','fast',...
		'box','on','climmode','manual');
%'clim',[0,19],
	spikenumh=text('position',[dimx+1,dimy+1],'verticalalign','top',...
		'horizontalalign','right','erasemode','background','string','0');
	xlabel 'x address';
	ylabel 'y address';


end

		
		
