function showspikes(f,arg,arg2,arg3,arg4);
%function showspikes(xadd,yadd,intvls)
% show a spike movie
% call with xadd, yadd, intvls, dimx, dimy
% address run from 1 to dimx, 1 to dimy.
% see controls by hitting h in figure window

global spikecnt figh axesh xadd yadd dim patchv nspikes spikenumh spikehist
global intvls
global dimx dimy

if nargin==5,  end;

% function to show spikes
if ~isstr(f) & nargin==5,
	intvls=arg2;
	yadd=arg;
	xadd=f;
	if(length(xadd)~=length(yadd) | length(xadd)~=length(intvls)), 
		error('must have equal length vectors'); 
	end;
	dimx=arg3; dimy=arg4;
	f='create';
end;

if 0,

elseif strcmp(f,'keypress'),

	char=get(figh,'currentcharacter');
	if 0,
	elseif char=='h' | char=='?',
		disp('');
		disp('SPC	next spike');
		disp('b	back one');
		disp('r rewind');
		disp('d	redraw');
		disp('c clear');
		disp('m movie');
		disp('');
	
	elseif char==' ',
		x=xadd(spikecnt);
		y=yadd(spikecnt);
		spikehist(x,y)=spikehist(x,y)+1;
		
		%fprintf('%d\t%d\n',x,y);
		bx=[x,x+1,x+1,x];
		by=[y,y,y+1,y+1];
		patchv(spikecnt)=patch(bx,by,spikehist(x,y),'erasemode','background');
		set(spikenumh,'string',int2str(spikecnt));
		spikecnt=spikecnt+1;
	elseif char=='r',
		for i=1:spikecnt-1,
			delete(patchv(i));
		end;
		spikecnt=1;
		spikehist=zeros(dimy,dimx);
		set(spikenumh,'string','0');
	elseif char=='b',
		if spikecnt>1,
			spikecnt=spikecnt-1;
	 		x=xadd(spikecnt);
			y=yadd(spikecnt);
			spikehist(x,y)=spikehist(x,y)-1;
			delete(patchv(spikecnt));
			set(spikenumh,'string',int2str(spikecnt));
		end
	elseif char=='c',
		fudge=.07;
		h=patch([1+fudge,dimx+1-fudge,dimx+1-fudge,1+fudge],...
			[1+fudge,1+fudge,dimy+1-fudge,dimy+1-fudge],1,'erasemode','background');
		delete(h);
	elseif char=='d',
		refresh(figh);
	elseif char=='m',
		snd=1:40;
		for i=spikecnt:nspikes,
			x=xadd(spikecnt);
			y=yadd(spikecnt);
			spikehist(x,y)=spikehist(x,y)+1;
			
			bx=[x,x+1,x+1,x];
			by=[y,y,y+1,y+1];
			playsound(snd);
			patchv(spikecnt)=patch(bx,by,spikehist(x,y),'erasemode','background');
			set(spikenumh,'string',int2str(spikecnt));
			spikecnt=spikecnt+1;
			pause(intvls(spikecnt));
			
		end %movie	
	end

elseif strcmp(f,'create'),

% trash bad addresses
	tmp=(xadd>dimx);
	xadd=xadd(~tmp);
	yadd=yadd(~tmp);
	intvls=intvls(~tmp);

	tmp=(xadd<1);
	xadd=xadd(~tmp);
	yadd=yadd(~tmp);
	intvls=intvls(~tmp);

	tmp=(yadd>dimy);
	xadd=xadd(~tmp);
	yadd=yadd(~tmp);
	intvls=intvls(~tmp);

	tmp=(yadd<1);
	xadd=xadd(~tmp);
	yadd=yadd(~tmp);
	intvls=intvls(~tmp);
	
	%play out movie over 5 minutes max (approx)
	sumint=sum(intvls);
	intvls=300*(intvls/sumint);

	fprintf('\n%d spikes, total time %g\n',length(xadd),sumint);
	
	spikecnt=1;
	nspikes=length(yadd);
	patchv=zeros(nspikes,1)*NaN;
	spikehist=zeros(dimx,dimy);
	
%	set(gcf,'nextplot','replace');
	figh=figure('keypressfcn','showspikes(''keypress'');','colormap',...
		eval('jet'),'interr','yes','defaultaxesfontsize',18,...
		'defaultaxesfontweight','bold');
	axesh=axes('xlim',[1,dimx+1],'ylim',[1,dimy+1],'drawmode','fast',...
		'box','on','clim',[0,19],'climmode','manual');
	spikenumh=text('position',[dimx+1,dimy+1],'verticalalign','top',...
		'horizontalalign','right','erasemode','background','string','0');
	xlabel 'x address';
	ylabel 'y address';


end

		
		
