function [x_addr, y_addr, intvl] = NB_Rx_2D(num, verbose, logicsign)
%function [x_addr, y_addr, intvl] = NB_Rx_2D(num, verbose, logicsign)
%
% NB_Rx_2D is a 2D receiver function that
% calls the mex function NB_Rx. NB_Rx_2D translates
% the 16 bit addresses returned by calling NB_Rx into
% pairs of 8 bit X and Y addresses.
%  intvl = the intvl intervals between spikes in seconds
%		num = number of desired events
%  verbose = verbose switch, 0=quiet
%    verbose may be omitted, defaulting to quiet mode
%  logicsign = sex of address, 1=positive, 0=negative logic
% if verbose and logicsign are omitted, they default to 1,1
% if logicsign is omitted, it defaults to 1
%	Author: Henrik Floberg/ Tobi Delbruck

clear address;
clear intvl;

if nargin==3,
	[address, intvl] = NB_Rx(num, verbose, logicsign);
else if nargin==2,
	[address, intvl] = NB_Rx(num,verbose,1);
else,
	[address, intvl] = NB_Rx(num,1,1);
end

x_address = rem(address, 256);
y_address = fix(address / 256);
