%	NB_Tx(addr, intvl, verbose, rep)
%
% NB_Tx sends the events with 16 bit addresses addr and 32 bit
% intervals intvl, in 1 microsecond units, 
% out from a Lab-NB board. 
% Optional nonzero argument verbose causes diagnostic output.
% Optional rep repeats the address/time sequence rep times.
% verbose may be given without rep.
% If rep is given then verbose must also be given.
%
% The sequence is that the port is first checked until it is
% clear, then intvl(1) is waited, then addr(1) is written, then
% wait until port is clear, then wait intvl(2), etc....
% 
% if intvl is smaller than a builtin constant, then clock intvl
% wait is skipped and port is written as fast as possible.
% bits PC4 and PC5 may be used as external output triggers.
% PC4 is toggled high/low at start of each set of spikes.
% PC5 is set high at start of NB_Tx and set low at end.
%
% see also: NB_Tx_2D, NB_Rx, NB_Rx_2D
% NB_Tx is a Mex file.
