function NB_Tx_2D(x_addr, y_addr, intvl, verbose, rep)
%function NB_Tx_2D(x_addr, y_addr, intvl, verbose, rep)
%
% NB_Tx_2D sends the events with 2 8-bit addresses x_addr 
% and y_addr 
% and intervals intvl (in 0.5 us units) out from a Lab-NB board. 
% optional nonzero argument verbose causes diagnostic output.
% optional rep repeats the address/time sequence rep times.
% verbose may be given without rep.
% if rep is given then verbose must also be given.
%
% see also: NB_Tx, NB_Rx, NB_Rx_2D
% NB_Tx_2D is an M file that
% calls the Mex function NB_Tx.

%	Author: Henrik Floberg

clear address;
address = 256 * y_addr + x_addr;


if (nargin == 3),
	NB_Tx(address, intvl);
elseif (nargin==4),
	NB_Tx(address, intvl, verbose);
elseif (nargin==5),
	NB_Tx(address, intvl, verbose, rep);
end
