/* OpenBoard.h -- header for OpenBoard.c
*
* National Instruments Corporation
*
* This header depends on some definitions in NI_DAQ_MAC.h.  Be sure to include
* NI_DAQ_MAC.h before this file in your source file.
*/

/* Globals defined in OpenBoard.c:  */

/* ref_table is a pointer to a table of the reference numbers for the
* drivers opened by NI_DAQ_MAC.  ref_table[0] is the number of slots, and
* ref_table[slot] is the reference number of the driver for the NB-series
* board in slot (0 if no board or not our board).
*/
extern int16 *ref_table;
extern int16 SCXIRefNum;

/* LDSysError holds the result of any call to the Device Manager */
extern NBErrType LDSysError;


/*** Prototype of the function OpenBoard ***/
extern NBErrType OpenBoard(int16 slot);

/*** Prototype of the function OpenSCXI ***/
extern NBErrType OpenSCXI(void);

/*** This ProcError macro is used for returning the correct error code ***/
#define	ProcError(LDSysError, err, lderr) 	if (LDSysError != noErr) { 	\
												if (LDSysError == labErr)			\
													err = lderr; 					\
												else /* operating system error */	\
													err = toolboxErr; 				\
											}										\
											else									\
												err = noErr;
