/*
 *..........................RTSI...........................
 */

#include "NI_DAQ_MACStructs.h"
#include "OpenBoard.h"

/* 
 *	RTSI_Conn--	connects signal from board to trigger line
 */
NBErrType RTSI_Conn(int16 slot, int16 sig_code, int16 trig_line, int16 dir)
{	
	RTSIParamBlock rpb, *rpbPtr;		/* allocate RTSI parameter block */
	register NBErrType err;
	
	/* conditionally open slot */
	if ((err = OpenBoard(slot)) == noErr) {
		/* make RTSI_Conn call */
		rpbPtr = &rpb;
		rpb.slot = slot;
		rpb.sig_code = sig_code;
		rpb.trig_line = trig_line;
		rpb.dir = dir;

		LDSysError =  Control(ref_table[slot], RTSIConnID, (Ptr)&rpbPtr);
		ProcError(LDSysError, err, rpb.error);
	}
	return err;
} /* RTSI_Conn */

/* 
 *	RTSI_Clear --	disconnects all RTSI trigger bus connections from board
 */
NBErrType RTSI_Clear(int16 slot)
{	
	RTSIParamBlock rpb, *rpbPtr;
	register NBErrType err;
		
	/* conditionally open slot */
	if ((err = OpenBoard(slot)) == noErr) {
		/* make RTSI_Clear call */
		rpbPtr = &rpb;
		rpb.slot = slot;
		
		LDSysError = Control(ref_table[slot], RTSIClearID, (Ptr)&rpbPtr);
		ProcError(LDSysError, err, rpb.error);
	}
	return err;
} /* RTSI_Clear */

/* 
 *	RTSI_DisConn --	disconnects signal from board from trigger line
 */
NBErrType RTSI_DisConn(int16 slot, int16 sig_code, int16 trig_line)
{	
	RTSIParamBlock rpb, *rpbPtr;
	register NBErrType err;
	
	/* conditionally open slot */
	if ((err = OpenBoard(slot)) == noErr) {
		/* make RTSIDisConn call */
		rpbPtr = &rpb;
		rpb.slot = slot;
		rpb.sig_code = sig_code;
		rpb.trig_line = trig_line;
		
		LDSysError = Control(ref_table[slot], RTSIDisConnID, (Ptr)&rpbPtr);
		ProcError(LDSysError, err, rpb.error);
	}
	return err;
} /* RTSI_DisConn */