/*
 *  henrik.h
 *
 *  Copyright (C) Henrik Floberg, Jan 1993.
 *	Carver Land, Caltech.
 *	All rights reserved.
 *
 */



#define	max(A, B)	((A) > (B) ? (A) : (B))
#define	min(A, B)	((A) < (B) ? (A) : (B))


/* pascal function pointer */

typedef pascal void (*bypass) ();

/* basic clock period on Lab-NB board 0.5 microseconds */
#define CLKPERIOD (0.5e-6)

/* timeouts */

#define WAIT		10		/* start wait time for the receiver in seconds */
#define TIMEOUT		20		/* total send/receive time in seconds */
#define REPEAT		32000	/* number of times to look for interupt or clock between
								peeks at system clock */
#define MININT		160		/* if interval is smaller than this, skip clock check,
								just write data as fast as possible */
								

#ifdef Rx

/* I/O 8255 input status */

#define IBFA 0x20
#define IBFB 0x02
#define IBF  0x22

#endif


#ifdef Tx

/* I/O 8255 output status */

#define	INTEA		0x0D
#define INTEB		0x05
#define INTRA		0x08
#define INTRB		0x01
#define INTR		0x09

#endif
