/* 
 * mex_mac.h - Include file for Macintosh C-language MEX-files
 *
 * Copyright (c) 1991-1992 The Mathworks, Inc.
 * All Rights Reserved
 */
#ifndef mex_mac_h
#define mex_mac_h

/* --------------------------------------------------------------------------------
 * Make sure right options are set in THINK C projects.
 *
 * Generate syntax error if the options are not set.
 * ----------------------------------------------------------------------------- */
#ifdef THINK_C

#if __option(stdc)
#else
	/* Language Settings should be
	 *
	 *		#define __STDC__
	 */
	see_comment_above;
#endif

#if __option(mc68020) && __option(mc68881) && __option(int_4) && __option(double_8) && __option(native_fp)
#else
	/* Compiler Settings should be
	 *
	 *		Generate 68020 instructions
	 *		Generate 68881 instructions
	 *		4-byte ints
	 *		8-byte doubles
	 *		Native floating-point format
	 */
	see_comment_above;
#endif

#endif /* THINK_C */

/* --------------------------------------------------------------------------------
 * The following diverts C file I/O to MEX callbacks.
 * When linking against LIBMEX, we want this.
 * When linking against LIBMAT, we don't want this.
 * ----------------------------------------------------------------------------- */
#include <fcntl.h>
#include <stdio.h>
#ifdef THINK_C
#include <unix.h>
#endif
#include <string.h>

#ifdef THINK_C
#if __option(a4_globals)
#define _LIBMEX_LINK_
#endif
#endif

#ifdef _LIBMEX_LINK_
/*
 * Divert C I/O to callbacks when linking against LIBMEX.
 */
#ifdef THINK_C
extern int dup(int fd);
#endif
#define tell(fd)		lseek( fd, 0L, 1 )

#define setbuf(stream,buf)\
	setvbuf( stream, buf, (buf)?_IOFBF:_IONBF, (buf)?BUFSIZ:0 )
#define rewind(stream)	(void)fseek( stream, 0L, 0 )
#define unlink(name)	remove( name )

#ifdef THINK_C
extern void mex_clearerr( FILE *fp );
extern int mex_feof( FILE *fp );
extern int mex_ferror( FILE *fp );
extern int mex_fileno( FILE *fp );
#define clearerr(stream)	mex_clearerr( stream )
#undef feof
#define feof(stream)		mex_feof( stream )
#undef ferror
#define ferror(stream)		mex_ferror( stream )
#define fileno(stream)		mex_fileno( stream )

#undef getc
#define getc(fp)			fgetc( fp )
#undef putc
#define putc(x,fp)			fputc( x, fp )
#endif

/*
 * Use special mex variables for stdin, stdout, and stderr
 */
extern FILE *_mex_stdin, *_mex_stdout, *_mex_stderr;		

#ifdef stdin
#undef stdin
#undef stdout
#undef stderr
#endif

#define stdin	_mex_stdin
#define stdout	_mex_stdout
#define stderr	_mex_stderr

#endif /* _LIBMEX_LINK_ */

/*
 * Define QuickDraw globals type for THINK C.
 */
#ifdef THINK_C

typedef struct  {
	char		privates[76];
	long		randSeed;
	BitMap		screenBits;
	Cursor		arrow;
	Pattern		dkGray;
	Pattern		ltGray;
	Pattern		gray;
	Pattern		black;
	Pattern		white;
	GrafPtr		thePort;
} THINK_C_QD;

#ifdef OLDSTYLE
/*
 * The DOUBLE and INT macros for backwards compatibility.
 *
 * These are now obsolete because THINK C supports
 * 8-byte doubles and 4-byte ints.
 */
#define DOUBLE	double
#define INT		int
#endif

#endif
#endif /* mex_mac_h */
