% grab spikes from chris's chip, plot freq vs time

clear address;
clear time;
clear d;

f = 0; %f<>0 indicates diagnostic output
k = 2000;

% get the (bogus) addresses and valid times
[address, time] = NB_Rx(k, f);

% compute the time intervals between events
% remember that the counter decrements and is 16 bit.
% it runs at 2MHz
% when it wraps, add 65k to fix the number

% compute the time intervals between events in counter decrements
d=time(1:length(time)-1)-time(2:length(time));
% find the wrap points
negs=(d<0); 
d=d+negs*65536;
d=d*0.5e-6;
% the absolute time is the cumulative sum of all the intervals
t=cumsum(d);

% now plot spike freq vs time of spike

plot182(t, d,'o')
xlabel time(s)
%ylabel freq(Hz)
ylabel 'dT (s)'

