%grab spikes from oxonoffret/ tobi/ 11/94
size=32;


% addresses are negative logic.  
% on sender board, bit 5 is tied low (1) and bit 6 is tied high (0)
% for both x and y addresses
% there are 32 pixels in each dimension.  
% hence, 8 bit addresses run from
% 		0 01 00000=32 to 0 01 11111=63
% to parse out the two 8-bit parts from the 16 bit address, use
% rem and fix (rounds towards zero). then subtract 31 to get 
% addresses that run from 1 to 32;
	x_address = rem(addr, 256)-31;
	y_address = fix(addr / 256)-31;
% but now PB7 (y address 8/8th bit) is tied to onoff line.
% y addresses are either as before or the hi-order bit is logically hi.
% i.e., 8th bit is hi.  8th bit hi adds 2^7=128 to the address.
% that means y addresses run from 32 to 63 as before for OFF spikes or from
% 1+128=129 to 32+128=160

% first throw out bad addresses and print a count
bad=(x_address<1 | y_address<1 | x_address>32 ...
	|y_address>160| (y_address>32 & y_address<129));
sumbad=sum(bad);
if sumbad,
	fprintf('%d bad addresses\n',sumbad);
	x_address=x_address(~bad);
	y_address=y_address(~bad);
	int=int(~bad);
end

% compute OFF spikes, shift yadd to normal range
	onspikes=(y_address>100);
	y_address(onspikes)=y_address(onspikes)-128;

fprintf('address span x:%d-%d, y:%d-%d\n',...
	min(x_address), max(x_address),min(y_address), max(y_address));
ons=sum(onspikes);
fprintf('on spikes %d, off spikes %d\n',sum(ons),k-sum(ons));

%hist2d(x_address,y_address,size,size);

%showonoffspikes(x_address,y_address,int,size,size,onspikes)
%clear mex;

