function Plot182AddLabels(x,y,l,c)
% add labels to plot at locations of maximum curve spacing.
% x is single row vector
% y is matrix of curves, same width as x
% l is col vector of labels. if l is vector of numbers, labels are numbers
% if l is matrix of strings, labels are strings.
% c is optional matrix of color order (cycled through)

if nargin<3, error('needs three input arguments'); end;
if nargin==3, c=[]; end;

sy=size(y); sx=size(x); sl=size(l);

if sx(1)~=1 & sx(2) ~=1, error('x must be vector'); end;
if sy(2)~=length(x), error('y must have same number of columns as x'); end;
if sl(1)~=sy(1), error('l must have same number of rows as y'); end;

cc=size(c,1);

in=Plot182MaxSpacing(y);

for i=1:length(in),
	if ~isstr(l(i)),
		s=num2str(l(i));
	else,
		s=l(i,:);
	end;
	if isempty(c),
		color='black';
	else
		color=c(1+rem(i-1,cc),:);
	end;
	text(x(in(i)),y(i,in(i)),s,'ButtonDownFcn','Plot182Object(3)',...
		'HorizontalAlign','left','VerticalAlign','bottom','color',color);
end;
return


%c=get(gca,'Children');
%for i=1:length(c),
%	type=get(c(i),'Type');
%	if strcmp(type,'line'), % if its a line
%		u=get(c(i),'UserData');
%		if isstr(u), 		% if userdata is a string
%			x=get(c(i),'Xdata');
%			y=get(c(i),'Ydata');
%			t=text(x(length(x)),y(length(y)),u);
%			set(t,'EraseMode','normal',...
%				'HorizontalAlignment','left',...
%				'VerticalAlignment','middle');
%		elseif length(u)==1, % if only one element in u
%			x=get(c(i),'Xdata');
%			y=get(c(i),'Ydata');
%			t=text(x(length(x)),y(length(y)),num2str(u));
%			set(t,'EraseMode','normal',...
%				'HorizontalAlignment','left',...
%				'VerticalAlignment','middle');
%		else,
%			cnt=0; % count lines
%			for i=1:length(c),
%				type=get(c(i),'Type');
%				if strcmp(type,'line'), cnt=cnt+1; end;
%			end;
%			if size(u,1)==cnt, % if userdata has same number of rows as lines
%				for i=1:length(c),
%					type=get(c(i),'Type');
%					if strcmp(type,'line'),
%						
%						
%		
%	end;
%end;
