function Plot182Measure(f)

global fgcf fgca fp ap l1 l2 tp tp2 xs ys  ...
	deltameas...
	startx starty measstr oldtp oldl1 oldl2 gravity

if f==1, % set up crosshairs, button functions
	fgcf=gcf; fgca=gca; 
	% check if zoomed already with negative YLimit & logscale
	xlog=strcmp(get(fgca,'XScale'),'log');
	ylog=strcmp(get(fgca,'YScale'),'log');
	xl=get(fgca,'XLim');
	yl=get(fgca,'YLim');
	if ylog & yl(1)<0,
		sysbeep;
		disp('UnZoom and try again');
		return;
	end;
	if xlog & xl(1)<0,
		sysbeep;
		disp('UnZoom and try again');
		return;
	end;
	Plot182NearPt; % set up data for gravity measurement
	Plot182GetLocation(1); % set up globals
	set(fgcf,'Pointer','crosshair');
	set(fgcf,'KeyPressFcn','Plot182Measure(2)'); 			% clean up
	set(fgcf,'WindowButtonDownFcn','Plot182DrawXHairs(3)');	% start delta measurement
	set(fgcf,'WindowButtonMotionFcn','Plot182DrawXHairs(2)');	% plot motion x hairs on motion
	set(fgcf,'Resize','off');
	Plot182Menu(3); % grey menus
	Plot182Msg(.98,.96,'p to print, m to mark, g toggles gravity, space exits','blue','right',10);
	Plot182DrawXHairs(1); % plot initial x hairs
elseif f==2, % handle key press
	char=get(fgcf,'CurrentCharacter');
	if char=='p',
		disp(measstr);
	elseif char=='g',
		gravity= ~gravity;
	elseif char==' ',
		set(fgcf,'WindowButtonDownFcn','');
		set(fgcf,'WindowButtonMotionFcn','');
		set(fgcf,'WindowButtonUpFcn','');
		set(fgcf,'Pointer','arrow');
		set(fgcf,'KeyPressFcn','');
		delete(tp); delete(l1); delete(l2); delete(tp2);
		set(fgcf,'Resize','on');
		Plot182Menu(2); % turn on menus
		refresh;
	elseif char=='m',
		Plot182DrawXHairs(6);
	end;
end; % f choices











