function Plot182Msg(nx,ny,str,color,just,size)
% pop up message at normalized screen coordinates nx,ny
% and delete on first mouse movement, restoring old windowbuttonmotionfcn
% only one message of one line is allowed at this time
% owing to difficulty of keeping track of old windown
% motion function

global Plot182MsgPtr Plot182MsgWMF

if nargin==0, % clear messages, set WMF to string
	delete(Plot182MsgPtr);
	Plot182MsgPtr=[];
	set(gcf,'WindowButtonMotionFcn',Plot182MsgWMF);
else,
	if ~isempty(Plot182MsgPtr), return; end;
	
	[x,y]=Plot182sc2dc(nx,ny);
	
	Plot182MsgPtr=text(x,y,str,...
		'FontSize',size,'HorizontalAlignment',just,'Color',color,...
		'EraseMode','background');
	Plot182MsgWMF=get(gcf,'WindowButtonMotionFcn');
	set(gcf,'WindowButtonMotionFcn','Plot182Msg;');
end;
