function Plot182Object(f,arg)
%f==1, 		%set up functions
%f==1.1, 	% turn off objects (say, during zoom, measure functions)
%f==2, 		% handle line
%f==3, 		% handle text button down first time
%f==3.01, 	% second button down on text
%f==3.1, 	% handle text motion
%f==3.2, 	% text mouse up

global obj

if nargin==0, f=1; end;
doubclicktime=0.3;

if f==1,
	tl=get(gca,'Title');
	set(tl,'ButtonDownFcn','Plot182Object(3)');
	xl=get(gca,'XLabel');
	set(xl,'ButtonDownFcn','Plot182Object(3)');
	yl=get(gca,'YLabel');
	set(yl,'ButtonDownFcn','Plot182Object(3)');
	cp=get(gca,'Children');
	for i=1:length(cp),
		type=get(cp(i),'Type');
		if strcmp(type,'line'),
			set(cp(i),'ButtonDownFcn','Plot182Object(2)');
			set(cp(i),'EraseMode','background');
		elseif strcmp(type,'text'),
			set(cp(i),'ButtonDownFcn','Plot182Object(3)');
		end;
	end;
	set(gcf,'WindowButtonMotionFcn','');
	set(gcf,'WindowButtonUpFcn','');
elseif f==1.1, % turn off objects (say, during zoom or measure)
	tl=get(gca,'Title');
	set(tl,'ButtonDownFcn','');
	xl=get(gca,'XLabel');
	set(xl,'ButtonDownFcn','');
	yl=get(gca,'YLabel');
	set(yl,'ButtonDownFcn','');
	cp=get(gca,'Children');
	for i=cp',
		type=get(i,'Type');
		if strcmp(type,'line'),
			set(i,'ButtonDownFcn','');
		elseif strcmp(type,'text'),
			set(i,'ButtonDownFcn','');
		end;
	end;
elseif f==2, % handle line first click
	obj=get(gcf,'CurrentObject');
	tic
	set(obj,'ButtonDownFcn','Plot182Object(2.1)');
elseif f==2.1, % handle line second click
%	obj=get(gcf,'CurrentObject');
	if toc<doubclicktime,
		for i=1:14/(1+log(length(get(obj,'XData'))));
			set(obj,'Visible','off');
			drawnow;
			set(obj,'Visible','on');
			drawnow;
		end;
		Plot182LineDial('create',obj);
	end;
	set(obj,'ButtonDownFcn','Plot182Object(2)');
elseif f==3, % handle text button down first time
	tic % start timer
	obj=get(gcf,'CurrentObject');
	set(obj,'ButtonDownFcn','Plot182Object(3.01)');
%	set(obj,'WindowButtonUpFcn','Plot182Object(3.02)');
	g=gca;
	if obj~=get(g,'Title') & obj~=get(g,'XLabel') & obj~=get(g,'YLabel'), % dont do title, axis labels for now
		set(gcf,'WindowButtonMotionFcn','Plot182Object(3.1)');
	end;
elseif f==3.01, % second button down on text
%	obj=get(gcf,'CurrentObject');
	if toc<doubclicktime, % if double click
		set(gcf,'WindowButtonMotionFcn','');
		Plot182TextDial('create',obj);
	end;
	set(obj,'ButtonDownFcn','Plot182Object(3)');
elseif f==3.02, % button up function for text
%	obj=get(gcf,'CurrentObject');
	if toc<doubclicktime, % if double click
		set(gcf,'WindowButtonMotionFcn','');
		Plot182TextDial('create',obj);
	end;
	set(obj,'ButtonDownFcn','Plot182Object(3)');
elseif f==3.1, % handle motion
%	obj=get(gcf,'CurrentObject');
	set(obj,'EraseMode','background');
	set(obj,'ButtonDownFcn','Plot182Object(3)');
	set(gcf,'WindowButtonUpFcn','Plot182Object(3.2)');
	cp=get(gca,'CurrentPoint');
	set(obj,'Position',[cp(1,1),cp(1,2),0]);
elseif f==3.2, % mouse up
%	obj=get(gcf,'CurrentObject');
	set(obj,'ButtonDownFcn','Plot182Object(3)');
	cp=get(gca,'CurrentPoint');
	set(obj,'Position',[cp(1,1),cp(1,2),0]);
	set(obj,'EraseMode','normal');
	set(gcf,'WindowButtonMotionFcn','');
	set(gcf,'WindowButtonUpFcn','');
end;

return

% unused stuff


%			str=get(obj,'String');
%			cb=sprintf('Plot182Object(3.3,%.30g)',obj);
%			global td
%			td=uicontrol(...
%				'Style','edit',...
%				'Position',[.35,.5,.3,.065],...
%				'Units','normalized',...
%				'String',str,...
%				'BackgroundColor',[.9,.9,.9],...
%				'ForegroundColor','red',...
%				'Min',1,'Max',0,'CallBack',cb);
%		end;
%	elseif f==3.3,
%		global td
%		str=get(td,'String');
%		set(arg,'String',str);
%		delete(td);



%		click;
%		str=input('New string? ','s');
%		if ~isempty(str),
%			set(obj,'String',str);
%		else,
%			delete(obj);
%		end;
%		set(obj,'EraseMode','normal');
%	end;

