function Plot182TextDial(f,arg)

if nargin==0, figure; f='create'; arg=text; end;

global Plot182TextDialFig TextDial currentobj

if strcmp(f,'create'),
		currentobj=arg;
		fontname=get(currentobj,'FontName');
		fontsize=get(currentobj,'FontSize');
		fontangle=get(currentobj,'FontAngle');
		fontweight=get(currentobj,'FontWeight');
		color=get(currentobj,'Color');
		rotation=get(currentobj,'Rotation');
%		horizontalalignment=get(currentobj,'HorizontalAlignment');
%		verticalalignment=get(currentobj,'VerticalAlignment');
		string=get(currentobj,'String');
		
		DlgName='Text Style';
		[flag,fig]=figflag(DlgName,1);
		if flag & ~isempty(TextDial),
			set(TextDial(1),'String',string);

			a=get(TextDial(2),'String'); b=size(a);
			val=1;
			for i=1:b(1),
				if findstr(a(i,:),fontname), val=i; end;
			end
			set(TextDial(2),'Value',val);

			a=get(TextDial(3),'String'); b=size(a);
			val=1;
			for i=1:b(1),
				if findstr(a(i,:),int2str(fontsize)), val=i; end;
			end
			set(TextDial(3),'Value',val);

			a=get(TextDial(4),'String'); b=size(a);
			val=1;
			for i=1:b(1),
				if findstr(a(i,:),fontangle), val=i; end;
			end
			set(TextDial(4),'Value',val);

			a=get(TextDial(5),'String'); b=size(a);
			val=1;
			for i=1:b(1),
				if findstr(a(i,:),fontweight), val=i; end;
			end
			set(TextDial(5),'Value',val);

			a=get(TextDial(7),'String'); b=size(a);
			val=1;
			for i=1:b(1),
				if sscanf(a(i,:),'%d')==rotation, val=i; end;
			end
			set(TextDial(7),'Value',val);

			figure(fig);
			return;
		end;
		
		ForegroundColor = get(0,'DefaultUIControlForegroundColor');
		BackgroundColor = get(0,'DefaultUIControlBackgroundColor');
		set(0,'Units','normalized');
		
		% Get layout parameters
		ScreenUnits = get(0,'Units');
		set(0,'Units','pixels');
		ScreenPos = get(0,'ScreenSize');
		set(0,'Units',ScreenUnits);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%		
% make dialog figure
		fp=[ScreenPos(3)*.4,ScreenPos(4)*.4,400,100];
		Plot182TextDialFig=figure(...
			'Units','pixels','Position',fp,...
			'NumberTitle','off','Name',DlgName, ...
 			'NextPlot','new','Resize','off','MenuBar','none', ...
 			'Color',BackgroundColor);

		set(Plot182TextDialFig,'Units','normalized');
%		set(Plot182TextDialFig,'DefaultUiControlFontSize',6);
		drawnow discard
		
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%		
% make close box
		cb='Plot182TextDial(''done'')'; st='Close';
		uicontrol(Plot182TextDialFig,...
			'Style','pushbutton',...
			'Position',[.55,.01,.3,.2],...
			'Units','normalized',...
			'String',st,...
			'Callback',cb);
		drawnow discard
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%		
% make delete box
		cb='Plot182TextDial(''delete'')'; st='Delete';
		uicontrol(Plot182TextDialFig,...
			'Style','pushbutton',...
			'Position',[.15,.01,.3,.2],...
			'Units','normalized',...
			'BackgroundColor','red','String',st,...
			'Callback',cb);
		drawnow discard
		
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%		
% make string editing box
		cb='Plot182TextDial(''setstring'')';
		TextDial(1)=uicontrol(Plot182TextDialFig,...
			'Style','edit','String',string,...
			'Min',1,'Max',0,...
			'Position',[.05,.7,.9,.23],...
			'Units','normalized',...
			'ForegroundColor','black','BackgroundColor','white',...
			'CallBack',cb);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%		
% fontname box
		pos=Plot182TextDialPos(0,1);
		st='Font'; 
		uicontrol(Plot182TextDialFig,...
			'Style','text',...
			'Position',pos,...
			'Units','normalized',...
			'ForegroundColor','black','String',st);
			
		st=' |Helvetica|Times|Palatino|Symbol|Courier';
		cb='Plot182TextDial(''setname'')';
		pos=Plot182TextDialPos(0,0);
		TextDial(2)=uicontrol(Plot182TextDialFig,...
			'Style','popupmenu','String',st,...
			'Position',pos,...
			'Units','normalized',...
			'ForegroundColor','black','BackgroundColor','white',...
			'CallBack',cb);
		a=get(TextDial(2),'String'); b=size(a);
		val=1;
		for i=1:b(1),
			if findstr(a(i,:),fontname), val=i; end;
		end
		set(TextDial(2),'Value',val);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%		
% size box
		pos=Plot182TextDialPos(1,1);
		st='Size'; 
		uicontrol(Plot182TextDialFig,...
			'Style','text',...
			'Position',pos,...
			'Units','normalized',...
			'ForegroundColor','black','String',st);
			
		st=' |5|6|7|8|9|10|11|12|14|16|18|24|36';
		cb='Plot182TextDial(''setsize'')';
		pos=Plot182TextDialPos(1,0);
		TextDial(3)=uicontrol(Plot182TextDialFig,...
			'Style','popupmenu','String',st,...
			'Position',pos,...
			'Units','normalized',...
			'ForegroundColor','black','BackgroundColor','white',...
			'CallBack',cb);
		a=get(TextDial(3),'String'); b=size(a);
		val=1;
		for i=1:b(1),
			if findstr(a(i,:),int2str(fontsize)), val=i; end;
		end
		set(TextDial(3),'Value',val);


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%		
% set font angle (normal, oblique, bold, etc)
		pos=Plot182TextDialPos(2,1);
		st='Angle'; 
		uicontrol(Plot182TextDialFig,...
			'Style','text',...
			'Position',pos,...
			'Units','normalized',...
			'ForegroundColor','black','String',st);
			
		st=' |normal|italic|oblique';
				
		cb='Plot182TextDial(''setangle'')';
		pos=Plot182TextDialPos(2,0);
		TextDial(4)=uicontrol(Plot182TextDialFig,...
			'Style','popupmenu','String',st,...
			'Position',pos,...
			'Units','normalized',...
			'ForegroundColor','black','BackgroundColor','white',...
			'CallBack',cb);
		a=get(TextDial(4),'String'); b=size(a);
		val=1;
		for i=1:b(1),
			if findstr(a(i,:),fontangle), val=i; end;
		end
		set(TextDial(4),'Value',val);


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%		
% Weight 
		pos=Plot182TextDialPos(3,1);
		st='Weight';
		uicontrol(Plot182TextDialFig,...
			'Style','text',...
			'Position',pos,...
			'Units','normalized',...
			'ForegroundColor','black','String',st);
		
		st=' |light|normal|demi|bold';
		cb='Plot182TextDial(''setweight'')';
		pos=Plot182TextDialPos(3,0);
		TextDial(5)=uicontrol(Plot182TextDialFig,...
			'Style','popupmenu','String',st,'Value',val,...
			'Position',pos,...
			'Units','normalized',...
			'ForegroundColor','black','BackgroundColor','white',...
			'CallBack',cb);
		a=get(TextDial(5),'String'); b=size(a);
		val=1;
		for i=1:b(1),
			if findstr(a(i,:),fontweight), val=i; end;
		end
		set(TextDial(5),'Value',val);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%		
% Color 
		pos=Plot182TextDialPos(4,1);
		st='Color';
		uicontrol(Plot182TextDialFig,...
			'Style','text',...
			'Position',pos,...
			'Units','normalized',...
			'ForegroundColor','black','String',st);
		
		st='     |black|red|green|blue|cyan|white';
		cb='Plot182TextDial(''setcolor'')';
		pos=Plot182TextDialPos(4,0);
		TextDial(6)=uicontrol(Plot182TextDialFig,...
			'Style','popupmenu','String',st,'Value',1,...
			'Position',pos,...
			'Units','normalized',...
			'ForegroundColor','black','BackgroundColor','white',...
			'CallBack',cb);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%		
% Rotation 
		pos=Plot182TextDialPos(5,1);
		st='Rotation';
		uicontrol(Plot182TextDialFig,...
			'Style','text',...
			'Position',pos,...
			'Units','normalized',...
			'ForegroundColor','black','String',st);
		
		st='   |0|90|180|270';
		cb='Plot182TextDial(''setrotation'')';
		pos=Plot182TextDialPos(5,0);
		TextDial(7)=uicontrol(Plot182TextDialFig,...
			'Style','popupmenu','String',st,...
			'Position',pos,...
			'Units','normalized',...
			'ForegroundColor','black','BackgroundColor','white',...
			'CallBack',cb);
		a=get(TextDial(7),'String'); b=size(a);
		val=1;
		for i=1:b(1),
			if sscanf(a(i,:),'%d')==rotation, val=i; end;
		end
		set(TextDial(7),'Value',val);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
elseif strcmp(f,'done'),
	set(Plot182TextDialFig,'Visible','off');
	figure(get(get(currentobj,'Parent'),'Parent'));
	refresh;

elseif strcmp(f,'delete'),
	set(Plot182TextDialFig,'Visible','off');
	figure(get(get(currentobj,'Parent'),'Parent'));
	delete(currentobj);
	refresh;

elseif strcmp(f,'setstring'),
	st=get(TextDial(1),'String');
	set(currentobj,'String',st);
	refresh;

elseif strcmp(f,'setname'),
	val=get(TextDial(2),'Value');
	st=get(TextDial(2),'String');
	set(currentobj,'FontName',st(val,:));
	refresh;

elseif strcmp(f,'setsize'),
	val=get(TextDial(3),'Value');
	st=get(TextDial(3),'String');
	set(currentobj,'FontSize',sscanf(st(val,:),'%d'));
	refresh;

elseif strcmp(f,'setangle'),
	val=get(TextDial(4),'Value');
	st=get(TextDial(4),'String');
	set(currentobj,'FontAngle',st(val,:));
	refresh;

elseif strcmp(f,'setweight'),
	val=get(TextDial(5),'Value');
	st=get(TextDial(5),'String');
	set(currentobj,'FontWeight',st(val,:));
	refresh;
					
elseif strcmp(f,'setcolor'),
	val=get(TextDial(6),'Value');
	st=get(TextDial(6),'String');
	set(currentobj,'Color',st(val,:));
	refresh;
					
elseif strcmp(f,'setrotation'),
	val=get(TextDial(7),'Value');
	st=get(TextDial(7),'String');
	set(currentobj,'Rotation',sscanf(st(val,:),'%d'));
	refresh;
					
end;
