function Plot182Tweak(f)

global Plot182TweakFig Plot182TweakBasis Plot182TweakBasisCv Plot182TweakFunc Plot182TweakOldFig Plot182TweakLine

if nargin==0, f='create'; end;

DlgName='Plot182 Curve Tweak';

if strcmp(f,'create'),
	if figflag(DlgName),
		figure(Plot182TweakFig);
		return;
	end;
	
	Plot182TweakOldFig=gcf;
	osu=get(0,'units');
	set(0,'units','pixels');
	ss=get(0,'screensize');
	set(0,'units',osu);
	l=ss(3)*.2;
	b=ss(4)*.2;
	Plot182TweakFig=figure('units','pixels','position',[l,b,200,100],'resize','off',...
		'numbertitle','off','name',DlgName,'nextplot','replace',...
		'backingst','off'); %,'keypressfcn','Plot182Tweak(''keypress'');');
	
	Plot182TweakFunc=uicontrol(Plot182TweakFig,'style','edit',...
		'units','pixels','pos',[2,50,196,48],...
		'string','Expression to plot (.e.g. "x.^2")',...
		'min',1,'max',0,'callb','Plot182Tweak(''plot'');');
	
	set(Plot182TweakFig,'defaultuicontrolstyle','pushbutton','defaultuicontrolunits','pixels');
	uicontrol('string','Plot','pos',[2,2,60,20],'callb','Plot182Tweak(''plot'');');
	uicontrol('string','Delete','pos',[70,2,60,20],'callb','Plot182Tweak(''delete'');');
	uicontrol('string','Hide','pos',[200-62,2,60,20],'callb','Plot182Tweak(''hide'');');

	uicontrol('style','text','string','Basis "x"','pos',[2,24,60,20],'backgrou','white',...
		'callb','Plot182Tweak(''basis'');');
	Plot182TweakBasis=uicontrol('style','edit','pos',[64,28,80,18],...
		'callb','Plot182TweakGetBas');

	%uicontrol('string','plot','pos',[2,2,60,20]);

elseif strcmp(f,'plot'),
%	x=eval('err=0;get(Plot182TweakBasis,''string'');','err=1;');
%	cvnum=sscanf(get(Plot182TweakBasis,'string'),'%d');
%	if isempty(cvnum), sysbeep; return; end;
%	a=get(Plot182TweakOldFig,'currentaxes');
%	c=get(a,'children')
%	x=get(c(cvnum),'xdata');
	x=Plot182TweakBasisCv;
	ex=get(Plot182TweakFunc,'string');
	ex=['y=',ex,';'];
	err=0; eval(ex,'err=1;');
	if err==1, error('can''t plot that function'); return; end;
	if isempty(Plot182TweakLine)
		figure(Plot182TweakOldFig); %subplot(a)
		Plot182TweakLine=line(x,y,'erasemode','background','ButtonDownFcn','Plot182Object(2)');
	else,
		set(Plot182TweakLine,'Ydata',y);
	end;
	figure(Plot182TweakOldFig);
	figure(Plot182TweakFig);
	
elseif strcmp(f,'basis'),
	bas=get(Plot182TweakBasis,'string');
	s=['err=0; Plot182TweakBasisCv=',bas];
	eval(s,'err=1');
	if err==1, sysbeep; return; end;
	
elseif strcmp(f,'hide'),
	set(Plot182TweakFig,'visible','off');
	
elseif strcmp(f,'delete'),
	if ~isempty(Plot182TweakLine),
		delete(Plot182TweakLine);
	end;
	Plot182TweakLine=[];
	

elseif strcmp(f,'keypress'),
	c=get(Plot182TweakFig,'currentchar')
	if c==13,
		Plot182Tweak('plot');
	end;
	
	
	
end;


	
