function Plot182Zoom(f)
% f=1, set up crosshairs, button functions
% f=2, start box 
% f=3, stretch box
% f=4, delete box, zoom
% f=5, unzoom

global fgcf fgca  ...
	 ax ay ax0 ay0 b1 b2 b3 b4

if f==1, % set up crosshairs, button functions
	fgcf=gcf; fgca=gca;
	set(gcf,'Resize','off'); 
	set(fgcf,'Pointer','fleur');
	Plot182GetLocation(1); % set up globals
	Plot182Menu(3);	 % turn off menus
	Plot182Object(1.1); % turn off objects during zoom
	set(fgcf,'WindowButtonDownFcn','Plot182Zoom(2)');	% start box
	set(fgcf,'KeyPressFcn','Plot182Zoom(6)'); % key press, say +/-/c
	Plot182Msg(.98,.96,...
		'Draw ZoomBox, c centers, +/= zooms up, - zooms back, u unzooms, space exits',...
		'blue','right',10);
elseif f==2, % button down, start box
	[ax,ay]=Plot182GetLocation(2);
	set(fgcf,'KeyPressFcn',''); % key press off during box
	b1=line([ax,ax],[ay,ay],'EraseMode','xor','Color','blue');
	b2=line([ax,ax],[ay,ay],'EraseMode','xor','Color','blue');
	b3=line([ax,ax],[ay,ay],'EraseMode','xor','Color','blue');
	b4=line([ax,ax],[ay,ay],'EraseMode','xor','Color','blue');
	drawnow;
	set(fgcf,'WindowButtonMotionFcn','Plot182Zoom(3)');	% plot box on motion
	set(fgcf,'WindowButtonUpFcn','Plot182Zoom(4)');		% clean up, zoom
	ax0=ax; ay0=ay; 
elseif f==3, % mouse motion after button down
	[ax,ay]=Plot182GetLocation(2);
	set(b1,'XData',[ax0,ax],'YData',[ay0,ay0]); % bottom
	set(b2,'XData',[ax,ax],'YData',[ay0,ay]); % right
	set(b3,'XData',[ax,ax0],'YData',[ay,ay]); % top
	set(b4,'XData',[ax0,ax0],'YData',[ay,ay0]); % left
	drawnow;
elseif f==4, % mouse up, zoom, clean up
	[ax,ay]=Plot182GetLocation(2);
	delete(b1); delete(b2); delete(b3); delete(b4);		
	set(fgcf,'WindowButtonDownFcn','');
	set(fgcf,'WindowButtonMotionFcn','');
	set(fgcf,'WindowButtonUpFcn','');
	set(fgcf,'KeyPressFcn',''); % key press off
	axisvals=[min(ax0,ax),max(ax0,ax),min(ay0,ay),max(ay0,ay)];
	if axisvals(1)==axisvals(2), axisvals(2)=axisvals(2)*1.01; end;
	if axisvals(3)==axisvals(4), axisvals(4)=axisvals(4)*1.01; end;
	set(fgcf,'Pointer','arrow');
	set(fgcf,'Resize','on');
	Plot182Object(1); % turn on objects again
	Plot182Menu(2); % menus back on
	axis(axisvals); 
	refresh;
elseif f==5, % unzoom
	set(fgcf,'WindowButtonDownFcn','');
	set(fgcf,'WindowButtonMotionFcn','');
	set(fgcf,'WindowButtonUpFcn','');
	set(gcf,'Pointer','arrow');
	set(fgcf,'Resize','on');
	axs=gca;
	set(axs,'XLimMode','manual'); % bug in 4.1 means must do this first
	set(axs,'YLimMode','manual');
	set(axs,'XLimMode','auto');
	set(axs,'YLimMode','auto');
	refresh;
elseif f==6, % key press
	c=get(fgcf,'CurrentCharacter');
	if c=='u',
		axs=gca;
		set(axs,'XLimMode','manual'); % bug in 4.1 means must do this first
		set(axs,'YLimMode','manual');
		set(axs,'XLimMode','auto');
		set(axs,'YLimMode','auto');
		refresh;
		Plot182GetLocation(1); % reset globals	
	elseif c=='+' | c=='=' | c=='-' | c=='c' % center on this point and zoom up
		if c=='c' ,
			zf=.5; 
		elseif c=='+' | c=='=',
			zf=.25;
		elseif c=='-',
			zf=1;
		end;
		v=axis;
		[ax,ay]=Plot182GetLocation(2);
		xlog=strcmp(get(gca,'XScale'),'log');
		if xlog,
			r=(v(2)/v(1))^zf;
			l=ax/r; u=ax*r;
		else,
			r=(v(2)-v(1))*zf;
			l=ax-r; u=ax+r;
		end;
		set(gca,'XLim',[l,u]);
		ylog=strcmp(get(gca,'YScale'),'log');
		if ylog,
			r=(v(4)/v(3))^zf;
			l=ay/r; u=ay*r;
		else,
			r=(v(4)-v(3))*zf;
			l=ay-r; u=ay+r;
		end;
		set(gca,'YLim',[l,u]);
		Plot182GetLocation(1);
	elseif c==' ' | c=='q'
		set(fgcf,'WindowButtonDownFcn','');
		set(fgcf,'WindowButtonMotionFcn','');
		set(fgcf,'WindowButtonUpFcn','');
		set(fgcf,'KeyPressFcn',''); % key press off
		set(fgcf,'Pointer','arrow');
		set(fgcf,'Resize','on');
		Plot182Object(1); % turn on objects again
		Plot182Menu(2); % menus back on
		refresh;
	end;
end; 
