function y=boxfilter(x,size)
%function y=boxfilter(x,size)
% apply a box convolution to vector x, using size as window size.
% size should be odd, for symetrical truncation.
% If size is not odd, size is increased by one.
% If size is not given, a 3-wide box is used.
% Result is truncated on both ends to result in original length.
% Mean value of x is subtracted from x before convolution
% and then added back to result to eliminate boundary value
% reduction.
% Uses built-in function conv.

		if nargin==1;
    size=3; fprintf('boxfilter: using 3-wide window\n');
  end;
 	if rem(size,2)==0;
				size=size+1;
%				fprintf('boxfilter size increased to %g to make size odd\n',size);
  end;
  kernal=ones(1,size)/size;
		y=conv(x-mean(x),kernal)+mean(x); % result is length(x)+size-1 long
		takeaway=floor(size/2); 
		y=y(1+takeaway:length(y)-takeaway); % truncate 

