function theChar=CharQuery(choice,question,default)
% function theChar=CharQuery(choice,question [,default])
% Given a question and a set of choices the function
% returns the choice made.  If default is not included
% then a selection MUST be made.  If selection is not suitable
% the user is prompted again.
% choices are not case sensitive.

if nargin==2,      % if no default supply empty choice
  default='';
end

choice=upper(choice);
default=upper(default);


validchoice=0;
question=[question ' [' default ']' ' : ' ];

while validchoice==0, 
	str=input(question,'s');
	if length(str)==0, 
	   str=default; 
	else,
	 	str=upper(str);
	end;
	 
	for i=1:length(choice),
		if str(1) == choice(i),
			validchoice=1;
		end
	end
end

theChar=str(1);

