function z=fastxcorr(x,y);
% function fastxcorr(x,y);
% Performs a raw xcorr with no
% bias compensation and assumes real sequences.
% Zero lag is located at N/2+1
% N=2^ceil(log2(length(x)+length(y)-1));.

xlen=length(x);
ylen=length(y);
x=[x zeros(1,ylen-1)];
y=[y zeros(1,xlen-1)];

power=ceil(log(2*max([xlen ylen])-1)/log(2));
len=2^power;

X=(fft(x,len));
if(x==y),
Y=X;
else
Y=(fft(y,len));
end
clear x,y;
Z=X.*conj(Y);

z=real(fftshift(ifft(Z)));

