function   y=gaussfilter(x,w)
% function   y=gaussfilter(x,w)
% filter an input vector x with a gaussian filter 
% of standard error width w components of x.  
%
% kernal=exp(-(x/w)^2)/N.
% (kernal falls to 1/e of max at x=w)
% guassian kernal is truncated after 3 w.
% N=sum(ker)

ker=-3*w:3*w;
%plot(ker);pause;
ker=exp(-(ker/w).^2);
%plot(ker);pause;
ker=ker/sum(ker);
%plot(ker);pause;

% total length after convulution will be length(x)+length(ker)-1
y=conv(x,ker);
y=y((length(ker)-1)/2+1:length(y));
y=y(1:length(y)-(length(ker)-1)/2);
