function cbk_edtr(command,param1) 
%  cbk_edtr.m 
%   
%  usage:       cbk_edtr(command,parameter1) 
%   
%           where 
%   
%               'command' is used to perform some defined operation 
%               'parameter1' can be used pass extra information 
%                              to a defined operation 
%   
%           If no arguements are used the GUI is initialized. 
%   
%   
%  Created: 20-Dec-94 
%  Using  : GUI Maker Ver 2.0 by Patrick Marchand 
%                         (PRMarchand@aol.com) 
%  Author :  
%  Mods.  :  
%   

% Copyright (c) 1995 by Patrick Marchand
%       Permission is NOT given to modify and re-distribute this
%	code in any manner without written consent from Patrick Marchand.
%       The code can be distributed in its unaltered form as long as it
%       accompanies all files contained within the GUI Maker Version 2.0
%       package of files.  All standard disclaimers apply. 


if nargin == 0 
	command = 'new'; 
end 

if isstr(command) 
	if strcmp(lower(command),'initialize') | strcmp(lower(command),'new') 
		command = 0; 
	elseif strcmp(lower(command),lower('h_push_clbke_cancel')) 
		command = 1; 
	elseif strcmp(lower(command),lower('h_push_clbke_get')) 
		command = 2; 
	elseif strcmp(lower(command),lower('h_push_clbke_set')) 
		command = 3; 
	elseif strcmp(lower(command),lower('h_edit_clbke')) 
		command = 4; 
	elseif strcmp(lower(command),lower('hm_cbe_obj_cur')) 
		command = 5; 
	end 
end 

if command ~= 0 
	handle_list = get(gcf,'userdata'); 
	if length(handle_list) > 0 
		h_frame_clbke_base = handle_list(1); 
		h_push_clbke_cancel = handle_list(2); 
		h_push_clbke_get = handle_list(3); 
		h_push_clbke_set = handle_list(4); 
		h_edit_clbke = handle_list(5); 
		h_text_clbke_typ = handle_list(6); 
		h_text_clbke_typstr = handle_list(7); 
		h_text_clbke_tag = handle_list(8); 
		h_text_clbke_tagstr = handle_list(9); 
%		hm_cbe_obj_cur = handle_list(10);
		h_text_clbke_msg = handle_list(10); 
		h_text_clbke_msgstr = handle_list(11); 
	end 
end 

cf = findobj(get(0,'chil'),'flat','tag','control_figure');
if cf
  h_text_st = findobj(cf,'tag','h_text_status');
end

if command == 0 

	fig = findobj(get(0,'children'),'flat','tag','callback_editor');
	if length(fig) > 0
	   figure(fig);
	   set(fig,'visible','on');
	   cbk_edtr(2);
	   return
	end

	f1 = figure('position',[ 16 548 427 245 ],...
		'resize','on','tag','callback_editor','visible','off',...
		'name','Callback Editor','NumberTitle','off'); 

	%  Uicontrol Object Creation 

	h_frame_clbke_base = uicontrol(... 
		'CallBack','cbk_edtr(''h_frame_clbke_base'');',... 
		'Position',[ 0 0 1 1 ],... 
		'Style','frame',... 
		'Units','normalized',... 
		'Tag','h_frame_clbke_base',... 
		'UserData',''); 
	h_push_clbke_cancel = uicontrol(... 
		'CallBack','cbk_edtr(''h_push_clbke_cancel'');',... 
		'Position',[ 0.83 0.02 0.14 0.08 ],... 
		'String','CLOSE',... 
		'Units','normalized',... 
		'Tag','h_push_clbke_cancel',... 
		'UserData',''); 
	h_push_clbke_get = uicontrol(... 
		'CallBack','cbk_edtr(''h_push_clbke_get'');',... 
		'Position',[ 0.03 0.02 0.14 0.08 ],... 
		'String','GET',... 
		'Units','normalized',... 
		'Tag','h_push_clbke_get',... 
		'UserData',''); 
	h_push_clbke_set = uicontrol(... 
		'CallBack','cbk_edtr(''h_push_clbke_set'');',... 
		'Position',[ 0.43 0.02 0.14 0.08 ],... 
		'String','SET',... 
		'Units','normalized',... 
		'Tag','h_push_clbke_set',... 
		'UserData',''); 
	h_edit_clbke = uicontrol(... 
		'CallBack','cbk_edtr(''h_edit_clbke'');',... 
		'Max',[ 10 ],... 
		'Position',[ 0.03 0.12 0.94 0.71 ],... 
		'Style','edit',... 
		'Units','normalized',... 
		'Tag','h_edit_clbke',... 
		'UserData',''); 
	h_text_clbke_typ = uicontrol(... 
		'CallBack','cbk_edtr(''h_text_clbke_typ'');',... 
		'Position',[ 0.68 0.91 0.30 0.07 ],... 
		'HorizontalAlignment','left',...
		'String','',... 
		'Style','text',... 
		'Units','normalized',... 
		'Tag','h_text_clbke_typ',... 
		'UserData',''); 
	h_text_clbke_typstr = uicontrol(... 
		'CallBack','cbk_edtr(''h_text_clbke_typstr'');',... 
		'Position',[ 0.57 0.91 0.1 0.07 ],... 
		'String','Type:',... 
		'Style','text',... 
		'Units','normalized',... 
		'Tag','h_text_clbke_typstr',... 
		'UserData',''); 
	h_text_clbke_tag = uicontrol(... 
		'CallBack','cbk_edtr(''h_text_clbke_tag'');',... 
		'Position',[ 0.1 0.91 0.4 0.07 ],... 
		'HorizontalAlignment','left',...
		'String','',... 
		'Style','text',... 
		'Units','normalized',... 
		'Tag','h_text_clbke_tag',... 
		'UserData',''); 
	h_text_clbke_tagstr = uicontrol(... 
		'CallBack','cbk_edtr(''h_text_clbke_tagstr'');',... 
		'Position',[ 0.03 0.91 0.07 0.07 ],... 
		'String','Tag:',... 
		'Style','text',... 
		'Units','normalized',... 
		'Tag','h_text_clbke_tagstr',... 
		'UserData',''); 
	h_text_clbke_msg = uicontrol(... 
		'CallBack','cbk_edtr(''h_text_clbke_msg'');',... 
		'Position',[ 0.20 0.84 0.77 0.07 ],... 
		'HorizontalAlignment','left',...
		'String','Callback Editor',... 
		'Style','text',... 
		'Units','normalized',... 
		'Tag','h_text_clbke_msg',... 
		'UserData',''); 
	h_text_clbke_msgstr = uicontrol(... 
		'CallBack','cbk_edtr(''h_text_clbke_msgstr'');',... 
		'Position',[ 0.03 0.84 0.16 0.07 ],... 
		'String','Message:',... 
		'Style','text',... 
		'Units','normalized',... 
		'Tag','h_text_clbke_msgstr',... 
		'UserData',''); 

	if nargin == 2
	   obj_tag = get(param1,'tag');
	   set(h_text_clbke_tag,'string',obj_tag);
	   obj_typ = get(param1,'type');
	   if strcmp(lower(obj_typ),'uicontrol')
	     obj_typ = [obj_typ '(' get(param1,'style') ')'];
	   end
	   set(h_text_clbke_typ,'string',obj_typ);
	end


	%  Menu Object Creation 

%	hm_cbe_obj = uimenu('label','Object','tag','h_uim_obj');
%	hm_cbe_obj_cur = uimenu(hm_cbe_obj,'label','Get Selected Object',...
%		'callback','cbk_edtr(''hm_cbe_obj_cur'');',...
%		'tag','hm_cbe_obj_cur');


	%  Axes and Text Object Creation 




	handle_list = [ ...  
	 	 h_frame_clbke_base h_push_clbke_cancel h_push_clbke_get ... 
	 	h_push_clbke_set h_edit_clbke h_text_clbke_typ ...
		h_text_clbke_typstr ... 
	 	h_text_clbke_tag h_text_clbke_tagstr ... 
	 	 	 h_text_clbke_msg h_text_clbke_msgstr]; 

	set(gcf,'userdata',handle_list); 
	drawnow;pause(.1);
	cbk_edtr(2);
	drawnow;
	set(f1,'visible','on');
	set(h_text_st,'string','Callback Editor Window Up.');

elseif command == 1 
%	disp('h_push_clbke_cancel selected.') 
	set(findobj(get(0,'children'),'flat','tag','callback_editor'),...
		'visible','off');
	set(h_text_st,'string','Callback Editor hidden from view.');
elseif command == 2 
%	disp('h_push_clbke_get selected.') 
	cwf = findobj(get(0,'children'),'flat','tag','working_figure');
	if cwf
	   obj = findobj(cwf,'selected','on');
	   if length(obj) == 1
	    obj_tag = get(obj,'tag');
	    set(h_text_clbke_tag,'string',obj_tag);
	    obj_typ = get(obj,'type');
	    if strcmp(lower(obj_typ),'uicontrol')
	      obj_typ = [obj_typ '(' get(obj,'style') ')'];
	    elseif strcmp(lower(obj_typ),'uimenu')
		if strcmp(get(get(obj,'parent'),'type'),'uimenu')
		  obj_typ = [obj_typ ' (sub menu)'];
		else
		  obj_typ = [obj_typ ' (top menu)'];
		end
	    end
	    set(h_text_clbke_typ,'string',obj_typ);
% MOD 1/20/95
%	    set(h_edit_clbke,'string',get(obj,'userdata'));
	    cllbk_str_tmp = get(obj,'userdata');
	    cllbk_str = '';
	    for linenumber = 1:size(cllbk_str_tmp,1)
	      if linenumber == 1
		cllbk_str = [dblnkall(cllbk_str_tmp(linenumber,:)) ];
	      else
		cllbk_str = [cllbk_str '|' dblnkall(cllbk_str_tmp(linenumber,:)) ];
	      end
	    end
	    set(h_edit_clbke,'string',cllbk_str);
%
	    set(h_text_clbke_msg,'string','Ready to edit this object''s callback.');
	   else	
	    set(h_text_clbke_tag,'string','');
	    set(h_text_clbke_typ,'string','');
	    set(h_edit_clbke,'string','');
	    set(h_text_clbke_msg,'string','Nothing gotten. A single object must be selected.');
	   end
	else
	    set(h_text_clbke_msg,'string','Select an object.');
	end
elseif command == 3 
%	disp('h_push_clbke_set selected.') 
	cwf = findobj(get(0,'children'),'flat','tag','working_figure');
	if cwf
	   obj = findobj(cwf,'selected','on');
	   set(obj,'userdata',get(h_edit_clbke,'string'));
	   if length(obj) == 1
	    set(h_text_clbke_msg,'string',['Callback applied to object ' ...
		get(obj,'tag')]);
	   elseif length(obj) > 1
	    set(h_text_clbke_msg,'string','Callback applied to multiple objects.');
	   elseif length(obj) == 0	
	    set(h_text_clbke_msg,'string','Callback not applied. No selected objects.');
	   end
	else
	   set(h_text_clbke_msg,'string','Nothing SET. First select object(s), then SET.');
	end
elseif command == 4 
%	disp('h_edit_clbke selected.') 
elseif command == 5 
%	disp('hm_cbe_obj_cur selected.') 
	cwf = findobj(get(0,'children'),'flat','tag','working_figure');
	if cwf
	   obj = findobj(cwf,'selected','on');
	   if length(obj) == 1
	    obj_tag = get(obj,'tag');
	    set(h_text_clbke_tag,'string',obj_tag);
	    obj_typ = get(obj,'type');
	    if strcmp(lower(obj_typ),'uicontrol')
	      obj_typ = [obj_typ '(' get(obj,'style') ')'];
	    end
	    set(h_text_clbke_typ,'string',obj_typ);
	    set(h_edit_clbke,'string',get(obj,'userdata'));	
	   end
	end
else 
	error('Error: cbk_edtr.m called with incorrect command.') 
end 
