function [handle] = cr_obj(typ_str)
% cr_obj.m
%
%  Creates objects in canvas.
%
%
%

% Copyright (c) 1995 by Patrick Marchand
%       Permission is NOT given to modify and re-distribute this
%	code in any manner without written consent from Patrick Marchand.
%       The code can be distributed in its unaltered form as long as it
%       accompanies all files contained within the GUI Maker Version 2.0
%       package of files.  All standard disclaimers apply. 

cf = findobj(get(0,'children'),'flat','tag','control_figure');
wf = findobj(get(0,'children'),'flat','tag','working_figure');
if cf & wf

 selobjs = findobj(wf,'selected','on');
% Modified 7/18/95
% set(selobjs,'selected','off');

 set(wf,'pointer','cross');
 h_edit_c_objname = findobj(cf,'tag','h_edit_c_objname');
 h_edit_c_string = findobj(cf,'tag','h_edit_c_string');
 h_text_status = findobj(cf,'tag','h_text_status');
 h_ckbx_up_anc = findobj(cf,'tag','h_ckbx_up_anc');

 if nargin == 0
   h_pop_c_type = findobj(cf,'tag','h_pop_c_type');
   typ_strs = get(h_pop_c_type,'string');
   typ_val = get(h_pop_c_type,'val');
   typ_str = typ_strs(typ_val,:);
 end
 typ_str = deblank(lower(typ_str));

 obj_name = dblnkall(get(h_edit_c_objname,'string'));

 pos_subtract = 0;
 if (length(dblnkall(obj_name)) ~= 0) & ...
           (length(findobj(wf,'tag',dblnkall(obj_name))) == 0)
 elseif get(h_ckbx_up_anc,'val') == 1
	% AUTO CREATE THE OBJECT NAME
	obj_cnt_vals = get(h_ckbx_up_anc,'userdata');
	if length(obj_cnt_vals) == 0;
	  obj_cnt_vals = zeros(1,size(typ_strs,1));
	end
	obj_cnt = obj_cnt_vals(typ_val);
	obj_tag = '';
	while length(obj_tag) == 0
		obj_cnt = obj_cnt + 1;
	    if prod(typ_str(1:2) == 'ui')
		obj_tag = ['h_' typ_str(1:3) '_' ...
				    num2str(obj_cnt)];
	    elseif prod(typ_str(1:2) == 'ax') | prod(typ_str(1:2) == 'te')
		obj_tag = ['h_' typ_str(1:4) '_' ...
				    num2str(obj_cnt)];
	    else
		obj_tag = ['h_' typ_str(1:5) '_' ...
				    num2str(obj_cnt)];
	    end
		if any(findobj(wf,'tag',obj_tag))
			 obj_tag = '';
		end
	end
	obj_cnt_vals(typ_val) = obj_cnt;
	obj_name = obj_tag;pos_subtract = 1;
	set(h_ckbx_up_anc,'userdata',obj_cnt_vals);
	set(h_edit_c_objname,'string',obj_name);
 else
     set(wf,'pointer','arrow');
     set(h_text_status,'string',...
	'Nothing created (Obj. Tag must be legal/unique.)');
     return;
 end
 set(h_text_status,'string',...
	['Create with click and drag in ' get(wf,'name') '.']);

 
 figure(wf)


 if strcmp(typ_str,'uicontrol')
   h_pop_c_uic_type = findobj(cf,'tag','h_pop_c_uic_type');
   kind_str = get(h_pop_c_uic_type,'string');
   kind_str_val = get(h_pop_c_uic_type,'val');
   kind_str = kind_str(kind_str_val,:);

   obj_label = get(h_edit_c_string,'string');
   cllbk_str = ['cf = findobj(''tag'',''control_figure'');' ...
		'wf = findobj(''tag'',''working_figure'');' ...
		'if wf ~= gcf;'...
		  'set(wf,''tag'',get(wf,''name''));'...
		'end;'...
		'set(gcf,''tag'',''working_figure'');'...
		'st = findobj(cf,''tag'',''h_text_status'');' ...
		     'tmp0 = findobj(''tag'',''working_figure''); ' ...
		     'tmp = findobj(tmp0,''tag'',''' obj_name ''');' ...
		     'if strcmp(get(tmp,''selected''),''on''); ' ...
		     '   set(tmp,''selected'',''off''); ' ...
		        'set(st,''string'',''' obj_name ' deselected.''); ' ...
		     'else; ' ...
		     '   set(tmp,''selected'',''on''); ' ...
		        'set(st,''string'',''' obj_name ' selected.''); ' ...
		     'end'];
 pos_rbbox = getrbbox('normalized');
 if prod(pos_rbbox(3:4)) ~= 0
    handle = uicontrol('position',pos_rbbox, ...
		  'style',kind_str,'tag',obj_name,...
		  'callback',cllbk_str,'parent',wf,...
		  'string',obj_label,...
		  'units','normalized','selected','on' ...
		  );

    if strcmp(dblnkall(kind_str),'frame')
	set(handle,'enable','off');
    end
    if strcmp(dblnkall(kind_str),'text')
	set(handle,'enable','off');drawnow;set(handle,'enable','on');
    end
    if strcmp(dblnkall(kind_str),'edit') & strcmp(computer,'PCWIN')
	set(handle,'backgroundcolor',[.6 .6 .6]);
    end
	 set(selobjs,'selected','off');
	eval(['cf = findobj(get(0,''children''),''flat'','...
	'''tag'',''control_figure'');'...
	'h_stat = findobj(cf,''tag'',''h_text_status'');' ...
       'set(h_stat,''string'',''Hold on...Bringing up UI browser. Window'');'...
	'ng_cbr_w;'],'');
 else
     set(wf,'pointer','arrow');
      set(h_text_status,'string','Nothing Created. Not a valid size.');
 end


 elseif strcmp(typ_str,'uimenu')
   h_pop_c_uim_type = findobj(cf,'tag','h_pop_c_uim_type');
   kind_str = get(h_pop_c_uim_type,'string');
   kind_str_val = get(h_pop_c_uim_type,'val');
   kind_str = kind_str(kind_str_val,:);

   obj_label = get(h_edit_c_string,'string');
   cllbk_str = uim_cbk(obj_name);

   if strcmp(kind_str,'Top Menu')

    handle = uimenu('tag',obj_name,...
		  'callback',cllbk_str,...
		  'label',['<' obj_label '>'],...
		  'selected','on');
	set(selobjs,'selected','off');
	for loop = findobj(selobjs,'type','uimenu')'
	  uim_lab = strrep(strrep(get(loop,'label'),'<',''),'>','');
	  set(loop,'selected','off','label',uim_lab);
	end
	eval(['cf = findobj(get(0,''children''),''flat'','...
	'''tag'',''control_figure'');'...
	'h_stat = findobj(cf,''tag'',''h_text_status'');' ...
       'set(h_stat,''string'',''Hold on...Bringing up UI browser. Window'');'...
	'ng_mbr_w;'],'');
   else
    parent_uim = findobj(wf,'type','uimenu','selected','on');
    if length(parent_uim) == 1
      handle = uimenu(parent_uim,'tag',obj_name,...
		  'callback',cllbk_str,...
		  'label',['<' obj_label '>'],...
		  'selected','on');
	set(selobjs,'selected','off');
	for loop = findobj(selobjs,'type','uimenu')'
	  uim_lab = strrep(strrep(get(loop,'label'),'<',''),'>','');
	  set(loop,'selected','off','label',uim_lab);
	end
	eval(['cf = findobj(get(0,''children''),''flat'','...
	'''tag'',''control_figure'');'...
	'h_stat = findobj(cf,''tag'',''h_text_status'');' ...
       'set(h_stat,''string'',''Hold on...Bringing up UI browser. Window'');'...
	'ng_mbr_w;'],'');
    else
	st = findobj(cf,'tag','h_text_status');
	if st
	  set(st,'string','A single uimenu must be selected first.');
	end
	if pos_subtract == 1
	    obj_cnt_vals(typ_val) = obj_cnt_vals(typ_val)-1;
	    set(h_ckbx_up_anc,'userdata',obj_cnt_vals);
	end
    end
   end

 elseif strcmp(typ_str,'axes')
   h_pop_c_axes_type = findobj(cf,'tag','h_pop_c_axes_type');
   kind_str = get(h_pop_c_axes_type,'string');
   kind_str_val = get(h_pop_c_axes_type,'val');
   kind_str = dblnkall(kind_str(kind_str_val,:));

   obj_label = get(h_edit_c_string,'string');
%   cllbk_str = ['cf = findobj(''tag'',''control_figure'');' ...
%		'wf = findobj(''tag'',''working_figure'');' ...
%		'if wf ~= gcf;'...
%		  'set(wf,''tag'',get(wf,''name''));'...
%		'end;'...
%		'set(gcf,''tag'',''working_figure'');'...
%		'st = findobj(cf,''tag'',''h_text_status'');' ...
%		     'tmp0 = findobj(''tag'',''working_figure''); ' ...
%		     'tmp = findobj(tmp0,''tag'',''' obj_name ''');' ...
%		     'if strcmp(get(tmp,''selected''),''on''); ' ...
%		        'set(st,''string'',''' obj_name ' deselected.''); ' ...
%		     'else; ' ...
%		        'set(st,''string'',''' obj_name ' selected.''); ' ...
%		     'end'];

   cllbk_str = '';

   if strcmp(kind_str,'Standard')
    pos_rbbox = getrbbox('normalized');
   if prod(pos_rbbox(3:4)) ~= 0
    handle = axes('position',pos_rbbox,...
		  'tag',obj_name,...
		  'ButtonDownFcn',cllbk_str,...
		  'selected','on');
	 set(selobjs,'selected','off');
	eval(['cf = findobj(get(0,''children''),''flat'','...
	'''tag'',''control_figure'');'...
	'h_stat = findobj(cf,''tag'',''h_text_status'');' ...
       'set(h_stat,''string'',''Hold on...Bringing up Axes browser. Window'');'...
	'ng_abr_w;'],'');
    else
     set(wf,'pointer','arrow');
      set(h_text_status,'string','Nothing Created. Not a valid size.');
    end
   end

 elseif strcmp(typ_str,'text')
   axes_handle = findobj(wf,'type','axes');
  if length(axes_handle) == 0
    st = findobj(cf,'tag','h_text_status');
    if st
     set(st,'string','An axes must be created before text.');
    end
    if pos_subtract == 1
	obj_cnt_vals(typ_val) = obj_cnt_vals(typ_val)-1;
	set(h_ckbx_up_anc,'userdata',obj_cnt_vals);
    end
  elseif length(axes_handle) > 0
   if length(axes_handle) > 1
	axes_handle = findobj(wf,'type','axes','selected','on');
	if length(axes_handle) > 1 | length(axes_handle) == 0
	  st = findobj(cf,'tag','h_text_status');
	  if st
	   set(st,'string','An single axes must first be selected.');
	  end
	  if pos_subtract == 1
	    obj_cnt_vals(typ_val) = obj_cnt_vals(typ_val)-1;
	    set(h_ckbx_up_anc,'userdata',obj_cnt_vals);
	  end
	end
   end

   if length(axes_handle) == 1
   h_pop_c_text_type = findobj(cf,'tag','h_pop_c_text_type');
   kind_str = get(h_pop_c_text_type,'string');
   kind_str_val = get(h_pop_c_text_type,'val');
   kind_str = dblnkall(kind_str(kind_str_val,:));

   obj_label = get(h_edit_c_string,'string');
%   cllbk_str = ['cf = findobj(''tag'',''control_figure'');' ...
%		'wf = findobj(''tag'',''working_figure'');' ...
%		'if wf ~= gcf;'...
%		  'set(wf,''tag'',get(wf,''name''));'...
%		'end;'...
%		'set(gcf,''tag'',''working_figure'');'...
%		'st = findobj(cf,''tag'',''h_text_status'');' ...
%		     'tmp0 = findobj(''tag'',''working_figure''); ' ...
%		     'tmp = findobj(tmp0,''tag'',''' obj_name ''');' ...
%		     'if strcmp(get(tmp,''selected''),''on''); ' ...
%		        'set(st,''string'',''' obj_name ' deselected.''); ' ...
%		     'else; ' ...
%		        'set(st,''string'',''' obj_name ' selected.''); ' ...
%		     'end'];
% MOD 4/21/95
   cllbk_str = '';

   axes(axes_handle)
   if strcmp(kind_str,'Standard')
    pos = getrbbox('normalized');
    ax_pos = get(axes_handle,'position');
    pos(1) = (pos(1)-ax_pos(1))/ax_pos(3);
    pos(2) = (pos(2)-ax_pos(2))/ax_pos(4);
    handle = text(pos(1),pos(2),obj_label,'tag',obj_name,...
			'ButtonDownFcn',cllbk_str,'units','normalized',...
			'selected','on');
   elseif strcmp(kind_str,'X-Label')
    xlabel(obj_label,'tag',obj_name,...
			'ButtonDownFcn',cllbk_str);
   elseif strcmp(kind_str,'Y-Label')
    ylabel(obj_label,'tag',obj_name,...
			'ButtonDownFcn',cllbk_str);
   elseif strcmp(kind_str,'Title')
    title(obj_label,'tag',obj_name,...
			'ButtonDownFcn',cllbk_str);
   end
   end % axes == 1 check
  end % axes check

 elseif strcmp(typ_str,'other')
 end

 % CLEAR EDIT BOXES IF USERPREFs SO DESIRE
 if get(findobj(cf,'tag','h_ckbx_up_aec'),'val') == 1
	set(h_edit_c_objname,'string','');
	set(h_edit_c_string,'string','');
 end
 set(wf,'pointer','arrow');
 set(selobjs,'selected','off');
 % SET GUI PALETTE BACK TO SELECT MODE
 gpfig = findobj(get(0,'chil'),'flat','tag','guimaker_palette');
 if gpfig
  h_all = get(gpfig,'user');%ind = find(h == h_all(1,:));
	  lset = find(h_all(3,:) == 1);set(h_all(2,lset),'vis','on');
	  set(h_all(1,lset),'vis','on');h_all(3,lset) = 0;
	  set(h_all(1,1),'vis','off');set(h_all(2,1),'vis','on');
	  h_all(3,1) = 1;
	  set(gpfig,'user',h_all);

 end

elseif cf
 st = findobj(cf,'tag','h_text_status');
 if st
   set(st,'string','A canvas must first be created/selected.');
 end
end
