function cur_can(figs)
%
%  cur_can.m
%
%  Sets the figure to the current "working_figure" for GUI Maker.
%
%	usage:
%		cur_can(figs)
%

% Copyright (c) 1995 by Patrick Marchand
%       Permission is NOT given to modify and re-distribute this
%	code in any manner without written consent from Patrick Marchand.
%       The code can be distributed in its unaltered form as long as it
%       accompanies all files contained within the GUI Maker Version 2.0
%       package of files.  All standard disclaimers apply. 


if nargin == 0
  figs = gcf;
end

current_wf = findobj('tag','working_figure');

if (figs ~= current_wf) & length(figs) == 1
	if ~(strcmp(get(figs,'tag'),'control_figure') | ...
	     strcmp(get(figs,'tag'),'ng_ld_w') | ...
	     strcmp(get(figs,'tag'),'ng_sav_w') | ...
	     strcmp(get(figs,'tag'),'ng_prt_w') | ...
	     strcmp(get(figs,'tag'),'ng_hlp_w') | ...
	     strcmp(get(figs,'tag'),'ng_cbr_w') | ...
	     strcmp(get(figs,'tag'),'ng_mbr_w') | ...
	     strcmp(get(figs,'tag'),'ng_abr_w') | ...
	     strcmp(get(figs,'tag'),'ng_tbr_w') | ...
	     strcmp(get(figs,'tag'),'ng_fbr_w') | ...
	     strcmp(get(figs,'tag'),'ng_spv_w') | ...
	     strcmp(get(figs,'tag'),'ng_apv_w') | ...
	     strcmp(get(figs,'tag'),'ng_aln_w') | ...
	     strcmp(get(figs,'tag'),'guimaker_palette') | ...
	     strcmp(get(figs,'tag'),'callback_editor') )
	     if current_wf
	        set(current_wf,'tag',get(current_wf,'name'));
	     end
	     set(figs,'tag','working_figure');
		tfn2 = findobj('tag','h_text_fignum2');
		tfn1 = findobj('tag','h_text_fignum');
		if tfn2
		  set(tfn2,'string','In');
		  set(tfn1,'string',get(figs,'name'));
		end
	     figure(figs);
	end
elseif length(current_wf) == 0
		tfn2 = findobj('tag','h_text_fignum2');
		tfn1 = findobj('tag','h_text_fignum');
		if tfn2
		  set(tfn2,'string','');
		  set(tfn1,'string','');
		end
end
