function example1(command,parameter1) 
%  Template for uicontrol form. 
%   
%  If you rename this file: 
%    1. Replace all occurrences of 'example1' with desired 'filename'. 
%    2. Resave this file as that 'filename'. 
%   
%  To edit callbacks : 
%          Fill in the 'elseif command == ...' sections with 
%          code that does something other than what was  
%          defined in GUIMaker 2.0. Be creative! 
%          The code must lie between the CALLBACK_START and  
%          CALLBACK_STOP comments for each objects callback  
%          command section if you want to be able to edit 
%          the GUI with GUIMaker later on and not lose the 
%          callback information. 
%   
%  example1.m 
%   
%  usage:       example1(command,parameter1) 
%   
%           where 
%   
%               'command' is used to perform some defined operation 
%               'parameter1' can be used pass extra information 
%                              to a defined operation 
%   
%           If no arguements are used the GUI is initialized. 
%   
%   
%  Created: 26-Apr-95 
%  Using  : GUI Maker Ver 2.0 by Patrick Marchand 
%                         (PRMarchand@aol.com) 
%  Author :  
%  Mods.  :  
%   

%  Copyright (c)   
%       Permission is granted to modify and re-distribute this 
%	code in any manner as long as this notice is preserved. 
%	All standard disclaimers apply. 


if nargin == 0 
	command = 'new'; 
end 

if isstr(command) 
	if strcmp(lower(command),'initialize') | strcmp(lower(command),'new') 
		command = 0; 
	elseif strcmp(lower(command),lower('h_radio(1)')) 
		command = 1; 
	elseif strcmp(lower(command),lower('h_radio(2)')) 
		command = 2; 
	elseif strcmp(lower(command),lower('h_radio(3)')) 
		command = 3; 
	elseif strcmp(lower(command),lower('h_radio(4)')) 
		command = 4; 
	end 
end 

if command ~= 0 
	h_fig_list = findobj(get(0,'children'),'flat',... 
		'tag','example1'); 
		if length(h_fig_list) > 1 
			h_fig_list = gcf; 
		elseif length(h_fig_list) == 0 
			error('There are no figures with Tag = example1.'); 
		end 
	handle_list = get(h_fig_list,'userdata'); 
	if length(handle_list) > 0 
		h_uic_1 = handle_list(1); 
		h_radio(1) = handle_list(2); 
		h_radio(2) = handle_list(3); 
		h_radio(3) = handle_list(4); 
		h_radio(4) = handle_list(5); 
	end 
end 


if command == 0 

	fig = findobj(get(0,'children'),'flat','tag','example1'); 
	if length(fig) > 0 
		set(fig,'visible','on'); 
		figure(fig); 
		return; 
	end 
	fig = figure('position',[ 58 414 285 263 ],... 
		'resize','On','tag','example1',... 
		'menubar','Figure','name','Example1',... 
		'numbertitle','Off','visible','off'); 

	%  Uicontrol Object Creation 

	h_uic_1 = uicontrol(... 
		'CallBack','example1(''h_uic_1'');',... 
		'Position',[ 0.03 0.04 0.96 0.92 ],... 
		'Enable','off',... 
		'Style','frame',... 
		'Units','normalized',... 
		'Tag','h_uic_1',... 
		'UserData',''); 
	h_radio(1) = uicontrol(... 
		'CallBack','example1(''h_radio(1)'');',... 
		'Position',[ 0.15 0.67 0.69 0.13 ],... 
		'String','Radio Button 1',... 
		'Style','radiobutton',... 
		'Units','normalized',... 
		'Value',[ 1 ],... 
		'Tag','h_radio(1)',... 
		'UserData',''); 
	h_radio(2) = uicontrol(... 
		'CallBack','example1(''h_radio(2)'');',... 
		'Position',[ 0.15 0.53 0.69 0.13 ],... 
		'String','Radio Button 2',... 
		'Style','radiobutton',... 
		'Units','normalized',... 
		'Tag','h_radio(2)',... 
		'UserData',''); 
	h_radio(3) = uicontrol(... 
		'CallBack','example1(''h_radio(3)'');',... 
		'Position',[ 0.15 0.4 0.69 0.13 ],... 
		'String','Radio Button 3',... 
		'Style','radiobutton',... 
		'Units','normalized',... 
		'Tag','h_radio(3)',... 
		'UserData',''); 
	h_radio(4) = uicontrol(... 
		'CallBack','example1(''h_radio(4)'');',... 
		'Position',[ 0.15 0.27 0.69 0.13 ],... 
		'String','Radio Button 4',... 
		'Style','radiobutton',... 
		'Units','normalized',... 
		'Tag','h_radio(4)',... 
		'UserData',''); 


	%  Menu Object Creation 


	%  Axes and Text Object Creation 




	handle_list = [ ...  
	 	 h_uic_1 h_radio(1) h_radio(2) ... 
	 	h_radio(3) h_radio(4) ... 
	 	 	]; 

	set(gcf,'userdata',handle_list); 
	drawnow;pause(1); 
	set(gcf,'visible','on'); 


elseif command == 1 
	disp('h_radio(1) selected.') 
	%%       DO NOT REMOVE/ALTER THIS COMMENT: CALLBACK_START h_radio(1) 
	set(h_radio,'val',0);  
	set(h_radio(1),'val',1);  
	%%       DO NOT REMOVE/ALTER THIS COMMENT: CALLBACK_STOP h_radio(1) 
elseif command == 2 
	disp('h_radio(2) selected.') 
	%%       DO NOT REMOVE/ALTER THIS COMMENT: CALLBACK_START h_radio(2) 
	set(h_radio,'val',0);  
	set(h_radio(2),'val',1);  
	%%       DO NOT REMOVE/ALTER THIS COMMENT: CALLBACK_STOP h_radio(2) 
elseif command == 3 
	disp('h_radio(3) selected.') 
	%%       DO NOT REMOVE/ALTER THIS COMMENT: CALLBACK_START h_radio(3) 
	set(h_radio,'val',0);  
	set(h_radio(3),'val',1);  
	%%       DO NOT REMOVE/ALTER THIS COMMENT: CALLBACK_STOP h_radio(3) 
elseif command == 4 
	disp('h_radio(4) selected.') 
	%%       DO NOT REMOVE/ALTER THIS COMMENT: CALLBACK_START h_radio(4) 
	set(h_radio,'val',0);  
	set(h_radio(4),'val',1);  
	%%       DO NOT REMOVE/ALTER THIS COMMENT: CALLBACK_STOP h_radio(4) 
else 
	error('Error: example1.m called with incorrect command.') 
end 
