function example3(command,parameter1) 
%  Template for uicontrol form. 
%   
%  If you rename this file: 
%    1. Replace all occurrences of 'example3' with desired 'filename'. 
%    2. Resave this file as that 'filename'. 
%   
%  To edit callbacks : 
%          Fill in the 'elseif command == ...' sections with 
%          code that does something other than what was  
%          defined in GUIMaker 2.0. Be creative! 
%          The code must lie between the CALLBACK_START and  
%          CALLBACK_STOP comments for each objects callback  
%          command section. 
%   
%  example3.m 
%   
%  usage:       example3(command,parameter1) 
%   
%           where 
%   
%               'command' is used to perform some defined operation 
%               'parameter1' can be used pass extra information 
%                              to a defined operation 
%   
%           If no arguements are used the GUI is initialized. 
%   
%   
%  Created: 21-Apr-95 
%  Using  : GUI Maker Ver 2.0 by Patrick Marchand 
%                         (PRMarchand@aol.com) 
%  Author :  
%  Mods.  :  
%   

%  Copyright (c)   
%       Permission is granted to modify and re-distribute this 
%	code in any manner as long as this notice is preserved. 
%	All standard disclaimers apply. 


if nargin == 0 
	command = 'new'; 
end 

if isstr(command) 
	if strcmp(lower(command),'initialize') | strcmp(lower(command),'new') 
		command = 0; 
	elseif strcmp(lower(command),lower('h_push_grid')) 
		command = 1; 
	elseif strcmp(lower(command),lower('h_edit_ylabel')) 
		command = 2; 
	elseif strcmp(lower(command),lower('h_edit_xlabel')) 
		command = 3; 
	end 
end 

if command ~= 0 
	handle_list = get(findobj(get(0,'children'),'flat',... 
		'tag','example3'),'userdata'); 
	if length(handle_list) > 0 
		h_uic_1 = handle_list(1); 
		h_push_grid = handle_list(2); 
		h_edit_ylabel = handle_list(3); 
		h_edit_xlabel = handle_list(4); 
		h_uic_5 = handle_list(5); 
		h_uic_4 = handle_list(6); 
		h_axes1 = handle_list(7); 
	end 
end 


if command == 0 

	fig = figure('position',[ 14 314 395 343 ],... 
		'resize','on','tag','example3',... 
		'visible','off'); 

	%  Uicontrol Object Creation 

	h_uic_1 = uicontrol(... 
		'CallBack','example3(''h_uic_1'');',... 
		'Position',[ 0.023 0.037 0.951 0.379 ],... 
		'Enable','off',... 
		'Style','frame',... 
		'Units','normalized',... 
		'Tag','h_uic_1',... 
		'UserData',''); 
	h_push_grid = uicontrol(... 
		'CallBack','example3(''h_push_grid'');',... 
		'Position',[ 0.356 0.277 0.243 0.087 ],... 
		'String','Toggle Grid',... 
		'Style','pushbutton',... 
		'Units','normalized',... 
		'Tag','h_push_grid',... 
		'UserData',''); 
	h_edit_ylabel = uicontrol(... 
		'CallBack','example3(''h_edit_ylabel'');',... 
		'Position',[ 0.476 0.099 0.304 0.067 ],... 
		'String','ylabel',... 
		'Style','edit',... 
		'Units','normalized',... 
		'Tag','h_edit_ylabel',... 
		'UserData',''); 
	h_edit_xlabel = uicontrol(... 
		'CallBack','example3(''h_edit_xlabel'');',... 
		'Position',[ 0.482 0.192 0.296 0.067 ],... 
		'String','xlabel',... 
		'Style','edit',... 
		'Units','normalized',... 
		'Tag','h_edit_xlabel',... 
		'UserData',''); 
	h_uic_5 = uicontrol(... 
		'CallBack','example3(''h_uic_5'');',... 
		'Position',[ 0.231 0.099 0.2 0.073 ],... 
		'String','Ylabel:',... 
		'Style','text',... 
		'Units','normalized',... 
		'Tag','h_uic_5',... 
		'UserData',''); 
	h_uic_4 = uicontrol(... 
		'CallBack','example3(''h_uic_4'');',... 
		'Position',[ 0.233 0.193 0.197 0.064 ],... 
		'String','Xlabel:',... 
		'Style','text',... 
		'Units','normalized',... 
		'Tag','h_uic_4',... 
		'UserData',''); 


	%  Menu Object Creation 


	%  Axes and Text Object Creation 

	h_axes1 = axes(... 
		'Box','on', ... 
		'Position',[ 0.243 0.513 0.603 0.417 ],... 
		'Units','normalized', ... 
		'Xgrid','on', ... 
		'Ygrid','on', ... 
		'Xlim',[ 0 1 ],... 
		'Ylim',[ 0 1 ],... 
		'Clipping','on', ... 
		'Tag','h_axes1', ... 
		'UserData',''); 
	 ylabel('ylabel', ... 
		'Tag','h_text_2', ... 
		'Visible','on'); 
	 xlabel('xlabel', ... 
		'Tag','h_text_1', ... 
		'Visible','on'); 



	handle_list = [ ...  
	 	 h_uic_1 h_push_grid h_edit_ylabel ... 
	 	h_edit_xlabel h_uic_5 h_uic_4  ... 
	 	h_axes1 ... 
	 	 	]; 

	set(gcf,'userdata',handle_list); 
	drawnow;pause(1); 
	set(gcf,'visible','on'); 


elseif command == 1 
	 
	%%       DO NOT REMOVE/ALTER THIS COMMENT: CALLBACK_START h_push_grid 
	grid 
	%%       DO NOT REMOVE/ALTER THIS COMMENT: CALLBACK_STOP h_push_grid 
elseif command == 2 
	 
	%%       DO NOT REMOVE/ALTER THIS COMMENT: CALLBACK_START h_edit_ylabel 
	h = get(h_axes1,'ylabel'); 
	set(h,'string',get(h_edit_ylabel,'string')); 
	%%       DO NOT REMOVE/ALTER THIS COMMENT: CALLBACK_STOP h_edit_ylabel 
elseif command == 3 
	 
	%%       DO NOT REMOVE/ALTER THIS COMMENT: CALLBACK_START h_edit_xlabel 
	h = get(h_axes1,'xlabel'); 
	set(h,'string',get(h_edit_xlabel,'string')); 
	%%       DO NOT REMOVE/ALTER THIS COMMENT: CALLBACK_STOP h_edit_xlabel 
else 
	error('Error: example3.m called with incorrect command.') 
end 
