function obj = gco(fig_handle);
%
% gco.m
%   handle = gco;
%   handle = gco(figure_handle);
%
%   This function returns the current object's graphics handle in
%   the current figure or the figure specified as an argument.


root_children = get(0,'children');


if root_children

   if nargin == 1
	if any(root_children == fig_handle)
		obj = get(fig_handle,'currentobject');
	else
		obj = [];
		return;
%		error('Error gco: This figure handle does not exist.');
	end
   else
	fig_handle = get(0,'currentfigure');
	obj = get(fig_handle,'currentobject');
   end

else

   obj = [];

end
