function box = getrbbox(unit_val,skipwait)
%GETRBBOX  specify a bounding box with the pointer.
%          BOX = GETRBBOX() Wait for the button to go down in a figure, 
%          then invoke rbbox to get the dynamics.  When the button is 
%          released, compute and return the position of the final box 
%          selected by the user.
%	   In order to see dynamic box against any background at some
%	   point in your matlab process type "figure,image,drawnow,close".

% RECEIVED OFF OF MATLAB BULLITIN BOARD - unknown orig author.
% MODIFIED BY: Patrick Marchand

%old_0_units = get(0,'units');
%set(0,'units','pixels');

if nargin < 2
waitforbuttonpress; % Undocumented, but ginput uses this to wait for a 
                    % buttonpress in any window before proceeding.
end
pt1 = get(0,'PointerLocation');
fig = gcf;
old_units = get(gcf,'units');
set(gcf,'units','pixels');
fig_pos = get(fig,'position');
pt1 = pt1 - fig_pos(1:2);
				 % Find out where the button went down.
%pt1 = get(fig,'CurrentPoint'); % Find out where the button went down.
rbbox([pt1 0 0],pt1);          % Anchor a dynamic rectangle at that 
                               % point, and have it follow the pointer 
                               % until the button is released.
pt2 = get(0,'PointerLocation') - fig_pos(1:2);
%pt2 = get(fig,'CurrentPoint'); % Find out where the button went up.
%set(0,'units',old_0_units);
box = [min(pt1,pt2),abs(pt1 - pt2)]; % Compute the enclosing box.

set(gcf,'units',old_units);

if strcmp(unit_val,'normalized')
   box(1) = (box(1))/fig_pos(3);
   box(2) = (box(2))/fig_pos(4);
   box(3) = box(3)/fig_pos(3);
   box(4) = box(4)/fig_pos(4);
end
