%function guipalte
%
% Creates GUI Maker Graphical Creation Palette.
%
%
%
%
%

% AUTHOR: Patrick Marchand (PRMarchand@aol.com)
% CREATED: 4/20/95

% Copyright (c) 1995 by Patrick Marchand
%       Permission is NOT given to modify and re-distribute this
%	code in any manner without written consent from Patrick Marchand.
%       The code can be distributed in its unaltered form as long as it
%       accompanies all files contained within the GUI Maker Version 2.0
%       package of files.  All standard disclaimers apply. 

fig = findobj(get(0,'chi'),'flat','tag','guimaker_palette');

   cf = findobj(get(0,'chi'),'flat','tag','control_figure');
   ht = findobj(cf,'tag','h_text_status');
if fig
   figure(fig)
   set(fig,'visible','on');
   set(ht,'string','Creation Palette is ready.');
else

load guipimg
[R,C] = size(X);

%numicon = 10;
numicon = 12;
ind_down = [1:(C/2)];
ind_up = [(C/2+1):C];
rowicon = R/numicon;

arrow_img_ind 	= [1:rowicon]+rowicon*0;
text_img_ind 	= [1:rowicon]+rowicon*1;
slider_img_ind 	= [1:rowicon]+rowicon*2;
editbx_img_ind 	= [1:rowicon]+rowicon*3;
textbx_img_ind 	= [1:rowicon]+rowicon*4;
axes_img_ind 	= [1:rowicon]+rowicon*5;
frame_img_ind 	= [1:rowicon]+rowicon*6;
push_img_ind 	= [1:rowicon]+rowicon*7;
checkbx_img_ind = [1:rowicon]+rowicon*8;
radio_img_ind 	= [1:rowicon]+rowicon*9;
abc_img_ind 	= [1:rowicon]+rowicon*10;
pullm_img_ind 	= [1:rowicon]+rowicon*11;

spos = get(0,'screensize');
fig = figure('pos',[(10+395+8) (spos(4)-25-(R/numicon)*5.6) C-1 ...
	 (((R/numicon)*6)-1)],...
	'numbertitle','off','tag','guimaker_palette','name','Tools',...
	'resize','off');

ind_xb = [1:(C/2)];
ind_yb = [1:rowicon];
imup = [];imdw = [];
centersx = [1 2 2 1 2 2 1 1 1 2 1 2];
centersy = [1 2 3 5 5 1 2 3 4 4 6 6];

guip_strs = [...
'Selection Tool - Click, Pause (Drag)    ';...
'Popupmenu Tool - Click, Pause and Drag  ';...
'Slider Tool - Click, Pause and Drag     ';...
'Editbox Tool - Click, Pause and Drag    ';...
'UI Text Tool - Click, Pause and Drag    ';...
'Axes Tool - Click, Pause and Drag       ';...
'Frame Tool - Click, Pause and Drag      ';...
'Pushbutton Tool - Click, Pause and Drag ';...
'Checkbox Tool - Click, Pause and Drag   ';...
'Radiobutton Tool - Click, Pause and Drag';...
'Text Tool - Click, Pause and Drag       ';...
'UI Menu Tool - Click in canvas          '];

cf = findobj(get(0,'chi'),'flat','tag','control_figure');
h_text_st = findobj(cf,'tag','h_text_status');

	% Commented NEXT LINE 7/6/95 for fix to keep arrow always selected if 
	% nothing else is selected.
%cbk_up = ['h_all = get(gcf,''user'');h = gco; ind = find(h == h_all(1,:));'...
%	  'lset = find(h_all(3,:) == 1);set(h_all(2,lset),''vis'',''on'');'...
%	  'set(h_all(1,lset),''vis'',''on'');h_all(3,lset) = 0;'...
%	  'set(h_all(2,ind),''vis'',''on'');set(h,''vis'',''off'');'...
%	  'h_all(3,ind) = 1;set(gcf,''user'',h_all);'];
cbk_up = ['h_all = get(gcf,''user'');h = gco; ind = find(h == h_all(1,:));'...
	  'lset = find(h_all(3,:) == 1);set(h_all(2,lset),''vis'',''on'');'...
	  'set(h_all(1,lset),''vis'',''on'');h_all(3,lset) = 0;'...
	  'set(h_all(2,ind),''vis'',''on'');set(h,''vis'',''off'');'...
	  'set(h_all(1,1),''vis'',''on'');set(h_all(2,1),''vis'',''off'');'...
	  'h_all(3,ind) = 1;;set(gcf,''user'',h_all);'];
cbk_up1 = ['h_all = get(gcf,''user'');h = gco; ind = find(h == h_all(1,:));'...
	  'lset = find(h_all(3,:) == 1);set(h_all(2,lset),''vis'',''on'');'...
	  'set(h_all(1,lset),''vis'',''on'');h_all(3,lset) = 0;'...
	  'set(h_all(2,ind),''vis'',''on'');set(h,''vis'',''off'');'...
	  'set(h_all(1,1),''vis'',''off'');set(h_all(2,1),''vis'',''on'');'...
	  'h_all(3,ind) = 1;;set(gcf,''user'',h_all);'];
cbk_dw = ['h_all = get(gcf,''user'');h = gco; ind = find(h == h_all(2,:));'...
	  'set(h_all(1,ind),''vis'',''on'');set(h,''vis'',''off'');'...
	  'set(h_all(1,1),''vis'',''off'');set(h_all(2,1),''vis'',''on'');'...
	  'h_all(3,:) = zeros(size(h_all(3,:)));h_all(3,1) = 1;'...
	  'set(gcf,''userdata'',h_all);'];

	for loop = 0:11
	 axes('units','normalized',...
	    'pos',[((centersx(loop+1)-1)*.5) (1-centersy(loop+1)/6) .5 1/6],...
	    'visible','off','ydir','reverse')
	    axis([1 (C/2) 1 rowicon])
	  hold on	
	  imdw(loop+1) = image(ind_xb,ind_yb,...
		X([1:rowicon]+rowicon*loop,ind_down),'visible','off',...
		'buttondownfcn',[cbk_dw ...
			'set(get(gco,''userdata''),''string'',''' ...
			'Selection Tool - Click and Drag'');'],...
		'userdata',h_text_st);
	  hold on;
	  imup(loop+1) = image(ind_xb ,ind_yb,...
		X([1:rowicon]+rowicon*loop,ind_up),'buttondownfcn',...
		[cbk_up 'set(get(gco,''userdata''),''string'',''' ...
		guip_strs(loop+1,:) ''');'],'userdata',h_text_st);
	  axis([1 (C/2) 1 rowicon])
	end
	set(imup(1),'vis','off');
	% ADDED NEXT LINE 7/6/95 for fix to keep arrow always selected if 
	% nothing else is selected.
	set(imup(1),'buttondownfcn',[cbk_up1 ...
	   'set(get(gco,''userdata''),''string'',''' ...
		guip_strs(1,:) ''');'])

	set(imdw,'vis','on');
	% Commented NEXT LINE 7/6/95 for fix to keep arrow always selected if 
	% nothing else is selected.
	set(imdw(1),'buttondownfcn',['set(get(gco,''userdata''),''string'',''' ...
		guip_strs(1,:) ''');']);
%	set(imdw(1),'buttondownfcn',['close(gcf);'...
%	  'cf=findobj(get(0,''chil''),''flat'',''tag'',''control_figure'');'...
%	  'if cf;h_txt_st = findobj(cf,''tag'',''h_text_status'');'...
%	  'set(h_txt_st,''string'',''Closing Creation Tool Palette.'');end;']);

	last_set = zeros(size(imup));
	last_set(1) = 1;
	colormap(map);
	set(fig,'userdata',[imup;imdw;last_set],'vis','on')
	set(ht,'string','Creation Palette is ready.');

end
