function ld_mfile(fig_2_load,choice,created_by_guim)
%
% LD_MFILE  - puts the objects within a figure in a state by which they
%             can be manipulated with GUIMAKER version 2.0.
%
%             ld_mfile(figure_handle,load_type,created_by_guim)
%
%             figure_handle is the handle of the figure that is to be
%             converted to a GUIMAKER editable canvas.
%	
%	      load_type should be set to 1 if the figure was created by
%             an m-file which was originally created by GUIMAKER.
%             load_type should be set to 3 if the figure was created by
%             in any other way.
%
%	      NOTE: The potential exists for callbacks
%             to be lost.  The callbacks should always be checked with the
%             callback editor function of GUIMAKER.  You can always cut
%             and paste them into the callback editor.
%

% 11/94
% 1/20/95 Updated.
% Copyright (c) 1995 by Patrick Marchand
%       Permission is NOT given to modify and re-distribute this
%	code in any manner without written consent from Patrick Marchand.
%       The code can be distributed in its unaltered form as long as it
%       accompanies all files contained within the GUI Maker Version 2.0
%       package of files.  All standard disclaimers apply. 

%LOAD IN UICONTROL OBJECTS
 	   obj_uic = [0 ; findobj(fig_2_load,'type','uicontrol','style','frame');...
		      0 ; findobj(fig_2_load,'type','uicontrol','style','pushbutton');...
		      0 ; findobj(fig_2_load,'type','uicontrol','style','radiobutton');...
		      0 ; findobj(fig_2_load,'type','uicontrol','style','checkbox');...
		      0 ; findobj(fig_2_load,'type','uicontrol','style','edit');...
		      0 ; findobj(fig_2_load,'type','uicontrol','style','text');...
		      0 ; findobj(fig_2_load,'type','uicontrol','style','slider');...
		      0 ; findobj(fig_2_load,'type','uicontrol','style','popupmenu');];
 
		for obj = obj_uic'
		 if obj == 0
		   uic_cnt = 0;
		 else

		   % WHAT IS THE NAME OF THIS OBJECT
		   obj_tag = get(obj,'tag');
		   if created_by_guim == 1;
		     gm_version_guess = 2;
		   else
		     gm_version_guess = 0;
		   end

		   if length(obj_tag) == 0 & created_by_guim == 1
			obj_tag = get(obj,'userdata');
		        gm_version_guess = 1;
		   end

		   while length(obj_tag) == 0
			gm_version_guess = 0;
			obj_style = get(obj,'style');
			uic_cnt = uic_cnt + 1;
			obj_tag = ['h_uic_' obj_style(1:4) '_' ...
				    num2str(uic_cnt)];
			if any(findobj(fig_2_load,'tag',obj_tag))
			 obj_tag = '';
			end
		   end

		   % NOW WHAT SHOULD OCCUR IF THE USER PRESSES THE UI WHILE IN EDIT MODE
	           cllbk_str = ['cf = findobj(''tag'',''control_figure'');' ...
		'wf = findobj(''tag'',''working_figure'');' ...
		'if wf ~= gcf;'...
		  'set(wf,''tag'',get(wf,''name''));'...
		'end;'...
		'set(gcf,''tag'',''working_figure'');'...
		     'st = findobj(cf,''tag'',''h_text_status'');' ...
		     'tmp0 = findobj(''tag'',''working_figure''); ' ...
		     'tmp = findobj(tmp0,''tag'',''' obj_tag ''');' ...
		     'if strcmp(get(tmp,''selected''),''on''); ' ...
		     '   set(tmp,''selected'',''off''); ' ...
		        'set(st,''string'',''' obj_tag ' deselected.''); ' ...
		     'else; ' ...
		     '   set(tmp,''selected'',''on''); ' ...
		        'set(st,''string'',''' obj_tag ' selected.''); ' ...
		     'end'];

		   if gm_version_guess == 2
			if strcmp(get(obj,'style'),'frame')
			  set(obj,'callback',cllbk_str,'tag',obj_tag,'enable','off');
			else
			  set(obj,'callback',cllbk_str,'tag',obj_tag,'enable','on');
			end
		   elseif gm_version_guess == 1
			if strcmp(get(obj,'style'),'frame')
			 set(obj,'callback',cllbk_str,'tag',obj_tag,'userdata',[],'enable','off');
			else
			 set(obj,'callback',cllbk_str,'tag',obj_tag,'userdata',[],'enable','on');
			end
		   elseif gm_version_guess == 0
			true_cllbk_str = get(obj,'callback');
		      if length(true_cllbk_str) > 0
			colon_ind = findstr(true_cllbk_str,';');
			if length(colon_ind) == 0 & length(true_cllbk_str) > 0
			  colon_ind = length(true_cllbk_str);
			end
			if length(colon_ind) == 0
			    colon_ind = length(true_cllbk_str);
			else
			  if colon_ind(length(colon_ind)) ~= length(true_cllbk_str)
			    colon_ind = [colon_ind length(true_cllbk_str)];
			  end
			end
 			if length(colon_ind) > 0
			  for num_lines = 1:length(colon_ind)
			    if num_lines == 1
				udata_str = str2clbk(dblnkall(...
					true_cllbk_str(1:colon_ind(num_lines))));
			    else
			     udata_str = str2mat(udata_str,...
				str2clbk(dblnkall(true_cllbk_str((colon_ind(num_lines-1) ...
				+1):colon_ind(num_lines)) )));
			    end
			  end
			else
			  udata_str = [''];
			end
		      else
			  udata_str = [''];
		      end
			if strcmp(get(obj,'style'),'frame')
			 set(obj,'callback',cllbk_str,'tag',obj_tag,...
				'userdata',udata_str,'enable','off');
			else
			 set(obj,'callback',cllbk_str,'tag',obj_tag,...
				'userdata',udata_str,'enable','on');
			end
		   end
		 end % if obj == 0
		end % for obj

%LOAD IN UIMENU OBJECTS
		obj_uim = findobj(fig_2_load,'type','uimenu');
		uim_cnt = 0;
		for obj = obj_uim'
		   % WHAT IS THE NAME OF THIS OBJECT
		   obj_tag = get(obj,'tag');
		   if created_by_guim == 1;
		     gm_version_guess = 2;
		   else
		     gm_version_guess = 0;
		   end

		   if length(obj_tag) == 0 & created_by_guim == 1
			obj_tag = get(obj,'userdata');
		        gm_version_guess = 1;
		   end

		   while length(obj_tag) == 0
			gm_version_guess = 0;
			uim_cnt = uim_cnt + 1;
			obj_tag = ['h_uim_' num2str(uim_cnt)];
			if any(findobj(fig_2_load,'tag',obj_tag))
			   obj_tag = '';
			end
		   end
		   cllbk_str = uim_cbk(obj_tag);

		   if gm_version_guess == 2
			set(obj,'callback',cllbk_str,'tag',obj_tag);
		   elseif gm_version_guess == 1
			set(obj,'callback',cllbk_str,'tag',obj_tag,'userdata',[]);
		   elseif gm_version_guess == 0
			true_cllbk_str = get(obj,'callback');
		      if length(true_cllbk_str) > 0
			colon_ind = findstr(true_cllbk_str,';');
			if length(colon_ind) == 0 & length(true_cllbk_str) > 0
			  colon_ind = length(true_cllbk_str);
			end
			if length(colon_ind) == 0
			    colon_ind = length(true_cllbk_str);
			else
			  if colon_ind(length(colon_ind)) ~= length(true_cllbk_str)
			    colon_ind = [colon_ind length(true_cllbk_str)];
			  end
			end
 			if length(colon_ind) > 0
			  for num_lines = 1:length(colon_ind)
			    if num_lines == 1
				udata_str = str2clbk(dblnkall(...
					true_cllbk_str(1:colon_ind(num_lines))));
			    else
			     udata_str = str2mat(udata_str,...
				str2clbk(dblnkall(true_cllbk_str((colon_ind(num_lines-1) ...
				+1):colon_ind(num_lines)) )));
			    end
			  end
			else
			  udata_str = [''];
			end
		      else
			  udata_str = [''];
		      end
			set(obj,'callback',cllbk_str,'tag',obj_tag,...
				'userdata',udata_str);
		   end
		
		end

%LOAD IN AXES OBJECTS
		obj_ax = findobj(fig_2_load,'type','axes');
		uim_cnt = 0;
		for obj = obj_ax'
		   % WHAT IS THE NAME OF THIS OBJECT
		   obj_tag = get(obj,'tag');
		   if created_by_guim == 1;
		     gm_version_guess = 2;
		   else
		     gm_version_guess = 0;
		   end

		   if length(obj_tag) == 0 & created_by_guim == 1
			obj_tag = get(obj,'userdata');
		        gm_version_guess = 1;
		   end

		   while length(obj_tag) == 0
			gm_version_guess = 0;
			uim_cnt = uim_cnt + 1;
			obj_tag = ['h_ax_' num2str(uim_cnt)];
			if any(findobj(fig_2_load,'tag',obj_tag))
			   obj_tag = '';
			end
		   end
%		   cllbk_str = ['cf = findobj(''tag'',''control_figure'');' ...
%		'wf = findobj(''tag'',''working_figure'');' ...
%		'if wf ~= gcf;'...
%		  'set(wf,''tag'',get(wf,''name''));'...
%		'end;'...
%		'set(gcf,''tag'',''working_figure'');'...
%		     'st = findobj(cf,''tag'',''h_text_status'');' ...
%		     'tmp0 = findobj(''tag'',''working_figure''); ' ...
%		     'tmp = findobj(tmp0,''tag'',''' obj_tag ''');' ...
%		     'if strcmp(get(tmp,''selected''),''on''); ' ...
%		        'set(st,''string'',''' obj_tag ' deselected.''); ' ...
%		     'else; ' ...
%		        'set(st,''string'',''' obj_tag ' selected.''); ' ...
%		     'end'];
		   cllbk_str = '';
		   if gm_version_guess == 2
			set(obj,'ButtonDownFcn',cllbk_str,'tag',obj_tag);
		   elseif gm_version_guess == 1
			set(obj,'ButtonDownFcn',cllbk_str,'tag',obj_tag,'userdata',[]);
		   elseif gm_version_guess == 0
			true_cllbk_str = get(obj,'ButtonDownFcn');
		      if length(true_cllbk_str) > 0
			colon_ind = findstr(true_cllbk_str,';');
			if length(colon_ind) == 0 & length(true_cllbk_str) > 0
			  colon_ind = length(true_cllbk_str);
			end
			if length(colon_ind) == 0
			    colon_ind = length(true_cllbk_str);
			else
			  if colon_ind(length(colon_ind)) ~= length(true_cllbk_str)
			    colon_ind = [colon_ind length(true_cllbk_str)];
			  end
			end
 			if length(colon_ind) > 0
			  for num_lines = 1:length(colon_ind)
			    if num_lines == 1
				udata_str = str2clbk(dblnkall(...
					true_cllbk_str(1:colon_ind(num_lines))));
			    else
			     udata_str = str2mat(udata_str,...
				str2clbk(dblnkall(true_cllbk_str((colon_ind(num_lines-1) ...
				+1):colon_ind(num_lines)) )));
			    end
			  end
			else
			  udata_str = [''];
			end
		      else
			  udata_str = [''];
		      end
			set(obj,'ButtonDownFcn',cllbk_str,'tag',obj_tag,...
				'userdata',udata_str);
		   end
		
		end

%LOAD IN TEXT OBJECTS
		obj_txt = findobj(fig_2_load,'type','text');
		uim_cnt = 0;
		for obj = obj_txt'
		   % WHAT IS THE NAME OF THIS OBJECT
		   obj_tag = get(obj,'tag');
		   if created_by_guim == 1;
		     gm_version_guess = 2;
		   else
		     gm_version_guess = 0;
		   end

		   if length(obj_tag) == 0 & created_by_guim == 1
			obj_tag = get(obj,'userdata');
		        gm_version_guess = 1;
		   end

		   while length(obj_tag) == 0
			gm_version_guess = 0;
			uim_cnt = uim_cnt + 1;
			obj_tag = ['h_txt_' num2str(uim_cnt)];
			if any(findobj(fig_2_load,'tag',obj_tag))
			   obj_tag = '';
			end
		   end

		   if obj == get(get(obj,'parent'),'xlabel')
			if length(get(obj,'string')) == 0
			    obj_tag = '';
			else
			    obj_tag = 'a_xlabel';
			end
		   end
		   if obj == get(get(obj,'parent'),'ylabel')
			if length(get(obj,'string')) == 0
			    obj_tag = '';
			else
			    obj_tag = 'a_ylabel';
			end
		   end
		   if obj == get(get(obj,'parent'),'zlabel')
			if length(get(obj,'string')) == 0
			    obj_tag = '';
			else
			    obj_tag = 'a_zlabel';
			end
		   end
		   if obj == get(get(obj,'parent'),'title')
			if length(get(obj,'string')) == 0
			    obj_tag = '';
			else
			    obj_tag = 'a_title';
			end
		   end

%		   cllbk_str = ['cf = findobj(''tag'',''control_figure'');' ...
%		'wf = findobj(''tag'',''working_figure'');' ...
%		'if wf ~= gcf;'...
%		  'set(wf,''tag'',get(wf,''name''));'...
%		'end;'...
%		'set(gcf,''tag'',''working_figure'');'...
%		     'st = findobj(cf,''tag'',''h_text_status'');' ...
%		     'tmp0 = findobj(''tag'',''working_figure''); ' ...
%		     'tmp = findobj(tmp0,''tag'',''' obj_tag ''');' ...
%		     'if strcmp(get(tmp,''selected''),''on''); ' ...
%		        'set(st,''string'',''' obj_tag ' deselected.''); ' ...
%		     'else; ' ...
%		        'set(st,''string'',''' obj_tag ' selected.''); ' ...
%		     'end'];
		   cllbk_str = '';

		   if gm_version_guess == 2
			set(obj,'ButtonDownFcn',cllbk_str,'tag',obj_tag);
		   elseif gm_version_guess == 1
			set(obj,'ButtonDownFcn',cllbk_str,'tag',obj_tag,'userdata',[]);
		   elseif gm_version_guess == 0
			true_cllbk_str = get(obj,'ButtonDownFcn');
		      if length(true_cllbk_str) > 0
			colon_ind = findstr(true_cllbk_str,';');
			if length(colon_ind) == 0 & length(true_cllbk_str) > 0
			  colon_ind = length(true_cllbk_str);
			end
			if length(colon_ind) == 0
			    colon_ind = length(true_cllbk_str);
			else
			  if colon_ind(length(colon_ind)) ~= length(true_cllbk_str)
			    colon_ind = [colon_ind length(true_cllbk_str)];
			  end
			end
 			if length(colon_ind) > 0
			  for num_lines = 1:length(colon_ind)
			    if num_lines == 1
				udata_str = str2clbk(dblnkall(...
					true_cllbk_str(1:colon_ind(num_lines))));
			    else
			     udata_str = str2mat(udata_str,...
				str2clbk(dblnkall(true_cllbk_str((colon_ind(num_lines-1) ...
				+1):colon_ind(num_lines)) )));
			    end
			  end
			else
			  udata_str = [''];
			end
		      else
			  udata_str = [''];
		      end
			set(obj,'ButtonDownFcn',cllbk_str,'tag',obj_tag,...
				'userdata',udata_str);
		   end
		
		end
