function m_resize(command)
%
% m_resize.m
%
% Allows user to resize object with handles

%
% Copyright (c) 1995 by Patrick Marchand
%       Permission is NOT given to modify and re-distribute this
%	code in any manner without written consent from Patrick Marchand.
%       The code can be distributed in its unaltered form as long as it
%       accompanies all files contained within the GUI Maker Version 2.0
%       package of files.  All standard disclaimers apply. 



if command == 1
	 tmp1 = findobj(gcf,'selected','on');
	if length(tmp1) > 0

	 cf = findobj(get(0,'children'),'flat','tag','control_figure');
	 if cf
	  st = findobj(cf,'tag','h_text_status');
		if st
		  set(st,'string',['Mouse is in Resize Object(s) Mode.']);
		end

	  h_undo = findobj(cf,'tag','h_push_e_undo');
	  if h_undo
	    plw = get(gcf,'userdata');
	    undo_type = 1;  % 1 is for move/resize
	    if plw(4) == 0
	      obj_cnt = length(tmp1);
	    else
	      obj_cnt = 1;
	      tmp1 = plw(4);
	    end
	    pos_mat = zeros(obj_cnt+1,5);
	    pos_mat(1,[1 2]) = [undo_type,obj_cnt];
	    for loop = 1:obj_cnt
		pos = [tmp1(loop) get(tmp1(loop),'position')];
	        pos_mat(loop+1,1:length(pos)) = pos;
	    end
	    set(h_undo,'userdata',pos_mat);
	  end
	   h_snap_hor = get(findobj(cf,'tag','h_edit_up_hdiv'),'string');
	   h_snap_ver = get(findobj(cf,'tag','h_edit_up_vdiv'),'string');

	 else
	   h_snap_hor = '100';
	   h_snap_ver = '100';
	 end

	 txt = [ 'scrn_pt = get(0, ''PointerLocation'');' ...
                'set(gcf,''units'',''pixels'');' ...
                'loc = get(gcf, ''Position'');' ...
                'set(gcf,''units'',''normalized'');' ...
                'pt=[(scrn_pt(1)-loc(1))/loc(3),(scrn_pt(2)-loc(2))/loc(4)];' ...
		'plw = get(gcf,''userdata'');' ...
		'if plw(4) == 0;' ...
		' tmp0 = findobj(''tag'',''working_figure'');' ...
		' tmp1 = findobj(tmp0,''selected'',''on'');' ...
		'else;'...
		' tmp1 = plw(4);'...
		'end;'...
		'pos_mat = [];' ...
		'for loop = 1:length(tmp1);' ...
		' pos_mat = get(tmp1(loop),''position'');' ...
		' if ~strcmp(get(tmp1(loop),''type''),''text'');' ...
		'  if plw(3) == 1; ' ...
		'   pos_mat(1) = (pos_mat(1)+(pt(1)-plw(1)));' ...
		'   pos_mat(2) = (pos_mat(2)+(pt(2)-plw(2)));' ...
		'   pos_mat(3) = (pos_mat(3)-(pt(1)-plw(1)));' ...
		'   pos_mat(4) = (pos_mat(4)-(pt(2)-plw(2)));' ...
		'  elseif plw(3) == 2; ' ...
		'   pos_mat(2) = (pos_mat(2)+(pt(2)-plw(2)));' ...
		'   pos_mat(3) = (pos_mat(3)+(pt(1)-plw(1)));' ...
		'   pos_mat(4) = (pos_mat(4)-(pt(2)-plw(2)));' ...
		'  elseif plw(3) == 3; ' ...
		'   pos_mat(3) = (pos_mat(3)+(pt(1)-plw(1)));' ...
		'   pos_mat(4) = (pos_mat(4)+(pt(2)-plw(2)));' ...
		'  elseif plw(3) == 4; ' ...
		'   pos_mat(1) = (pos_mat(1)+(pt(1)-plw(1)));' ...
		'   pos_mat(3) = (pos_mat(3)-(pt(1)-plw(1)));' ...
		'   pos_mat(4) = (pos_mat(4)+(pt(2)-plw(2)));' ...
		'  end;' ...
		'  pos_mat([1 3]) = round(pos_mat([1 3])*' h_snap_hor ')/' h_snap_hor ';' ...
		'  pos_mat([2 4]) = round(pos_mat([2 4])*' h_snap_ver ')/' h_snap_ver ';' ...
		'  pos_mat(3:4) = max([pos_mat(3:4);.01 .01]);' ...
		'  set(tmp1(loop),''position'',pos_mat);' ...
		' end;' ...
		'end;set(gcf,''userdata'',[round(pt(1)*' h_snap_hor ')/' h_snap_hor ' round(pt(2)*' h_snap_ver ')/' h_snap_ver ' plw(3:4)]);' ...
		];
	else
	   txt = [''];
	end

	set(gcf,'WindowButtonMotionFcn',txt);

elseif command == 2


end
