function [fid,pathname,filename] = mk_mfile(form_type,filename,GUIMver,debug_mode)
%
%  mk_mfile.m
%
%		This function creates the m-file by gathering information
%		about the current figure created by guimaker.m and creates
%		a template m-file function that recreates the GUI.  This
%		template is fully functional.
%
%  usage:
%		mk_mfile(form_type,filename,GUIMver);
%  
%		filename = string containing the name of the m-file 

%
%  Author :  Patrick Marchand
%  Mods.  :  
%   

% Copyright (c) 1995 by Patrick Marchand
%       Permission is NOT given to modify and re-distribute this 
%	code in any manner without written consent from Patrick Marchand.
%	All standard disclaimers apply. 

fid = -1;pathname = [];
if isstr(filename)
  filename = fliplr(deblank(fliplr(deblank(filename))));
        pathname = [''];
        slsh_loc = max([findstr(filename,'/') findstr(filename,'\') ...
			findstr(filename,':')]);
        if length(slsh_loc) > 0
           pathname = [filename(1:slsh_loc)];
	   if length(filename) > slsh_loc
		filename = filename((slsh_loc+1):length(filename));
	   else
		filename = [''];
	   end
	end
	ext_loc = findstr(filename,'.');
	if length(ext_loc) > 0
		filename = filename(1:(min(ext_loc)-1));
	end
	if length(filename) == 0
	   cf = findobj(get(0,'children'),'flat','tag','control_figure');
	   st = findobj(cf,'tag','h_text_status');
	   set(st,'string','Nothing saved. Enter valid filename');
	   return
	end
        eval(['fid = fopen([pathname filename ''.m''],''wt'');'],...
		'filename = [''''];');
	if length(filename) == 0 | fid == -1
%	   cf = findobj(get(0,'children'),'flat','tag','control_figure');
%	   st = findobj(cf,'tag','h_text_status');
%	   set(st,'string','Nothing saved. Enter valid filename');
	   return
	end

% Header Creation

   if form_type == 0
	txt = ['function ' filename '(command,parameter1)'];
        fprintf(fid,'%s \n',txt);
	txt = ['%  Template for uicontrol form.'];
        fprintf(fid,'%s \n',txt);
	txt = ['%  '];
        fprintf(fid,'%s \n',txt);
	txt = ['%  If you rename this file:'];
        fprintf(fid,'%s \n',txt);
	txt = ['%    1. Replace all occurrences of ''' filename ...
		''' with' ...
		' desired ''filename''.'];
        fprintf(fid,'%s \n',txt);
	txt = ['%    2. Resave this file as that ''filename''.'];
        fprintf(fid,'%s \n',txt);
	txt = ['%  '];
        fprintf(fid,'%s \n',txt);
	txt = ['%  To edit callbacks :'];
        fprintf(fid,'%s \n',txt);
	txt =['%          Fill in the ''elseif command == ...'' sections with'];
        fprintf(fid,'%s \n',txt);
	txt = ['%          code that does something other than what was '];
        fprintf(fid,'%s \n',txt);
	txt = ['%          defined in GUIMaker 2.1. Be creative!'];
        fprintf(fid,'%s \n',txt);
	txt = ['%          The code must lie between the CALLBACK_START and '];
        fprintf(fid,'%s \n',txt);
	txt = ['%          CALLBACK_STOP comments for each objects callback '];
        fprintf(fid,'%s \n',txt);
	txt = ['%          command section if you want to be able to edit'];
        fprintf(fid,'%s \n',txt);
	txt = ['%          the GUI with GUIMaker later on and not lose the'];
        fprintf(fid,'%s \n',txt);
	txt = ['%          callback information.'];
        fprintf(fid,'%s \n',txt);
	txt = ['%  '];
        fprintf(fid,'%s \n',txt);
	txt = ['%  ' filename '.m'];
        fprintf(fid,'%s \n',txt);
	txt = ['%  '];
        fprintf(fid,'%s \n',txt);
	txt = ['%  usage:       ' filename '(command,parameter1)'];
        fprintf(fid,'%s \n',txt);
	txt = ['%  '];
        fprintf(fid,'%s \n',txt);
	txt = ['%           where'];
        fprintf(fid,'%s \n',txt);
	txt = ['%  '];
        fprintf(fid,'%s \n',txt);
	txt = ['%               ''command'' is used to perform some ' ...
		'defined operation'];
        fprintf(fid,'%s \n',txt);
	txt = ['%               ''parameter1'' can be used pass extra ' ...
		'information'];
        fprintf(fid,'%s \n',txt);
	txt = ['%                              to a defined operation'];
        fprintf(fid,'%s \n',txt);
	txt = ['%  '];
        fprintf(fid,'%s \n',txt);
	txt = ['%           If no arguements are used the GUI is initialized.'];
        fprintf(fid,'%s \n',txt);
	txt = ['%  '];
        fprintf(fid,'%s \n',txt);
	txt = ['%  '];
        fprintf(fid,'%s \n',txt);
	txt = ['%  Created: ' date];
        fprintf(fid,'%s \n',txt);
	txt = ['%  Using  : GUI Maker Ver 2.1 by Patrick Marchand'];
        fprintf(fid,'%s \n',txt);
	txt = ['%                         (PRMarchand@aol.com)'];
        fprintf(fid,'%s \n',txt);
	txt = ['%  Author : '];
        fprintf(fid,'%s \n',txt);
	txt = ['%  Mods.  : '];
        fprintf(fid,'%s \n',txt);
	txt = ['%  '];
        fprintf(fid,'%s \n',txt);
	fprintf(fid,'\n');
	txt = ['%  Copyright (c)  '];
        fprintf(fid,'%s \n',txt);
	txt = ['%       Permission is granted to modify and re-distribute ' ...
		'this'];
        fprintf(fid,'%s \n',txt);
	txt = ['%	code in any manner as long as this notice is ' ...
		'preserved.'];
        fprintf(fid,'%s \n',txt);
	txt = ['%	All standard disclaimers apply.'];
        fprintf(fid,'%s \n',txt);
	fprintf(fid,'\n');
	fprintf(fid,'\n');

   elseif form_type == 1
	txt = ['function ' filename ];
        fprintf(fid,'%s \n',txt);
	txt = ['%  GUI Init File'];
        fprintf(fid,'%s \n',txt);
	txt = ['%  '];
        fprintf(fid,'%s \n',txt);

   end % if form_type == 0    MOD 2/7/95

	parent_fig = findobj('tag','working_figure');

	h_ui_frame = findobj(parent_fig,'style','frame');
	h_ui_pushbutton = findobj(parent_fig,'style','pushbutton');
	h_ui_radiobutton = findobj(parent_fig,'style','radiobutton');
	h_ui_checkbox = findobj(parent_fig,'style','checkbox');
	h_ui_edit = findobj(parent_fig,'style','edit');
	h_ui_slider = findobj(parent_fig,'style','slider');
	h_ui_text = findobj(parent_fig,'style','text');
	h_ui_popupmenu = findobj(parent_fig,'style','popupmenu');

	h_ui_menu = findobj(parent_fig,'type','uimenu');

	for loop = 1:length(h_ui_menu)
	  uim_lab = strrep(strrep(get(h_ui_menu(loop),'label'),'<',''),'>','');
	  set(h_ui_menu(loop),'selected','off','label',uim_lab);
	end

	h_ui_menu_top = findobj('parent',parent_fig,'type','uimenu');
%	h_ui_menu_sub = [];
%	if length(h_ui_menu) ~= length(h_ui_menu_top)
%	    h_ui_menu_sub = h_ui_menu_sub((length(h_ui_menu_top) ...
%				+1):length(h_ui_menu));
%	end

	h_axes = findobj(parent_fig,'type','axes');
	h_text = findobj(parent_fig,'type','text');
	h_text_tmp = [];
	for loop = 1:length(h_text)
	  if h_text(loop) == get(get(h_text(loop),'parent'),'xlabel') | ...
	     h_text(loop) == get(get(h_text(loop),'parent'),'ylabel') | ...
	     h_text(loop) == get(get(h_text(loop),'parent'),'zlabel') | ...
	     h_text(loop) == get(get(h_text(loop),'parent'),'title')
	  else
	     h_text_tmp = [h_text_tmp ; h_text(loop)];
	  end
	end
	h_text = h_text_tmp;


	% Create Nargin Check Section

   if form_type == 0
	txt = ['if nargin == 0'];
        fprintf(fid,'%s \n',txt);
	fprintf(fid,'\t');
	txt = ['command = ''new'';'];
        fprintf(fid,'%s \n',txt);
	txt = ['end'];
        fprintf(fid,'%s \n',txt);

	fprintf(fid,'\n');

	% Create Initialization Check Section
	txt = ['if isstr(command)'];
        fprintf(fid,'%s \n',txt);
	fprintf(fid,'\t');
	txt = ['if strcmp(lower(command),''initialize'') | ' ...
		  'strcmp(lower(command),''new'')'];
        fprintf(fid,'%s \n',txt);
	fprintf(fid,'\t');
	fprintf(fid,'\t');
	txt = ['command = 0;'];
        fprintf(fid,'%s \n',txt);

	obj_list = [h_ui_pushbutton;h_ui_radiobutton;h_ui_checkbox;...
			h_ui_edit;h_ui_slider;h_ui_popupmenu;h_ui_menu];
	for loop1 = 1:length(obj_list)
	  fprintf(fid,'\t');
	  txt=['elseif strcmp(lower(command),lower(''' ...
		deblank(get(obj_list(loop1),'tag')) '''))'];
          fprintf(fid,'%s \n',txt);
	  fprintf(fid,'\t');
	  fprintf(fid,'\t');
	  txt = ['command = ' num2str(loop1) ';'];
          fprintf(fid,'%s \n',txt);
	end

	fprintf(fid,'\t');
	txt = ['end'];
        fprintf(fid,'%s \n',txt);
	txt = ['end'];
        fprintf(fid,'%s \n',txt);

	fprintf(fid,'\n');

	txt = ['if command ~= 0'];
        fprintf(fid,'%s \n',txt);
	fprintf(fid,'\t');
	txt = ['h_fig_list = findobj(get(0,''children''),''flat'',...'];
        fprintf(fid,'%s \n',txt);
	fprintf(fid,'\t\t');
	txt = ['''tag'',''' filename ''');'];
        fprintf(fid,'%s \n',txt);
	fprintf(fid,'\t\t');
	txt = ['if length(h_fig_list) > 1'];
        fprintf(fid,'%s \n',txt);
	fprintf(fid,'\t\t\t');
	txt = ['h_fig_list = gcf;'];
        fprintf(fid,'%s \n',txt);
	fprintf(fid,'\t\t');
	txt = ['elseif length(h_fig_list) == 0'];
        fprintf(fid,'%s \n',txt);
	fprintf(fid,'\t\t\t');
	txt = ['error(''There are no figures with Tag = ' filename '.'');'];
        fprintf(fid,'%s \n',txt);
	fprintf(fid,'\t\t');
	txt = ['end'];
        fprintf(fid,'%s \n',txt);
	fprintf(fid,'\t');
	txt = ['handle_list = get(h_fig_list,''userdata'');'];
        fprintf(fid,'%s \n',txt);
	fprintf(fid,'\t');
	txt = ['if length(handle_list) > 0'];
        fprintf(fid,'%s \n',txt);

	obj_list = [h_ui_frame;h_ui_pushbutton;h_ui_radiobutton;...
			h_ui_checkbox;h_ui_edit;h_ui_slider;...
			h_ui_text;h_ui_popupmenu;h_ui_menu;h_axes;h_text];

	for loop1 = 1:length(obj_list)
	 fprintf(fid,'\t');
	 fprintf(fid,'\t');
	 txt = [deblank(get(obj_list(loop1),'tag')) ' = handle_list(' ...
		num2str(loop1) ');'];
         fprintf(fid,'%s \n',txt);
	end

% 1/5/95
%	 fprintf(fid,'\t');
%	 fprintf(fid,'\t');
%	 txt = ['txt = handle_list(' ...
%		num2str(1+length(obj_list)) ':' ...
%		num2str(length(h_text)+length(obj_list)) ');'];
%         fprintf(fid,'%s \n',txt);

	fprintf(fid,'\t');
	txt = ['end'];
        fprintf(fid,'%s \n',txt);
	txt = ['end'];
        fprintf(fid,'%s \n',txt);

	fprintf(fid,'\n');
	fprintf(fid,'\n');

	txt = ['if command == 0'];
        fprintf(fid,'%s \n',txt);
	fprintf(fid,'\n');

   end % if form_type == 0   MOD 2/7/95

	% Determine figure position
	old_units = get(parent_fig,'units');
	set(parent_fig,'units','pixels');
	pos = get(parent_fig,'position');
	rs = get(parent_fig,'resize');
	fig_prop_brw = findobj(get(0,'children'),'flat','tag','ng_fbr_w');
	if fig_prop_brw
	  fig_prop_name = get(findobj(fig_prop_brw,'tag','h_edit_fig_name'),...
		'string');
	  h_pop_fig_rs =findobj(fig_prop_brw,'tag','h_pop_fig_rs');
	  h_pop_fig_mb =findobj(fig_prop_brw,'tag','h_pop_fig_mb');
	  h_pop_fig_nt =findobj(fig_prop_brw,'tag','h_pop_fig_nt');
	  h_pop_fig_ami =findobj(fig_prop_brw,'tag','h_pop_fig_ami');
	  fig_prop_nt_str = get(h_pop_fig_nt,'string');
	  fig_prop_nt  = deblank(fig_prop_nt_str(get(h_pop_fig_nt,'val'),:));
	  fig_prop_rs_str = get(h_pop_fig_rs,'string');
	  fig_prop_rs  = deblank(fig_prop_rs_str(get(h_pop_fig_rs,'val'),:));
	  fig_prop_mb_str = get(h_pop_fig_mb,'string');
	  fig_prop_mb  = deblank(fig_prop_mb_str(get(h_pop_fig_mb,'val'),:));
	  fig_prop_ami_str = get(h_pop_fig_ami,'string');
	  fig_prop_ami  = deblank(fig_prop_ami_str(get(h_pop_fig_ami,'val'),:));
	  if strcmp(fig_prop_ami,'No')
	    txt = ['fig = findobj(get(0,''children''),''flat'',''tag'',''' ...
		filename ''');'];
	    fprintf(fid,'\t');
	    fprintf(fid,'%s \n',txt);
	    txt = ['if length(fig) > 0'];
	    fprintf(fid,'\t'); fprintf(fid,'%s \n',txt);
	    txt = ['set(fig,''visible'',''on'');'];
	    fprintf(fid,'\t\t'); fprintf(fid,'%s \n',txt);
	    txt = ['figure(fig);'];
	    fprintf(fid,'\t\t'); fprintf(fid,'%s \n',txt);
	    txt = ['return;'];
	    fprintf(fid,'\t\t'); fprintf(fid,'%s \n',txt);
	    txt = ['end'];
	    fprintf(fid,'\t'); fprintf(fid,'%s \n',txt);
	  end
	  txt = ['fig = figure(''position'',' mat2str2(pos) ',...'];
	  fprintf(fid,'\t');fprintf(fid,'%s \n',txt);
	  txt = ['''resize'',''' fig_prop_rs ''',''tag'',''' filename ''',...'];
	  fprintf(fid,'\t\t');fprintf(fid,'%s \n',txt);
	  txt = ['''menubar'',''' fig_prop_mb ''',''name'',''' fig_prop_name ''',...'];
	  fprintf(fid,'\t\t');fprintf(fid,'%s \n',txt);
	  txt = ['''numbertitle'',''' fig_prop_nt ''',''visible'',''off'');'];
	  fprintf(fid,'\t\t');fprintf(fid,'%s \n',txt);
	else
	 txt = ['fig = figure(''position'',' mat2str2(pos) ',...'];
	 fprintf(fid,'\t');
	 fprintf(fid,'%s \n',txt);
	 txt = ['''resize'',''' rs ''',''tag'',''' filename ''',...'];
	 fprintf(fid,'\t\t');
	 fprintf(fid,'%s \n',txt);
	 txt = ['''visible'',''off'');'];
	 fprintf(fid,'\t\t');
	 fprintf(fid,'%s \n',txt);
	end
	fprintf(fid,'\n');
	set(parent_fig,'units',old_units);


	% Write uicontrol object structure to file
	fprintf(fid,'\t');
	txt = ['%  Uicontrol Object Creation'];
        fprintf(fid,'%s \n',txt);
	fprintf(fid,'\n');

	obj_list = [h_ui_frame;h_ui_pushbutton;h_ui_radiobutton;...
			h_ui_checkbox;h_ui_edit;h_ui_slider;...
			h_ui_text;h_ui_popupmenu];

	name_list= [];

	for loop1 = 1:length(obj_list)
	    name = get(obj_list(loop1),'tag');
	    name_list = str2mat(name_list,name);

	    txt = mk_ui_t(obj_list(loop1),name,form_type,filename);
	    [numrow,numcol] = size(txt);
	    for loop2 = 1:numrow
		if loop2 == 1
		   fprintf(fid,'\t');
		   fprintf(fid,'%s \n', dblnkall(txt(loop2,:)));
		else
		   fprintf(fid,'\t');
		   fprintf(fid,'\t');
		   fprintf(fid,'%s \n', dblnkall(txt(loop2,:)));
		end
	    end
	end

	fprintf(fid,'\n');
	fprintf(fid,'\n');

	% Print out Menu Objects to file
	fprintf(fid,'\t');
	txt = ['%  Menu Object Creation'];
        fprintf(fid,'%s \n',txt);
	fprintf(fid,'\n');

	obj_list2 = [h_ui_menu_top];
 
	for loop = 1:length(obj_list2)
	 obj_list = findobj(obj_list2(loop));
	 for loop1 = 1:length(obj_list)
	    name = get(obj_list(loop1),'tag');
	    name_list = str2mat(name_list,name);
	    txt = mk_ui_t(obj_list(loop1),name,form_type,filename);
%	    keyboard
	    [numrow,numcol] = size(txt);
	    for loop2 = 1:numrow
		if loop2 == 1
		   fprintf(fid,'\t');
		   fprintf(fid,'%s \n', (txt(loop2,:)));
%		   fprintf(fid,'%s \n',deblank(txt(loop2,:)));
		else
		   fprintf(fid,'\t');
		   fprintf(fid,'\t');
		   fprintf(fid,'%s \n', (txt(loop2,:)));
%		   fprintf(fid,'%s \n',deblank(txt(loop2,:)));
		end
	    end
	    fprintf(fid,'\t\t');
	    fprintf(fid,'%s \n', 'drawnow;');
	 end
	end

	% Print out Text Objects to file
	fprintf(fid,'\n');
	fprintf(fid,'\t');
	txt = ['%  Axes and Text Object Creation'];
        fprintf(fid,'%s \n',txt);
	fprintf(fid,'\n');

	obj_list2 = [h_axes];
	name_list_ax = [];
	name_list_txt = [];
	count_txt = 0;
	flag = 0;
	for loop = 1:length(obj_list2)
	  obj_list = findobj(obj_list2(loop),'type','text');
%	  obj_list = findobj(obj_list2(loop),'type','text','tag','text_obj');
	    name = get(obj_list2(loop),'tag');
	    name_list_ax = str2mat(name_list_ax,name);
	    txt = mk_tax_t(obj_list2(loop),name,0,filename);
	    [numrow,numcol] = size(txt);

	    for loop2 = 1:numrow
		if loop2 == 1
		   fprintf(fid,'\t');
		   fprintf(fid,'%s \n',deblank(txt(loop2,:)));
		else
		   fprintf(fid,'\t');
		   fprintf(fid,'\t');
		   fprintf(fid,'%s \n',deblank(txt(loop2,:)));
		end
	    end
	  for loop1 = 1:length(obj_list)
	    flag = 1;
	    count_txt = count_txt + 1;
	    name = get(obj_list(loop1),'tag');
% MOD 4/21/95
	    if ~(get(obj_list2(loop),'xlabel') == obj_list(loop1) | ...
		 get(obj_list2(loop),'ylabel') == obj_list(loop1) | ...
		 get(obj_list2(loop),'zlabel') == obj_list(loop1) | ...
		 get(obj_list2(loop),'title') == obj_list(loop1))
%	    if ~(strcmp(name,'a_xlabel') | strcmp(name,'a_ylabel') | ...
%		strcmp(name,'a_zlabel') | strcmp(name,'a_title') | ...
%		strcmp(name,''))	   
	        name_list_txt = str2mat(name_list_txt,name);
	    end
% 1/5/95	    name = ['txt(' num2str(count_txt) ')'];
	    [txt,count_txt]= mk_tax_t(obj_list(loop1),name,count_txt,filename);
	    [numrow,numcol] = size(txt);

	    for loop2 = 1:numrow
		if loop2 == 1
		   fprintf(fid,'\t');
		   fprintf(fid,'%s \n',deblank(txt(loop2,:)));
		else
		   fprintf(fid,'\t');
		   fprintf(fid,'\t');
		   fprintf(fid,'%s \n',deblank(txt(loop2,:)));
		end
	    end
	  end
	end
	if length(name_list_ax) ~= 0
	  name_list = str2mat(name_list,name_list_ax);
	end
	if length(name_list_txt) ~= 0
	  name_list = str2mat(name_list,name_list_txt);
	end

	fprintf(fid,'\n');

	fprintf(fid,'\n');
	fprintf(fid,'\n');

	% PUT IN NAME_LIST in figure userdata
	[nr,nc] = size(name_list);

	txt = ['handle_list = [ ... '];
	fprintf(fid,'\t');
	fprintf(fid,'%s \n',txt);
	cntr = 0;
	txt = [];
	flag = 0;
	for loop = 1:nr
	  cntr = cntr +1;
	  flag = 1;
	  txt = [txt deblank(name_list(loop,:)) ' '];
	  if cntr == 4
	    txt = [txt '...'];
	    fprintf(fid,'\t \t');
	    fprintf(fid,'%s \n',txt);
	    txt = []; cntr = 0; flag = 0;
	  end
	end
	if flag == 1
	    txt = [txt '...'];
	    fprintf(fid,'\t \t');
	    fprintf(fid,'%s \n',txt);
	end
	txt = ['];'];
	fprintf(fid,'\t \t \t');
	fprintf(fid,'%s \n',txt);
	fprintf(fid,'\n');

	txt = ['set(gcf,''userdata'',handle_list);'];
	fprintf(fid,'\t');
	fprintf(fid,'%s \n',txt);
	txt = ['drawnow;pause(.1);'];
	fprintf(fid,'\t');
	fprintf(fid,'%s \n',txt);
	txt = ['set(gcf,''visible'',''on'');'];
	fprintf(fid,'\t');
	fprintf(fid,'%s \n',txt);

	fprintf(fid,'\n');
	fprintf(fid,'\n');

   if form_type == 0
     start_string = '%%       DO NOT REMOVE/ALTER THIS COMMENT: CALLBACK_START';
     stop_string = '%%       DO NOT REMOVE/ALTER THIS COMMENT: CALLBACK_STOP';
     fig_save = findobj(get(0,'children'),'flat','tag','ng_sav_w');
     h_temp_text = findobj(fig_save,'tag','h_GMtemp_text_saver');
	% Write uicontrol object callback commands
	obj_list = [h_ui_pushbutton;h_ui_radiobutton;h_ui_checkbox;...
			h_ui_edit;h_ui_slider;h_ui_popupmenu;h_ui_menu];
	for loop1 = 1:length(obj_list)
	 txt = ['elseif command == ' num2str(loop1)];
         fprintf(fid,'%s \n',txt);
	  fprintf(fid,'\t');
	  if debug_mode == 1
	   txt =['disp(''' deblank(get(obj_list(loop1),'tag')) ' selected.'')'];
	  else
	   txt = [''];
	  end
          fprintf(fid,'%s \n',txt);
	  txt = [start_string ' ' deblank(get(obj_list(loop1),'tag'))];
	  fprintf(fid,'\t');
          fprintf(fid,'%s \n',txt);
	  
	  cllbk_str = get(obj_list(loop1),'userdata');
	  set(h_temp_text,'string',cllbk_str);
	  cllbk_str = get(h_temp_text,'string');
	  [nr,nc] = size(cllbk_str);
	  for loop2 = 1:nr
 		   fprintf(fid,'\t');
        	   fprintf(fid,'%s \n',cllbk_str(loop2,:));
	  end
	  txt = [stop_string ' ' deblank(get(obj_list(loop1),'tag'))];
	  fprintf(fid,'\t');
          fprintf(fid,'%s \n',txt);
	end

	txt = ['else'];
        fprintf(fid,'%s \n',txt);
	txt = ['error(''Error: ' filename ...
		'.m called with incorrect command.'')'];
	fprintf(fid,'\t');
        fprintf(fid,'%s \n',txt);
	txt = ['end'];
        fprintf(fid,'%s \n',txt);
   end  % if form_type == 0   MOD 2/7/95

   fclose(fid);

end
