function txt = mk_ui_t(handle,name,form_length,filename);
%
%  mk_ui_t.m
%
%  usage:
%		mk_ui_t(handle,name,form_length,command_number);
%  where
%
%		handle : handle of uicontrol object whose properties are
%			 to be turned in to a text matrix.
%		name   : name that should be applied to this uicontrol object.
%		command_number : Command number uicontrol object should
%				 callback.
%		filename : file name of function used in the callback.

%
%  Author :  Patrick Marchand
%  Mods.  :  
%   

% Copyright (c) 1995 by Patrick Marchand
%       Permission is NOT given to modify and re-distribute this
%	code in any manner without written consent from Patrick Marchand.
%       The code can be distributed in its unaltered form as long as it
%       accompanies all files contained within the GUI Maker Version 2.0
%       package of files.  All standard disclaimers apply. 

if nargin < 4
	error('Error: mk_ui_t.m used incorrectly');
end

if strcmp(get(handle,'type'),'uicontrol')
   infoset1 = [
	'BackgroundColor    '
	'CallBack           '
	'ForegroundColor    '
	'HorizontalAlignment'
	'Max                '
	'Min                '
	'Position           '
	'Enable             '
	'String             '
	'Style              '
	'Units              '
	'Value              '
	'Visible            '
	'ButtonDownFcn      '
	'Clipping           '
	'Interruptible      '
	'Selected           '
	'Tag                '
	'UserData           '];

	txt = [name ' = uicontrol(...'];

elseif strcmp(get(handle,'type'),'uimenu')
   infoset1 = [
	'BackgroundColor    '
	'CallBack           '
	'ForegroundColor    '
	'Accelerator        '
	'Checked            '
	'Separator          '
 	'Position           '
	'Enable             '
	'Label              '
 	'Visible            '
	'ButtonDownFcn      '
	'Clipping           '
	'Interruptible      '
	'Tag                '
	'UserData           '];

	if strcmp(get(get(handle,'parent'),'tag'),'working_figure')
	  txt = [name ' = uimenu(...'];
	else
	  txt = [name ' = uimenu(' get(get(handle,'parent'),'tag') ', ...'];
	end
end
	   cf = findobj(get(0,'children'),'flat','tag','control_figure');
	   h_snap_hor = get(findobj(cf,'tag','h_edit_up_hdiv'),'userdata');
	   h_snap_ver = get(findobj(cf,'tag','h_edit_up_vdiv'),'userdata');
	   if length(h_snap_hor) ~= 1
		h_snap_hor = 100;
	   end
	   if length(h_snap_ver) ~= 1
		h_snap_ver = 100;
	   end

[numrow,numcol] = size(infoset1);

for loop = 1:numrow
    flagok = 1;
    if strcmp(get(handle,'type'),'uicontrol')
	if isstr(get(handle,deblank(infoset1(loop,:))))
	   % 4/17 removed 10 and 11 from following loop list
	   if any(loop == [1:9 12 14:16 18:19])
	    if strcmp(get(handle,deblank(infoset1(loop,:))), ...
	      get(0,['Defaultuicontrol' deblank(infoset1(loop,:))]) )
		flagok = 0;
	    end
	   else
		if strcmp(deblank(infoset1(loop,:)),'Visible')
		  if strcmp(get(handle,deblank(infoset1(loop,:))),'on')
		    flagok = 0;
		  end
		end
	   end
	else
	   if any(loop == [1:12 14:16 18:19])
	    if prod(get(handle,deblank(infoset1(loop,:))) == ...
	      get(0,['Defaultuicontrol' deblank(infoset1(loop,:))]) )
		flagok = 0;
	    end
	   end
	end
    elseif strcmp(get(handle,'type'),'uimenu')
	if isstr(get(handle,deblank(infoset1(loop,:))))
	   if any(loop == [1:6 8:9 11:15])
	    if strcmp(get(handle,deblank(infoset1(loop,:))), ...
	      get(0,['Defaultuimenu' deblank(infoset1(loop,:))]) )
		flagok = 0;
	    end
	   else
		if strcmp(deblank(infoset1(loop,:)),'Visible')
		  if strcmp(get(handle,deblank(infoset1(loop,:))),'on')
		    flagok = 0;
		  end
		end
	   end
	else
	   if any(loop == [1:6 8:9 11:15])
	    if prod(get(handle,deblank(infoset1(loop,:))) == ...
	      get(0,['Defaultuimenu' deblank(infoset1(loop,:))]) )
		flagok = 0;
	    end
	   end
	end
    end

    if strcmp(deblank(infoset1(loop,:)),'Selected')
	flagok = 0;
    end

    if strcmp(deblank(infoset1(loop,:)),'CallBack')
%MOD 2/7/95 form_length ~= 0 is new
      if form_length == 0
        infosup = [filename '(''' name ''');'];
	flagok = 1;
      else
        infosup = get(handle,'userdata');
	if length(infosup) == 0
	  infosup = [''];
	end
	flagok = 1;
      end
    else
      infosup = get(handle,deblank(infoset1(loop,:)));
    end

    if loop == numrow; flagok = 1; end

  if flagok == 1

    if strcmp(deblank(infoset1(loop,:)),'String')
	[nrs,ncs] = size(infosup);
	tmp_infosup = [' '];
	for loopstr = 1:nrs
	  if loopstr == 1
	    tmp_infosup = [dblnkall(infosup(loopstr,:))];
	  else
	    tmp_infosup = [tmp_infosup '|' dblnkall(infosup(loopstr,:))];
	  end
	end
	infosup = fliplr(deblank(fliplr(deblank(tmp_infosup))));
    end

    if strcmp(deblank(infoset1(loop,:)),'Selected')
	infosup = ['off'];
    end

%MOD 2/7/95 form_length ~= 0 is new
    if strcmp(deblank(infoset1(loop,:)),'UserData')
      if form_length == 0
	if length(infosup) == 0
	  infosup = [''];
	end
      elseif form_length == 1
	if length(infosup) == 0
	  infosup = [''];
	end
      elseif form_length == 2
	  infosup = [''];
      end
      % 4/17 added in following line to remove Callback from userdata
	infosup = [''];

    end

    if loop ~= numrow
     if isstr(infosup)
%       txt = str2mat(txt,['''' deblank(infoset1(loop,:)) ''',''' ...
%	str2clbk(infosup) ''',...']);
      [nr_us,nc_us] = size(infosup);
	max_l = 0;max_ap = 0;
	for loopus = 1:nr_us
	  tmp_l = length(fliplr(deblank(fliplr(deblank(infosup(loopus,:))))));
	  num_ap = length(findstr(infosup(loopus,:),''''));
	  max_l = max([(tmp_l-num_ap) max_l]);
	  max_ap = max([num_ap max_ap]);
	end
     if strcmp(deblank(infoset1(loop,:)),'UserData') & nr_us > 1
       txt = str2mat(txt,['''' deblank(infoset1(loop,:)) ''', [ ...']);
	for loopus = 1:nr_us
	  if length(deblank(infosup(loopus,:))) ~= 0
	   tmp_l = length(fliplr(deblank(fliplr(deblank(infosup(loopus,:))))));
	   num_ap = length(findstr(infosup(loopus,:),''''));
	   stxt = ['%' num2str(max_l+2*num_ap+(max_ap-num_ap)) 's'];
           txt = str2mat(txt,['''' ...
		sprintf(stxt,str2clbk((fliplr( ...
		   deblank(fliplr(deblank(infosup(loopus,:)))))))) ...
			'''; ...']);
	  end
	end
	 txt = str2mat(txt,['                  ], ...']);
     elseif strcmp(deblank(infoset1(loop,:)),'CallBack') & nr_us > 1
       txt = str2mat(txt,['''' deblank(infoset1(loop,:)) ''', [ ...']);
	for loopus = 1:nr_us
	  if length(deblank(infosup(loopus,:))) ~= 0
%	   tmp_l = length(fliplr(deblank(fliplr(deblank(infosup(loopus,:))))));
%	   num_ap = length(findstr(infosup(loopus,:),''''));
%	   stxt = ['%' num2str(max_l+2*num_ap+(max_ap-num_ap)) 's'];
	   stxt = ['%s'];
           txt = str2mat(txt,['''' ...
		sprintf(stxt,str2clbk((fliplr( ...
		   deblank(fliplr(deblank(infosup(loopus,:)))))))) ...
			';'' ...']);
	  end
	end
	 txt = str2mat(txt,['                  ], ...']);
      else
       txt = str2mat(txt,['''' deblank(infoset1(loop,:)) ''',''' ...
	 str2clbk(infosup) ''',...']);
      end
     else
	if strcmp(get(handle,'type'),'uicontrol') & ...
	 strcmp(deblank(infoset1(loop,:)),'Position')
	 infosup([1 3]) = round(infosup([1 3])*h_snap_hor)/h_snap_hor;
	 infosup([2 4]) = round(infosup([2 4])*h_snap_ver)/h_snap_ver;
         txt = str2mat(txt,['''' deblank(infoset1(loop,:)) ''',' ...
	   mat2str2(infosup) ',...']);
	else
         txt = str2mat(txt,['''' deblank(infoset1(loop,:)) ''',' ...
	   mat2str2(round(infosup*100)/100) ',...']);
	end
     end
    else
     if isstr(infosup)
      [nr_us,nc_us] = size(infosup);
	max_l = 0;max_ap = 0;
	for loopus = 1:nr_us
	  tmp_l = length(fliplr(deblank(fliplr(deblank(infosup(loopus,:))))));
	  num_ap = length(findstr(infosup(loopus,:),''''));
	  max_l = max([(tmp_l-num_ap) max_l]);
	  max_ap = max([num_ap max_ap]);
	end
     if strcmp(deblank(infoset1(loop,:)),'UserData') & nr_us > 1
       txt = str2mat(txt,['''' deblank(infoset1(loop,:)) ''', [ ...']);
	for loopus = 1:nr_us
	  if length(deblank(infosup(loopus,:))) ~= 0
	   tmp_l = length(fliplr(deblank(fliplr(deblank(infosup(loopus,:))))));
	   num_ap = length(findstr(infosup(loopus,:),''''));
	   stxt = ['%' num2str(max_l+2*num_ap+(max_ap-num_ap)) 's'];
           txt = str2mat(txt,['''' ...
		sprintf(stxt,str2clbk((fliplr( ...
		   deblank(fliplr(deblank(infosup(loopus,:)))))))) ...
			'''; ...']);
	  end
	end
       txt = str2mat(txt,['] );']);
     elseif strcmp(deblank(infoset1(loop,:)),'CallBack') & nr_us > 1
       txt = str2mat(txt,['''' deblank(infoset1(loop,:)) ''', [ ...']);
	for loopus = 1:nr_us
	  if length(deblank(infosup(loopus,:))) ~= 0
%	   tmp_l = length(fliplr(deblank(fliplr(deblank(infosup(loopus,:))))));
%	   num_ap = length(findstr(infosup(loopus,:),''''));
%	   stxt = ['%' num2str(max_l+2*num_ap+(max_ap-num_ap)) 's'];
	   stxt = ['%s'];
           txt = str2mat(txt,['''' ...
		sprintf(stxt,str2clbk((fliplr( ...
		   deblank(fliplr(deblank(infosup(loopus,:)))))))) ...
			';'' ...']);
	  end
	end
       txt = str2mat(txt,['] );']);
      else
       txt = str2mat(txt,['''' deblank(infoset1(loop,:)) ''',''' ...
	 str2clbk(infosup) ''');']);
      end
     else
       txt = str2mat(txt,['''' deblank(infoset1(loop,:)) ''',' ...
	mat2str2(round(infosup*100)/100) ');']);
     end
    end
  end	 % if flagok == 1
end

