function mouseopr(figs,command)
%
%  usage
%        set(gcf,'windowbuttondownfcn','mouseopr(gcf,1)')
%
%  The windowbuttondownfcn and windowbuttonmotionfcn for this figure 
%  will be alter for the select/move/resize capability.
%
%
% Function Operation.
% if ptr not within an object boundary 
%     create a select group rbbox
% elseif ptr within object boundary
%   if ptr near corner of one of the selected objects
%     resize
%   else
%     move relative to ptr
%   end
% end
%
%  Author :  Patrick Marchand
%  Mods.  :  
%   

% Copyright (c) 1995 by Patrick Marchand
%       Permission is NOT given to modify and re-distribute this
%	code in any manner without written consent from Patrick Marchand.
%       The code can be distributed in its unaltered form as long as it
%       accompanies all files contained within the GUI Maker Version 2.0
%       package of files.  All standard disclaimers apply. 


if nargin < 2
  command = 1;
end
 
if command == 0
  % Compile Function
elseif command == 1

	cf = findobj('tag','working_figure');
	st = findobj('tag','h_text_status');
	if gcf ~= cf
		if cf
		  set(cf,'tag',get(cf,'name'));
		end
		set(gcf,'tag','working_figure');
		if st
		  set(st,'string',['Figure ' num2str(gcf) ': ' ...
			get(gcf,'name') ' is active.']);
		end
	end
	set(figs,'windowbuttonupfcn',['mouseopr(' num2str(figs) ',2)']);
	obj_uic = findobj(figs,'type','uicontrol');
	obj_txt = findobj(figs,'type','text');
	obj_ax  = findobj(figs,'type','axes');
	obj_uim = findobj(figs,'type','uimenu','selected','on');
	parent_uim = obj_uim;
	for loop = 1:length(obj_uim)
	  uim_lab = strrep(strrep(get(obj_uim(loop),'label'),'<',''),'>','');
	  set(obj_uim(loop),'selected','off','label',uim_lab);
	end


	set(0,'units','pixels');
	scrn_pt = get(0, 'PointerLocation');
	set(gcf,'units','pixels');
	loc = get(gcf, 'Position');
	set(gcf,'units','normalized');
	pt=[(scrn_pt(1)-loc(1))/loc(3),(scrn_pt(2)-loc(2))/loc(4)];
	set(0,'userdata',pt);

	tmp0 = findobj('tag','working_figure');
%	tmp1 = findobj(tmp0,'selected','on');
% MOD 2/9/95
	tmp1 = findobj([obj_uic; obj_uim;obj_txt;obj_ax],'flat',...
		'selected','on');
    if length(tmp1) > 0

%	 hobj_units = uicontrol('style','frame','visible','off',...
%		'tag','obj_unit_info_frame','pos',[0 0 .001 .001])
	 old_obj_unit = [];

	for loop = 1:length(tmp1)
	  if loop == 1
	    old_obj_unit = get(tmp1(loop),'units');
	  else
	    old_obj_unit = str2mat(old_obj_unit,get(tmp1(loop),'units'));
	  end
	  set(tmp1(loop),'units','normalized');
	  if strcmp(get(tmp1(loop),'type'),'text')
	    pos = get(tmp1(loop),'position');
	    set(get(tmp1(loop),'parent'),'units','normalized');
	    ax_pos = get(get(tmp1(loop),'parent'),'position');
	    extent = get(tmp1(loop),'extent');
	    %pos_mat(loop,1) = ax_pos(1)+ax_pos(3)*pos(1);
	    %pos_mat(loop,2) = ax_pos(2)+ax_pos(4)*pos(2);
	    pos_mat(loop,1) = ax_pos(1)+ax_pos(3)*extent(1);
	    pos_mat(loop,2) = ax_pos(2)+ax_pos(4)*extent(2);
	    pos_mat(loop,3) = ax_pos(3)*extent(3);
	    pos_mat(loop,4) = ax_pos(4)*extent(4);
	  else
	    pos_mat(loop,(1:length(get(tmp1(loop),'position')))) = ...
		get(tmp1(loop),'position');
	  end
	end
%	old_obj_unit
%	set(hobj_units,'userdata',old_obj_unit);
    end
	% Corners
	%          4   3
	%	   1   2

	if length(tmp1) > 0
	 cornersx(:,1) = pos_mat(:,1);
	 cornersx(:,2) = pos_mat(:,1)+pos_mat(:,3);
	 cornersy(:,1) = pos_mat(:,2);
	 cornersy(:,2) = pos_mat(:,2)+pos_mat(:,4);

	 dist(:,1) = sqrt((cornersx(:,1)-pt(1)).^2 + (cornersy(:,1)-pt(2)).^2);
	 dist(:,2) = sqrt((cornersx(:,2)-pt(1)).^2 + (cornersy(:,1)-pt(2)).^2);
	 dist(:,3) = sqrt((cornersx(:,2)-pt(1)).^2 + (cornersy(:,2)-pt(2)).^2);
	 dist(:,4) = sqrt((cornersx(:,1)-pt(1)).^2 + (cornersy(:,2)-pt(2)).^2);
	else
	 dist = Inf;
	end

 	 if any(any(dist < .035))
	   resize_mode = 1;
	   [objnum,corner] = find(dist < .035);
	   objnum_list=[];corner_list = [];dist_list = [];
	   for loop = 1:length(objnum)
		flagwarn = 0;
		if strcmp(lower(get(tmp1(objnum(loop)),'type')),'text') & ...
			flagwarn == 0
		 flagwarn = 1;
		 if st
		  set(st,'string',['Text items can not be resized with mouse']);
		 end
		else
		  if ~any(objnum_list == objnum(loop))
		    objnum_list = [objnum_list objnum(loop)];
		    corner_list = [corner_list corner(loop)];
		    dist_list = [dist_list dist(objnum(loop),corner(loop))];
		  end
		end
		
	   end
		   [mindist,mindist_ind] = min(dist_list);
	     if length(mindist) ~= 0
		if corner_list(mindist_ind) == 1
		  set(gcf,'pointer','botl');
		elseif corner_list(mindist_ind) == 2
		  set(gcf,'pointer','botr');
		elseif corner_list(mindist_ind) == 3
		  set(gcf,'pointer','topr');
		elseif corner_list(mindist_ind) == 4
		  set(gcf,'pointer','topl');
		end
		  if ~strcmp(get(gcf,'selectiontype'),'extend')
		    rz_obj = tmp1(objnum_list(mindist_ind));
		  else
		    rz_obj = 0;
		  end
		   set(gcf,'userdata',[pt corner_list(mindist_ind) rz_obj]);
		   if st
		     set(st,'string',['Resizing selected objects.']);
		   end
		   %set(gcf,'WindowButtonUpFcn','m_resize(2)')
		   m_resize(1);
	    end
	 else
		if length(tmp1) > 0
		  boxlim = ((cornersx(:,1)-.04 < pt(1)) & ...
			    (cornersx(:,2)+.04 > pt(1)) & ...
			    (cornersy(:,1)-.04 < pt(2)) & ...
			    (cornersy(:,2)+.04 > pt(2)) );
		else
		  boxlim = 0;
		end

	   guimk_pallete = findobj(get(0,'chil'),'flat',...
			'tag','guimaker_palette');

	   if guimk_pallete
		pal_mode = get(guimk_pallete,'userdata');
		pal_mode = find(pal_mode(3,:) == 1);
		if pal_mode == 1
		  guimk_pallet_flag = 0;
		else
		  guimk_pallet_flag = 1;
		end
	   else
		guimk_pallet_flag = 0;
	   end
		if ~any(boxlim) | guimk_pallet_flag

		   if guimk_pallete
		     if pal_mode == 1
		      if ~strcmp(get(gcf,'selectiontype'),'open')
		         if st
		           set(st,'string',['Mouse in Select Object(s) Mode.']);
			   set(gcf,'pointer','circ');
		         end
	   	         select_mode = 1;
		         sel_fol(1);
		      else
		       objnum_list = gco;
		       if length(objnum_list) == 1
		        obj_type_prop = get(objnum_list,'type');
			if strcmp(obj_type_prop,'uicontrol')
		         if st
		          set(st,'string',['Opening the uicontrol object props.']);
		         end
			 ng_cbr_w;			   
			elseif strcmp(obj_type_prop,'uimenu')
		         if st
		          set(st,'string',['Opening the uimenu object props.']);
		         end
			 ng_mbr_w;			   
			elseif strcmp(obj_type_prop,'axes')
		         if st
		          set(st,'string',['Opening the axes object props.']);
		         end
			 ng_abr_w;			   
			elseif strcmp(obj_type_prop,'text')
		         if st
		          set(st,'string',['Opening the text object props.']);
		         end
			 ng_tbr_w;			   
			else
		         if st
		          set(st,'string',['Can not open ' obj_type_prop...
				' type objects.']);
		         end
			end
		       else
		        if st
		         set(st,'string',['Only open one object at a time.']);
		        end
		       end
		      end


		     else
			if pal_mode == 2
			  cr_obj_p('uicontrol','popupmenu',1);
			elseif pal_mode == 3
			  cr_obj_p('uicontrol','slider',1);
			elseif pal_mode == 4
			  cr_obj_p('uicontrol','edit',1);
			elseif pal_mode == 5
			  cr_obj_p('uicontrol','text',1);
			elseif pal_mode == 6
			  cr_obj_p('axes','standard',3);
			elseif pal_mode == 7
			  cr_obj_p('uicontrol','frame',1);
			elseif pal_mode == 8
			  cr_obj_p('uicontrol','pushbutton',1);
			elseif pal_mode == 9
			  cr_obj_p('uicontrol','checkbox',1);
			elseif pal_mode == 10
			  cr_obj_p('uicontrol','radiobutton',1);
			elseif pal_mode == 11
			  cr_obj_p('text','Standard',4);
			elseif pal_mode == 12
			  if length(parent_uim) == 0
			    cr_obj_p('uimenu','Top Menu',2);
			  else
			    cr_obj_p('uimenu','Sub Menu',2,parent_uim);
			  end
			end
		     end
		   else
		     if st
		       set(st,'string',['Mouse in Select Object(s) Mode.']);
			 set(gcf,'pointer','circ');
		     end
	   	     select_mode = 1;
		     sel_fol(1);
		   end
		else
		  if ~strcmp(get(gcf,'selectiontype'),'open')
		    set(gcf,'pointer','fleur');
		    if st
		     set(st,'string',['Moving selected objects.']);
		    end
	   	    move_mode = 1;
		    objnum_list = find(boxlim);
		    if ~strcmp(get(gcf,'selectiontype'),'extend')
		      rz_obj = tmp1(objnum_list)';
		    else
		      rz_obj = 0;
		    end
		    set(gcf,'userdata',[pt rz_obj]);
		    % set(gcf,'WindowButtonUpFcn','m_fol(2)');
		    m_fol(1);
		  else
		    objnum_list = find(boxlim);
		    if length(objnum_list) == 1
		      obj_type_prop = get(tmp1(objnum_list),'type');
			if strcmp(obj_type_prop,'uicontrol')
		         if st
		          set(st,'string',['Opening the uicontrol object props.']);
		         end
			 ng_cbr_w;			   
			elseif strcmp(obj_type_prop,'uimenu')
		         if st
		          set(st,'string',['Opening the uimenu object props.']);
		         end
			 ng_mbr_w;			   
			elseif strcmp(obj_type_prop,'axes')
		         if st
		          set(st,'string',['Opening the axes object props.']);
		         end
			 ng_abr_w;			   
			elseif strcmp(obj_type_prop,'text')
		         if st
		          set(st,'string',['Opening the text object props.']);
		         end
			 ng_tbr_w;			   
			else
		         if st
		          set(st,'string',['Can not open ' obj_type_prop...
				' type objects.']);
		         end
			end
		    else
		     if st
		       set(st,'string',['Only open one object at a time.']);
		     end
		    end
		  end
		end
	end

elseif command == 2
	txt = [''];
	set(gcf,'WindowButtonMotionFcn',txt,'pointer','arrow');

%	drawnow
%	pause(.1);
%	tmp1 = findobj(gcf,'selected','on');
%	if length(tmp1) > 0
%	 hobj_units = findobj(gcf,'tag','obj_unit_info_frame');
%	 if hobj_units
%	 old_obj_unit = get(hobj_units,'userdata')
%	 disp('Here I am');
%	 for loop = 1:length(tmp1)
%	  set(tmp1(loop),'units',deblank(old_obj_unit(loop,:)));
%	 end
%	 delete(hobj_units);
%%	 end
%	end

	pt1 = get(0,'userdata');
	pt2 = get(gcf,'userdata');
	if length(pt1) >= 2 & length(pt2) >= 2
	 cf = findobj(get(0,'chil'),'flat','tag','control_figure');
	 st = findobj(cf,'tag','h_text_status');
	 if (pt1(1)-pt2(1)) == 0 & (pt1(2)-pt2(2)) == 0
	    if gco ~= gcf
		obj_type = get(gco,'type');
		if strcmp(obj_type,'uicontrol') | strcmp(obj_type,'uimenu') |...
		   strcmp(obj_type,'axes') | strcmp(obj_type,'text')
		 if strcmp(get(gco,'selected'),'on')
		  set(gco,'selected','off');
		  if st
		    set(st,'string',['Unselected ' get(gco,'tag')]);
		  end
		 else
		  set(gco,'selected','on');
		  if st
		    set(st,'string',['Selected ' get(gco,'tag')]);
		  end
		 end
		end
	    end
	 end
	end
end
