function newgui2(command,param1) 
%  newgui2.m  GUIMAKER 2.1
%   
%  usage:       newgui2(command,parameter1) 
%   
%           where 
%   
%               'command' is used to perform some defined operation 
%               'parameter1' can be used pass extra information 
%                              to a defined operation 
%   
%           If no arguements are used the GUI is initialized. 
%   
%   
%  Created: 9-Dec-94 
%  Using  : GUI Maker Ver 2.0 by Patrick Marchand 
%                         (PRMarchand@aol.com) 
%  Author :  
%  Mods.  :  
%   

% Copyright (c) 1995 by Patrick Marchand
%       Permission is NOT given to modify and re-distribute this
%	code in any manner without written consent from Patrick Marchand.
%       The code can be distributed in its unaltered form as long as it
%       accompanies all files contained within the GUI Maker Version 2.1
%       package of files.  All standard disclaimers apply. 


if nargin == 0 
	command = 'new'; 
end 

if isstr(command) 
	if strcmp(lower(command),'initialize') | strcmp(lower(command),'new') 
		command = 0; 
	elseif strcmp(lower(command),lower('h_push_c_ok')) 
		command = 1; 
	elseif strcmp(lower(command),lower('h_push_s_listby')) 
		command = 2; 
	elseif strcmp(lower(command),lower('h_push_s_unselect')) 
		command = 3; 
	elseif strcmp(lower(command),lower('h_push_s_select')) 
		command = 4; 
	elseif strcmp(lower(command),lower('h_push_s_ok')) 
		command = 5; 
	elseif strcmp(lower(command),lower('h_push_e_undo')) 
		command = 6; 
	elseif strcmp(lower(command),lower('h_push_e_delete')) 
		command = 7; 
	elseif strcmp(lower(command),lower('h_push_e_paste')) 
		command = 8; 
	elseif strcmp(lower(command),lower('h_push_e_copy')) 
		command = 9; 
	elseif strcmp(lower(command),lower('h_push_e_ok')) 
		command = 10; 
	elseif strcmp(lower(command),lower('h_slide_e_clear')) 
		command = 11; 
	elseif strcmp(lower(command),lower('h_push_up_savedef')) 
		command = 12; 
	elseif strcmp(lower(command),lower('h_ckbx_up_anc')) 
		command = 13; 
	elseif strcmp(lower(command),lower('h_ckbx_up_aec')) 
		command = 14; 
	elseif strcmp(lower(command),lower('h_ckbx_up_sliders')) 
		command = 15; 
	elseif strcmp(lower(command),lower('h_ckbx_up_grid')) 
		command = 16; 
	elseif strcmp(lower(command),lower('hm_file_new')) 
		command = 17; 
	elseif strcmp(lower(command),lower('h_edit_c_objname')) 
		command = 18; 
	elseif strcmp(lower(command),lower('h_edit_c_string')) 
		command = 19; 
	elseif strcmp(lower(command),lower('h_edit_e_propval')) 
		command = 20; 
	elseif strcmp(lower(command),lower('h_edit_up_vdiv')) 
		command = 21; 
	elseif strcmp(lower(command),lower('h_edit_up_hdiv')) 
		command = 22; 
	elseif strcmp(lower(command),lower('h_slide_e_xpos')) 
		command = 23; 
	elseif strcmp(lower(command),lower('h_slide_e_ypos')) 
		command = 24; 
	elseif strcmp(lower(command),lower('h_pop_mode')) 
		command = 25; 
	elseif strcmp(lower(command),lower('h_pop_c_type')) 
		command = 26; 
	elseif strcmp(lower(command),lower('h_pop_c_uic_type')) 
		command = 27; 
	elseif strcmp(lower(command),lower('h_pop_c_uim_type')) 
		command = 28; 
	elseif strcmp(lower(command),lower('h_pop_c_axes_type')) 
		command = 29; 
	elseif strcmp(lower(command),lower('h_pop_c_text_type')) 
		command = 30; 
	elseif strcmp(lower(command),lower('h_pop_c_other_type')) 
		command = 31; 
	elseif strcmp(lower(command),lower('h_pop_s_listby')) 
		command = 32; 
	elseif strcmp(lower(command),lower('h_pop_s_choice')) 
		command = 33; 
	elseif strcmp(lower(command),lower('h_pop_e_choice')) 
		command = 34; 
	elseif strcmp(lower(command),lower('h_pop_e_chgshw')) 
		command = 35; 
	elseif strcmp(lower(command),lower('hm_help')) 
		command = 36; 
	elseif strcmp(lower(command),lower('hm_help_gen')) 
		command = 37; 
	elseif strcmp(lower(command),lower('hm_options')) 
		command = 38; 
	elseif strcmp(lower(command),lower('hm_options_up')) 
		command = 39; 
	elseif strcmp(lower(command),lower('hm_tools')) 
		command = 40; 
	elseif strcmp(lower(command),lower('hm_tools_objbrowser')) 
		command = 41; 
	elseif strcmp(lower(command),lower('hm_tools_clbkeditor')) 
		command = 42; 
	elseif strcmp(lower(command),lower('hm_modes')) 
		command = 43; 
	elseif strcmp(lower(command),lower('hm_modes_edit')) 
		command = 44; 
	elseif strcmp(lower(command),lower('hm_modes_sel')) 
		command = 45; 
	elseif strcmp(lower(command),lower('hm_modes_cr')) 
		command = 46; 
	elseif strcmp(lower(command),lower('hm_file')) 
		command = 47; 
	elseif strcmp(lower(command),lower('hm_file_quit')) 
		command = 48; 
	elseif strcmp(lower(command),lower('hm_file_print')) 
		command = 49; 
	elseif strcmp(lower(command),lower('hm_file_save')) 
		command = 50; 
	elseif strcmp(lower(command),lower('hm_file_load')) 
		command = 51; 
	elseif strcmp(lower(command),lower('hm_file_info')) 
		command = 52; 
	elseif strcmp(lower(command),lower('hm_canvas')) 
		command = 53; 
	end 
end 

if command ~= 0 
	figure(findobj(get(0,'children'),'flat','tag','control_figure'));
	handle_list = get(gcf,'userdata'); 
	if length(handle_list) > 0 
		h_frame_main = handle_list(1); 
		h_frame_status = handle_list(2); 
		h_push_c_ok = handle_list(3); 
		h_push_s_listby = handle_list(4); 
		h_push_s_unselect = handle_list(5); 
		h_push_s_select = handle_list(6); 
		h_push_s_ok = handle_list(7); 
		h_push_e_undo = handle_list(8); 
		h_push_e_delete = handle_list(9); 
		h_push_e_paste = handle_list(10); 
		h_push_e_copy = handle_list(11); 
		h_push_e_ok = handle_list(12); 
		h_slide_e_clear = handle_list(13); 
		h_push_up_savedef = handle_list(14); 
		h_ckbx_up_anc = handle_list(15); 
		h_ckbx_up_aec = handle_list(16); 
		h_ckbx_up_sliders = handle_list(17); 
		h_ckbx_up_grid = handle_list(18); 
		hm_file_new = handle_list(19); 
		h_edit_c_objname = handle_list(20); 
		h_edit_c_string = handle_list(21); 
		h_edit_e_propval = handle_list(22); 
		h_edit_up_vdiv = handle_list(23); 
		h_edit_up_hdiv = handle_list(24); 
		h_slide_e_xpos = handle_list(25); 
		h_slide_e_ypos = handle_list(26); 
		h_text_status = handle_list(27); 
		h_text_stat_label = handle_list(28); 
		h_text_fignum = handle_list(29); 
		h_text_c_objname = handle_list(30); 
		h_text_c_string = handle_list(31); 
		h_text_s_listby = handle_list(32); 
		h_text_e_choice = handle_list(33); 
		h_text_up_hdiv = handle_list(34); 
		h_text_up_vdiv = handle_list(35); 
		h_pop_mode = handle_list(36); 
		h_pop_c_type = handle_list(37); 
		h_pop_c_uic_type = handle_list(38); 
		h_pop_c_uim_type = handle_list(39); 
		h_pop_c_axes_type = handle_list(40); 
		h_pop_c_text_type = handle_list(41); 
		h_pop_c_other_type = handle_list(42); 
		h_pop_s_listby = handle_list(43); 
		h_pop_s_choice = handle_list(44); 
		h_pop_e_choice = handle_list(45); 
		h_pop_e_chgshw = handle_list(46); 
		hm_help = handle_list(47); 
		hm_help_gen = handle_list(48); 
		hm_options = handle_list(49); 
		hm_options_up = handle_list(50); 
		hm_tools = handle_list(51); 
		hm_tools_objbrowser = handle_list(52); 
		hm_tools_clbkeditor = handle_list(53); 
		hm_modes = handle_list(54); 
		hm_modes_edit = handle_list(55); 
		hm_modes_sel = handle_list(56); 
		hm_modes_cr = handle_list(57); 
		hm_file = handle_list(58); 
		hm_file_quit = handle_list(59); 
		hm_file_print = handle_list(60); 
		hm_file_save = handle_list(61); 
		hm_file_load = handle_list(62); 
		hm_file_info = handle_list(63);
		hm_canvas = handle_list(64);
		h_text_fignum2 = handle_list(65);
	end 
end 


if command == 0 

	fig = findobj(get(0,'children'),'flat','tag','control_figure');
	if fig
	    figure(fig);
	    set(fig,'Visible','on');
	    break;
	end
	set(0,'units','pixels');
	spos = get(0,'screensize');
	
	f1 = figure('position',[10 (spos(4)-25-130) 395 130 ],...
		'resize','off','tag','control_figure','visible','off',...
		'backingstore','off','name','GUI Maker 2.1','menubar','none',...
		'NumberTitle','off'); 

 	disp(' ');
 	disp('   This is SHAREWARE.  Feel free to use it for 30 days.');
 	disp('   After the trial period is up please register!');
 	disp('   Read the License and Registation Topic under the Help Menu.');
 	disp('   or the text file called "register"');
 	disp(' ');
	disp('   Your comments and suggestions are welcome and encouraged.');
 	disp(' ');


	%  Uicontrol Object Creation 

	h_frame_main = uicontrol(... 
		'CallBack','newgui2(''h_frame_main'');',... 
		'Position',[ 0.0 0.0 1 1],... 
		'Style','frame',... 
		'Units','normalized',... 
		'Tag','h_frame_main',... 
		'UserData',''); 
	h_frame_status = uicontrol(... 
		'CallBack','newgui2(''h_frame_status'');',... 
		'Position',[ 0.01 0.03 0.98 0.2 ],... 
		'Style','frame',... 
		'Units','normalized',... 
		'Tag','h_frame_status',... 
		'UserData',''); 
	h_slide_e_xpos = uicontrol(... 
		'CallBack','newgui2(''h_slide_e_xpos'');',... 
		'Min',[ -1 ],... 
		'Position',[ 0.84 0.48 0.13 0.07 ],... 
		'Style','slider',... 
		'Units','normalized',... 
		'Visible','on',... 
		'Tag','h_slide_e_xpos',... 
		'UserData',''); 
	h_slide_e_ypos = uicontrol(... 
		'CallBack','newgui2(''h_slide_e_ypos'');',... 
		'Min',[ -1 ],... 
		'Position',[ 0.82 0.32 0.02 0.38 ],... 
		'Style','slider',... 
		'Units','normalized',... 
		'Visible','on',... 
		'Tag','h_slide_e_ypos',... 
		'UserData',''); 

	pause(.1);
	set(h_slide_e_ypos,'visible','off');
	set(h_slide_e_xpos,'visible','off');

%		'CallBack','newgui2(''h_push_c_ok'');',... 
	h_push_c_ok = uicontrol(... 
		'CallBack','cr_obj;',... 
		'Position',[ 0.05 0.74 0.20 0.16 ],... 
		'String','Create',... 
		'Units','normalized',... 
		'Tag','h_push_c_ok',... 
		'UserData',''); 
	h_push_s_listby = uicontrol(... 
		'CallBack','newgui2(''h_push_s_listby'');',... 
		'Position',[ 0.1 0.29 0.32 0.16 ],... 
		'String','Identify selected',... 
		'Units','normalized',... 
		'Visible','off',... 
		'Tag','h_push_s_listby',... 
		'UserData',''); 
	h_push_s_unselect = uicontrol(... 
		'CallBack','newgui2(''h_push_s_unselect'');',... 
		'Position',[ 0.55 0.72 0.25 0.16 ],... 
		'String','Unselect',... 
		'Units','normalized',... 
		'Visible','off',... 
		'Tag','h_push_s_unselect',... 
		'UserData',''); 
	h_push_s_select = uicontrol(... 
		'CallBack','newgui2(''h_push_s_select'');',... 
		'Position',[ 0.2 0.72 0.25 0.16 ],... 
		'String','Select',... 
		'Units','normalized',... 
		'Visible','off',... 
		'Tag','h_push_s_select',... 
		'UserData',''); 
	h_push_s_ok = uicontrol(... 
		'CallBack','',... 
		'Position',[ 0.83 0.73 0.09 0.13 ],... 
		'String','OK',... 
		'Units','normalized',... 
		'Visible','off',... 
		'Tag','h_push_s_ok',... 
		'UserData',''); 
	h_push_e_undo = uicontrol(... 
		'CallBack','newgui2(''h_push_e_undo'');',... 
		'Position',[ 0.65 0.26 0.14 0.16 ],... 
		'String','Undo',... 
		'Units','normalized',... 
		'Visible','off',... 
		'Tag','h_push_e_undo',... 
		'UserData',''); 
	h_push_e_delete = uicontrol(... 
		'CallBack','newgui2(''h_push_e_delete'');',... 
		'Position',[ 0.48 0.26 0.14 0.16 ],... 
		'String','Delete',... 
		'Units','normalized',... 
		'Visible','off',... 
		'Interruptible','yes',...
		'Tag','h_push_e_delete',... 
		'UserData',''); 
	h_push_e_paste = uicontrol(... 
		'CallBack','newgui2(''h_push_e_paste'');',... 
		'Position',[ 0.31 0.26 0.14 0.16 ],... 
		'String','Paste',... 
		'Units','normalized',... 
		'Visible','off',... 
		'Tag','h_push_e_paste',... 
		'UserData',''); 
	h_push_e_copy = uicontrol(... 
		'CallBack','newgui2(''h_push_e_copy'');',... 
		'Position',[ 0.15 0.26 0.14 0.16 ],... 
		'String','Copy',... 
		'Units','normalized',... 
		'Visible','off',... 
		'Tag','h_push_e_copy',... 
		'UserData',''); 
	h_push_e_ok = uicontrol(... 
		'CallBack','newgui2(10,2);',... 
		'Position',[ 0.23 0.77 0.09 0.16 ],... 
		'String','Set',... 
		'Units','normalized',... 
		'Visible','off',... 
		'Tag','h_push_e_ok',... 
		'UserData',''); 
	h_slide_e_clear = uicontrol(... 
		'CallBack','newgui2(''h_slide_e_clear'');',... 
		'Position',[ 0.84 0.33 0.13 0.15 ],... 
		'String','Move|Resize',... 
		'Style','popup',... 
		'Units','normalized',... 
		'Visible','off',... 
		'Tag','h_slide_e_clear',... 
		'UserData',''); 
	h_push_up_savedef = uicontrol(... 
		'CallBack','newgui2(''h_push_up_savedef'');',... 
		'Position',[ 0.62 0.76 0.34 0.16 ],... 
		'String','Save User-Prefs',... 
		'Units','normalized',... 
		'Visible','off',... 
		'Tag','h_push_up_savedef',... 
		'UserData',''); 
	h_ckbx_up_anc = uicontrol(... 
		'CallBack','newgui2(''h_ckbx_up_anc'');',... 
		'Position',[ 0.05 0.29 0.55 0.16 ],... 
		'String','Auto Object Name Creation',... 
		'Style','checkbox',... 
		'Units','normalized',... 
		'Visible','off',... 
		'Val',1,...
		'Tag','h_ckbx_up_anc',... 
		'UserData',''); 
	h_ckbx_up_aec = uicontrol(... 
		'CallBack','',... 
		'Position',[ 0.05 0.46 0.55 0.16 ],... 
		'String','Auto Clear Edit Boxes',... 
		'Style','checkbox',... 
		'Units','normalized',... 
		'Visible','off',... 
		'Tag','h_ckbx_up_aec',... 
		'Val',1,...
		'UserData',''); 
	h_ckbx_up_sliders = uicontrol(... 
		'CallBack','newgui2(''h_ckbx_up_sliders'');',... 
		'Position',[ 0.05 0.63 0.55 0.16 ],... 
		'String','Basic Prop. Editor Available',... 
		'Style','checkbox',... 
		'Units','normalized',... 
		'Visible','off',... 
		'Tag','h_ckbx_up_sliders',... 
		'Val',1,...
		'UserData',''); 
	h_ckbx_up_grid = uicontrol(... 
		'CallBack','newgui2(''h_ckbx_up_grid'');',... 
		'Position',[ 0.64 0.57 0.31 0.16 ],... 
		'String','Snap to grid',... 
		'Style','checkbox',... 
		'Units','normalized',... 
		'Value',[ 1 ],... 
		'Visible','off',... 
		'Tag','h_ckbx_up_grid',... 
		'UserData',''); 
%	hm_file_new = uicontrol(... 
%		'CallBack','newgui2(''hm_file_new'');',... 
%		'Position',[ 0.15 0.34 0.07 0.16 ],... 
%		'Style','edit',... 
%		'Units','normalized',... 
%		'Tag','hm_file_new',... 
%		'UserData',''); 
% Modified 7/12/95
	c_txt = ...
	['wf = findobj(get(0,''children''),''flat'',' ...
		'''tag'',''working_figure'');' ...
	'selobjs = findobj(wf,''selected'',''on'');' ...
	'if length(selobjs) == 1;' ...
	'  objname = dblnkall(get(gco,''string''));' ...
	'  if length(findobj(wf,''tag'',objname)) == 0 &'...
	'     length(objname) > 0;' ...
	'     set(selobjs,''tag'',objname);' ...
	'  else;' ...
	'    cf = findobj(get(0,''children''),''flat'',' ...
		'''tag'',''control_figure'');' ...
	'    set(findobj(cf,''tag'',''h_text_status''),''string'',' ...
		'''Existing or Non-legal Tag'');' ...
	'    set(gco,''string'',get(selobjs,''tag''));' ...
	'  end;' ...
	'end;' ];
	h_edit_c_objname = uicontrol(... 
		'CallBack','',... 
		'Position',[ 0.42 0.49 0.52 0.16 ],... 
		'Style','edit',... 
		'Units','normalized',... 
		'Tag','h_edit_c_objname',... 
		'UserData',''); 
% Modified 7/12/95
	c_txt = ...
	['wf = findobj(get(0,''children''),''flat'',' ...
	'''tag'',''working_figure'');' ...
	'selobjs = findobj(wf,''selected'',''on'');' ...
	'if length(selobjs) == 1;' ...
	'  if strcmp(get(selobjs,''type''),''uicontrol'') |' ...
	'   strcmp(get(selobjs,''type''),''text'');' ...
	'    set(selobjs,''string'',get(gco,''string''));' ...
	'end;' ...
	'end;' ];

	h_edit_c_string = uicontrol(... 
		'CallBack','',... 
		'Position',[ 0.42 0.3 0.52 0.16 ],... 
		'Style','edit',... 
		'Units','normalized',... 
		'Tag','h_edit_c_string',... 
		'UserData',''); 
	h_edit_e_propval = uicontrol(... 
		'CallBack','newgui2(10,2);',... 
		'Position',[ 0.05 0.46 0.90 0.25 ],... 
		'Style','edit',... 
		'Units','normalized',... 
		'Max',2,...
		'Visible','off',... 
		'Tag','h_edit_e_propval',... 
		'UserData',''); 
	c_txt = [
	 'wf = findobj(get(0,''chil''),''flat'',''tag'',''control_figure'');'...
	 'h  = findobj(wf,''tag'',''h_edit_up_vdiv'');'...
	 'num= str2num(get(h,''string''));'...
	 'set(h,''userdata'',num);'];
	h_edit_up_vdiv = uicontrol(... 
		'CallBack',c_txt,... 
		'Position',[ 0.65 0.26 0.13 0.15 ],... 
		'String','100',... 
		'Style','edit',... 
		'Units','normalized',... 
		'Visible','off',... 
		'Tag','h_edit_up_vdiv',... 
		'UserData',''); 
	c_txt = [
	 'wf = findobj(get(0,''chil''),''flat'',''tag'',''control_figure'');'...
	 'h  = findobj(wf,''tag'',''h_edit_up_hdiv'');'...
	 'num= str2num(get(h,''string''));'...
	 'set(h,''userdata'',num);'];
	h_edit_up_hdiv = uicontrol(... 
		'CallBack',c_txt,... 
		'Position',[ 0.81 0.26 0.13 0.15 ],... 
		'String','100',... 
		'Style','edit',... 
		'Units','normalized',... 
		'Visible','off',... 
		'Tag','h_edit_up_hdiv',... 
		'UserData',''); 
	h_text_status = uicontrol(... 
		'CallBack','newgui2(''h_text_status'');',... 
		'Position',[ 0.04 0.05 0.92 0.16 ],... 
		'String','Welcome to GUI Maker 2.1',... 
		'foreground',[1 1 0],...
		'Style','text',... 
		'Units','normalized',... 
		'Tag','h_text_status',... 
		'UserData',''); 
	h_text_stat_label = uicontrol(... 
		'CallBack','newgui2(''h_text_stat_label'');',... 
		'Position',[ 0.04 0.08 0.21 0.11 ],... 
		'String','Message Window:',... 
		'Style','text',... 
		'Units','normalized',... 
		'Tag','h_text_stat_label',... 
		'Visible','off',...
		'UserData','');
	wf = findobj(get(0,'children'),'flat','tag','working_figure');
	if wf
	  txt_str = ['Canvas' num2str(wf)];
	  txt_str2 = ['In'];
	else
	  txt_str = [''];
	  txt_str2 = [''];
	end
	h_text_fignum2 = uicontrol(... 
		'Position',[ 0.065 0.60 0.04 0.13 ],... 
		'String',txt_str2,... 
		'Style','text',... 
		'Units','normalized',... 
		'Tag','h_text_fignum2',... 
		'Visible','off',... 
		'UserData',''); 
	h_text_fignum = uicontrol(... 
		'CallBack','newgui2(''h_text_fignum'');',... 
		'Position',[ 0.02 0.47 0.13 0.13 ],... 
		'String',txt_str,... 
		'Style','text',... 
		'Units','normalized',... 
		'Tag','h_text_fignum',...
		'Visible','off',... 
		'UserData',''); 
	h_text_c_objname = uicontrol(... 
		'CallBack','newgui2(''h_text_c_objname'');',... 
		'Position',[ 0.04 0.49 0.35 0.13 ],... 
		'String','Obj. Tag:',... 
		'Style','text',... 
		'Units','normalized',... 
		'Tag','h_text_c_objname',... 
		'UserData',''); 
	h_text_c_string = uicontrol(... 
		'CallBack','newgui2(''h_text_c_string'');',... 
		'Position',[ 0.04 0.3 0.35 0.13 ],... 
		'String','String/Label:',... 
		'Style','text',... 
		'Units','normalized',... 
		'Tag','h_text_c_string',... 
		'UserData',''); 
	h_text_s_listby = uicontrol(... 
		'CallBack','newgui2(''h_text_s_listby'');',... 
		'Position',[ 0.465 0.29 0.05 0.16 ],... 
		'String','by',... 
		'Style','text',... 
		'Units','normalized',... 
		'Visible','off',... 
		'Tag','h_text_s_listby',... 
		'UserData',''); 
	h_text_e_choice = uicontrol(... 
		'CallBack','newgui2(''h_text_e_choice'');',... 
		'Position',[ 0.33 0.77 0.14 0.16 ],... 
		'String','object''s',... 
		'Style','text',... 
		'Units','normalized',... 
		'Visible','off',... 
		'Tag','h_text_e_choice',... 
		'UserData',''); 
	h_text_up_hdiv = uicontrol(... 
		'CallBack','newgui2(''h_text_up_hdiv'');',... 
		'Position',[ 0.81 0.43 0.16 0.13 ],... 
		'String','Horz.Div.',... 
		'Style','text',... 
		'Units','normalized',... 
		'Visible','off',... 
		'Tag','h_text_up_hdiv',... 
		'UserData',''); 
	h_text_up_vdiv = uicontrol(... 
		'CallBack','newgui2(''h_text_up_vdiv'');',... 
		'Position',[ 0.65 0.43 0.16 0.13 ],... 
		'String','Vert.Div.',... 
		'Style','text',... 
		'Units','normalized',... 
		'Visible','off',... 
		'Tag','h_text_up_vdiv',... 
		'UserData',''); 
	h_pop_mode = uicontrol(... 
		'CallBack','newgui2(''h_pop_mode'');',... 
		'Max',[ 4 ],... 
		'Min',[ 1 ],... 
		'Position',[ 0.04 0.85 0.26 0.16 ],... 
		'String','CREATE|SELECT|EDIT|USER-PREFS',... 
		'Style','popupmenu',... 
		'Units','normalized',... 
		'Value',[ 1 ],... 
		'Visible','off',... 
		'Tag','h_pop_mode',... 
		'UserData',''); 
	h_pop_c_uic_type = uicontrol(... 
		'CallBack','',... 
		'Max',[ 8 ],... 
		'Min',[ 1 ],... 
		'Position',[ 0.60 0.74 0.35 0.16 ],... 
		'String','frame|pushbutton|radiobutton|checkbox|edit|text|slider|popupmenu',... 
		'Style','popupmenu',... 
		'Units','normalized',... 
		'Value',[ 1 ],... 
		'Tag','h_pop_c_uic_type',... 
		'UserData',''); 
	h_pop_c_uim_type = uicontrol(... 
		'CallBack','',... 
		'Max',[ 2 ],... 
		'Min',[ 1 ],... 
		'Position',[ 0.60 0.74 0.35 0.16 ],... 
		'String','Top Menu|Sub Menu',... 
		'Style','popupmenu',... 
		'Units','normalized',... 
		'Value',[ 1 ],... 
		'Visible','off',... 
		'Tag','h_pop_c_uim_type',... 
		'UserData',''); 
	h_pop_c_axes_type = uicontrol(... 
		'CallBack','',... 
		'Min',[ 1 ],... 
		'Position',[ 0.60 0.74 0.35 0.16 ],... 
		'String','Standard',... 
		'Style','popupmenu',... 
		'Units','normalized',... 
		'Value',[ 1 ],... 
		'Visible','off',... 
		'Tag','h_pop_c_axes_type',... 
		'UserData',''); 
	h_pop_c_text_type = uicontrol(... 
		'CallBack','',... 
		'Max',[ 4 ],... 
		'Min',[ 1 ],... 
		'Position',[ 0.60 0.74 0.35 0.16 ],... 
		'String','Standard|X-Label|Y-Label|Title',... 
		'Style','popupmenu',... 
		'Units','normalized',... 
		'Value',[ 1 ],... 
		'Visible','off',... 
		'Tag','h_pop_c_text_type',... 
		'UserData',''); 
	h_pop_c_other_type = uicontrol(... 
		'CallBack','',... 
		'Min',[ 1 ],... 
		'Position',[ 0.60 0.74 0.35 0.16 ],... 
		'String','Other Choices',... 
		'Style','popupmenu',... 
		'Units','normalized',... 
		'Value',[ 1 ],... 
		'Visible','off',... 
		'Tag','h_pop_c_other_type',... 
		'UserData',''); 
	handle_pops = [h_pop_c_uic_type h_pop_c_uim_type h_pop_c_axes_type ...
			h_pop_c_text_type h_pop_c_other_type];
	h_pop_c_type = uicontrol(... 
		'CallBack','c_popset;',... 
		'Max',[ 5 ],... 
		'Min',[ 1 ],... 
		'Position',[ 0.30 0.74 0.25 0.16 ],... 
		'String','UIControl|UIMenu|Axes|Text|Other',... 
		'Style','popupmenu',... 
		'Units','normalized',... 
		'Value',[ 1 ],... 
		'Tag','h_pop_c_type',... 
		'UserData',handle_pops); 
	h_pop_s_listby = uicontrol(... 
		'CallBack','',... 
		'Min',[ 1 ],... 
		'Position',[ 0.55 0.29 0.35 0.16 ],... 
		'String','Tag',... 
		'Style','popupmenu',... 
		'Units','normalized',... 
		'Value',[ 1 ],... 
		'Visible','off',... 
		'Tag','h_pop_s_listby',... 
		'UserData',''); 
	h_pop_s_choice = uicontrol(... 
		'CallBack',['cf=findobj(get(0,''chil''),'...
			'''flat'',''tag'',''control_figure'');'...
			'h = findobj(cf,''tag'',''h_pop_s_choice'');'...
			'if get(h,''val'') == 14;'...
			'h2=findobj(cf,''tag'',''h_text_status'');'...
			'set(h2,''string'',''Hold on...Bringing up Property/Value Selector.'');'...
			'ng_spv_w;'...
			'set(h2,''string'',''Property/Value Selector Ready'');'...
			'end'],... 
		'Max',[ 13 ],... 
		'Min',[ 1 ],... 
		'Position',[ 0.25 0.5 0.49 0.16 ],... 
		'String','All|All UIControl|All UIMenu|All Axes|All Text|All UI Pushbuttons|All UI Radiobuttons|All UI Checkboxes|All UI Edit|All UI Text|All UI Sliders|All UI Frames|All UI Popupmenus|Property/Value',... 
		'Style','popupmenu',... 
		'Units','normalized',... 
		'Value',[ 1 ],... 
		'Visible','off',... 
		'Tag','h_pop_s_choice',... 
		'UserData',''); 
%13
	h_pop_e_choice = uicontrol(... 
		'CallBack',['cf=findobj(get(0,''chil''),'...
			'''flat'',''tag'',''control_figure'');'...
			'h = findobj(cf,''tag'',''h_pop_e_choice'');'...
			'if get(h,''val'') == 13;'...
			'h2=findobj(cf,''tag'',''h_text_status'');'...
			'set(h2,''string'',''Hold on...Bringing up Property/Value Editor.'');'...
			'ng_apv_w;'...
			'set(h2,''string'',''Property/Value Editor Ready'');'...
			'end'],...
		'Max',[ 13 ],... 
		'Min',[ 1 ],... 
		'Position',[ 0.49 0.77 0.37 0.16 ],... 
		'String','Tag|String|Position|Callback|String Color|Background Color|Visibility|Text Size|Text Font|Menu Separator|Menu Checkbox|Units|Other',... 
		'Style','popupmenu',... 
		'Units','normalized',... 
		'Value',[ 1 ],... 
		'Visible','off',... 
		'Tag','h_pop_e_choice',... 
		'UserData',''); 
	h_pop_e_chgshw = uicontrol(... 
		'CallBack','newgui2(10,1);',... 
		'Max',[ 1 ],... 
		'Min',[ 0 ],... 
		'Position',[ 0.12 0.77 0.09 0.16 ],... 
		'String','Get',... 
		'Style','pushbutton',... 
		'Units','normalized',... 
		'Value',[ 1 ],... 
		'Visible','off',... 
		'Tag','h_pop_e_chgshw',... 
		'UserData',''); 


	%  Menu Object Creation 

	hm_file = uimenu(...                   
		'Label','FILE',...                          
		'Tag','hm_file',...                    
		'UserData','');
	cllbk_str = ['cf = findobj(get(0,''children''),''flat'','...
		'''tag'',''control_figure'');'...
		'h_stat = findobj(cf,''tag'',''h_text_status'');' ...
		'set(h_stat,''string'',''GUI Maker version 2.1 by Patrick '...
		'Marchand'');'];                     
	hm_file_info = uimenu(hm_file, ... 
		'Callback',cllbk_str,...    
		'Label','INFO',...                          
		'Tag','hm_file_info',...                    
		'UserData','');                             
	hm_file_new = uimenu(hm_file, ...     
		'CallBack','newgui2(''hm_file_new'');',... 
		'Separator','on',...                        
		'Label','New Canvas',...                          
		'Tag','hm_file_new',...                    
		'UserData','');
	hm_file_load = uimenu(hm_file, ...     
		'CallBack',['cf = findobj(get(0,''children''),''flat'','...
		'''tag'',''control_figure'');'...
		'h_stat = findobj(cf,''tag'',''h_text_status'');' ...
		'set(h_stat,''string'',''Hold on...Bringing up Load Window'');'...
		'ng_ld_w;'],... 
		'Label','Load ...',...                      
		'Interruptible','yes',...                   
		'Tag','hm_file_load',...                    
		'UserData','');                             
	hm_file_save = uimenu(hm_file, ...     
		'CallBack',['cf = findobj(get(0,''children''),''flat'','...
		'''tag'',''control_figure'');'...
		'h_stat = findobj(cf,''tag'',''h_text_status'');' ...
		'set(h_stat,''string'',''Hold on...Bringing up Save Window'');'...
		'ng_sav_w;'],...
		'Label','Save ...',...                      
		'Interruptible','yes',...                   
		'Tag','hm_file_save',...                    
		'UserData','');                             
	hm_file_print = uimenu(hm_file, ...     
		'CallBack',['cf = findobj(get(0,''children''),''flat'','...
		'''tag'',''control_figure'');'...
		'h_stat = findobj(cf,''tag'',''h_text_status'');' ...
		'set(h_stat,''string'',''Hold on...Bringing up Print Window'');'...
		'ng_prt_w;'] ,...
		'Separator','on',...                        
		'Label','Print ...',...                     
		'Interruptible','yes',...                   
		'Tag','hm_file_print',...                    
		'UserData','');                             
	hm_file_quit = uimenu(hm_file, ...     
		'CallBack',['newgui2(''hm_file_quit'');'],... 
		'Separator','on',...                        
		'Label','QUIT GUI Maker',...                
		'Tag','hm_file_quit',...                    
		'UserData','');                             

	hm_modes = uimenu(...                   
		'Label','MODE',...                         
		'Tag','hm_modes',...                    
		'UserData',1);                            

	hm_edit = uimenu('label','EDIT','tag','hm_edit');
	hm_edit_undo = uimenu(hm_edit,'label','Undo','callback',...
			'newgui2(''h_push_e_undo'');',...
			'tag','hm_edit_undo');
	hm_edit_copy = uimenu(hm_edit,'label','Copy','callback',...
			'newgui2(''h_push_e_copy'');',...
			'tag','hm_edit_copy');
	hm_edit_pste = uimenu(hm_edit,'label','Paste','callback',...
			'newgui2(''h_push_e_paste'');',...
			'tag','hm_edit_pste');
	hm_edit_delt = uimenu(hm_edit,'label','Delete','callback',...
			'newgui2(''h_push_e_delete'');',...
			'tag','hm_edit_delt','Interruptible','yes');

	hm_tools = uimenu(...                   
		'Label','TOOLS',...                        
		'Tag','hm_tools',...                    
		'UserData','');                 

	hm_tools_guicrt = uimenu(hm_tools,...
		'CallBack',['cf = findobj(get(0,''children''),''flat'','...
		'''tag'',''control_figure'');'...
		'h_stat = findobj(cf,''tag'',''h_text_status'');' ...
		'set(h_stat,''string'',''Hold on...Bringing up Creation Palette'');'...
		'guipalte;'],... 
		'Label','GUI Creation Palette',...               
		'Tag','hm_tools_guicrt',...                    
		'UserData','');                            
	cbk_str = ['cbked = findobj(get(0,''children''),''flat''' ...
		  ',''tag'',''callback_editor'');' ...
		  'if cbked;figure(cbked);cbk_edtr(2);else;cbk_edtr;end;'];
	hm_tools_clbkeditor = uimenu(hm_tools, ...      
		'CallBack',cbk_str,... 
		'Label','Callback/ButtonDownFcn Editor',...              
		'Tag','hm_tools_clbkeditor',...                    
		'UserData','');                            
	hm_tools_objbrowser = uimenu(hm_tools, ...      
		'CallBack','',... 
		'Label','Object Browser',...               
		'Tag','hm_tools_objbrowser',...                    
		'UserData','');                            
	hm_tools_cbrowser = uimenu(hm_tools_objbrowser, ...      
		'CallBack',['cf = findobj(get(0,''children''),''flat'','...
		'''tag'',''control_figure'');'...
		'h_stat = findobj(cf,''tag'',''h_text_status'');' ...
		'set(h_stat,''string'',''Hold on...Bringing up UI browser. Window'');'...
		'ng_cbr_w;'],... 
		'Label','UIcontrol Browser',...               
		'Tag','hm_tools_cbrowser',...                    
		'UserData','');                            
	hm_tools_mbrowser = uimenu(hm_tools_objbrowser, ...      
		'CallBack',['cf = findobj(get(0,''children''),''flat'','...
		'''tag'',''control_figure'');'...
		'h_stat = findobj(cf,''tag'',''h_text_status'');' ...
		'set(h_stat,''string'',''Hold on...Bringing up UI browser. Window'');'...
		'ng_mbr_w;'],... 
		'Label','UImenu Browser',...               
		'Tag','hm_tools_mbrowser',...                    
		'UserData','');                            
	hm_tools_abrowser = uimenu(hm_tools_objbrowser, ...      
		'CallBack',['cf = findobj(get(0,''children''),''flat'','...
		'''tag'',''control_figure'');'...
		'h_stat = findobj(cf,''tag'',''h_text_status'');' ...
		'set(h_stat,''string'',''Hold on...Bringing up Axes browser. Window'');'...
		'ng_abr_w;'],... 
		'Label','Axes Browser',...               
		'Tag','hm_tools_abrowser',...                    
		'UserData','');                            
	hm_tools_tbrowser = uimenu(hm_tools_objbrowser, ...      
		'CallBack',['cf = findobj(get(0,''children''),''flat'','...
		'''tag'',''control_figure'');'...
		'h_stat = findobj(cf,''tag'',''h_text_status'');' ...
		'set(h_stat,''string'',''Hold on...Bringing up Text browser. Window'');'...
		'ng_tbr_w;'],... 
		'Label','Text Browser',...               
		'Tag','hm_tools_tbrowser',...                    
		'UserData','');                            
	hm_tools_aligntool = uimenu(hm_tools,...
		'CallBack',['cf = findobj(get(0,''children''),''flat'','...
		'''tag'',''control_figure'');'...
		'h_stat = findobj(cf,''tag'',''h_text_status'');' ...
		'set(h_stat,''string'',''Hold on...Bringing up Aliginment Tool'');'...
		'ng_aln_w(''new'',''working_figure'');'],... 
		'Label','Alignment Tool',...               
		'Tag','hm_tools_aligntool',...                    
		'UserData','');    
	lp_cbk = ['cf = findobj(get(0,''children''),''flat'','...
		'''tag'',''control_figure'');'...
		'h_stat = findobj(cf,''tag'',''h_text_status'');' ...
		'set(h_stat,''string'',''Object Properties listed in command window.'');'...
		'wf = findobj(get(0,''children''),''flat'',''tag'',''working_figure'');'...
		  'obj = findobj(wf,''selected'',''on'');'...
		  'for loop = 1:length(obj);eval([''get(obj(loop))'']);end;'];
	hm_tools_listprops = uimenu(hm_tools,...
		'CallBack',lp_cbk,... 
		'Label','List Object Props to Command Window',...               
		'Tag','hm_tools_listprops',...                    
		'UserData','');       

	rsf_cbk = ['wf = findobj(get(0,''children''),''flat'',''tag'',''working_figure'');'...
		  'h = [findobj(wf,''type'',''uicontrol'') ; '...
			'findobj(wf,''type'',''axes'') ; '...
			'findobj(wf,''type'',''text'') ];' ...
		  'set(h,''units'',''pixels'');'...
		 'wf = findobj(get(0,''children''),''flat'',''tag'',''control_figure'');'...
		 'st = findobj(wf,''tag'',''h_text_status'');'...
		 'set(st,''string'',''May be "buggy", click in figure after resizing'');'...
		];
	hm_tools_rsfig = uimenu(hm_tools,...
		'CallBack',rsf_cbk,... 
		'Label','Resize Figure w/o resizing objs.',...               
		'Tag','hm_tools_rsfig',...                    
		'UserData','');       
	
                     

%	hm_options = uimenu(...                   
%		'Label','OPTIONS',...                      
%		'Tag','hm_options',...                    
%		'UserData','');                            
	hm_options = 0;

%%
%%                    
	handle_cr = [ h_push_c_ok   ...
			h_text_c_objname h_edit_c_objname h_text_c_string ...
			h_edit_c_string h_pop_c_type h_pop_c_uic_type ...
			h_pop_c_uim_type h_pop_c_axes_type h_pop_c_text_type ...
			h_pop_c_other_type ];
	handle_cr_v =[ 1 1 1 1 1 1 1 0 0 0 0 ];
	hm_modes_cr = uimenu(hm_modes, ...      
		'CallBack',...
		  ['mode_set(1);'],... 
		'Label','Create',...                        
		'Tag','hm_modes_cr',... 
		'checked','on',...                   
		'UserData',[handle_cr;handle_cr_v]);   

	handle_sel = [ h_text_s_listby h_push_s_listby h_pop_s_listby ...
			h_pop_s_choice h_push_s_unselect h_push_s_select ...
			 ];
	handle_sel_v = [ 1 1 1 1 1 1  ];
	hm_modes_sel = uimenu(hm_modes, ...      
		'CallBack',...
		   ['mode_set(2);'],... 
		'Label','Select',...                        
		'Tag','hm_modes_sel',...                    
		'UserData',[handle_sel;handle_sel_v]);                             
	handle_edit = [ h_push_e_undo h_push_e_delete h_push_e_paste ...
			h_push_e_copy h_push_e_ok h_edit_e_propval ...
			h_text_e_choice h_pop_e_choice h_pop_e_chgshw ...
			h_slide_e_xpos h_slide_e_ypos h_slide_e_clear];
	handle_edit_v = [ 1 1 1 1 1 1 1 1 1 0 0 0];
	hm_modes_edit = uimenu(hm_modes, ...      
		'CallBack',...
		  ['mode_set(3);'],... 
		'Label','Basic Prop. Editor',...                         
		'Tag','hm_modes_edit',...                    
		'UserData',[handle_edit;handle_edit_v]);   


	handle_up = [ h_push_up_savedef h_ckbx_up_anc h_ckbx_up_aec ...
			h_ckbx_up_sliders h_ckbx_up_grid h_edit_up_vdiv ...
			h_edit_up_hdiv h_text_up_hdiv h_text_up_vdiv ...
		         ];
	handle_up_v = [ 1 1 1 1 1 1 1 1 1 ];
	hm_options_up = uimenu(hm_modes, ...      
		'CallBack',...
		  ['mode_set(4);'],... 
		'Label','User Prefs',...                   
		'Tag','hm_options_up',... 
		'Separator','on',...                   
		'UserData',[handle_up;handle_up_v]);        
%%
%%                   

	call_back_str = win_uim('control_figure','hm_canvas','working_figure');
	hm_canvas = uimenu(...                   
		'CallBack',call_back_str,... 
		'Label','WINDOWS',...                      
		'Tag','hm_canvas',...                    
		'UserData','');                            

	hm_help = uimenu(...                   
		'Label','HELP',...                         
		'Tag','hm_help',...                    
		'UserData','');                            
	hm_help_gen = uimenu(hm_help, ...      
		'CallBack',['h=get(gcf,''user'');set(h(27),''str'','...
		   '''Hold on...Bringing up Help Window.'');' ...
		   'ng_hlp_w;set(h(27),''str'',''OK, Help Window up.'')'],... 
		'Label','General',...                      
		'Tag','hm_help_gen',...                    
		'UserData','');                            
	hm_help_qs = uimenu(hm_help, ...      
		'CallBack','ng_hlp_w(0,2);',... 
		'Label','Quick Start Tips',...                      
		'Tag','hm_help_qs'); 
	hm_help_fm = uimenu(hm_help, ...      
		'CallBack','ng_hlp_w(0,3);',... 
		'Label','File Menu',...                      
		'Tag','hm_help_fm'); 
	hm_help_md = uimenu(hm_help, ...      
		'CallBack','ng_hlp_w(0,4);',... 
		'Label','Modes',...                      
		'Tag','hm_help_md'); 
	hm_help_up = uimenu(hm_help, ...      
		'CallBack','ng_hlp_w(0,5);',... 
		'Label','User Prefs',...                      
		'Tag','hm_help_up'); 
	hm_help_smr = uimenu(hm_help, ...      
		'CallBack','ng_hlp_w(0,6);',... 
		'Label','Select/Move/Resize',...                      
		'Tag','hm_help_smr'); 
	hm_help_ce = uimenu(hm_help, ...      
		'CallBack','ng_hlp_w(0,7);',... 
		'Label','Callback Editor',...                      
		'Tag','hm_help_ce'); 
	hm_help_ob = uimenu(hm_help, ...      
		'CallBack','ng_hlp_w(0,8);',... 
		'Label','Object Browsers',...                      
		'Tag','hm_help_ob'); 
	hm_help_at = uimenu(hm_help, ...      
		'CallBack','ng_hlp_w(0,9);',... 
		'Label','Alignment Tool',...                      
		'Tag','hm_help_at'); 
	hm_help_hh = uimenu(hm_help, ...      
		'CallBack','ng_hlp_w(0,10);',... 
		'Label','Help',...                      
		'Tag','hm_help_hh'); 
	hm_help_um = uimenu(hm_help, ...      
		'CallBack','ng_hlp_w(0,11);',... 
		'Label','UIMenu Creation',...                      
		'Tag','hm_help_um');                            
	hm_help_lr = uimenu(hm_help, ...      
		'CallBack','ng_hlp_w(0,12);',... 
		'Label','Licence & Registation',...                      
		'Tag','hm_help_lr',...                    
		'UserData','');                            

	%  Axes and Text Object Creation 


	set(findobj(gcf,'style','edit'),'backgroundcolor',[.6 .6 .6]);

	handle_list = [ ...  
	 	 h_frame_main h_frame_status h_push_c_ok ... 
	 	h_push_s_listby h_push_s_unselect h_push_s_select h_push_s_ok ... 
	 	h_push_e_undo h_push_e_delete h_push_e_paste h_push_e_copy ... 
	 	h_push_e_ok h_slide_e_clear h_push_up_savedef h_ckbx_up_anc ... 
	 	h_ckbx_up_aec h_ckbx_up_sliders h_ckbx_up_grid hm_file_new ... 
	 	h_edit_c_objname h_edit_c_string h_edit_e_propval h_edit_up_vdiv ... 
	 	h_edit_up_hdiv h_slide_e_xpos h_slide_e_ypos h_text_status ... 
	 	h_text_stat_label h_text_fignum h_text_c_objname h_text_c_string ... 
	 	h_text_s_listby h_text_e_choice h_text_up_hdiv h_text_up_vdiv ... 
	 	h_pop_mode h_pop_c_type h_pop_c_uic_type h_pop_c_uim_type ... 
	 	h_pop_c_axes_type h_pop_c_text_type h_pop_c_other_type h_pop_s_listby ... 
	 	h_pop_s_choice h_pop_e_choice h_pop_e_chgshw hm_help ... 
	 	hm_help_gen hm_options hm_options_up hm_tools ... 
	 	hm_tools_objbrowser hm_tools_clbkeditor hm_modes hm_modes_edit ... 
	 	hm_modes_sel hm_modes_cr hm_file hm_file_quit ... 
	 	hm_file_print hm_file_save hm_file_load hm_file_info hm_canvas... 
	 	 	h_text_fignum2]; 

	set(gcf,'userdata',handle_list); 
	drawnow; pause(.1);

	% COMPILE RELATED M-FILES FOR QUICK USAGE
	ng_prt_w('compile');
	ng_sav_w('compile');
	ng_aln_w('compile');
	ng_cbr_w(0,999);
		set(findobj(get(0,'chil'),'flat','tag','ng_cbr_w'),'vis','off');
	ng_abr_w(0,999);
		set(findobj(get(0,'chil'),'flat','tag','ng_abr_w'),'vis','off');
	ng_mbr_w(0,999);
		set(findobj(get(0,'chil'),'flat','tag','ng_mbr_w'),'vis','off');
	ng_tbr_w(0,999);
		set(findobj(get(0,'chil'),'flat','tag','ng_tbr_w'),'vis','off');
%	ng_tbr_w('compile');
	mouseopr(1,0);		% Compile the mouseopr.m function
        if isunix
	  gm_upref_file = [getenv('HOME') '/.gm_upref.mat'];
	else
	  gm_upref_file = 'gm_upref.mat';
	end
	if exist(gm_upref_file) > 0
 	   eval(['load ' gm_upref_file]);
		set(h_ckbx_up_grid,'val',snap_2_grid_val);
		set(h_ckbx_up_aec,'val',auto_clr_edits_val);
		set(h_ckbx_up_anc,'val',auto_obj_name_val);
		set(h_ckbx_up_sliders,'val',auto_slid_disp_val);
		set(h_edit_up_vdiv,'string',snap_v_string,...
			'userdata',str2num(snap_v_string));
		set(h_edit_up_hdiv,'string',snap_h_string,...
			'userdata',str2num(snap_h_string));
		if auto_slid_disp_val == 1
		  set(hm_modes_edit,'visible','on');
		else
		  set(hm_modes_edit,'visible','off');
		end
		if auto_obj_name_val == 1
		  set(h_text_c_objname,'string','Obj. Tag (Optional):');
		  set(h_text_c_string,'string','String/Label (Opt.):');
		end
		if exist('cf_fig_pos')
		   set(f1,'pos',cf_fig_pos);
		end
	  if get(h_ckbx_up_grid,'val') == 0
	   oldvals = [str2num(snap_v_string) ...
			str2num(snap_h_string)];
	   set(h_edit_up_vdiv,'vis','off',...
		'string','1000','userdata',1000);
	   set(h_edit_up_hdiv,'vis','off',...
		'string','1000','userdata',1000);
	   set(h_text_up_vdiv,'vis','off');
	   set(h_text_up_hdiv,'vis','off');
	   set(h_ckbx_up_grid,'userdata',oldvals);
	   handle_up_v = [ 1 1 1 1 1 0 0 0 0 ];
	   set(hm_options_up,'userdata',[handle_up;handle_up_v])
	  end
	end

	if strcmp(computer,'PCWIN')
	   set(hm_edit_undo,'label','&Undo');
	   set(hm_edit_copy,'label','&Copy');
	   set(hm_edit_delt,'label','&Delete');
	   set(hm_edit_pste,'label','&Paste');
	   set(hm_tools_aligntool,'label','&Alignment Tool');
	else
	   set(hm_edit_undo,'accel','u');
	   set(hm_edit_copy,'accel','c');
	   set(hm_edit_delt,'accel','d');
	   set(hm_edit_pste,'accel','v');
	   set(hm_tools_aligntool,'accel','a');
	end
	drawnow;
	guipalte;
	%Added to bring up a new canvas.
	newgui2('hm_file_new');
	mode_set(3);
	set(h_text_status,'string','Welcome to GUI Maker 2.1');
	
	disp('OK the tool is ready for you to use...');
	disp(' ');
 	disp('             Welcome to GUIMaker 2.1');
	disp(' ');
	disp(' ');
 	disp('   REMEMBER: When clicking in a canvas wait for the')
	disp('             cursor icon to change from an arrow to');
	disp('             one of several action dependent types.');
	set(f1,'visible','on');


elseif command == 1 
%	disp('h_push_c_ok selected.') 

	wf = findobj(get(0,'children'),'flat','tag','working_figure');
	if wf
	 obj_name = get(h_edit_c_objname,'string');

	  if (length(dblnkall(obj_name)) ~= 0) & ...
           (length(findobj(wf,'tag',dblnkall(obj_name))) == 0)

		typ_str = get(h_pop_c_type,'string');
		typ_val = get(h_pop_c_type,'val');
		typ_str = typ_str(typ_val,:);
		set(h_text_status,'string',...
		    ['Create with click and drag in ' get(wf,'name') '.']);
		cr_obj(typ_str);
	  else
		set(h_text_status,'string',...
		    'Nothing created (Obj. Tag must be legal/unique.)');
	  end
	else
		set(h_text_status,'string',...
		    'Nothing created (A Canvas must be created/selected.)');
	end

elseif command == 2 
%	disp('h_push_s_listby selected.')
	wf = findobj(get(0,'children'),'flat','tag','working_figure');
	if wf
	  objs = findobj(wf,'selected','on');
	  if length(objs > 0)
	    strings = get(h_pop_s_listby,'string');
	    val = get(h_pop_s_listby,'val');
	    set(h_text_status,'string','The objects are listed in the workspace window.');
	    disp(sprintf(' %25s  %20s\n','      Object Tag       ',...
		'   Object Type     '));
	    disp(sprintf(' %25s  %20s\n','------------------------',...
		'-------------------'));
	    for loop = 1:length(objs)
		obj_tag = get(objs(loop),'tag');
		obj_type = get(objs(loop),'type');
		if strcmp(lower(obj_type),'uicontrol')
	           obj_type = [obj_type '(' get(objs(loop),'style') ')'];
		elseif strcmp(lower(obj_type),'uimenu')
		  if strcmp(get(get(objs(loop),'parent'),'type'),'uimenu')
		    obj_type = [obj_type ' (sub menu)'];
		  else
		    obj_type = [obj_type ' (top menu)'];
		  end
		end
		disp(sprintf(' %25s  %20s\n',obj_tag,obj_type));
	    end
	  else
	    set(h_text_status,'string','There are no selected objects.');
	  end
	else
	  set(h_text_status,'string','Select a Canvas.');
	end
elseif command == 3 
%	disp('h_push_s_unselect selected.') 
	val = get(h_pop_s_choice,'val');
	wf = findobj(get(0,'children'),'flat','tag','working_figure');
        if val == 1
	   handles = findobj(wf);
	elseif val >= 2 & val <= 5
	   str = get(h_pop_s_choice,'string');
	   str = dblnkall(strrep(str(val,:),'All',''));
	   handles = findobj(wf,'type',lower(str));
	elseif val==6
	   handles = findobj(wf,'type','uicontrol','style','pushbutton');
	elseif val==8
	   handles = findobj(wf,'type','uicontrol','style','checkbox');
	elseif val == 7 | val == 9 | val == 10 | val==12 | val==13
	   str = get(h_pop_s_choice,'string');
	   str = dblnkall(strrep(str(val,:),'All UI ',''));
	   str = strrep(str,'s','');
	   handles = findobj(wf,'type','uicontrol','style',lower(str));
	elseif val==11
	   handles = findobj(wf,'type','uicontrol','style','slider');
	elseif val==14
	   set(h_text_status,'string','Hold on...Bringing up Property/Value Selector.');
 	   ng_spv_w;
	   set(h_text_status,'string','Property/Value Selector Ready');
	end
	if val~=14
	  set(handles,'selected','off')
	  set(wf,'selected','off');
	end

elseif command == 4 
%	disp('h_push_s_select selected.') 
	val = get(h_pop_s_choice,'val');
	wf = findobj(get(0,'children'),'flat','tag','working_figure');
        if val == 1
	   handles = findobj(wf);
	elseif val >= 2 & val <= 5
	   str = get(h_pop_s_choice,'string');
	   str = dblnkall(strrep(str(val,:),'All',''));
	   handles = findobj(wf,'type',lower(str));
	elseif val==6
	   handles = findobj(wf,'type','uicontrol','style','pushbutton');
	elseif val==8
	   handles = findobj(wf,'type','uicontrol','style','checkbox');
	elseif val == 7 | val == 9 | val == 10 | val==12 | val==13
	   str = get(h_pop_s_choice,'string');
	   str = dblnkall(strrep(str(val,:),'All UI ',''));
	   str = strrep(str,'s','');
	   handles = findobj(wf,'type','uicontrol','style',lower(str));
	elseif val==11
	   handles = findobj(wf,'type','uicontrol','style','slider');
	elseif val==14
	   set(h_text_status,'string','Hold on...Bringing up Property/Value Selector.');
	   ng_spv_w;
	   set(h_text_status,'string','Property/Value Selector Ready');
	end
	if val~=14
	 set(handles,'selected','on')
	 set(wf,'selected','off');
	end

elseif command == 5 
elseif command == 6 
%	disp('h_push_e_undo selected.') 
	pos_mat = get(h_push_e_undo,'userdata');
	if prod(size(pos_mat))
	  if pos_mat(1,1) == 1
	    for loop = 1:pos_mat(1,2)
	      if isobj(pos_mat(loop+1,1))
		obj_typ = get(pos_mat(loop+1,1),'type');
		if strcmp(obj_typ,'text')
		   set(pos_mat(loop+1,1),'position',pos_mat(loop+1,[2:4]));
		else
		   set(pos_mat(loop+1,1),'position',pos_mat(loop+1,[2:5]));
		end
	      end
	    end
	    set(h_push_e_undo,'userdata',[]);
	  end
	else
	  set(h_text_status,'string','Nothing to Undo.');
	end
elseif command == 7 
%	disp('h_push_e_delete selected.') 
	parent_fig = findobj(get(0,'chil'),'flat','tag','working_figure');
	obj = findobj(parent_fig,'selected','on');
	if length(obj) > 0
	 if strcmp(questdlg('Delete selected items?','Yes','No'),'Yes')
	  for loop = 1:length(obj)
	    delete(obj(loop));drawnow;
	  end
	 else
	  set(h_text_status,'string','Nothing deleted.');
	 end
	else
	  set(h_text_status,'string','Nothing selected to delete.');
	end
elseif command == 8 
%	disp('h_push_e_paste selected.') 
	wf = findobj(get(0,'chil'),'flat','tag','working_figure');
	handles = get(h_push_e_copy,'userdata');
     if length(handles) ~= 0
	handles = pasteobj(handles,wf);
	if length(handles) == 1
	 set(h_text_status,'string','1 object has been pasted.')
	elseif length(handles) > 1
	 set(h_text_status,'string',[num2str(length(handles)) ...
		' objects have been pasted.']);
	else
	 set(h_text_status,'string','Only UI objects can be pasted!');
	end
     else
	 set(h_text_status,'string','First Copy an object!');
     end
elseif command == 9 
%	disp('h_push_e_copy selected.') 
	wf = findobj(get(0,'chil'),'flat','tag','working_figure');
	handles = findobj(wf,'selected','on');
	set(h_push_e_copy,'userdata',handles);
	if length(handles) == 1
	 set(h_text_status,'string','1 object has been copied. Do not Delete!')
	 un_sel_h(handles);
	elseif length(handles) > 1
	 set(h_text_status,'string',[num2str(length(handles)) ...
		' objects have been copied. Do not Delete!']);
	 un_sel_h(handles);
	else
	 set(h_text_status,'string','Nothing copied. Select Object(s).');
	end
elseif command == 10 
%	disp('h_push_e_ok selected.')
	wf = findobj(get(0,'children'),'flat','tag','working_figure');
	cf = findobj(get(0,'children'),'flat','tag','control_figure');
	if wf
	 obj = findobj(wf,'selected','on');
	 if obj
	  obj_t = obj(1);
	  if get(h_pop_e_choice,'val') == 1
	    obj_prop_str = 'tag';
	  elseif get(h_pop_e_choice,'val') == 2
	    if strcmp(get(obj_t,'type'),'axes')
	       obj_prop_str = '';
	    elseif strcmp(get(obj_t,'type'),'uimenu')
	       obj_prop_str = 'label';
	    else
	       obj_prop_str = 'string';
	    end
	  elseif get(h_pop_e_choice,'val') == 3
	    obj_prop_str = 'position';
	  elseif get(h_pop_e_choice,'val') == 4
	    obj_prop_str = 'userdata';
	  elseif get(h_pop_e_choice,'val') == 5
	    if strcmp(get(obj_t,'type'),'uimenu') | ...
		strcmp(get(obj_t,'type'),'uicontrol')
	       obj_prop_str = 'ForegroundColor';
	    elseif strcmp(get(obj_t,'type'),'text')
	       obj_prop_str = 'Color';
	    elseif strcmp(get(obj_t,'type'),'axes')
	       obj_prop_str = '';
	    end
	  elseif get(h_pop_e_choice,'val') == 6
	    if strcmp(get(obj_t,'type'),'uimenu') | ...
		strcmp(get(obj_t,'type'),'uicontrol')
	       obj_prop_str = 'BackgroundColor';
	    elseif strcmp(get(obj_t,'type'),'text')
	       obj_prop_str = 'Color';
	    elseif strcmp(get(obj_t,'type'),'axes')
	       obj_prop_str = 'Color';
	    end
	  elseif get(h_pop_e_choice,'val') == 7
	    obj_prop_str = 'visible';
	  elseif get(h_pop_e_choice,'val') == 8
	    if strcmp(get(obj_t,'type'),'uimenu') | ...
		strcmp(get(obj_t,'type'),'uicontrol')
	       obj_prop_str = '';
	    elseif strcmp(get(obj_t,'type'),'text')
	       obj_prop_str = 'FontSize';
	    elseif strcmp(get(obj_t,'type'),'axes')
	       obj_prop_str = '';
	    end
	  elseif get(h_pop_e_choice,'val') == 9
	    if strcmp(get(obj_t,'type'),'uimenu') | ...
		strcmp(get(obj_t,'type'),'uicontrol')
	       obj_prop_str = '';
	    elseif strcmp(get(obj_t,'type'),'text')
	       obj_prop_str = 'FontName';
	    elseif strcmp(get(obj_t,'type'),'axes')
	       obj_prop_str = '';
	    end
	  elseif get(h_pop_e_choice,'val') == 10
	    if strcmp(get(obj_t,'type'),'uimenu')
	       obj_prop_str = 'Separator';
	    else
	       obj_prop_str = '';
	    end
	  elseif get(h_pop_e_choice,'val') == 11
	    if strcmp(get(obj_t,'type'),'uimenu')
	       obj_prop_str = 'Checked';
	    else
	       obj_prop_str = '';
	    end
	  elseif get(h_pop_e_choice,'val') == 12
	    if strcmp(get(obj_t,'type'),'uimenu')
	       obj_prop_str = '';
	    else
	       obj_prop_str = 'Units';
	    end
	  elseif get(h_pop_e_choice,'val') == 13
	    set(h_text_status,'string',...
		'Hold on...Bringing up Prop/Val Editor');
	    ng_apv_w;
	    return;
	  end

	  if param1 == 1	% GET
	    if length(obj) == 1
		if length(obj_prop_str) > 0
		 if ~strcmp(obj_prop_str,'userdata')
		  obj_prop = get(obj,obj_prop_str);
		  if isstr(obj_prop)
		  else
			obj_prop = mat2str2(round(obj_prop*1000)/1000);
		  end
		  [max_val,tmp] = size(obj_prop);
		  if max_val > 1
		    tmp = [];
		    for loop2 = 1:max_val
		      if loop2 == 1
			tmp = dblnkall(obj_prop(loop2,:));
		      else
			tmp = [tmp '|' dblnkall(obj_prop(loop2,:))];
		      end
		    end
		    obj_prop = tmp;
		  end
		  set(h_edit_e_propval,'max',max_val,...
			'string',dblnkall(obj_prop));
		  set(h_text_status,'string',['Object''s ' obj_prop_str...
			' gotten.'])
		 else
		  set(h_edit_e_propval,'string','');
		  set(h_text_status,'string',['Use Callback Editor.'])
		  cbked = findobj(get(0,'children'),'flat',...
				'tag','callback_editor');
		  if cbked
		   figure(cbked)
		   if length(get(obj,obj_prop_str)) ~= 0 & ...
		      isstr(get(obj,obj_prop_str))
		    cbk_edtr('h_push_clbke_get',obj)
		   end
		  else
		    cbk_edtr(0,obj)
		    cbk_edtr('h_push_clbke_get',obj)
		  end
		 end
		else
		  set(h_text_status,'string',['This is not a valid ' ...
			'property for the selected object.'])
		  set(h_edit_e_propval,'string','');
		end
		
	    else
		set(h_text_status,'string',['Only one object''s property' ...
			' can be gotten at a time.'])
		set(h_edit_e_propval,'string','');
	    end

	  elseif param1 == 2	% SET
	   if ~strcmp(obj_prop_str,'userdata')
	    new_prop = get(h_edit_e_propval,'string');

	    for loop = 1:length(obj)

		%%%%%%   THIS HAS TO BE THOUGHT OUT MORE    %%%%%%
		%%%%%% TEMPORARY CODE TO GIVE FUNCTIONALITY %%%%%%

		eval('old_prop = get(obj(loop),obj_prop_str);',...
			'old_prop = 0');
		if isstr(old_prop)
		 if strcmp(obj_prop_str,'tag')
		  if length(dblnkall(new_prop)) ~= 0
		   if length(findobj(wf,'tag',new_prop)) == 0
		    set(obj,obj_prop_str,new_prop);
		    flag_err = 0;
		    if strcmp(get(obj,'type'),'axes') | strcmp(get(obj,'type'),'text')
		      eval(['set(obj,''buttondownfcn'',strrep(get(obj,''buttondownfcn''),old_prop,'...
			'new_prop));'],'flag_err = 1;');
		    else
		      eval(['set(obj,''callback'',strrep(get(obj,''callback''),old_prop,'...
			'new_prop));'],'flag_err = 1;');
		    end
		    if flag_err == 0
		      set(h_text_status,'string',['Object''s ' obj_prop_str...
			' set.'])
		    else
		     set(h_text_status,'string',['Not a valid property value.'])
		    end
		   else
		    set(h_text_status,'string',['Another object already' ...
			' has this tag.'])
		   end
		  else
		   set(h_text_status,'string',['Enter a legal' ...
			' tag.'])
		  end
		 else
		  max_val = get(h_edit_e_propval,'max');
		  if max_val > 1
		    [nr_new_prop,tmp] = size(new_prop);
		    tmp = [];
		    for loop2 = 1:nr_new_prop
		      if loop2 == 1
			tmp = dblnkall(new_prop(loop2,:));
		      else
			tmp = [tmp '|' dblnkall(new_prop(loop2,:))];
		      end
		    end
		    new_prop = tmp;
		  end
		  flag_err = 0;
		  if (strcmp(lower(obj_prop_str),'color')|...
			strcmp(lower(obj_prop_str),'foregroundcolor') |...
			strcmp(lower(obj_prop_str),'backgroundcolor'))...
			 & length(str2num(new_prop)) > 0
		    eval(['set(obj,obj_prop_str,str2num(new_prop));'],'flag_err=1;');
		  else
		    eval(['set(obj,obj_prop_str,new_prop);'],'flag_err=1;');
		  end
		  if flag_err == 0
		    set(h_text_status,'string',['Object''s ' obj_prop_str...
			' set.'])
		  else
		    set(h_text_status,'string',['Not a valid property value'])
		  end
		 end
		else
		 if obj_prop ~= 0
		  if (strcmp(lower(obj_prop_str),'color')|...
			strcmp(lower(obj_prop_str),'foregroundcolor') |...
			strcmp(lower(obj_prop_str),'backgroundcolor'))...
			 & length(str2num(new_prop)) == 0
		    txt = ['set(obj,obj_prop_str,new_prop);' ...
		     'set(h_text_status,''string'',''Object ' obj_prop_str ...
			' property set.'')'];
		    eval(txt,['set(h_text_status,''string'','...
			'''Not a valid Property value for this object.'');']);
		  else
		    txt = ['set(obj,obj_prop_str,str2num(new_prop));' ...
		     'set(h_text_status,''string'',''Object ' obj_prop_str ...
			' property set.'')'];
		    eval(txt,['set(h_text_status,''string'','...
			'''Not a valid Property value for this object.'');']);
		  end
		 else
		    set(h_text_status,'string',...
			'Not a valid Property for this object.');
		 end
		  
		end
	    end
	   else
	      set(h_edit_e_propval,'string','');
	      set(h_text_status,'string',['Nothing Set. Use Callback Editor.'])
		  cbked = findobj(get(0,'children'),'flat',...
				'tag','callback_editor');
		  if cbked
		   figure(cbked);
		  else
		    cbk_edtr;
		  end
	   end
	  end

	 else
		set(h_text_status,'string','No objects are selected.')
	 end
	else
		set(h_text_status,'string','Select a Canvas.');
	end
elseif command == 11 
%	disp('h_slide_e_clear selected.') 
elseif command == 12 
	snap_2_grid_val = get(h_ckbx_up_grid,'val');
	auto_clr_edits_val = get(h_ckbx_up_aec,'val');
	auto_obj_name_val = get(h_ckbx_up_anc,'val');
	auto_slid_disp_val = get(h_ckbx_up_sliders,'val');
	snap_v_string = get(h_edit_up_vdiv,'string');
	snap_h_string = get(h_edit_up_hdiv,'string');
	cf_fig_pos = get(gcf,'pos');

	% MOD 4/13/95 
        if isunix
	  gm_upref_file = [getenv('HOME') '/.gm_upref.mat'];
	else
	  gm_upref_file = 'gm_upref.mat';
	end
	flag = 0;
	eval(['save ' gm_upref_file ' snap_2_grid_val auto_clr_edits_val '...
		'auto_obj_name_val snap_v_string snap_h_string '...
		'auto_slid_disp_val cf_fig_pos'],'flag = 1;');

%	save gm_upref snap_2_grid_val auto_clr_edits_val auto_obj_name_val ...
%		      snap_v_string snap_h_string auto_slid_disp_val cf_fig_pos
	if flag == 0	
	  set(h_text_status,'string','User Preferences have been saved.');
	else
	  set(h_text_status,'string','Error: User Preferences not saved.');
	end
elseif command == 13 
	if get(h_ckbx_up_anc,'val') == 1
		  set(h_text_c_objname,'string','Obj.Tag (Optional):');
		  set(h_text_c_string,'string','String/Label (Opt.):');
	else
		  set(h_text_c_objname,'string','Obj. Tag (Reguired):');
		  set(h_text_c_string,'string','String/Label (Opt.):');
	end
elseif command == 14 
elseif command == 15 
%	disp('h_ckbx_up_sliders selected.') 
	hm = findobj(gcf,'tag','hm_modes_edit');
	if get(h_ckbx_up_sliders,'val') == 1
	 set(hm,'visible','on');
	else
	 set(hm,'visible','off');
	end
elseif command == 16 

	handle_up = [ h_push_up_savedef h_ckbx_up_anc h_ckbx_up_aec ...
			h_ckbx_up_sliders h_ckbx_up_grid h_edit_up_vdiv ...
			h_edit_up_hdiv h_text_up_hdiv h_text_up_vdiv ...
		         ];
	if get(h_ckbx_up_grid,'val') == 0
	   oldvals = [get(h_edit_up_vdiv,'userdata') ...
			get(h_edit_up_hdiv,'userdata')];
	   set(h_edit_up_vdiv,'vis','off','string','1000','userdata',1000);
	   set(h_edit_up_hdiv,'vis','off','string','1000','userdata',1000);
	   set(h_text_up_vdiv,'vis','off');
	   set(h_text_up_hdiv,'vis','off');
	   set(h_ckbx_up_grid,'userdata',oldvals);
	   handle_up_v = [ 1 1 1 1 1 0 0 0 0 ];
	   set(hm_options_up,'userdata',[handle_up;handle_up_v])
	else
	   oldvals =  get(h_ckbx_up_grid,'userdata');
	   set(h_edit_up_vdiv,'vis','on',...
		'string',num2str(oldvals(1)),'userdata',oldvals(1));
	   set(h_edit_up_hdiv,'vis','on',...
		'string',num2str(oldvals(2)),'userdata',oldvals(2));
	   set(h_text_up_vdiv,'vis','on');
	   set(h_text_up_hdiv,'vis','on');
	   handle_up_v = [ 1 1 1 1 1 1 1 1 1 ];
	   set(hm_options_up,'userdata',[handle_up;handle_up_v])
	end
elseif command == 17 
%	disp('hm_file_new selected.') 
	create_new = 1;
	set(h_text_status,'string','Hold on...Bringing up New Canvas');
	if create_new == 1
	   figs = get(0,'children');
	   canvas_count = 0;
	   canvas_num = [];
	   for loop = 1:length(figs)
	     figname = get(figs(loop),'name');
	      if length(figname) > 7
	       if strcmp(lower(figname(1:6)),'canvas')
		canvas_count = canvas_count +1;
		% MOD 4/11/95
		paren_loc = findstr(figname,'(');
		if length(paren_loc) == 0
		  last_char_loc = length(figname);
		else
		  last_char_loc = paren_loc-1;
		end
		canvas_num(canvas_count) = str2num(figname(7:last_char_loc));
	       end
	      end
	   end
	   if length(canvas_num) > 0
		canvas_nums = zeros(1,(max(canvas_num)+1));
		canvas_nums(canvas_num) = ones(size(canvas_num));
		[tmp,new_canvas_ind] = find(canvas_nums == 0);
		new_canvas_num = min(new_canvas_ind);
	   else
		new_canvas_num = 1;
	   end
	  set(0,'units','pixels');
	  scrn_pos = get(0,'screensize');
	   fig = figure('name',['Canvas ' num2str(new_canvas_num) ],...
		'menubar','none','units','pixels','position',[10 (scrn_pos(4)-190-277) 395 250],...
		'NumberTitle','off','inter','yes');
	   set(fig,'keypress',['keycomm(' num2str(fig) ');']);
	   cur_can(fig);
	   set(fig,'windowbuttondownfcn',['mouseopr(' num2str(fig) ',1);']);
	end
	set(h_text_status,'string','OK...Canvas Ready.');
elseif command == 18 
elseif command == 19 
elseif command == 20 
elseif command == 21 
elseif command == 22 
elseif command == 23 
%	disp('h_slide_e_xpos selected.') 
elseif command == 24 
%	disp('h_slide_e_ypos selected.') 
elseif command == 25 
%	disp('h_pop_mode selected.') 
	handle_cr = [h_push_c_ok   ...
			h_text_c_objname h_edit_c_objname h_text_c_string ...
			h_edit_c_string h_pop_c_type h_pop_c_uic_type ...
			h_pop_c_uim_type h_pop_c_axes_type h_pop_c_text_type ...
			h_pop_c_other_type];

	handle_fignum = [h_text_fignum h_text_fignum2];

	handle_sel = [h_text_s_listby h_push_s_listby h_pop_s_listby ...
			h_pop_s_choice h_push_s_unselect h_push_s_select ...
			 ];

	handle_edit = [h_push_e_undo h_push_e_delete h_push_e_paste ...
			h_push_e_copy h_push_e_ok h_edit_e_propval ...
			h_text_e_choice h_pop_e_choice h_pop_e_chgshw ];

	handle_edit_s = [h_slide_e_xpos h_slide_e_ypos h_slide_e_clear];

	handle_up = [h_push_up_savedef h_ckbx_up_anc h_ckbx_up_aec ...
			h_ckbx_up_sliders h_ckbx_up_grid h_edit_up_vdiv ...
			h_edit_up_hdiv h_text_up_hdiv h_text_up_vdiv ...
		         ];
	choice = get(h_pop_mode,'val');
	if choice == 1
		if strcmp(get(handle_sel(1),'visible'),'on')
		set(handle_sel,'visible','off'); end
		if strcmp(get(handle_edit(1),'visible'),'on')
		set(handle_edit,'visible','off'); end
		if strcmp(get(handle_edit_s(1),'visible'),'on')
		set(handle_edit_s,'visible','off'); end
		if strcmp(get(handle_up(1),'visible'),'on')
		set(handle_up,'visible','off'); end
		set(handle_cr,'visible','on');
		set(handle_fignum,'visible','on');
		drawnow
		newgui2('h_pop_c_type');
	elseif choice == 2
		set(handle_edit,'visible','off');
		set(handle_edit_s,'visible','off');
		set(handle_up,'visible','off');
		set(handle_cr,'visible','off');
		set(handle_sel,'visible','on');
		set(handle_fignum,'visible','on');
		drawnow
	elseif choice == 3
		set(handle_up,'visible','off');
		set(handle_cr,'visible','off');
		set(handle_sel,'visible','off');
		set(handle_edit,'visible','on');
		set(handle_fignum,'visible','on');
		if get(h_ckbx_up_sliders,'val') == 1
		  set(handle_edit_s,'visible','on');
		end
		drawnow
	elseif choice == 4
		set(handle_cr,'visible','off');
		set(handle_sel,'visible','off');
		set(handle_edit,'visible','off');
		set(handle_edit_s,'visible','off');
		set(handle_fignum,'visible','off');
		set(handle_up,'visible','on');
		drawnow
	end
elseif command == 26 
%	disp('h_pop_c_type selected.') 
	choice = get(h_pop_c_type,'val');
	set([h_pop_c_other_type h_pop_c_text_type h_pop_c_axes_type ...
		h_pop_c_uim_type h_pop_c_uic_type],'visible','off');
	if choice == 1
		set(h_pop_c_uic_type,'visible','on');
	elseif choice == 2
		set(h_pop_c_uim_type,'visible','on');
	elseif choice == 3
		set(h_pop_c_axes_type,'visible','on');
	elseif choice == 4
		set(h_pop_c_text_type,'visible','on');
	elseif choice == 5
		set(h_pop_c_other_type,'visible','on');
	end
elseif command == 27 
%	disp('h_pop_c_uic_type selected.') 
elseif command == 28 
%	disp('h_pop_c_uim_type selected.') 
elseif command == 29 
%	disp('h_pop_c_axes_type selected.') 
elseif command == 30 
%	disp('h_pop_c_text_type selected.') 
elseif command == 31 
%	disp('h_pop_c_other_type selected.') 
elseif command == 32 
%	disp('h_pop_s_listby selected.') 
elseif command == 33 
%	disp('h_pop_s_choice selected.') 
elseif command == 34 
%	disp('h_pop_e_choice selected.') 
elseif command == 35 
%	disp('h_pop_e_chgshw selected.') 
elseif command == 36 
%	disp('hm_help selected.') 
elseif command == 37 
%	disp('hm_help_gen selected.') 
elseif command == 38 
%	disp('hm_options selected.') 
elseif command == 39 
%	disp('hm_options_up selected.') 
elseif command == 40 
%	disp('hm_tools selected.') 
elseif command == 41 
%	disp('hm_tools_objbrowser selected.') 
elseif command == 42 
%	disp('hm_tools_clbkeditor selected.') 
elseif command == 43 
%	disp('hm_modes selected.') 
elseif command == 44 
%	disp('hm_modes_edit selected.') 
elseif command == 45 
%	disp('hm_modes_sel selected.') 
elseif command == 46 
%	disp('hm_modes_cr selected.') 
elseif command == 47 
%	disp('hm_file selected.') 
elseif command == 48 
%	disp('hm_file_quit selected.') 
	ch = get(0,'children');
	fig_list = [
	  findobj(ch,'flat','tag','ng_ld_w') ...
	  	findobj(ch,'flat','tag','ng_sav_w') ...
	 	findobj(ch,'flat','tag','ng_prt_w') ...
	 	findobj(ch,'flat','tag','ng_hlp_w') ...
	 	findobj(ch,'flat','tag','ng_cbr_w') ...
	 	findobj(ch,'flat','tag','ng_mbr_w') ...
	 	findobj(ch,'flat','tag','ng_abr_w') ...
	 	findobj(ch,'flat','tag','ng_tbr_w') ...
	 	findobj(ch,'flat','tag','ng_fbr_w') ...
	 	findobj(ch,'flat','tag','ng_spv_w') ...
	 	findobj(ch,'flat','tag','ng_apv_w') ...
	 	findobj(ch,'flat','tag','ng_aln_w') ...
	 	findobj(ch,'flat','tag','guimaker_palette') ...
	 	findobj(ch,'flat','tag','callback_editor') ...
	 	findobj(ch,'flat','tag','control_figure') ];
	close(fig_list);
elseif command == 49 
%	disp('hm_file_print selected.') 
elseif command == 50 
%	disp('hm_file_save selected.') 
elseif command == 51 
%	disp('hm_file_load selected.') 
elseif command == 52 
%	disp('hm_file_info selected.') 
elseif command == 53 
%	disp('hm_canvas selected.')
else 
	error('Error: newgui2.m called with incorrect command.') 
end 
