function ng_abr_w(command,param1) 
%  Template for uicontrol form. 
%   
%  1. Optional: Replace all occurances of 'ng_abr_w' with desired 'filename'. 
%  2. Optional: Resave this file as that 'filename'. 
%  3. Optional: Fill in the 'elseif command == ...' sections with 
%          code that does something other than display which 
%          uicontrol button was pressed. Be creative! 
%  4. Optional: Change each 'h(index)' ,where index is 1,2,3,.. 
%               to a functionally more descriptive name. 
%  5. Optional: Delete these first 10 comment lines. 
%   
%  ng_abr_w.m 
%   
%  usage:       ng_abr_w(command,parameter1) 
%   
%           where 
%   
%               'command' is used to perform some defined operation 
%               'parameter1' can be used pass extra information 
%                              to a defined operation 
%   
%           If no arguements are used the GUI is initialized. 
%   
%   
%  Created: 23-Feb-95 
%  Using  : GUI Maker Ver 2.0 by Patrick Marchand 
%                         (PRMarchand@aol.com) 
%  Author :  
%  Mods.  :  
%   

% Copyright (c) 1995 by Patrick Marchand
%       Permission is NOT given to modify and re-distribute this
%	code in any manner without written consent from Patrick Marchand.
%       The code can be distributed in its unaltered form as long as it
%       accompanies all files contained within the GUI Maker Version 2.0
%       package of files.  All standard disclaimers apply. 


if nargin == 0 
	command = 'new'; 
end 
if nargin < 2
	param1 = 0;
end

if isstr(command) 
	if strcmp(lower(command),'compile')
	   return;
	end
	if strcmp(lower(command),'initialize') | strcmp(lower(command),'new') 
		command = 0; 
	elseif strcmp(lower(command),lower('h_ed_a_aspect')) 
		command = 1; 
	elseif strcmp(lower(command),lower('h_ed_a_type')) 
		command = 2; 
	elseif strcmp(lower(command),lower('h_ed_a_tag')) 
		command = 3; 
	elseif strcmp(lower(command),lower('h_ed_a_bdfcn')) 
		command = 4; 
	elseif strcmp(lower(command),lower('h_ed_a_apos')) 
		command = 5; 
	elseif strcmp(lower(command),lower('h_pop_a_next')) 
		command = 8; 
	elseif strcmp(lower(command),lower('h_pop_a_box')) 
		command = 9; 
	elseif strcmp(lower(command),lower('h_pop_a_visible')) 
		command = 10; 
	elseif strcmp(lower(command),lower('h_pop_a_clipping')) 
		command = 11; 
	elseif strcmp(lower(command),lower('h_pop_a_drawmode')) 
		command = 15; 
	elseif strcmp(lower(command),lower('h_ed_a_view')) 
		command = 16; 
	elseif strcmp(lower(command),lower('h_ed_a_fcolor')) 
		command = 17; 
	elseif strcmp(lower(command),lower('h_pop_a_inter')) 
		command = 18; 
	elseif strcmp(lower(command),lower('h_pop_a_units')) 
		command = 19; 
	elseif strcmp(lower(command),lower('h_pop_a_xgrid')) 
		command = 20; 
	elseif strcmp(lower(command),lower('h_ed_a_xlim')) 
		command = 21; 
	elseif strcmp(lower(command),lower('h_pop_a_ygrid')) 
		command = 22; 
	elseif strcmp(lower(command),lower('h_ed_a_ylim')) 
		command = 23;
	end 
end 

if command ~= 0 
	handle_list = get(gcf,'userdata'); 
	if length(handle_list) > 0 
		h_frame_a_tbrw = handle_list(1); 
		h_ed_a_aspect = handle_list(2); 
		h_ed_a_type = handle_list(3); 
		h_ed_a_tag = handle_list(4); 
		h_ed_a_bdfcn = handle_list(5); 
		h_ed_a_apos = handle_list(6); 
		h_pop_a_next = handle_list(7); 
		h_pop_a_box = handle_list(8); 
		h_t_a_aspect = handle_list(9); 
		h_t_a_fcolor = handle_list(10); 
		h_t_a_view = handle_list(11); 
		h_t_a_next = handle_list(12); 
		h_t_a_drawmode = handle_list(13); 
		h_t_a_apos = handle_list(14); 
		h_t_a_box = handle_list(15); 
		h_a_t_bdf = handle_list(16); 
		h_a_t_clip = handle_list(17); 
		h_a_t_tag = handle_list(18); 
		h_a_t_type = handle_list(19); 
		h_a_t_vis = handle_list(20); 
		h_pop_a_visible = handle_list(21); 
		h_pop_a_clipping = handle_list(22); 
		h_pop_a_drawmode= handle_list(23); 
		h_ed_a_view = handle_list(24); 
		h_ed_a_fcolor = handle_list(25); 
		h_a_t_inter = handle_list(26);
		h_pop_a_inter = handle_list(27);
		h_t_a_units = handle_list(28);
		h_t_a_xgrid = handle_list(29);
		h_t_a_xlim = handle_list(30);
		h_t_a_ygrid = handle_list(31);
		h_t_a_ylim = handle_list(32);
		h_pop_a_units = handle_list(33);
		h_pop_a_xgrid = handle_list(34);
		h_ed_a_xlim = handle_list(35);
		h_pop_a_ygrid = handle_list(36);
		h_ed_a_ylim= handle_list(37);
		
	end 
end 

if command > 0
	wf = findobj(get(0,'children'),'flat','tag','working_figure');

	if wf
	    ax_objs = findobj(wf,'type','axes','selected','on');
	else
	end
end

cf =findobj(get(0,'children'),'flat','tag','control_figure');
st =findobj(cf,'tag','h_text_status');
if command == 0
  set(st,'string','OK...Axes Browser almost up.');
else
  set(st,'string','');
end

err_string = ['cf =findobj(get(0,''children''),''flat'',''tag'',''control_figure'');'...
	      'st =findobj(cf,''tag'',''h_text_status'');'...
	      'set(st,''string'',''Error in setting property. Check format.'');'];

if command == 0 

	fig = findobj(get(0,'children'),'flat','tag','ng_abr_w');
	if length(fig) > 0
	   figure(fig);
	   set(fig,'visible','on');
	   ng_abr_w(50);
	   return
	end

	set(0,'units','pixels');
	spos = get(0,'screensize');
	fig_ng_tbr = figure('position',[ 415 (spos(4)-80-123-240) 337 123 ],...
		'resize','off',...
		'tag','ng_abr_w','visible','off','menubar','none',...
		'name','Axes Browser','NumberTitle','off'); 

	%  Uicontrol Object Creation 

	h_frame_a_tbrw = uicontrol(... 
		'CallBack','ng_abr_w(''h_frame_a_tbrw'');',... 
		'Position',[ 0 0 1 1 ],... 
		'Enable','off',... 
		'Style','frame',... 
		'Backgroundcolor',[.8 .7 .7],...
		'Units','normalized',... 
		'Tag','h_frame_a_tbrw',... 
		'UserData',''); 
	h_t_a_aspect = uicontrol(... 
		'CallBack','ng_abr_w(''h_t_a_aspect'');',... 
		'Position',[ 0.04 0.815 0.35 0.158 ],... 
		'String','AspectRatio:',... 
		'Style','text',... 
		'Backgroundcolor',[.8 .7 .7],...
		'Units','normalized',... 
		'Tag','h_t_a_aspect',... 
		'UserData',''); 
	h_ed_a_aspect = uicontrol(... 
		'CallBack','ng_abr_w(''h_ed_a_aspect'');',... 
		'Position',[ 0.42 0.815 0.55 0.158 ],... 
		'String','',... 
		'Style','edit',... 
		'Units','normalized',... 
		'Tag','h_ed_a_aspect',... 
		'UserData',''); 
	h_t_a_fcolor = uicontrol(... 
		'CallBack','ng_abr_w(''h_t_a_fcolor'');',... 
		'Position',[ 0.04 0.657 0.35 0.158 ],... 
		'String','Color:',... 
		'Style','text',... 
		'Backgroundcolor',[.8 .7 .7],...
		'Units','normalized',... 
		'Tag','h_t_a_fcolor',... 
		'UserData',''); 
	h_ed_a_fcolor = uicontrol(... 
		'CallBack','ng_abr_w(''h_ed_a_fcolor'');',... 
		'Position',[ 0.42 0.657 0.55 0.158 ],... 
		'String','',... 
		'Style','edit',... 
		'Units','normalized',... 
		'Value',[ 1 ],... 
		'Tag','h_ed_a_fcolor',... 
		'UserData',''); 
	h_t_a_view = uicontrol(... 
		'CallBack','ng_abr_w(''h_t_a_view'');',... 
		'Position',[ 0.04 0.499 0.35 0.158 ],... 
		'String','View:',... 
		'Style','text',... 
		'Backgroundcolor',[.8 .7 .7],...
		'Units','normalized',... 
		'Tag','h_t_a_view',... 
		'UserData',''); 
	h_ed_a_view = uicontrol(... 
		'CallBack','ng_abr_w(''h_ed_a_view'');',... 
		'Position',[ 0.42 0.499 0.55 0.158 ],... 
		'String','',... 
		'Style','edit',... 
		'Units','normalized',... 
		'Tag','h_ed_a_view',... 
		'UserData',''); 
	h_t_a_box = uicontrol(... 
		'CallBack','ng_abr_w(''h_t_a_box'');',... 
		'Position',[ 0.04 0.341 0.35 0.158 ],... 
		'String','Box:',... 
		'Style','text',... 
		'Backgroundcolor',[.8 .7 .7],...
		'Units','normalized',... 
		'Tag','h_t_a_box',... 
		'UserData',''); 
	h_pop_a_box = uicontrol(... 
		'CallBack','ng_abr_w(''h_pop_a_box'');',... 
		'Position',[ 0.42 0.341 0.55 0.158 ],... 
		'String','on|off|Not all Identical',... 
		'Style','popupmenu',... 
		'Units','normalized',... 
		'Value',[ 1 ],... 
		'Tag','h_pop_a_box',... 
		'UserData',''); 
	h_t_a_next = uicontrol(... 
		'CallBack','ng_abr_w(''h_t_a_next'');',... 
		'Position',[ 0.04 0.183 0.35 0.158 ],... 
		'String','NextPlot:',... 
		'Style','text',... 
		'Backgroundcolor',[.8 .7 .7],...
		'Units','normalized',... 
		'Tag','h_t_a_next',... 
		'UserData',''); 
	h_pop_a_next = uicontrol(... 
		'CallBack','ng_abr_w(''h_pop_a_next'');',... 
		'Position',[ 0.42 0.183 0.55 0.158 ],... 
		'String','new|add|replace|Not all Identical',... 
		'Style','popupmenu',... 
		'Units','normalized',... 
		'Tag','h_pop_a_next',... 
		'UserData',''); 
	h_t_a_drawmode = uicontrol(... 
		'CallBack','ng_abr_w(''h_t_a_drawmode'');',... 
		'Position',[ 0.04 0.025 0.35 0.158 ],... 
		'String','DrawMode:',... 
		'Style','text',... 
		'Backgroundcolor',[.8 .7 .7],...
		'Units','normalized',... 
		'Tag','h_t_a_drawmode',... 
		'Visible','off',...
		'UserData',''); 
	h_pop_a_drawmode= uicontrol(... 
		'CallBack','ng_abr_w(''h_pop_a_drawmode'');',... 
		'Max',[ 4 ],... 
		'Min',[ 1 ],... 
		'Position',[ 0.42 0.025 0.55 0.158 ],... 
		'String','normal|fast|All Not Identical',... 
		'Style','popupmenu',... 
		'Units','normalized',... 
		'Value',[ 1 ],... 
		'Visible','off',...
		'Tag','h_pop_a_drawmode',... 
		'UserData',''); 
	h_t_a_apos = uicontrol(... 
		'CallBack','ng_abr_w(''h_t_a_apos'');',... 
		'Position',[ 0.04 0.815 0.35 0.158 ],... 
		'String','Position:',... 
		'Style','text',... 
		'Backgroundcolor',[.8 .7 .7],...
		'Units','normalized',... 
		'Tag','h_t_a_apos',... 
		'UserData',''); 
	h_ed_a_apos = uicontrol(... 
		'CallBack','ng_abr_w(''h_ed_a_apos'');',... 
		'Position',[ 0.42 0.815 0.55 0.158 ],... 
		'Style','edit',... 
		'Units','normalized',... 
		'Tag','h_ed_a_apos',... 
		'UserData',''); 
	h_t_a_units = uicontrol(... 
		'CallBack','ng_abr_w(''h_t_a_units'');',... 
		'Position',[ 0.04 0.657 0.35 0.158 ],... 
		'String','Units:',... 
		'Style','text',... 
		'Backgroundcolor',[.8 .7 .7],...
		'Units','normalized',... 
		'Tag','h_t_a_units',... 
		'UserData',''); 
	h_pop_a_units = uicontrol(... 
		'CallBack','ng_abr_w(''h_pop_a_units'');',... 
		'Position',[ 0.42 0.657 0.55 0.158 ],... 
		'Style','popupmenu',... 
		'String','inches|centimeters|normalized|points|pixels|Not all Identical',...
		'Units','normalized',... 
		'Tag','h_pop_a_units',... 
		'UserData',''); 
	h_t_a_xgrid = uicontrol(... 
		'CallBack','ng_abr_w(''h_t_a_xgrid'');',... 
		'Position',[ 0.04 0.499 0.35 0.158 ],... 
		'String','XGrid:',... 
		'Style','text',... 
		'Backgroundcolor',[.8 .7 .7],...
		'Units','normalized',... 
		'Tag','h_t_a_xgrid',... 
		'UserData',''); 
	h_pop_a_xgrid = uicontrol(... 
		'CallBack','ng_abr_w(''h_pop_a_xgrid'');',... 
		'Position',[ 0.42 0.499 0.55 0.158 ],... 
		'Style','popupmenu',... 
		'String','on|off|Not all Identical',...
		'Units','normalized',... 
		'Tag','h_pop_a_xgrid',... 
		'UserData',''); 
	h_t_a_xlim = uicontrol(... 
		'CallBack','ng_abr_w(''h_t_a_xlim'');',... 
		'Position',[ 0.04 0.341 0.35 0.158 ],... 
		'String','XLim:',... 
		'Style','text',... 
		'Backgroundcolor',[.8 .7 .7],...
		'Units','normalized',... 
		'Tag','h_t_a_xlim',... 
		'UserData',''); 
	h_ed_a_xlim = uicontrol(... 
		'CallBack','ng_abr_w(''h_ed_a_xlim'');',... 
		'Position',[ 0.42 0.341 0.55 0.158 ],... 
		'Style','edit',... 
		'String','',...
		'Units','normalized',... 
		'Tag','h_ed_a_xlim',... 
		'UserData',''); 
	h_t_a_ygrid = uicontrol(... 
		'CallBack','ng_abr_w(''h_t_a_ygrid'');',... 
		'Position',[ 0.04 0.183 0.35 0.158 ],... 
		'String','YGrid:',... 
		'Style','text',... 
		'Backgroundcolor',[.8 .7 .7],...
		'Units','normalized',... 
		'Tag','h_t_a_ygrid',... 
		'UserData',''); 
	h_pop_a_ygrid = uicontrol(... 
		'CallBack','ng_abr_w(''h_pop_a_ygrid'');',... 
		'Position',[ 0.42 0.183 0.55 0.158 ],... 
		'Style','popupmenu',... 
		'String','on|off|Not all Identical',...
		'Units','normalized',... 
		'Tag','h_pop_a_ygrid',... 
		'UserData',''); 
	h_t_a_ylim = uicontrol(... 
		'CallBack','ng_abr_w(''h_t_a_ylim'');',... 
		'Position',[ 0.04 0.025 0.35 0.158 ],... 
		'String','YLim:',... 
		'Style','text',... 
		'Backgroundcolor',[.8 .7 .7],...
		'Units','normalized',... 
		'Tag','h_t_a_ylim',... 
		'UserData',''); 
	h_ed_a_ylim = uicontrol(... 
		'CallBack','ng_abr_w(''h_ed_a_ylim'');',... 
		'Position',[ 0.42 0.025 0.55 0.158 ],... 
		'Style','edit',... 
		'String','',...
		'Units','normalized',... 
		'Tag','h_ed_a_ylim',... 
		'UserData',''); 
	h_a_t_bdf = uicontrol(... 
		'CallBack','ng_abr_w(''h_a_t_bdf'');',... 
		'Position',[ 0.04 0.815 0.35 0.158 ],... 
		'String','ButtonDownFcn:',... 
		'Style','text',... 
		'Backgroundcolor',[.8 .7 .7],...
		'Units','normalized',... 
		'Tag','h_a_t_bdf',... 
		'UserData',''); 
	h_ed_a_bdfcn = uicontrol(... 
		'CallBack','ng_abr_w(''h_ed_a_bdfcn'');',... 
		'Position',[ 0.42 0.815 0.55 0.158 ],... 
		'Style','edit',... 
		'Units','normalized',... 
		'Tag','h_ed_a_bdfcn',...
		'Enable','off',... 
		'UserData',''); 
	h_a_t_clip = uicontrol(... 
		'CallBack','ng_abr_w(''h_a_t_clip'');',... 
		'Position',[ 0.04 0.657 0.35 0.158 ],... 
		'String','Clipping:',... 
		'Style','text',... 
		'Backgroundcolor',[.8 .7 .7],...
		'Units','normalized',... 
		'Tag','h_a_t_clip',... 
		'UserData',''); 
	h_pop_a_clipping = uicontrol(... 
		'CallBack','ng_abr_w(''h_pop_a_clipping'');',... 
		'Max',[ 2 ],... 
		'Min',[ 1 ],... 
		'Position',[ 0.42 0.657 0.55 0.158 ],... 
		'String','on|off|All Not Identical',... 
		'Style','popupmenu',... 
		'Units','normalized',... 
		'Value',[ 1 ],... 
		'Tag','h_pop_a_clipping',... 
		'UserData',''); 
	h_a_t_tag = uicontrol(... 
		'CallBack','ng_abr_w(''h_a_t_tag'');',... 
		'Position',[ 0.04 0.499 0.35 0.158 ],... 
		'String','Tag:',... 
		'Style','text',... 
		'Backgroundcolor',[.8 .7 .7],...
		'Units','normalized',... 
		'Tag','h_a_t_tag',... 
		'UserData',''); 
	h_ed_a_tag = uicontrol(... 
		'CallBack','ng_abr_w(''h_ed_a_tag'');',... 
		'Position',[ 0.42 0.499 0.55 0.158 ],... 
		'Style','edit',... 
		'Units','normalized',... 
		'Tag','h_ed_a_tag',... 
		'UserData',''); 
	h_a_t_type = uicontrol(... 
		'CallBack','ng_abr_w(''h_a_t_type'');',... 
		'Position',[ 0.04 0.341 0.35 0.158 ],... 
		'String','Type:',... 
		'Style','text',... 
		'Backgroundcolor',[.8 .7 .7],...
		'Units','normalized',... 
		'Tag','h_a_t_type',... 
		'UserData',''); 
	h_ed_a_type = uicontrol(... 
		'CallBack','ng_abr_w(''h_ed_a_type'');',... 
		'Position',[ 0.42 0.341 0.55 0.158 ],... 
		'String','axes',... 
		'Style','edit',... 
		'Units','normalized',... 
		'Tag','h_ed_a_type',... 
		'UserData',''); 
	h_a_t_vis = uicontrol(... 
		'CallBack','ng_abr_w(''h_a_t_vis'');',... 
		'Position',[ 0.04 0.183 0.35 0.158 ],... 
		'String','Visible:',... 
		'Style','text',... 
		'Backgroundcolor',[.8 .7 .7],...
		'Units','normalized',... 
		'Tag','h_a_t_vis',... 
		'UserData',''); 
	h_pop_a_visible = uicontrol(... 
		'CallBack','ng_abr_w(''h_pop_a_visible'');',... 
		'Max',[ 2 ],... 
		'Min',[ 1 ],... 
		'Position',[ 0.42 0.183 0.55 0.158 ],... 
		'String','on|off|All Not Identical',... 
		'Style','popupmenu',... 
		'Units','normalized',... 
		'Value',[ 1 ],... 
		'Tag','h_pop_a_visible',... 
		'UserData',''); 
	h_a_t_inter = uicontrol(... 
		'CallBack','ng_abr_w(''h_a_t_inter'');',... 
		'Position',[ 0.04 0.025 0.35 0.158 ],... 
		'String','Interruptible:',... 
		'Style','text',... 
		'Backgroundcolor',[.8 .7 .7],...
		'Units','normalized',... 
		'Tag','h_a_t_inter',... 
		'Visible','off',...
		'UserData',''); 
	h_pop_a_inter = uicontrol(... 
		'CallBack','ng_abr_w(''h_pop_a_inter'');',... 
		'Max',[ 2 ],... 
		'Min',[ 1 ],... 
		'Position',[ 0.42 0.025 0.55 0.158 ],... 
		'String','on|off|All Not Identical',... 
		'Style','popupmenu',... 
		'Units','normalized',... 
		'Value',[ 1 ],... 
		'Visible','off',...
		'Tag','h_pop_a_inter',... 
		'UserData',''); 


	%  Menu Object Creation 

	h_uim_prop = uimenu('label','Property');
	h_uim_prop_list  = uimenu(h_uim_prop,'label','List');
	c_string = ['fh = findobj(get(0,''children''),''flat'',''tag'',''ng_abr_w'');'...
			'm1 = findobj(fh,''tag'',''h_uim_plist_font'');'...
			'm2 = findobj(fh,''tag'',''h_uim_plist_pos'');'...
			'm3 = findobj(fh,''tag'',''h_uim_plist_misc'');'...
			'set(get(m3,''userdata''),''visible'',''off'');set(m3,''checked'',''off'');'...
			'set(get(m2,''userdata''),''visible'',''off'');set(m2,''checked'',''off'');'...
			'set(get(m1,''userdata''),''visible'',''on'');set(m1,''checked'',''on'');'];
	h_uim_plist_font =uimenu(h_uim_prop_list,'label','Aspect, View, ...',...
			'tag','h_uim_plist_font','userdata',...
			[h_t_a_fcolor h_t_a_view h_t_a_next h_t_a_box ...
			h_t_a_aspect h_t_a_drawmode h_pop_a_drawmode h_ed_a_aspect ...
			h_pop_a_next h_pop_a_box ...
			h_ed_a_view h_ed_a_fcolor]','callback',c_string);
	c_string = ['fh = findobj(get(0,''children''),''flat'',''tag'',''ng_abr_w'');'...
			'm1 = findobj(fh,''tag'',''h_uim_plist_font'');'...
			'm2 = findobj(fh,''tag'',''h_uim_plist_pos'');'...
			'm3 = findobj(fh,''tag'',''h_uim_plist_misc'');'...
			'set(get(m1,''userdata''),''visible'',''off'');set(m1,''checked'',''off'');'...
			'set(get(m3,''userdata''),''visible'',''off'');set(m3,''checked'',''off'');'...
			'set(get(m2,''userdata''),''visible'',''on'');set(m2,''checked'',''on'');'];
	h_uim_plist_pos = uimenu(h_uim_prop_list,'label','Position, Lim and Grid Attributes',...
			'tag','h_uim_plist_pos','userdata',[h_t_a_apos ...
				h_ed_a_apos h_t_a_units h_t_a_xgrid h_t_a_xlim ...
				h_t_a_ygrid h_t_a_ylim h_pop_a_units h_pop_a_xgrid ...
				h_ed_a_xlim ...
				h_pop_a_ygrid h_ed_a_ylim]','callback',c_string);
	c_string = ['fh = findobj(get(0,''children''),''flat'',''tag'',''ng_abr_w'');'...
			'm1 = findobj(fh,''tag'',''h_uim_plist_font'');'...
			'm2 = findobj(fh,''tag'',''h_uim_plist_pos'');'...
			'm3 = findobj(fh,''tag'',''h_uim_plist_misc'');'...
			'set(get(m1,''userdata''),''visible'',''off'');set(m1,''checked'',''off'');'...
			'set(get(m2,''userdata''),''visible'',''off'');set(m2,''checked'',''off'');'...
			'set(get(m3,''userdata''),''visible'',''on'');set(m3,''checked'',''on'');'];

	h_uim_plist_misc = uimenu(h_uim_prop_list,'label','Other Attributes',...
			'tag','h_uim_plist_misc','userdata',[h_a_t_clip h_a_t_tag ...
			h_a_t_type h_a_t_vis h_a_t_bdf h_ed_a_type h_ed_a_tag ...
			h_ed_a_bdfcn h_pop_a_visible h_pop_a_clipping...
			]',...
			'callback',c_string);
	h_uim_prop_get = uimenu(h_uim_prop,'label','GET',...
		'callback','ng_abr_w(50)');
	h_uim_opt = uimenu('label','Options');
	h_uim_opt_hide = uimenu(h_uim_opt,'label','Hide Text Browser',...
		'callback',['set(findobj(get(0,''children''),''flat'',' ...
		'''tag'',''ng_abr_w''),''visible'',''off'');']);
%	h_uim_opt_close = uimenu(h_uim_opt,'label','Close Text Browser',...
%		'callback',['close(findobj(get(0,''children''),''flat'','...
%		'''tag'',''ng_abr_w''));']);

	%  Axes and Text Object Creation 




	handle_list = [ ...  
	 	 h_frame_a_tbrw h_ed_a_aspect h_ed_a_type ... 
	 	h_ed_a_tag h_ed_a_bdfcn h_ed_a_apos ... 
	 	h_pop_a_next h_pop_a_box h_t_a_aspect ... 
	 	h_t_a_fcolor h_t_a_view ... 
	 	h_t_a_next h_t_a_drawmode h_t_a_apos... 
	 	h_t_a_box h_a_t_bdf ... 
	 	h_a_t_clip h_a_t_tag h_a_t_type h_a_t_vis ... 
	 	h_pop_a_visible h_pop_a_clipping ... 
	 	h_pop_a_drawmode h_ed_a_view h_ed_a_fcolor ... 
	 	h_a_t_inter h_pop_a_inter h_t_a_units h_t_a_xgrid h_t_a_xlim ...
		h_t_a_ygrid h_t_a_ylim h_pop_a_units h_pop_a_xgrid ...
		h_ed_a_xlim h_pop_a_ygrid h_ed_a_ylim]; 

	eval(get(h_uim_plist_font,'callback'));
	pause(.1);
	set(fig_ng_tbr,'userdata',handle_list); 
	ng_abr_w(50);
	if nargin < 2 | (nargin == 2 & param1 ~= 999)
	  set(fig_ng_tbr,'visible','on');
	end

elseif command == 1 
	%disp('h_ed_a_aspect selected.') 
	if length(ax_objs) > 0
	   col = str2num(get(h_ed_a_aspect,'string'));
	   eval(['set(ax_objs,''aspect'',col)'],err_string);
	end
elseif command == 2 
	%disp('h_ed_a_type selected.') 
elseif command == 3 
	%disp('h_ed_a_tag selected.') 
	if length(ax_objs) == 1
	   tag = get(h_ed_a_tag,'string');
		  if length(findobj(wf,'tag',tag)) == 0
		   if length(tag) == 0
		     set(st,'string',['Tag must be legal.']);
		   else
		    oldtag = get(ax_objs,'tag');
	            eval(['set(ax_objs,''tag'',tag);'...
		        'set(ax_objs,''callback'','...
			'strrep(get(ax_objs,''callback''),oldtag,tag));'],...
			err_string);
		   end
		  else
		   set(st,'string',['Another object already' ...
			' has this tag.'])
		  end
%	   eval(['set(ax_objs,''tag'',tag)'],err_string);
	else
		set(st,'string','Every object''s tag must be unique.');
	end
elseif command == 4 
	%disp('h_ed_a_bdfcn selected.') 
	if length(ax_objs) > 0
	   propval = get(h_ed_a_bdfcn,'string');
	   eval(['set(ax_objs,''buttondownfcn'',propval)'],err_string);
	end
elseif command == 5 
	%disp('h_ed_a_apos selected.') 
	if length(ax_objs) > 0
	   propstr = (get(h_ed_a_apos,'string'));
	   propstr = strrep(propstr,'-','NaN');
	   proppos = eval(propstr);
	   proppos_ind = find(~isnan(proppos));
	
	   for loop = 1:length(ax_objs)
	    oldpos = get(ax_objs(loop),'position');
	    newpos = oldpos;
 	    newpos(proppos_ind) = proppos(proppos_ind);
	    eval(['set(ax_objs(loop),''position'', newpos )'],err_string);
	  end
	end
elseif command == 8 
	%disp('h_pop_a_next selected.') 
	if length(ax_objs) > 0
	   propval = get(h_pop_a_next,'val');
	   propstr = get(h_pop_a_next,'string');
	   objpropstr = deblank(propstr(propval,:));
	      eval(['set(ax_objs,''NextPlot'',''' objpropstr ''')'],...
		err_string);
	end
elseif command == 9 
	%disp('h_pop_a_box selected.') 
	if length(ax_objs) > 0
	   propval = get(h_pop_a_box,'val');
	   propstr = get(h_pop_a_box,'string');
	   objpropstr = deblank(propstr(propval,:));
	      eval(['set(ax_objs,''box'',''' objpropstr ''')'],...
		err_string);
	end
elseif command == 10 
	%disp('h_pop_a_visible selected.') 
	if length(ax_objs) > 0
	   propval = get(h_pop_a_visible,'val');
	   propstr = get(h_pop_a_visible,'string');
	   objpropstr = deblank(propstr(propval,:));
	      eval(['set(ax_objs,''visible'',''' objpropstr ''')'],...
		err_string);
	end
elseif command == 11 
	%disp('h_pop_a_clipping selected.') 
	if length(ax_objs) > 0
	   propval = get(h_pop_a_clipping,'val');
	   propstr = get(h_pop_a_clipping,'string');
	   objpropstr = deblank(propstr(propval,:));
	     eval(['set(ax_objs,''clipping'',''' objpropstr ''')'],...
		err_string);
	end
elseif command == 15 
	%disp('h_pop_a_drawmode selected.') 
	if length(ax_objs) > 0
	   propval = get(h_pop_a_drawmode,'val');
	   propstr = get(h_pop_a_drawmode,'string');
	   objpropstr = deblank(propstr(propval,:));
	   eval(['set(ax_objs,''drawmode'',''' objpropstr ''')'],...
		err_string);
	end
elseif command == 16 
	%disp('h_ed_a_view selected.') 
	if length(ax_objs) > 0
	   propstr = str2num(get(h_ed_a_view,'string'));
	   eval(['set(ax_objs,''view'', propstr )'],...
		err_string);
	end
elseif command == 17 
	%disp('h_ed_a_fcolor selected.') 
	if length(ax_objs) > 0
	   propval = (get(h_ed_a_fcolor,'string'));
%	   if length(findstr(propval,'none')) > 0
%	     eval(['set(ax_objs,''color'',''' propval ''')'],err_string);
%	   else
%	     eval(['set(ax_objs,''color'',' propval ')'],err_string);
%	   end
	   if length(str2num(propval)) == 0
	     eval(['set(ax_objs,''color'',''' propval ''')'],err_string);
	   else
	     eval(['set(ax_objs,''color'',' propval ')'],err_string);
	   end
	end
elseif command == 18 
	%disp('h_pop_a_inter selected.') 
	if length(ax_objs) > 0
	   propval = get(h_ed_a_inter,'val');
	   propstr = get(h_ed_a_inter,'string');
	   objpropstr = deblank(propstr(propval,:));
	   eval(['set(ax_objs,''interruptible'',''' objpropstr ''')'],...
		err_string);
	end
elseif command == 19 
	%disp('h_pop_a_units selected.') 
	if length(ax_objs) > 0
	   propval = get(h_pop_a_units,'val');
	   propstr = get(h_pop_a_units,'string');
	   objpropstr = deblank(propstr(propval,:));
	   eval(['set(ax_objs,''units'',''' objpropstr ''')'],...
		err_string);
	   ng_abr_w(50);
	end
elseif command == 20 
	%disp('h_pop_a_xgrid selected.') 
	if length(ax_objs) > 0
	   propval = get(h_pop_a_xgrid,'val');
	   propstr = get(h_pop_a_xgrid,'string');
	   objpropstr = deblank(propstr(propval,:));
	   eval(['set(ax_objs,''xgrid'',''' objpropstr ''')'],...
		err_string);
	end
elseif command == 21 
	%disp('h_ed_a_xlim selected.') 
	if length(ax_objs) > 0
	   propstr = str2num(get(h_ed_a_xlim,'string'))
	   eval(['set(ax_objs,''xlim'', propstr )'],...
		err_string);
	end
elseif command == 22 
	%disp('h_pop_a_ygrid selected.') 
	if length(ax_objs) > 0
	   propval = get(h_pop_a_ygrid,'val');
	   propstr = get(h_pop_a_ygrid,'string');
	   objpropstr = deblank(propstr(propval,:));
	   eval(['set(ax_objs,''ygrid'',''' objpropstr ''')'],...
		err_string);
	end
elseif command == 23 
	%disp('h_ed_a_ylim selected.') 
	if length(ax_objs) > 0
	   propstr = str2num(get(h_ed_a_ylim,'string'));
	   eval(['set(ax_objs,''ylim'', propstr )'],...
		err_string);
	end
elseif command == 50
    if length(ax_objs) > 0
	
	property_list = str2mat('clipping','visible','interruptible','nextplot',...
			'xgrid','ygrid','units','box','drawmode');
	handle_prop_list = [h_pop_a_clipping h_pop_a_visible h_pop_a_inter ...
		h_pop_a_next h_pop_a_xgrid h_pop_a_ygrid h_pop_a_units ...
		h_pop_a_box h_pop_a_drawmode];

	fig = findobj(get(0,'children'),'flat','tag','ng_abr_w');
	if length(ax_objs) == 1
	  set(fig,'name',['Axes Browser for (' get(ax_objs,'tag') ')']);
	else
	  set(fig,'name',['Axes Browser for (Mult. Axes Objs.)']);
	end

	for loop = 1:size(property_list,1)
	   property = deblank(property_list(loop,:));
	   flag_not_all_same = 0;
	   for loop2 = 1:length(ax_objs)
	      property_value = get(ax_objs(loop2),property);
	      if loop2 > 1
		if ~strcmp(first_prop_val,property_value)
		   flag_not_all_same = 1; break;
		end
	      else
		first_prop_val = property_value;
	      end
	   end
	   pos_vals = get(handle_prop_list(loop),'string');
	   for loop1 = 1:size(pos_vals,1)
	    if strcmp(lower(deblank(pos_vals(loop1,:))),property_value) & ...
		flag_not_all_same == 0
	      set(handle_prop_list(loop),'val',loop1);break
	    elseif loop1 == size(pos_vals,1)
	      set(handle_prop_list(loop),'val',loop1);
	    end
	    drawnow;
	   end
	end

	property_list = str2mat('aspect','xlim','ylim',...
			'view');
	handle_prop_list = [h_ed_a_aspect h_ed_a_xlim h_ed_a_ylim...
			h_ed_a_view];

	for loop = 1:size(property_list,1)
	   property = deblank(property_list(loop,:));
	   flag_not_all_same = 0;
	   for loop2 = 1:length(ax_objs)
	      property_value = get(ax_objs(loop2),property);
	      if loop2 > 1
		if ~prod(first_prop_val == property_value)
		   flag_not_all_same = 1; break;
		end
	      else
		first_prop_val = property_value;
	      end
	   end
	   if flag_not_all_same == 0
		set(handle_prop_list(loop),'string',mat2str2(round(property_value*100)/100));
	   else
		set(handle_prop_list(loop),'string','');
	   end
	end

	property_list = str2mat('color');
	handle_prop_list = [h_ed_a_fcolor];

	for loop = 1:size(property_list,1)
	   property = deblank(property_list(loop,:));
	   flag_not_all_same = 0;
	   for loop2 = 1:length(ax_objs)
	      property_value = get(ax_objs(loop2),property);
	      if loop2 > 1
		eval(['if ~prod(first_prop_val == property_value);'...
		        'flag_not_all_same = 1; break;'...
		      'end;'],'flag_not_all_same = 1; break;')
	      else
		first_prop_val = property_value;
	      end
	   end
	   if flag_not_all_same == 0
		if isstr(first_prop_val)
		  eval(['set(handle_prop_list(loop),''string'', '...
			'first_prop_val);'],...
			['set(handle_prop_list(loop),''string'','''')']);
		else
		  eval(['set(handle_prop_list(loop),''string'', '...
			'mat2str2(round(property_value*100)/100));'],...
			['set(handle_prop_list(loop),''string'','''')']);
		end
	   else
		set(handle_prop_list(loop),'string','');
	   end
	end

	property_list = str2mat('buttondownfcn','tag');
	handle_prop_list = [h_ed_a_bdfcn h_ed_a_tag];

	for loop = 1:size(property_list,1)
	   property = deblank(property_list(loop,:));
	   flag_not_all_same = 0;
	   for loop2 = 1:length(ax_objs)
	      property_value = get(ax_objs(loop2),property);
	      if loop2 > 1
		if ~strcmp(first_prop_val,property_value)
		   flag_not_all_same = 1; break;
		end
	      else
		first_prop_val = property_value;
	      end
	   end
	   if flag_not_all_same == 0
		set(handle_prop_list(loop),'string',property_value);
	   else
		set(handle_prop_list(loop),'string','');
	   end
	end

	property_list = 'position';
	handle_prop_list = [h_ed_a_apos];

	for loop = 1:size(property_list,1)
	   property = deblank(property_list(loop,:));
	   flag_not_all_same = [0 0 0 0];
	   for loop2 = 1:length(ax_objs)
	      property_value = get(ax_objs(loop2),property);
	      if loop2 > 1
		if first_prop_val(1) ~= property_value(1)
		   flag_not_all_same(1) = 1;
		   first_prop_val(1) = NaN;
		end
		if first_prop_val(2) ~= property_value(2)
		   flag_not_all_same(2) = 1;
		   first_prop_val(2) = NaN;
		end
		if first_prop_val(3) ~= property_value(3)
		   flag_not_all_same(3) = 1;
		   first_prop_val(3) = NaN;
		end
		if first_prop_val(4) ~= property_value(4)
		   flag_not_all_same(4) = 1;
		   first_prop_val(4) = NaN;
		end
		if prod(flag_not_all_same)
		   break
		end
	      else
		first_prop_val = property_value;
	      end
	   end
	  pos_string = mat2str2(round(first_prop_val*100)/100);
	  set(handle_prop_list(loop),'string',pos_string);
	end
     end
    set(st,'string','Properties Gotten.');
else 
	error('Error: ng_abr_w.m called with incorrect command.') 
end 
