function ng_aln_w(command,param1) 
%  Template for uicontrol form. 
%   
%  1. Optional: Replace all occurances of 'ng_aln_w' with desired 'filename'. 
%  2. Optional: Resave this file as that 'filename'. 
%  3. Optional: Fill in the 'elseif command == ...' sections with 
%          code that does something other than display which 
%          uicontrol button was pressed. Be creative! 
%  4. Optional: Change each 'h(index)' ,where index is 1,2,3,.. 
%               to a functionally more descriptive name. 
%  5. Optional: Delete these first 10 comment lines. 
%   
%  ng_aln_w.m 
%   
%  usage:       ng_aln_w(command,parameter1) 
%   
%           where 
%   
%               'command' is used to perform some defined operation 
%               'parameter1' can be used pass extra information 
%                              to a defined operation 
%   
%           If no arguements are used the GUI is initialized. 
%   
%   
%  Created: 21-Feb-95 
%  Using  : GUI Maker Ver 2.0 by Patrick Marchand 
%                         (PRMarchand@aol.com) 
%  Author :  PRM
%  Mods.  :  
%   

% Copyright (c) 1995 by Patrick Marchand
%       Permission is NOT given to modify and re-distribute this
%	code in any manner without written consent from Patrick Marchand.
%       The code can be distributed in its unaltered form as long as it
%       accompanies all files contained within the GUI Maker Version 2.0
%       package of files.  All standard disclaimers apply. 


if nargin == 0 
	command = 'new'; 
end 
if nargin < 2
	param1 = [''];
end

if isstr(command) 
	if strcmp(lower(command),'compile')
	   return;
	end
	if strcmp(lower(command),'initialize') | strcmp(lower(command),'new') 
		command = 0; 
	elseif strcmp(lower(command),lower('horz(1)')) 
		command = 1; 
	elseif strcmp(lower(command),lower('horz(2)')) 
		command = 2; 
	elseif strcmp(lower(command),lower('horz(3)')) 
		command = 3; 
	elseif strcmp(lower(command),lower('horz(4)')) 
		command = 4; 
	elseif strcmp(lower(command),lower('vert(4)')) 
		command = 5; 
	elseif strcmp(lower(command),lower('vert(3)')) 
		command = 6; 
	elseif strcmp(lower(command),lower('vert(2)')) 
		command = 7; 
	elseif strcmp(lower(command),lower('vert(1)')) 
		command = 8; 
	elseif strcmp(lower(command),lower('h_push_vert')) 
		command = 9; 
	elseif strcmp(lower(command),lower('h_push_horz')) 
		command = 10; 
	end 
end 

if command ~= 0 
	handle_list = get(gcf,'userdata'); 
	if length(handle_list) > 0 
		h_frame_a = handle_list(1); 
		horz(1) = handle_list(2); 
		horz(2) = handle_list(3); 
		horz(3) = handle_list(4); 
		horz(4) = handle_list(5); 
		vert(4) = handle_list(6); 
		vert(3) = handle_list(7); 
		vert(2) = handle_list(8); 
		vert(1) = handle_list(9); 
		h_push_vert = handle_list(10); 
		h_push_horz = handle_list(11); 
	end 
end 


if command == 0 
	fig = findobj(get(0,'children'),'flat','tag','ng_aln_w');
	if length(fig) > 0
	   figure(fig);return
	end
	spos = get(0,'screensize');
	figure('position',[ 10 (spos(4)-50-111) 249 111 ],...
		'resize','off','tag','ng_aln_w',...
		'name','Alignment Tool','NumberTitle','off'); 
	%  Uicontrol Object Creation 

	h_frame_a = uicontrol(... 
		'CallBack','ng_aln_w(''h_frame_a'');',... 
		'Position',[ 0 0 1 1 ],... 
		'Enable','off',... 
		'Style','frame',... 
		'Units','normalized',... 
		'Tag','h_frame_a',... 
		'UserData',''); 
	c_str = ['h1 = findobj(gcf,''tag'',''horz(1)'');'...
		'h2 = findobj(gcf,''tag'',''horz(2)'');'...
		'h3 = findobj(gcf,''tag'',''horz(3)'');'...
		'h4 = findobj(gcf,''tag'',''horz(4)'');'...
		'set([h1;h2;h3;h4],''val'',0);'];

	horz(1) = uicontrol(... 
		'CallBack',[c_str 'set(h1,''val'',1);ng_aln_w(''h_push_horz'',''' param1 ''');'],... 
		'Position',[ 0.06 0.61 0.39 0.19 ],... 
		'String','Left Sides',... 
		'Style','radiobutton',... 
		'Units','normalized',... 
		'Val',1,...
		'Tag','horz(1)',... 
		'UserData',''); 
	horz(2) = uicontrol(... 
		'CallBack',[c_str 'set(h2,''val'',1);ng_aln_w(''h_push_horz'',''' param1 ''');'],... 
		'Position',[ 0.06 0.42 0.39 0.19 ],... 
		'String','Centers',... 
		'Style','radiobutton',... 
		'Units','normalized',... 
		'Tag','horz(2)',... 
		'UserData',''); 
	horz(3) = uicontrol(... 
		'CallBack',[c_str 'set(h3,''val'',1);ng_aln_w(''h_push_horz'',''' param1 ''');'],... 
		'Position',[ 0.06 0.23 0.39 0.19 ],... 
		'String','Right Sides',... 
		'Style','radiobutton',... 
		'Units','normalized',... 
		'Tag','horz(3)',... 
		'UserData',''); 
	horz(4) = uicontrol(... 
		'CallBack',[c_str 'set(h4,''val'',1);ng_aln_w(''h_push_horz'',''' param1 ''');'],... 
		'Position',[ 0.06 0.04 0.39 0.19 ],... 
		'String','Adjacent',... 
		'Style','radiobutton',... 
		'Units','normalized',... 
		'Tag','horz(4)',... 
		'UserData',''); 

	c_str = ['h1 = findobj(gcf,''tag'',''vert(1)'');'...
		'h2 = findobj(gcf,''tag'',''vert(2)'');'...
		'h3 = findobj(gcf,''tag'',''vert(3)'');'...
		'h4 = findobj(gcf,''tag'',''vert(4)'');'...
		'set([h1;h2;h3;h4],''val'',0);'];

	vert(4) = uicontrol(... 
		'CallBack',[c_str 'set(h4,''val'',1);ng_aln_w(''h_push_vert'',''' param1 ''');'],... 
		'Position',[ 0.57 0.04 0.39 0.19 ],... 
		'String','Adjacent',... 
		'Style','radiobutton',... 
		'Units','normalized',... 
		'Tag','vert(4)',... 
		'UserData',''); 
	vert(3) = uicontrol(... 
		'CallBack',[c_str 'set(h3,''val'',1);ng_aln_w(''h_push_vert'',''' param1 ''');'],... 
		'Position',[ 0.57 0.23 0.39 0.19 ],... 
		'String','Bottom Sides',... 
		'Style','radiobutton',... 
		'Units','normalized',... 
		'Tag','vert(3)',... 
		'UserData',''); 
	vert(2) = uicontrol(... 
		'CallBack',[c_str 'set(h2,''val'',1);ng_aln_w(''h_push_vert'',''' param1 ''');'],... 
		'Position',[ 0.57 0.42 0.39 0.19 ],... 
		'String','Middles',... 
		'Style','radiobutton',... 
		'Units','normalized',... 
		'Tag','vert(2)',... 
		'UserData',''); 
	vert(1) = uicontrol(... 
		'CallBack',[c_str 'set(h1,''val'',1);ng_aln_w(''h_push_vert'',''' param1 ''');'],... 
		'Position',[ 0.57 0.61 0.39 0.19 ],... 
		'String','Top Sides',... 
		'Style','radiobutton',... 
		'Units','normalized',... 
		'Val',1,...
		'Tag','vert(1)',... 
		'UserData',''); 
	h_push_vert = uicontrol(... 
		'CallBack',[''],... 
		'Position',[ 0.52 0.81 0.47 0.15 ],... 
		'String','Vertically Align',... 
		'Style','text',... 
		'Units','normalized',... 
		'Tag','h_push_vert',... 
		'UserData',''); 
	h_push_horz = uicontrol(... 
		'CallBack',[''],... 
		'Position',[ 0.02 0.81 0.47 0.15 ],... 
		'String','Horizontally Align',... 
		'Style','text',... 
		'Units','normalized',... 
		'Tag','h_push_horz',... 
		'UserData',''); 


	%  Menu Object Creation 


	%  Axes and Text Object Creation 




	handle_list = [ ...  
	 	 h_frame_a horz(1) horz(2) ... 
	 	horz(3) horz(4) vert(4) vert(3) ... 
	 	vert(2) vert(1) h_push_vert h_push_horz ... 
	 	 	]; 

	set(gcf,'userdata',handle_list); 


elseif command == 1 
	%disp('horz(1) selected.') 
elseif command == 2 
	%disp('horz(2) selected.') 
elseif command == 3 
	%disp('horz(3) selected.') 
elseif command == 4 
	%disp('horz(4) selected.') 
elseif command == 5 
	%disp('vert(4) selected.') 
elseif command == 6 
	%disp('vert(3) selected.') 
elseif command == 7 
	%disp('vert(2) selected.') 
elseif command == 8 
	%disp('vert(1) selected.') 
elseif command == 9 
	cf = findobj(get(0,'children'),'flat','tag',param1);
%	obj_a = findobj(cf,'selected','on','type','uicontrol');
	obj_a = [findobj(cf,'selected','on','type','uicontrol'); ...
		 findobj(cf,'selected','on','type','text');...
		 findobj(cf,'selected','on','type','axes')];
	if length(obj_a) > 1
	 pos_matrix = [];
	 old_obj_unit = [];

	 for loop = 1:length(obj_a)
	  if loop == 1
	    old_obj_unit = get(obj_a(loop),'units');
	  else
	    old_obj_unit = str2mat(old_obj_unit,get(obj_a(loop),'units'));
	  end
	  set(obj_a(loop),'units','normalized');
	  if strcmp(get(obj_a(loop),'type'),'text')
	    pos = get(obj_a(loop),'position');
	    set(get(obj_a(loop),'parent'),'units','normalized');
	    ax_pos = get(get(obj_a(loop),'parent'),'position');
	    extent = get(obj_a(loop),'extent');
	    pos_matrix(loop,1) = ax_pos(1)+ax_pos(3)*extent(1);
	    pos_matrix(loop,2) = ax_pos(2)+ax_pos(4)*extent(2);
	    pos_matrix(loop,3) = ax_pos(3)*extent(3);
	    pos_matrix(loop,4) = ax_pos(4)*extent(4);
	  else
	    pos_matrix(loop,(1:length(get(obj_a(loop),'position')))) = ...
		get(obj_a(loop),'position');
	  end
	 end
	 if get(vert(1),'val') == 1
	    right_val = mean(pos_matrix(:,2)+pos_matrix(:,4));
	    pos_matrix(:,2) = right_val-pos_matrix(:,4);
	 elseif get(vert(2),'val') == 1
	    center_val = mean(pos_matrix(:,2)+pos_matrix(:,4)/2);
	    pos_matrix(:,2) = center_val-pos_matrix(:,4)/2;
	 elseif get(vert(3),'val') == 1
	    left_val = mean(pos_matrix(:,2));
	    pos_matrix(:,2) = left_val*ones(size(pos_matrix(:,2)));
	 elseif get(vert(4),'val') == 1
	    [tmp,sort_ind] = sort(pos_matrix(:,2));
	    for loop_sort = 1:length(sort_ind)
		if loop_sort > 1
		   pos_matrix(sort_ind(loop_sort),2) = ...
			sum(pos_matrix(sort_ind(loop_sort-1),[2 4]));
		end
	    end
	 end
	 for loop = 1:length(obj_a)
	  if strcmp(get(obj_a(loop),'type'),'text')
	    ax_pos = get(get(obj_a(loop),'parent'),'position');
	    txt_pos(1) = (pos_matrix(loop,1)-ax_pos(1))/ax_pos(3);
	    txt_pos(2) = (pos_matrix(loop,2)-ax_pos(2))/ax_pos(4);
	    txt_pos(3) = 0;
	    set(obj_a(loop),'position',txt_pos,'vertical','bottom',...
				'horiz','left');
	  else
	    set(obj_a(loop),'position',pos_matrix(loop,...
		(1:length(get(obj_a(loop),'position')))));
	  end
	    set(obj_a(loop),'units',old_obj_unit(loop,1:3));
	 end
	end
elseif command == 10 
	cf = findobj(get(0,'children'),'flat','tag',param1);
%	obj_a = findobj(cf,'selected','on','type','uicontrol');
	obj_a = [findobj(cf,'selected','on','type','uicontrol'); ...
		 findobj(cf,'selected','on','type','text');...
		 findobj(cf,'selected','on','type','axes')];
	if length(obj_a) > 1
	 pos_matrix = [];
	 old_obj_unit = [];

	 for loop = 1:length(obj_a)
	  if loop == 1
	    old_obj_unit = get(obj_a(loop),'units');
	  else
	    old_obj_unit = str2mat(old_obj_unit,get(obj_a(loop),'units'));
	  end
	  set(obj_a(loop),'units','normalized');
	  if strcmp(get(obj_a(loop),'type'),'text')
	    pos = get(obj_a(loop),'position');
	    set(get(obj_a(loop),'parent'),'units','normalized');
	    ax_pos = get(get(obj_a(loop),'parent'),'position');
	    extent = get(obj_a(loop),'extent');
	    pos_matrix(loop,1) = ax_pos(1)+ax_pos(3)*extent(1);
	    pos_matrix(loop,2) = ax_pos(2)+ax_pos(4)*extent(2);
	    pos_matrix(loop,3) = ax_pos(3)*extent(3);
	    pos_matrix(loop,4) = ax_pos(4)*extent(4);
	  else
	    pos_matrix(loop,(1:length(get(obj_a(loop),'position')))) = ...
		get(obj_a(loop),'position');
	  end
	 end
	 if get(horz(1),'val') == 1
	    left_val = mean(pos_matrix(:,1));
	    pos_matrix(:,1) = left_val*ones(size(pos_matrix(:,1)));
	 elseif get(horz(2),'val') == 1
	    center_val = mean(pos_matrix(:,1)+pos_matrix(:,3)/2);
	    pos_matrix(:,1) = center_val-pos_matrix(:,3)/2;
	 elseif get(horz(3),'val') == 1
	    right_val = mean(pos_matrix(:,1)+pos_matrix(:,3));
	    pos_matrix(:,1) = right_val-pos_matrix(:,3);
	 elseif get(horz(4),'val') == 1
	    [tmp,sort_ind] = sort(pos_matrix(:,1));
	    for loop_sort = 1:length(sort_ind)
		if loop_sort > 1
		   pos_matrix(sort_ind(loop_sort),1) = ...
			sum(pos_matrix(sort_ind(loop_sort-1),[1 3]));
		end
	    end
	 end
	 for loop = 1:length(obj_a)
	  if strcmp(get(obj_a(loop),'type'),'text')
	    ax_pos = get(get(obj_a(loop),'parent'),'position');
	    txt_pos(1) = (pos_matrix(loop,1)-ax_pos(1))/ax_pos(3);
	    txt_pos(2) = (pos_matrix(loop,2)-ax_pos(2))/ax_pos(4);
	    txt_pos(3) = 0;
	    set(obj_a(loop),'position',txt_pos,'vertical','bottom',...
				'horiz','left');
	  else
	    set(obj_a(loop),'position',pos_matrix(loop,...
		(1:length(get(obj_a(loop),'position')))));
	  end
	    set(obj_a(loop),'units',old_obj_unit(loop,1:3));
	 end
	end
else 
	error('Error: ng_aln_w.m called with incorrect command.') 
end 
