function ng_apv_w(command,parameter1) 
%  ng_apv_w.m 
%   
%  usage:       ng_apv_w(command,parameter1) 
%   
%           where 
%   
%               'command' is used to perform some defined operation 
%               'parameter1' can be used pass extra information 
%                              to a defined operation 
%   
%           If no arguements are used the GUI is initialized. 
%   
%   
%  Created: 18-Apr-95 
%  Using  : GUI Maker Ver 2.0 by Patrick Marchand 
%                         (PRMarchand@aol.com) 
%  Author :  PRM
%  Mods.  :  
%   

% Copyright (c) 1995 by Patrick Marchand
%       Permission is NOT given to modify and re-distribute this
%	code in any manner without written consent from Patrick Marchand.
%       The code can be distributed in its unaltered form as long as it
%       accompanies all files contained within the GUI Maker Version 2.0
%       package of files.  All standard disclaimers apply. 

if nargin == 0 
	command = 'new'; 
end 

if isstr(command) 
	if strcmp(lower(command),'initialize') | strcmp(lower(command),'new') 
		command = 0; 
	elseif strcmp(lower(command),lower('h_push_apv_set')) 
		command = 1; 
	elseif strcmp(lower(command),lower('h_push_apv_get')) 
		command = 2; 
	elseif strcmp(lower(command),lower('h_push_apv_close')) 
		command = 3; 
	elseif strcmp(lower(command),lower('h_edit_apv_prop')) 
		command = 4; 
	elseif strcmp(lower(command),lower('h_edit_apv_value')) 
		command = 5; 
	end 
end 

if command ~= 0 
	handle_list = get(findobj(get(0,'children'),'flat',... 
		'tag','ng_apv_w'),'userdata'); 
	if length(handle_list) > 0 
		h_frame_apv = handle_list(1); 
		h_push_apv_set = handle_list(2); 
		h_push_apv_get = handle_list(3); 
		h_push_apv_close = handle_list(4); 
		h_edit_apv_prop = handle_list(5); 
		h_edit_apv_value = handle_list(6); 
		h_text_apv = handle_list(7); 
		h_text_apv_value = handle_list(8); 
	end 
end 


if command == 0 

	fig = findobj(get(0,'children'),'flat','tag','ng_apv_w'); 
	if length(fig) > 0 
		set(fig,'visible','on'); 
		figure(fig); 
		cf = findobj(get(0,'chil'),'flat','tag','control_figure');
		if cf
		  h = findobj(cf,'tag','h_text_status');
		  set(h,'string','Property Value Editor Ready.');
		end
		return; 
	end 
	
	set(0,'units','pixels');
	spos = get(0,'screensize');
	fig = figure('position',[ 10 (spos(4)-25-130) 393 99 ],... 
		'resize','off','tag','ng_apv_w',... 
		'menubar','None','name','Property/Value Editor',... 
		'numbertitle','Off','visible','off'); 

	%  Uicontrol Object Creation 

	h_frame_apv = uicontrol(... 
		'CallBack','ng_apv_w(''h_frame_apv'');',... 
		'Position',[ 0 0 1 1 ],... 
		'Enable','off',... 
		'Style','frame',... 
		'Units','normalized',... 
		'Tag','h_frame_apv',... 
		'UserData',''); 
	h_push_apv_set = uicontrol(... 
		'CallBack','ng_apv_w(''h_push_apv_set'');',... 
		'Position',[ 0.613 0.72 0.3 0.22 ],... 
		'String','SET',... 
		'Style','pushbutton',... 
		'Units','normalized',... 
		'Tag','h_push_apv_set',... 
		'UserData',''); 
	h_push_apv_get = uicontrol(... 
		'CallBack','ng_apv_w(''h_push_apv_get'');',... 
		'Position',[ 0.313 0.72 0.3 0.22 ],... 
		'String','GET',... 
		'Style','pushbutton',... 
		'Units','normalized',... 
		'Tag','h_push_apv_get',... 
		'UserData',''); 
	h_push_apv_close = uicontrol(... 
		'CallBack','ng_apv_w(''h_push_apv_close'');',... 
		'Position',[ 0.036 0.717 0.214 0.222 ],... 
		'String','Close',... 
		'Style','pushbutton',... 
		'Units','normalized',... 
		'Tag','h_push_apv_close',... 
		'UserData',''); 
	h_edit_apv_prop = uicontrol(... 
		'CallBack','',... 
		'Position',[ 0.247 0.424 0.72 0.22 ],... 
		'Style','edit',... 
		'Units','normalized',... 
		'Tag','h_edit_apv_prop',... 
		'UserData',''); 
	h_edit_apv_value = uicontrol(... 
		'CallBack','',... 
		'Position',[ 0.244 0.141 0.72 0.22 ],... 
		'Style','edit',... 
		'Max',2,...
		'Units','normalized',... 
		'Tag','h_edit_apv_value',... 
		'UserData',''); 
	h_text_apv = uicontrol(... 
		'CallBack','',... 
		'Position',[ 0.05 0.404 0.18 0.242 ],... 
		'String','Property',... 
		'Style','text',... 
		'Units','normalized',... 
		'Tag','h_text_apv',... 
		'UserData',''); 
	h_text_apv_value = uicontrol(... 
		'CallBack','',... 
		'Position',[ 0.05 0.141 0.18 0.232 ],... 
		'String','Value:',... 
		'Style','text',... 
		'Units','normalized',... 
		'Tag','h_text_apv_value',... 
		'UserData',''); 


	%  Menu Object Creation 


	%  Axes and Text Object Creation 




	handle_list = [ ...  
	 	 h_frame_apv h_push_apv_set h_push_apv_get ... 
	 	h_push_apv_close h_edit_apv_prop h_edit_apv_value h_text_apv ... 
	 	h_text_apv_value ... 
	 	 	]; 

	set(gcf,'userdata',handle_list); 
	drawnow;pause(1); 
		cf = findobj(get(0,'chil'),'flat','tag','control_figure');
		if cf
		  h = findobj(cf,'tag','h_text_status');
		  set(h,'string','Property/Value Editor Ready.');
		end
	set(gcf,'visible','on'); 


elseif command == 1 
	 
	%%       DO NOT REMOVE/ALTER THIS COMMENT: CALLBACK_START h_push_apv_set 

	wf = findobj(get(0,'children'),'flat','tag','working_figure'); 
	property = dblnkall(get(h_edit_apv_prop,'string')); 
	prop_value = get(h_edit_apv_value,'string'); 
	obj = findobj(wf,'selected','on');
	cf = findobj(get(0,'children'),'flat','tag','control_figure');
	  if cf
	    h_stat = findobj(cf,'tag','h_text_status');
	  end
	if length(property) >= 3
	 if strcmp(property(1:3),'use') | strcmp(property(1:3),'cal') ...
	   strcmp(property(1:3),'but')
	   set(h_stat,'string','Do not modify this property.');
	   return;
	 end
	end
	if length(obj) > 0
	 pause(1);
	 nonexistpropflag = 0;
	 eval('oldprop = get(obj(1),property);','nonexistpropflag = 1;');
          if nonexistpropflag == 0
	  if isstr(oldprop)
	    if size(prop_value,1) > 1
 		tmp_prop = [];
		for loop = 1:size(prop_value,1)
		   if loop == 1
		     tmp_prop = prop_value(1,:);
		   else
		     tmp_prop = [tmp_prop '|' (prop_value(loop,:))];
		   end
		end
		prop_value = tmp_prop;
 	    end
	    eval('set(obj,property,prop_value);set(h_stat,''string'',''Object Property Set.'');',['set(h_stat,''string'','...
		'''Not a valid prop. value for all selected obj.'');']);
	  else
	    eval('set(obj,property,str2num(prop_value));set(h_stat,''string'',''Object Property Set.'');',...
		['set(h_stat,''string'','...
		'''Not a valid prop. value for all selected obj.'');']);
	  end
	 else
	  set(h_stat,'string','Not a valid property for all selected obj.');
         end
	else
	  set(h_stat,'string','Select objects before using SET.');
	end
	%%       DO NOT REMOVE/ALTER THIS COMMENT: CALLBACK_STOP h_push_apv_set 
elseif command == 2 
	 
	%%       DO NOT REMOVE/ALTER THIS COMMENT: CALLBACK_START h_push_apv_get 
	wf = findobj(get(0,'children'),'flat','tag','working_figure'); 
	property = dblnkall(get(h_edit_apv_prop,'string')); 
	obj = findobj(wf,'selected','on');
	cf = findobj(get(0,'children'),'flat','tag','control_figure');
	  if cf
	    h_stat = findobj(cf,'tag','h_text_status');
	  end
	if length(property) >= 3
	 if strcmp(property(1:3),'use') | strcmp(property(1:3),'cal') ...
	   strcmp(property(1:3),'but')
	   set(h_stat,'string','Do not modify this property.');
	   return;
	 end
	else
	   set(h_stat,'string','Ambiguous or non existing property name.');
	   return;
	end
	if length(obj) == 1
	 pause(1);
	 nonexistpropflag = 0;
	 eval('oldprop = get(obj(1),property);','nonexistpropflag = 1;');
         if nonexistpropflag == 0
	  if isstr(oldprop)
	    if size(oldprop,1) > 1
		tmp_prop = [];
		for loop = 1:size(oldprop,1)
		   if loop == 1
		     tmp_prop = oldprop(1,:);
		   else
		     tmp_prop = [tmp_prop '|' oldprop(loop,:)];
		   end
		end
		oldprop = tmp_prop;
		set(h_edit_apv_value,'string','Multiple lines. Use arrow keys to scroll.');
	    end
	    eval('set(h_edit_apv_value,''string'',oldprop);set(h_stat,''string'',''Object Property Gotten.'');',['set(h_stat,''string'','...
		'''Error in ng_apv_w.m, please report.'');']);
	  else
	    eval('set(h_edit_apv_value,''string'',mat2str2(round(oldprop*1000)/1000));set(h_stat,''string'',''Object Property Gotten.'');',['set(h_stat,''string'','...
		'''Error in ng_apv_w.m, please report.'');']);
	  end
	 else
	  set(h_stat,'string','Not a valid property for all selected obj.');
         end
	elseif length(obj) > 1
	  set(h_stat,'string','Can only GET 1 object prop at a time.');
	else
	  set(h_stat,'string','Select objects before using GET.');
	end
	%%       DO NOT REMOVE/ALTER THIS COMMENT: CALLBACK_STOP h_push_apv_get 
elseif command == 3 
	 
	%%       DO NOT REMOVE/ALTER THIS COMMENT: CALLBACK_START h_push_apv_close 
	set(gcf,'visible','off');
	cf = findobj(get(0,'chil'),'flat','tag','control_figure');
	if cf
	  h = findobj(cf,'tag','h_text_status');
	  set(h,'string','Property/Value Selector hidden from view.');
	end
	%%       DO NOT REMOVE/ALTER THIS COMMENT: CALLBACK_STOP h_push_apv_close 
elseif command == 4 
	 
	%%       DO NOT REMOVE/ALTER THIS COMMENT: CALLBACK_START h_edit_apv_prop 
	%%       DO NOT REMOVE/ALTER THIS COMMENT: CALLBACK_STOP h_edit_apv_prop 
elseif command == 5 
	 
	%%       DO NOT REMOVE/ALTER THIS COMMENT: CALLBACK_START h_edit_apv_value 
	%%       DO NOT REMOVE/ALTER THIS COMMENT: CALLBACK_STOP h_edit_apv_value 
else 
	error('Error: ng_apv_w.m called with incorrect command.') 
end 
