function ng_cbr_w(command,param1) 
%  Template for uicontrol form. 
%   
%  1. Optional: Replace all occurances of 'ng_cbr_w' with desired 'filename'. 
%  2. Optional: Resave this file as that 'filename'. 
%  3. Optional: Fill in the 'elseif command == ...' sections with 
%          code that does something other than display which 
%          uicontrol button was pressed. Be creative! 
%  4. Optional: Change each 'h(index)' ,where index is 1,2,3,.. 
%               to a functionally more descriptive name. 
%  5. Optional: Delete these first 10 comment lines. 
%   
%  ng_cbr_w.m 
%   
%  usage:       ng_cbr_w(command,parameter1) 
%   
%           where 
%   
%               'command' is used to perform some defined operation 
%               'parameter1' can be used pass extra information 
%                              to a defined operation 
%   
%           If no arguements are used the GUI is initialized. 
%   
%   
%  Created: 23-Feb-95 
%  Using  : GUI Maker Ver 2.0 by Patrick Marchand 
%                         (PRMarchand@aol.com) 
%  Author :  
%  Mods.  :  
%   

% Copyright (c) 1995 by Patrick Marchand
%       Permission is NOT given to modify and re-distribute this
%	code in any manner without written consent from Patrick Marchand.
%       The code can be distributed in its unaltered form as long as it
%       accompanies all files contained within the GUI Maker Version 2.0
%       package of files.  All standard disclaimers apply. 


if nargin == 0 
	command = 'new'; 
end 
if nargin < 2
	param1 = 0;
end

if isstr(command) 
	if strcmp(lower(command),'compile')
	   return;
	end
	if strcmp(lower(command),'initialize') | strcmp(lower(command),'new') 
		command = 0; 
	elseif strcmp(lower(command),lower('h_ed_c_bcolor')) 
		command = 1; 
	elseif strcmp(lower(command),lower('h_ed_c_type')) 
		command = 2; 
	elseif strcmp(lower(command),lower('h_ed_c_tag')) 
		command = 3; 
	elseif strcmp(lower(command),lower('h_ed_c_bdfcn')) 
		command = 4; 
	elseif strcmp(lower(command),lower('h_ed_c_uicpos')) 
		command = 5; 
	elseif strcmp(lower(command),lower('h_ed_c_val')) 
		command = 6; 
	elseif strcmp(lower(command),lower('h_ed_c_min')) 
		command = 7; 
	elseif strcmp(lower(command),lower('h_pop_c_uicstyle')) 
		command = 8; 
	elseif strcmp(lower(command),lower('h_ed_c_uicstring')) 
		command = 9; 
	elseif strcmp(lower(command),lower('h_pop_c_visible')) 
		command = 10; 
	elseif strcmp(lower(command),lower('h_pop_c_clipping')) 
		command = 11; 
	elseif strcmp(lower(command),lower('h_pop_c_valign')) 
		command = 12; 
	elseif strcmp(lower(command),lower('h_pop_c_units')) 
		command = 13; 
	elseif strcmp(lower(command),lower('h_ed_c_max')) 
		command = 14; 
	elseif strcmp(lower(command),lower('h_pop_c_fontweight')) 
		command = 15; 
	elseif strcmp(lower(command),lower('h_pop_c_horalign')) 
		command = 16; 
	elseif strcmp(lower(command),lower('h_ed_c_fcolor')) 
		command = 17; 
	elseif strcmp(lower(command),lower('h_pop_c_inter')) 
		command = 18; 
	end 
end 

if command ~= 0 
	handle_list = get(gcf,'userdata'); 
	if length(handle_list) > 0 
		h_frame_c_tbrw = handle_list(1); 
		h_ed_c_bcolor = handle_list(2); 
		h_ed_c_type = handle_list(3); 
		h_ed_c_tag = handle_list(4); 
		h_ed_c_bdfcn = handle_list(5); 
		h_ed_c_uicpos = handle_list(6); 
		h_ed_c_val = handle_list(7); 
		h_ed_c_min = handle_list(8); 
		h_pop_c_uicstyle = handle_list(9); 
		h_ed_c_uicstring = handle_list(10); 
		h_t_c_bcolor = handle_list(11); 
		h_c_t_va = handle_list(12); 
		h_t_c_max = handle_list(13); 
		h_t_c_fcolor = handle_list(14); 
		h_t_c_horalign = handle_list(15); 
		h_t_c_uicstyle = handle_list(16); 
		h_c_t_fw = handle_list(17); 
		h_t_c_uicpos = handle_list(18); 
		h_c_t_units = handle_list(19); 
		h_t_c_uicstring = handle_list(20); 
		h_t_c_min = handle_list(21); 
		h_c_t_bdf = handle_list(22); 
		h_t_c_val = handle_list(23); 
		h_c_t_clip = handle_list(24); 
		h_c_t_tag = handle_list(25); 
		h_c_t_type = handle_list(26); 
		h_c_t_vis = handle_list(27); 
		h_pop_c_visible = handle_list(28); 
		h_pop_c_clipping = handle_list(29); 
		h_pop_c_valign = handle_list(30); 
		h_pop_c_units = handle_list(31); 
		h_ed_c_max = handle_list(32); 
		h_pop_c_fontweight = handle_list(33); 
		h_pop_c_horalign = handle_list(34); 
		h_ed_c_fcolor = handle_list(35); 
		h_c_t_inter = handle_list(36);
		 h_pop_c_inter = handle_list(37);
	end 
end 

if command > 0
	wf = findobj(get(0,'children'),'flat','tag','working_figure');

	if wf
	    uic_objs = findobj(wf,'type','uicontrol','selected','on');
	else
	end
end
cf =findobj(get(0,'children'),'flat','tag','control_figure');
st =findobj(cf,'tag','h_text_status');
if command == 0
  set(st,'string','UI Control Browser almost up.');
else
  set(st,'string','');
end

err_string = ['cf =findobj(get(0,''children''),''flat'',''tag'',''control_figure'');'...
	      'st =findobj(cf,''tag'',''h_text_status'');'...
	      'set(st,''string'',''Error in setting property. Check format.'');'];

if command == 0 

	fig = findobj(get(0,'children'),'flat','tag','ng_cbr_w');
	if length(fig) > 0
	   figure(fig);
	   set(fig,'visible','on');
	   ng_cbr_w(50);
	   return
	end

	set(0,'units','pixels');
	spos = get(0,'screensize');
	fig_ng_tbr = figure('position',[ 415 (spos(4)-80-123-240) 337 123 ],...
		'resize','off',...
		'tag','ng_cbr_w','visible','off','menubar','none',...
		'name','UIcontrol Browser','NumberTitle','off'); 

	%  Uicontrol Object Creation 

	h_frame_c_tbrw = uicontrol(... 
		'CallBack','ng_cbr_w(''h_frame_c_tbrw'');',... 
		'Position',[ 0 0 1 1 ],... 
		'Enable','off',... 
		'Style','frame',... 
		'Backgroundcolor',[.7 .7 .8],...
		'Units','normalized',... 
		'Tag','h_frame_c_tbrw',... 
		'UserData',''); 
	h_t_c_bcolor = uicontrol(... 
		'CallBack','ng_cbr_w(''h_t_c_bcolor'');',... 
		'Position',[ 0.04 0.815 0.35 0.158 ],... 
		'String','BackgroundColor:',... 
		'Style','text',... 
		'Backgroundcolor',[.7 .7 .8],...
		'Units','normalized',... 
		'Tag','h_t_c_bcolor',... 
		'UserData',''); 
	h_ed_c_bcolor = uicontrol(... 
		'CallBack','ng_cbr_w(''h_ed_c_bcolor'');',... 
		'Position',[ 0.42 0.815 0.55 0.158 ],... 
		'String','',... 
		'Style','edit',... 
		'Units','normalized',... 
		'Tag','h_ed_c_bcolor',... 
		'UserData',''); 
	h_t_c_fcolor = uicontrol(... 
		'CallBack','ng_cbr_w(''h_t_c_fcolor'');',... 
		'Position',[ 0.04 0.657 0.35 0.158 ],... 
		'String','ForegroundColor:',... 
		'Style','text',... 
		'Backgroundcolor',[.7 .7 .8],...
		'Units','normalized',... 
		'Tag','h_t_c_fcolor',... 
		'UserData',''); 
	h_ed_c_fcolor = uicontrol(... 
		'CallBack','ng_cbr_w(''h_ed_c_fcolor'');',... 
		'Position',[ 0.42 0.657 0.55 0.158 ],... 
		'String','',... 
		'Style','edit',... 
		'Units','normalized',... 
		'Value',[ 1 ],... 
		'Tag','h_ed_c_fcolor',... 
		'UserData',''); 
	h_t_c_horalign = uicontrol(... 
		'CallBack','ng_cbr_w(''h_t_c_horalign'');',... 
		'Position',[ 0.04 0.499 0.35 0.158 ],... 
		'String','Horiz. Alignment:',... 
		'Backgroundcolor',[.7 .7 .8],...
		'Style','text',... 
		'Units','normalized',... 
		'Tag','h_t_c_horalign',... 
		'UserData',''); 
	h_pop_c_horalign = uicontrol(... 
		'CallBack','ng_cbr_w(''h_pop_c_horalign'');',... 
		'Max',[ 3 ],... 
		'Min',[ 1 ],... 
		'Position',[ 0.42 0.499 0.55 0.158 ],... 
		'String','left|center|right|All Not Identical',... 
		'Style','popupmenu',... 
		'Units','normalized',... 
		'Value',[ 1 ],... 
		'Tag','h_pop_c_horalign',... 
		'UserData',''); 
	h_t_c_uicstring = uicontrol(... 
		'CallBack','ng_cbr_w(''h_t_c_uicstring'');',... 
		'Position',[ 0.04 0.341 0.35 0.158 ],... 
		'String','String:',... 
		'Style','text',... 
		'Backgroundcolor',[.7 .7 .8],...
		'Units','normalized',... 
		'Tag','h_t_c_uicstring',... 
		'UserData',''); 
	h_ed_c_uicstring = uicontrol(... 
		'CallBack','ng_cbr_w(''h_ed_c_uicstring'');',... 
		'Min',[ 1 ],... 
		'Position',[ 0.42 0.341 0.55 0.158 ],... 
		'String','',... 
		'Style','edit',... 
		'Units','normalized',... 
		'Value',[ 1 ],... 
		'Tag','h_ed_c_uicstring',... 
		'UserData',''); 
	h_t_c_uicstyle = uicontrol(... 
		'CallBack','ng_cbr_w(''h_t_c_uicstyle'');',... 
		'Position',[ 0.04 0.183 0.35 0.158 ],... 
		'String','Style:',... 
		'Style','text',... 
		'Backgroundcolor',[.7 .7 .8],...
		'Units','normalized',... 
		'Tag','h_t_c_uicstyle',... 
		'UserData',''); 
	h_pop_c_uicstyle = uicontrol(... 
		'CallBack','ng_cbr_w(''h_pop_c_uicstyle'');',... 
		'Position',[ 0.42 0.183 0.55 0.158 ],... 
		'String','pushbutton|radiobutton|checkbox|edit|text|slider|frame|popupmenu|All Not Identical',... 
		'Style','popupmenu',... 
		'Units','normalized',... 
		'Tag','h_pop_c_uicstyle',... 
		'UserData',''); 
	h_c_t_fw = uicontrol(... 
		'CallBack','ng_cbr_w(''h_c_t_fw'');',... 
		'Position',[ 0.04 0.025 0.35 0.158 ],... 
		'String','FontWeight:',... 
		'Style','text',... 
		'Backgroundcolor',[.7 .7 .8],...
		'Units','normalized',... 
		'Tag','h_c_t_fw',... 
		'Visible','off',...
		'UserData',''); 
	h_pop_c_fontweight = uicontrol(... 
		'CallBack','ng_cbr_w(''h_pop_c_fontweight'');',... 
		'Max',[ 4 ],... 
		'Min',[ 1 ],... 
		'Position',[ 0.42 0.025 0.55 0.158 ],... 
		'String','normal|light|demi|bold|All Not Identical',... 
		'Style','popupmenu',... 
		'Units','normalized',... 
		'Value',[ 1 ],... 
		'Visible','off',...
		'Tag','h_pop_c_fontweight',... 
		'UserData',''); 
	h_t_c_max = uicontrol(... 
		'CallBack','ng_cbr_w(''h_t_c_max'');',... 
		'Position',[ 0.04 0.815 0.35 0.158 ],... 
		'String','Max:',... 
		'Style','text',... 
		'Backgroundcolor',[.7 .7 .8],...
		'Units','normalized',... 
		'Tag','h_t_c_max',... 
		'UserData',''); 
	h_ed_c_max = uicontrol(... 
		'CallBack','ng_cbr_w(''h_ed_c_max'');',... 
		'Position',[ 0.42 0.815 0.55 0.158 ],... 
		'String','',... 
		'Style','edit',... 
		'Units','normalized',... 
		'Tag','h_ed_c_max',... 
		'UserData',''); 
	h_t_c_min = uicontrol(... 
		'CallBack','ng_cbr_w(''h_t_c_min'');',... 
		'Position',[ 0.04 0.657 0.35 0.158 ],... 
		'String','Min:',... 
		'Style','text',... 
		'Backgroundcolor',[.7 .7 .8],...
		'Units','normalized',... 
		'Tag','h_t_c_min',... 
		'UserData',''); 
	h_ed_c_min = uicontrol(... 
		'CallBack','ng_cbr_w(''h_ed_c_min'');',... 
		'Position',[ 0.42 0.657 0.55 0.158 ],... 
		'Style','edit',... 
		'String','',...
		'Units','normalized',... 
		'Tag','h_ed_c_min',... 
		'UserData',''); 
	h_t_c_val = uicontrol(... 
		'CallBack','ng_cbr_w(''h_t_c_val'');',... 
		'Position',[ 0.04 0.499 0.35 0.158 ],... 
		'String','Value:',... 
		'Style','text',... 
		'Backgroundcolor',[.7 .7 .8],...
		'Units','normalized',... 
		'Tag','h_t_c_val',... 
		'UserData',''); 
	h_ed_c_val = uicontrol(... 
		'CallBack','ng_cbr_w(''h_ed_c_val'');',... 
		'Position',[ 0.42 0.499 0.55 0.158 ],... 
		'String','',... 
		'Style','edit',... 
		'Units','normalized',... 
		'Tag','h_ed_c_val',... 
		'UserData',''); 
	h_t_c_uicpos = uicontrol(... 
		'CallBack','ng_cbr_w(''h_t_c_uicpos'');',... 
		'Position',[ 0.04 0.341 0.35 0.158 ],... 
		'String','Position:',... 
		'Style','text',... 
		'Backgroundcolor',[.7 .7 .8],...
		'Units','normalized',... 
		'Tag','h_t_c_uicpos',... 
		'UserData',''); 
	h_ed_c_uicpos = uicontrol(... 
		'CallBack','ng_cbr_w(''h_ed_c_uicpos'');',... 
		'Position',[ 0.42 0.341 0.55 0.158 ],... 
		'Style','edit',... 
		'Units','normalized',... 
		'Tag','h_ed_c_uicpos',... 
		'UserData',''); 
	h_c_t_units = uicontrol(... 
		'CallBack','ng_cbr_w(''h_c_t_units'');',... 
		'Position',[ 0.04 0.183 0.35 0.158 ],... 
		'String','Units:',... 
		'Style','text',... 
		'Units','normalized',... 
		'Backgroundcolor',[.7 .7 .8],...
		'Tag','h_c_t_units',... 
		'UserData',''); 
	h_pop_c_units = uicontrol(... 
		'CallBack','ng_cbr_w(''h_pop_c_units'');',... 
		'Max',[ 6 ],... 
		'Min',[ 1 ],... 
		'Position',[ 0.42 0.183 0.55 0.158 ],... 
		'String','inches|centimeters|normalized|points|pixels|data|All Not Identical',... 
		'Style','popupmenu',... 
		'Units','normalized',... 
		'Value',[ 1 ],... 
		'Tag','h_pop_c_units',... 
		'UserData',''); 
	h_c_t_va = uicontrol(... 
		'CallBack','ng_cbr_w(''h_c_t_va'');',... 
		'Position',[ 0.04 0.025 0.35 0.158 ],... 
		'String','VerticalAlignment:',... 
		'Style','text',... 
		'Backgroundcolor',[.7 .7 .8],...
		'Units','normalized',... 
		'Tag','h_c_t_va',... 
		'Visible','off',...
		'UserData',''); 
	h_pop_c_valign = uicontrol(... 
		'CallBack','ng_cbr_w(''h_pop_c_valign'');',... 
		'Max',[ 5 ],... 
		'Min',[ 1 ],... 
		'Position',[ 0.42 0.025 0.55 0.158 ],... 
		'String','top|cap|middle|baseline|bottom|All Not Identical',... 
		'Style','popupmenu',... 
		'Units','normalized',... 
		'Value',[ 1 ],... 
		'Tag','h_pop_c_valign',... 
		'Visible','off',...
		'UserData',''); 
	h_c_t_bdf = uicontrol(... 
		'CallBack','ng_cbr_w(''h_c_t_bdf'');',... 
		'Position',[ 0.04 0.815 0.35 0.158 ],... 
		'String','ButtonDownFcn:',... 
		'Style','text',... 
		'Backgroundcolor',[.7 .7 .8],...
		'Units','normalized',... 
		'Tag','h_c_t_bdf',... 
		'UserData',''); 
	h_ed_c_bdfcn = uicontrol(... 
		'CallBack','ng_cbr_w(''h_ed_c_bdfcn'');',... 
		'Position',[ 0.42 0.815 0.55 0.158 ],... 
		'Style','edit',... 
		'Units','normalized',... 
		'Tag','h_ed_c_bdfcn',... 
		'Enable','off',...
		'UserData',''); 
	h_c_t_clip = uicontrol(... 
		'CallBack','ng_cbr_w(''h_c_t_clip'');',... 
		'Position',[ 0.04 0.657 0.35 0.158 ],... 
		'String','Clipping:',... 
		'Style','text',... 
		'Backgroundcolor',[.7 .7 .8],...
		'Units','normalized',... 
		'Tag','h_c_t_clip',... 
		'UserData',''); 
	h_pop_c_clipping = uicontrol(... 
		'CallBack','ng_cbr_w(''h_pop_c_clipping'');',... 
		'Max',[ 2 ],... 
		'Min',[ 1 ],... 
		'Position',[ 0.42 0.657 0.55 0.158 ],... 
		'String','on|off|All Not Identical',... 
		'Style','popupmenu',... 
		'Units','normalized',... 
		'Value',[ 1 ],... 
		'Tag','h_pop_c_clipping',... 
		'UserData',''); 
	h_c_t_tag = uicontrol(... 
		'CallBack','ng_cbr_w(''h_c_t_tag'');',... 
		'Position',[ 0.04 0.499 0.35 0.158 ],... 
		'String','Tag:',... 
		'Style','text',... 
		'Backgroundcolor',[.7 .7 .8],...
		'Units','normalized',... 
		'Tag','h_c_t_tag',... 
		'UserData',''); 
	h_ed_c_tag = uicontrol(... 
		'CallBack','ng_cbr_w(''h_ed_c_tag'');',... 
		'Position',[ 0.42 0.499 0.55 0.158 ],... 
		'Style','edit',... 
		'Units','normalized',... 
		'Tag','h_ed_c_tag',... 
		'UserData',''); 
	h_c_t_type = uicontrol(... 
		'CallBack','ng_cbr_w(''h_c_t_type'');',... 
		'Position',[ 0.04 0.341 0.35 0.158 ],... 
		'String','Type:',... 
		'Style','text',... 
		'Backgroundcolor',[.7 .7 .8],...
		'Units','normalized',... 
		'Tag','h_c_t_type',... 
		'UserData',''); 
	h_ed_c_type = uicontrol(... 
		'CallBack','ng_cbr_w(''h_ed_c_type'');',... 
		'Position',[ 0.42 0.341 0.55 0.158 ],... 
		'String','uicontrol',... 
		'Style','edit',... 
		'Units','normalized',... 
		'Tag','h_ed_c_type',... 
		'UserData',''); 
	h_c_t_vis = uicontrol(... 
		'CallBack','ng_cbr_w(''h_c_t_vis'');',... 
		'Position',[ 0.04 0.183 0.35 0.158 ],... 
		'String','Visible:',... 
		'Style','text',... 
		'Units','normalized',... 
		'Backgroundcolor',[.7 .7 .8],...
		'Tag','h_c_t_vis',... 
		'UserData',''); 
	h_pop_c_visible = uicontrol(... 
		'CallBack','ng_cbr_w(''h_pop_c_visible'');',... 
		'Max',[ 2 ],... 
		'Min',[ 1 ],... 
		'Position',[ 0.42 0.183 0.55 0.158 ],... 
		'String','on|off|All Not Identical',... 
		'Style','popupmenu',... 
		'Units','normalized',... 
		'Value',[ 1 ],... 
		'Tag','h_pop_c_visible',... 
		'UserData',''); 
	h_c_t_inter = uicontrol(... 
		'CallBack','ng_cbr_w(''h_c_t_inter'');',... 
		'Position',[ 0.04 0.025 0.35 0.158 ],... 
		'String','Interruptible:',... 
		'Style','text',... 
		'Backgroundcolor',[.7 .7 .8],...
		'Units','normalized',... 
		'Tag','h_c_t_inter',... 
		'UserData',''); 
	h_pop_c_inter = uicontrol(... 
		'CallBack','ng_cbr_w(''h_pop_c_inter'');',... 
		'Max',[ 2 ],... 
		'Min',[ 1 ],... 
		'Position',[ 0.42 0.025 0.55 0.158 ],... 
		'String','no|yes|All Not Identical',... 
		'Style','popupmenu',... 
		'Units','normalized',... 
		'Value',[ 1 ],... 
		'Tag','h_pop_c_inter',... 
		'UserData',''); 


	%  Menu Object Creation 

	h_uim_prop = uimenu('label','Property');
	h_uim_prop_list  = uimenu(h_uim_prop,'label','List');
	c_string = ['fh = findobj(get(0,''children''),''flat'',''tag'',''ng_cbr_w'');'...
			'm1 = findobj(fh,''tag'',''h_uim_plist_font'');'...
			'm2 = findobj(fh,''tag'',''h_uim_plist_pos'');'...
			'm3 = findobj(fh,''tag'',''h_uim_plist_misc'');'...
			'set(get(m3,''userdata''),''visible'',''off'');set(m3,''checked'',''off'');'...
			'set(get(m2,''userdata''),''visible'',''off'');set(m2,''checked'',''off'');'...
			'set(get(m1,''userdata''),''visible'',''on'');set(m1,''checked'',''on'');'];
	h_uim_plist_font = uimenu(h_uim_prop_list,'label','Color, String & Style Attributes',...
			'tag','h_uim_plist_font','userdata',...
			[h_t_c_fcolor h_t_c_horalign h_t_c_uicstyle h_t_c_uicstring h_ed_c_bcolor ...
			h_pop_c_uicstyle h_ed_c_uicstring ...
			h_pop_c_horalign h_ed_c_fcolor]','callback',c_string);
	c_string = ['fh = findobj(get(0,''children''),''flat'',''tag'',''ng_cbr_w'');'...
			'm1 = findobj(fh,''tag'',''h_uim_plist_font'');'...
			'm2 = findobj(fh,''tag'',''h_uim_plist_pos'');'...
			'm3 = findobj(fh,''tag'',''h_uim_plist_misc'');'...
			'set(get(m1,''userdata''),''visible'',''off'');set(m1,''checked'',''off'');'...
			'set(get(m3,''userdata''),''visible'',''off'');set(m3,''checked'',''off'');'...
			'set(get(m2,''userdata''),''visible'',''on'');set(m2,''checked'',''on'');'];
	h_uim_plist_pos = uimenu(h_uim_prop_list,'label','Position Attributes',...
			'tag','h_uim_plist_pos','userdata',[h_t_c_uicpos h_c_t_units ...
			h_t_c_min h_t_c_max h_ed_c_uicpos ...
			h_ed_c_min h_ed_c_max h_ed_c_val h_t_c_val...
			h_pop_c_units]','callback',c_string);
	c_string = ['fh = findobj(get(0,''children''),''flat'',''tag'',''ng_cbr_w'');'...
			'm1 = findobj(fh,''tag'',''h_uim_plist_font'');'...
			'm2 = findobj(fh,''tag'',''h_uim_plist_pos'');'...
			'm3 = findobj(fh,''tag'',''h_uim_plist_misc'');'...
			'set(get(m1,''userdata''),''visible'',''off'');set(m1,''checked'',''off'');'...
			'set(get(m2,''userdata''),''visible'',''off'');set(m2,''checked'',''off'');'...
			'set(get(m3,''userdata''),''visible'',''on'');set(m3,''checked'',''on'');'];

	h_uim_plist_misc = uimenu(h_uim_prop_list,'label','Other Attributes',...
			'tag','h_uim_plist_misc','userdata',[h_c_t_clip h_c_t_tag ...
			h_c_t_type h_c_t_vis h_c_t_bdf h_ed_c_type h_ed_c_tag ...
			h_ed_c_bdfcn h_pop_c_visible h_pop_c_clipping...
			h_c_t_inter h_pop_c_inter]',...
			'callback',c_string);
	h_uim_prop_get = uimenu(h_uim_prop,'label','GET',...
		'callback','ng_cbr_w(50)');
	h_uim_opt = uimenu('label','Options');
	h_uim_opt_hide = uimenu(h_uim_opt,'label','Hide Text Browser',...
		'callback',['set(findobj(get(0,''children''),''flat'',' ...
		'''tag'',''ng_cbr_w''),''visible'',''off'');']);
%	h_uim_opt_close = uimenu(h_uim_opt,'label','Close Text Browser',...
%		'callback',['close(findobj(get(0,''children''),''flat'','...
%		'''tag'',''ng_cbr_w''));']);

	%  Axes and Text Object Creation 




	handle_list = [ ...  
	 	 h_frame_c_tbrw h_ed_c_bcolor h_ed_c_type ... 
	 	h_ed_c_tag h_ed_c_bdfcn h_ed_c_uicpos h_ed_c_val ... 
	 	h_ed_c_min h_pop_c_uicstyle h_ed_c_uicstring h_t_c_bcolor ... 
	 	h_c_t_va h_t_c_max h_t_c_fcolor h_t_c_horalign ... 
	 	h_t_c_uicstyle h_c_t_fw h_t_c_uicpos h_c_t_units ... 
	 	h_t_c_uicstring h_t_c_min h_c_t_bdf h_t_c_val ... 
	 	h_c_t_clip h_c_t_tag h_c_t_type h_c_t_vis ... 
	 	h_pop_c_visible h_pop_c_clipping h_pop_c_valign h_pop_c_units ... 
	 	h_ed_c_max h_pop_c_fontweight h_pop_c_horalign h_ed_c_fcolor ... 
	 	 	h_c_t_inter h_pop_c_inter]; 

	eval(get(h_uim_plist_font,'callback'));
	pause(.1);
	set(fig_ng_tbr,'userdata',handle_list); 
	ng_cbr_w(50);
	if nargin < 2 | (nargin == 2 & param1 ~= 999)
	  set(fig_ng_tbr,'visible','on')
	end
elseif command == 1 
	%disp('h_ed_c_bcolor selected.') 
	if length(uic_objs) > 0
	   col = (get(h_ed_c_bcolor,'string'));
	   if length(str2num(col)) == 0
	     eval(['set(uic_objs,''backgroundcolor'',''' col ''')'],err_string);
	   else
	     eval(['set(uic_objs,''backgroundcolor'',' col ')'],err_string);
	   end
%	   if length(col) == 3
%	     eval(['set(uic_objs,''backgroundcolor'',col)'],err_string);
%	   end
	end
elseif command == 2 
	%disp('h_ed_c_type selected.') 
elseif command == 3 
	%disp('h_ed_c_tag selected.') 
	if length(uic_objs) == 1
	   tag = get(h_ed_c_tag,'string');
		  if length(findobj(wf,'tag',tag)) == 0
		   if length(tag) == 0
		     set(st,'string',['Tag must be legal.']);
		   else
		    oldtag = get(uic_objs,'tag');
	            eval(['set(uic_objs,''tag'',tag);'...
		        'set(uic_objs,''callback'','...
			'strrep(get(uic_objs,''callback''),oldtag,tag));'],...
			err_string);
		   end
		  else
		   set(st,'string',['Another object already' ...
			' has this tag.'])
		  end
	  % eval(['set(uic_objs,''tag'',tag)'],err_string);
	else
		set(st,'string','Every object''s tag must be unique.');
	end
elseif command == 4 
	%disp('h_ed_c_bdfcn selected.') 
	if length(uic_objs) > 0
	   propval = get(h_ed_c_bdfcn,'string');
	   eval(['set(uic_objs,''buttondownfcn'',propval)'],err_string);
	end
elseif command == 5 
	%disp('h_ed_c_uicpos selected.') 
	if length(uic_objs) > 0
	   propstr = get(h_ed_c_uicpos,'string');
	   propstr = strrep(propstr,'-','NaN');
	   proppos = eval(propstr);
	   proppos_ind = find(~isnan(proppos));
	
	   for loop = 1:length(uic_objs)
	    oldpos = get(uic_objs(loop),'position');
	    newpos = oldpos;
 	    newpos(proppos_ind) = proppos(proppos_ind);
	    eval(['set(uic_objs(loop),''position'',newpos)'],err_string);
	   end
	end
elseif command == 6 
	%disp('h_ed_c_val selected.') 
	if length(uic_objs) > 0
	   propval = str2num(get(h_ed_c_val,'string'));
	   eval(['set(uic_objs,''val'',propval)'],err_string);
	end
elseif command == 7 
	%disp('h_ed_c_min selected.') 
	if length(uic_objs) > 0
	   propval = str2num(get(h_ed_c_min,'string'));
	   eval(['set(uic_objs,''min'',propval)'],err_string);
	end
elseif command == 8 
	%disp('h_pop_c_uicstyle selected.') 
	if length(uic_objs) > 0
	   propval = get(h_pop_c_uicstyle,'val');
	   propstr = get(h_pop_c_uicstyle,'string');
	   objpropstr = deblank(propstr(propval,:));
	      eval(['set(uic_objs,''style'',''' objpropstr ''')'],...
		err_string);
	end
elseif command == 9 
	%disp('h_ed_c_uicstring selected.') 
	if length(uic_objs) > 0
	   propval = get(h_ed_c_uicstring,'string');
	   eval(['set(uic_objs,''string'',propval)'],err_string);
	end
elseif command == 10 
	%disp('h_pop_c_visible selected.') 
	if length(uic_objs) > 0
	   propval = get(h_pop_c_visible,'val');
	   propstr = get(h_pop_c_visible,'string');
	   objpropstr = deblank(propstr(propval,:));
	      eval(['set(uic_objs,''visible'',''' objpropstr ''')'],...
		err_string);
	end
elseif command == 11 
	%disp('h_pop_c_clipping selected.') 
	if length(uic_objs) > 0
	   propval = get(h_pop_c_clipping,'val');
	   propstr = get(h_pop_c_clipping,'string');
	   objpropstr = deblank(propstr(propval,:));
	     eval(['set(uic_objs,''clipping'',''' objpropstr ''')'],...
		err_string);
	end
elseif command == 12 
	%disp('h_pop_c_valign selected.') 
	if length(uic_objs) > 0
	   propval = get(h_pop_c_valign,'val');
	   propstr = get(h_pop_c_valign,'string');
	   objpropstr = deblank(propstr(propval,:));
	     eval(['set(uic_objs,''verticalalignment'',''' objpropstr ''')'],...
		err_string);
	end
elseif command == 13 
	%disp('h_pop_c_units selected.') 
	if length(uic_objs) > 0
	   propval = get(h_pop_c_units,'val');
	   propstr = get(h_pop_c_units,'string');
	   objpropstr = deblank(propstr(propval,:));
	     eval(['set(uic_objs,''units'',''' objpropstr ''')'],...
		err_string);
	   ng_cbr_w(50);
	end
elseif command == 14 
	%disp('h_ed_c_max selected.') 
	if length(uic_objs) > 0
	   propval = str2num(get(h_ed_c_max,'string'));
	   eval(['set(uic_objs,''max'',propval)'],err_string);
	end
elseif command == 15 
	%disp('h_pop_c_fontweight selected.') 
	if length(uic_objs) > 0
	   propval = get(h_pop_c_fontweight,'val');
	   propstr = get(h_pop_c_fontweight,'string');
	   objpropstr = deblank(propstr(propval,:));
	   eval(['set(uic_objs,''fontweight'',''' objpropstr ''')'],...
		err_string);
	end
elseif command == 16 
	%disp('h_pop_c_horalign selected.') 
	if length(uic_objs) > 0
	   propval = get(h_pop_c_horalign,'val');
	   propstr = get(h_pop_c_horalign,'string');
	   objpropstr = deblank(propstr(propval,:));
	   eval(['set(uic_objs,''horizontalalignment'',''' objpropstr ''')'],...
		err_string);
	end
elseif command == 17 
	%disp('h_ed_c_fcolor selected.') 
	if length(uic_objs) > 0
	   col = (get(h_ed_c_fcolor,'string'));
	   if length(str2num(col)) == 0
	     eval(['set(uic_objs,''foregroundcolor'',''' col ''')'],err_string);
	   else
	     eval(['set(uic_objs,''foregroundcolor'',' col ')'],err_string);
	   end
%	   eval(['set(uic_objs,''foregroundcolor'',propval)'],err_string);
	end
elseif command == 18 
	%disp('h_pop_c_inter selected.') 
	if length(uic_objs) > 0
	   propval = get(h_pop_c_horalign,'val');
	   propstr = get(h_pop_c_horalign,'string');
	   objpropstr = deblank(propstr(propval,:));
	   eval(['set(uic_objs,''interruptible'',''' objpropstr ''')'],...
		err_string);
	end
elseif command == 50
    if length(uic_objs) > 0
	
	property_list = str2mat('style','horizontalalignment',...
			'units',...
			'clipping','visible','interruptible');
	handle_prop_list = [h_pop_c_uicstyle h_pop_c_horalign ...
			h_pop_c_units ...
			h_pop_c_clipping h_pop_c_visible h_pop_c_inter ];
	fig = findobj(get(0,'children'),'flat','tag','ng_cbr_w');
	if length(uic_objs) == 1
	  set(fig,'name',['UIcontrol Browser (' get(uic_objs,'tag') ')']);
	else
	  set(fig,'name',['UIcontrol Browser for (Mult. UIControls)']);
	end

	for loop = 1:size(property_list,1)
	   property = deblank(property_list(loop,:));
	   flag_not_all_same = 0;
	   for loop2 = 1:length(uic_objs)
	      property_value = get(uic_objs(loop2),property);
	      if loop2 > 1
		if ~strcmp(first_prop_val,property_value)
		   flag_not_all_same = 1; break;
		end
	      else
		first_prop_val = property_value;
	      end
	   end
	   pos_vals = get(handle_prop_list(loop),'string');
	   for loop1 = 1:size(pos_vals,1)
	    if strcmp(lower(deblank(pos_vals(loop1,:))),property_value) & ...
		flag_not_all_same == 0
	      set(handle_prop_list(loop),'val',loop1);break
	    elseif loop1 == size(pos_vals,1)
	      set(handle_prop_list(loop),'val',loop1);
	    end
	    drawnow;
	   end
	end

	property_list = str2mat('backgroundcolor','foregroundcolor',...
			'value','min','max');
	handle_prop_list = [h_ed_c_bcolor h_ed_c_fcolor ...
			h_ed_c_val h_ed_c_min h_ed_c_max];

	for loop = 1:size(property_list,1)
	   property = deblank(property_list(loop,:));
	   flag_not_all_same = 0;
	   for loop2 = 1:length(uic_objs)
	      property_value = get(uic_objs(loop2),property);
	      if loop2 > 1
		if ~prod(first_prop_val == property_value)
		   flag_not_all_same = 1; break;
		end
	      else
		first_prop_val = property_value;
	      end
	   end
	   if flag_not_all_same == 0
		set(handle_prop_list(loop),'string',mat2str2(round(property_value*100)/100));
	   else
		set(handle_prop_list(loop),'string','');
	   end
	end

	property_list = str2mat('string',...
			'buttondownfcn','tag');
	handle_prop_list = [h_ed_c_uicstring ...
			h_ed_c_bdfcn h_ed_c_tag];

	for loop = 1:size(property_list,1)
	   property = deblank(property_list(loop,:));
	   flag_not_all_same = 0;
	   for loop2 = 1:length(uic_objs)
	      property_value = get(uic_objs(loop2),property);
	      if loop2 > 1
		if ~strcmp(first_prop_val,property_value)
		   flag_not_all_same = 1; break;
		end
	      else
		first_prop_val = property_value;
	      end
	   end
	   if flag_not_all_same == 0
		set(handle_prop_list(loop),'string',property_value);
	   else
		set(handle_prop_list(loop),'string','');
	   end
	end

	property_list = 'position';
	handle_prop_list = [h_ed_c_uicpos];

	for loop = 1:size(property_list,1)
	   property = deblank(property_list(loop,:));
	   flag_not_all_same = [0 0 0 0];
	   for loop2 = 1:length(uic_objs)
	      property_value = get(uic_objs(loop2),property);
	      if loop2 > 1
		if first_prop_val(1) ~= property_value(1)
		   flag_not_all_same(1) = 1;
		   first_prop_val(1) = NaN;
		end
		if first_prop_val(2) ~= property_value(2)
		   flag_not_all_same(2) = 1;
		   first_prop_val(2) = NaN;
		end
		if first_prop_val(3) ~= property_value(3)
		   flag_not_all_same(3) = 1;
		   first_prop_val(3) = NaN;
		end
		if first_prop_val(4) ~= property_value(4)
		   flag_not_all_same(4) = 1;
		   first_prop_val(4) = NaN;
		end
		if prod(flag_not_all_same)
		   break
		end
	      else
		first_prop_val = property_value;
	      end
	   end
	  pos_string = mat2str2(round(first_prop_val*100)/100);
	  set(handle_prop_list(loop),'string',pos_string);
	end
     end
  set(st,'string','OK...Properties Gotten. Ready.');
else 
	error('Error: ng_cbr_w.m called with incorrect command.') 
end 
