function ng_hlp_w(command,param1) 
%   
%  ng_hlp_w.m 
%   
%  usage:       ng_hlp_w(command,parameter1) 
%
%  Provides Help capabilities to GUIMAKER 2
%   
%           where 
%   
%               'command' is used to perform some defined operation 
%               'parameter1' can be used pass extra information 
%                              to a defined operation 
%   
%           If no arguements are used the GUI is initialized. 
%   
%   
%  Created: 6-Jan-95 
%  Using  : GUI Maker Ver 2.0 by Patrick Marchand 
%                         (PRMarchand@aol.com) 
%
%  Author :  Patrick Marchand
%  Mods.  :  
%   

% Copyright (c) 1995 by Patrick Marchand
%       Permission is NOT given to modify and re-distribute this
%	code in any manner without written consent from Patrick Marchand.
%       The code can be distributed in its unaltered form as long as it
%       accompanies all files contained within the GUI Maker Version 2.0
%       package of files.  All standard disclaimers apply. 


if nargin == 0 
	command = 'new'; 
end 
 
if isstr(command) 
	if strcmp(lower(command),'initialize') | strcmp(lower(command),'new') 
		command = 0; 
	elseif strcmp(lower(command),lower('h_edit_help1')) 
		command = 1; 
	elseif strcmp(lower(command),lower('h_pop_help1')) 
		command = 2; 
	end 
end 

if command ~= 0 
	handle_list = get(gcf,'userdata'); 
	if length(handle_list) > 0 
		h_frame_help = handle_list(1); 
		h_edit_help1 = handle_list(2); 
		h_text_help = handle_list(3); 
		h_pop_help1 = handle_list(4); 
		h_slide_help1 = handle_list(5);
	elseif strcmp(lower(command),lower('compile')) 
		command = 99; 
	end 
end 

if command == 0

%	figure('position',[ 14 365 478 426 ],'resize','on','tag','ng_hlp_w'); 
	fig = findobj(get(0,'children'),'flat','tag','ng_hlp_w');
	if length(fig) > 0
	   figure(fig);
	   if nargin > 1
		ng_hlp_w('h_pop_help1',param1);
	   end
	   return
	end
	figure('position',[ 14 592 535 201 ],'resize','on','tag','ng_hlp_w',...
		'name','GUI Maker Help','Numbertitle','off'); 

	%  Uicontrol Object Creation 

	h_frame_help = uicontrol(... 
		'CallBack','ng_hlp_w(''h_frame_help'');',... 
		'Position',[ 0.0 0 1 1 ],... 
		'Style','frame',... 
		'Units','normalized',... 
		'Tag','h_frame_help',... 
		'UserData',''); 
%	h_edit_help1 = uicontrol(... 
%		'CallBack','ng_hlp_w(''h_edit_help1'');',... 
%		'Position',[ 0.05 0.11 0.9 0.65 ],... 
%		'String','GUI Maker 2.0',... 
%		'Style','edit',... 
%		'Units','normalized',... 
%		'Tag','h_edit_help1',... 
%		'UserData',''); 
	scrll_string = ['GUI Maker 2.1 by Patrick Marchand|'...
		'|Requires: MATLAB 4.2 or higher'...
		'||Description:  '...
		'GUI Maker is a tool which should help you build|'...
		'Graphical User Interfaces for you matlab applications.|'...
		' |A full blown manual will be available Fall 1995.'...
		' ||Special Thanks to the following individuals for their'...
		'|help, suggestions, and contributions toward this package:|'...
		'|       Gildas  Perrot'...
		'|       Eric    Klings'...
		'|       Todd    Beck'...
		'|       Jeffery Faneuff'...
		'|       Keith   Rogers'...
		'|       Steve   Eddins'...
		];

	h_scrll = scrllwin('new','tag','h_gm_help_scrll',...
		 'position',[.05 .11 .9 .65 .03],...
		'string',scrll_string);
	h_edit_help1 = h_scrll(1);
	h_slide_help1 = h_scrll(2);

	h_text_help = uicontrol(... 
		'CallBack','ng_hlp_w(''h_text_help'');',... 
		'Position',[ 0.43 0.9 0.21 0.04 ],... 
		'String','',... 
		'Style','text',... 
		'Units','normalized',... 
		'Tag','h_text_help',... 
		'UserData',''); 
	h_pop_help1 = uicontrol(... 
		'CallBack','ng_hlp_w(''h_pop_help1'');',... 
		'Max',[ 9 ],... 
		'Min',[ 1 ],... 
		'Position',[ 0.31 0.82 0.44 0.12 ],... 
		'String','General|Quick Start & Tips|File Menu|Modes|User Prefs|Select/Move/Resize|Callback Editor|Object Browsers|Alignment Tool|Help|UIMenu Creation|License & Registration',... 
		'Style','popupmenu',... 
		'Units','normalized',... 
		'Value',[ 1 ],... 
		'Tag','h_pop_help1',... 
		'UserData',''); 

%		'String','General|Create Mode|Select Mode|Basic Prop. Editor|User Prefs|File Menu|Callback Editor|Object Browsers|Quick Start & Tips|Help|UIMenu Creation|License & Registration',... 

	h_push_cancell = uicontrol(...
		'CallBack','close(gcf);',... 
 		'Position',[ .82 0.82 0.15 0.12 ],... 
		'String','Cancel',... 
		'Style','pushbutton',... 
		'Units','normalized',... 
		'Tag','h_push_cancell',... 
		'UserData',''); 
	


	%  Menu Object Creation 


	%  Axes and Text Object Creation 




	handle_list = [ ...  
	 	 h_frame_help h_edit_help1  h_text_help ... 
	 	h_pop_help1 h_slide_help1... 
	 	 	]; 

	set(gcf,'userdata',handle_list); 

	   if nargin > 1
		ng_hlp_w('h_pop_help1',param1);
	   end


elseif command == 1 
%	disp('h_edit_help1 selected.') 
elseif command == 2 
%	disp('h_pop_help1 selected.')
	if nargin > 1
		set(h_pop_help1,'val',param1);
	end
 
	if get(h_pop_help1,'val') == 1
	   scrll_string = ['GUI Maker 2.1 by Patrick Marchand|'...
		'|Requires: MATLAB 4.2 or higher'...
		'||Description:  '...
		'GUI Maker is a tool which should help you build|'...
		'Graphical User Interfaces for you matlab applications.|'...
		' |A full blown manual will be available Fall 1995.'...
		' ||Special Thanks to the following individuals for their'...
		'|help, suggestions, and contributions toward this package:|'...
		'|       Gildas  Perrot'...
		'|       Eric    Klings'...
		'|       Todd    Beck'...
		'|       Jeffery Faneuff'...
		'|       Keith   Rogers'...
		'|       Steve   Eddins'...
		];
	   scrllwin('set',[h_edit_help1 h_slide_help1],'string',scrll_string);
	elseif get(h_pop_help1,'val') == 9
	   scrll_string = ['ALIGNMENT TOOL|'...
		'================|'...
		'|This tool will allow you to horizontally or vertically align the|'...
		'selected objects.|'...
		'|'...
		'Horizontally alters the x-coordinate or first element of the position|'...
		'vector.|'...
		'|'...
		'Vertically alters the y-coordinate or second element of the position|'...
		'vector.|'...
		'|'...
		];
	   scrllwin('set',[h_edit_help1 h_slide_help1],'string',scrll_string);
	elseif get(h_pop_help1,'val') == 3
	   scrll_string = ['FILE MENU|=================|'...
		'|'...
		'"New Canvas" brings up a new canvas to work in.|'...
		'|'...
		'--------------|'...
		'|'...
		'"Load" is used to bring up a previously saved GUIs.|'...
		'|'...
		'The load dialog box should be used as follows:|'...
		'Type the name of the file you want to load or use the "..." to |'...
		'graphically select you file.  If the file was NOT created with|'...
		'GUI Maker 1 or 2.1 select the "Not" created with GUIMaker checkbox,|'...
		'but realize that you may lose callback information on the objects.|'...
		'Then select "LOAD".|'...
		'To load in callback commands from GUIMaker version 1.0 you must|'...
		'edit your m-file as follows under each "if command == XX" where|'...
		'XX is a number between 1 and the number of objects that perform|'...
		'a callback. You need to add the following to lines so that each|'...
		'callback starts with the following line:|'...
		'|'...
		' %%       DO NOT REMOVE/ALTER THIS COMMENT: CALLBACK_START YYY |'...
		'|'...
		'and ends with the following line|'...
		'|'...
		' %%       DO NOT REMOVE/ALTER THIS COMMENT: CALLBACK_STOP YYY|'...
		'|'...
		'where YYY is the objects name (handle). The spacing of these two|'...
		'comment lines is very important from "%%" to "CALLBACK_START" or|'...
		'"CALLBACK_STOP".  See example1.m|'...
		'|'...
		'If you have a figure that you want to alter with GUIMaker 2.1,|'...
		'you can load in the figure by chaning the popupmenu from "M-file"|'...
		'to "Figure" and then chosing the correct figure number and finally|'...
		'"LOAD".|'...
		'|'...
		'--------------|'...
		'|'...
		'"Save" is used to create you m-files that generate your GUIs.|'...
		'|'...
		'The default mode GUI (Operational) M-file" is what most people |'...
		'should use.  The other choices from the popup are used if you want|'...
		'to slap together code pieces and just want a script or function|'...
		'that creates the GUI - these are not operational in the sense that|'...
		'your callbacks for these objects will not operate.|'...
		'|'...
		'Define Figure Properties pushbutton should be selected before|'...
		'saving to define figure attributes.  It has to be called up|'...
		'on every save (sorry - I''ll fix this in the next version).|'...
		'|'...
		'"Print Obj. Tag in Callback" can be used as an educational or |'...
		'debugging tool for those not familiar with the way the GUI operates.|'...
		'Every time a object is clicked on the name will appear and therefore|'...
		'you can look through the code to see where the names are displayed|'...
		'to get some understanding (hopefully).|'...
		'|'...
		'--------------|'...
		'|'...
		'"Print" will let you print your GUIs.  Also the print will give|'...
		'you the X-windows look to the GUI.  As you can see this version |'...
		'function has a lot to be desired, but gives you more than what is |'...
		'currently offered by MATLAB.  I have heard that the option to print|'...
		'GUIs is coming soon - so I did not want to waste a lot of time with this.|'...
		'|'...
		'--------------|'...
		'|'...
		'"Quit" will quit the GUI Maker 2.1 window. It will however leave your|'...
		'canvases and all other windows alone.  If you accidentally quit before|'...
		'saving you canvas just re-execute GUIMaker and then save your |'...
		'figures. No information will be lost this way.|'...
		];
	   scrllwin('set',[h_edit_help1 h_slide_help1],'string',scrll_string);
	elseif get(h_pop_help1,'val') == 4
	   scrll_string = ['MODES|=================|'...
		'|'...
		'Modes are just the various window interfaces that GUI Maker 2.1|'...
		'has to do different things.  They try to categorize some commands.|'...
		'|'...
		'Create|'...
		'------|'...
		'|'...
		'The Create mode ("Mode" -> "Create") is where you specify which|'...
		'object you want created.  Select the type (UIControl/UIMenu/Axes/|'...
		'Text) of object from the first popupmenu and then select one|'...
		'of the styles of the object from the other popupmenu.|'...
		'|'...
		'Type in a unique handle name in the edit box where it says Object|'...
		'Tag (you can make this optional - Opt. - by setting up your user|'...
		'preferences (see help on user prefs)). Type in a String/Label depending|'...
		'on the object (Text objects must have the string, UI objects its up|'...
		'to you, and axes objects dont use this).|'...
		'|'...
		'Finally, assuming you have brought up a canvas (with "File"->"New |'...
		'Canvas" from the menubar) click on the "Create" pushbutton. The |'...
		'message window will ask you to click and drag to define the location |'...
		'and size of the object in the current canvas.  If you have multiple |'...
		'canvases up make the one you want to create the object in the current |'...
		'one before clicking on create (click in the window of the canvas you |'...
		'want current or use the "Windows" menubar to chose which is current |'...
		'(the one that is checked is current)).|'...
		'|'...
		'Creation can also be done with the palette of icons.|'...
		'Most are straight forward click, pause, and drags. UIMENUS|'...
		'are created by selecting the lower right hand icon and then|'...
		'clicking once in the canvas, if uimenus already exist, clicking|'...
		'when one of them is selected will put a uimenu below (ie a|'...
		'submenu) the selected uimenu. Get it? - if not email me.|'...
		'|'...
		'Select|'...
		'------|'...
		'|'...
		'Selection can be done with the mouse (see Select/Move/Resize help) |'...
		'or it can be done in this mode.  Chose the type of objects you want|'...
		'selected unselected with the middle popupmenu. Then click on the |'...
		'"Select" or "Unselect" pushbutton depending on what you want to do.|'...
		'So if you wanted to select only pushbuttons:|'...
		'|'...
		'   1) Set popup to "All" and then choose "Unselect" pushbutton.|'...
		'   2) Set popup to "All UI pushbuttons" and choose "Select" pushbutton.|'...
		'|'...
		'Use "Identify selected" pushbutton to give you list all the currently|'...
		'selected objects in the command window.|'...
		'|'...
		'Basic Property Editing|'...
		'----------------------|'...
		'|'...
		'You can do a quick "GET" or "SET" to an objects property.  The property|'...
		'is chosen from the popupmenu.  The properties are not all the true|'...
		'name of the property, rather what the property does so that someone|'...
		'with little knowledge of graphics object properties can manipulate|'...
		'their objects.|'...
		'|'...
		'The "Copy", "Paste", "Delete" and "Undo" pushbuttons are redundant |'...
		'forms of those found in the menubar.  Undo can only (presently) be |'...
		'used to undo object resizing and moving.  Delete will give a warning |'...
		'before deleting your object(s).  Copy and Paste can be used between |'...
		'canvases.'];
	   scrllwin('set',[h_edit_help1 h_slide_help1],'string',scrll_string);
	elseif get(h_pop_help1,'val') == 5
	   scrll_string = ['USER PREFS|=================|'...
		'|'...
		'User preferences set up the way you like GUIMaker to operate.|'...
		'If you want the Basic Property Editing Mode to be available from the|'...
		'menubar make sure it is selected.|'...
		'|'...
		'Auto Clear Edit boxes will clear the edit boxes in Create Mode so|'...
		'that you do not need to backspace or clear them yourself before|'...
		'creating the next object.|'...
		'|'...
		'Auto Object Name Creation will determine a unique object tag name |'...
		'for you so that you do not need to type anything in the object tag|'...
		'edit box (but you can if you want to).|'...
		'|'...
		'Snap to grid allows you to force objects to a grid when moving or|'...
		'resizing an object. The grid is invisible.  If selected you have the|'...
		'option of specifying the grid in vertical and horizontal blocks,|'...
		'where 1000 is default and is a very fine grid. Resizing objects|'...
		'can get flaky if the grid is too coarse.  Experiment.|'...
		];
	   scrllwin('set',[h_edit_help1 h_slide_help1],'string',scrll_string);
	elseif get(h_pop_help1,'val') == 6
	   scrll_string = ['SELECT/MOVE/RESIZE|=================|'...
		'|'...
		'ALWAYS REMEMBER TO CLICK (HOLD), WAIT FOR CURSOR TO CHANGE AND THEN|'...
		'DRAG THE MOUSE.  The guimaker responsivenss depends on your systems|'...
		'speed.  Be a little patient until you know how fast you can create,|'...
		'and select and move stuff.|'...
		'|'...
		'All objects can be selected/deselected by clicking down on the object|'...
		'with the mouse pointer (except for frames, frames must be selected/|'...
		'deselected by clicking near their Hot-zone or edge in the figure window). |'... 
		'UIcontrols can also be selected by clicking within the Hot-zone. When |'...
		'an object is selected a dashed box (selection box) should appear |'...
		'around the object. You can select multiple objects by dragging a box |'...
		'around the objects or by using the SELECT MODE (Choose "MODE"->|'...
		'"SELECT" from the GUIMaker menubar).|'...
		'|'...
		'Selection can also be done by click and dragging a box around objects|'...
		'that you want selected. Clicking anywhere in the figure window not on|'...
		'or near an object will unselect all objects.|'...
		'|'...
		'To move an object, first select it.  Then click and drag the selection|'...
		'box.  To resize an object, first select it, and then click and drag|'...
		'a corner (the mouse pointer will change to indicate resizing process).|'...
		'|'...
		'To move multiple objects, select all desired objects. Then, use the |'...
		'middle mouse button (in the case of 3 buttons) or the right button if |'...
		'(you have two buttons) or hold down the shift-key and click down the |'...
		'mouse button (if you only have one button) and do the same thing that |'...
		'you would have done for a single object. Resize can also be done on |'...
		'multiple objects at once. Depending on the system and configuration |'...
		'this may be different for you -- learn by experimenting or asking |'...
		'questions.|'...
		'To resize a window without resizing the objects do the following:|'...
		'|'...
		'   1. Selcect all.|'...
		'   2. Use the Mode->Basic Prop. Editor |'...
		'   3. Put the popup to "Units"|'...
		'   4. Type "pixels" or "points" in the edit box.**|'...
		'   5. Click on "Set".|'...
		'   6. Resize the window.|'...
		'|'...
		'   **With some versions of MATLAB all UIs will look like they have |'...
		'     resized.  Dont worry.  Just type "normalized" after resizing|'...
		'     the window or click somewher within the figure window and all|'...
		'     object sizes should be restored (MATLAB bug).|'...
		'|'...
		'   Note if you click anywhere within the window. All objects will be|'...
		'   in units "normalized" and you will have to repeat this set of |'...
		'   operations. (All moving/selecting/resizing is done with the objects |'...
		'   in normalized units).  |'...
		'|'...
		'If your having problems selecting/moving text objects or any object lying on|'...
		'top of a frame:|'...
		'|'...
		'I recommend creating frames and placing them off on the side.  Then at |'...
		'the end resize the frames appropriately.  You can also use the select|'...
		'mode and chose select All UI Text .  I dont think there is anyway that|'...
		'I can fix it.  The problem is that Text objects do not execute their|'...
		'callbacks nor are button down functions recognized (object or figure).|'...
		'To assist the problem of MATLAB not being able to recognize|'...
		'unexpected mouse button presses on frames you can use the Select MODE or|'...
		'click on object methond (all but UItext and frames) to get the objects|'...
		'selected.  Then place the mouse pointer near the edge of the object and|'...
		'click and hold the mouse button and press the key "m" (for a normal |'...
		'click) and "M" (for an extended click). this is processed |'...
		'as a mouse click and hold.  Move the object release the mouse and if|'...
		'necessary press "m" or "M" once again.|'...
		];
	   scrllwin('set',[h_edit_help1 h_slide_help1],'string',scrll_string);
	elseif get(h_pop_help1,'val') == 7
	   scrll_string = ['CALLBACK EDITOR|=================|'...
		'|'...
		'This is used to create you callback MATLAB scripts or functions that|'...
		'are executed when a UI control is selected or an axes or text object|'...
		'is clicked on.|'...
		'|'...
		'If you save your GUI in the default mode of "GUI (Operational) M-file"|'...
		'(see help on FILE options under save section. You can use the tag of |'...
		'the object to get and set properties.|'...
		'|'...
		'For example, if you had a slider with tag "h_slide" and a UI text with|'...
		'tag "h_text" you could then edit the sliders callback by selecting the|'...
		'slider and bringing up the callback editor (or if it is already up, just|'...
		'select "GET" in the callback editor).|'...
		'|'...
		'Let us say we wanted to have the sliders value displayed in the text|'...
		'object all you would need to do is type|'...
		'|'...
		'val = get(h_slide,''value'');|'...
		'set(h_text,''string'',num2str(val));|'...
		'|'...
		'and click on "SET" in the callback editor to apply this callback to the|'...
		'slider.  Callbacks will only operate after you have saved the GUI and|'...
		'invoked the GUI function from the command line. I smell a upgrade |'...
		'option developing here.|'...
		'|You can also modify callbacks in the created m-file after you save|'...
		'and quit GUIMaker.  Each objects callback makes a call to the file|'...
		'you created. Just find the appropriate command and fill between the|'...
		'commented lines (see help on FILE under Load). More information |'...
		'about this capability will be discussed in the Full Blown Manual, |'...
		'so please REGISTER!'];
	   scrllwin('set',[h_edit_help1 h_slide_help1],'string',scrll_string);
	elseif get(h_pop_help1,'val') == 8
	   scrll_string = ['OBJECT BROWSERS|=================|'...
		' |There is an object browser for|'...
		'       UI Control Objects|       UI Menu Objects|'...
		'       Axes Objects|       Text Objects|'...
		' |Either select a single object and then bring up the browser|'...
		'for that object so that all the properties will be listed for|'...
		'that object, or if it is already up use Property->Get from the|'...
		'browser menu bar to update the property lists.|'...
		' |You can look at the various properties using the menu choice|'...
		'Property->List->???.|'....
		' |If multiple objects are selected the properties that are common|'...
		'will be listed, properties which are not common for the particular|'...
		'type of object will be left blank or state "All not Identical".|'...
		'Position and color properties will have "NaN"s in the position that|'...
		'the objects are not identical.  This allows you to align objects |'...
		'or make them the same size by only altering the appropriate element|'...
		'of the object position or color vector. (see your reference manual|'...
		'to find out what each element of the vector controls).  If two objects|'...
		'are selected and the position vector says "NaN NaN .2 .1" it means|'...
		'these two objects have the same width and height but not lower left hand|'...
		'corneer position. You could align them in the x-coordinate by changing|'...
		'the first element to .3 or what ever you like.|'...
		' |The browsers can either be hidden or closed from the menu bar.|'...
		'Hidden just makes the figure invisible and allows you to bring it up|'...
		'more quickly than if you close the window.'...
		];
	   scrllwin('set',[h_edit_help1 h_slide_help1],'string',scrll_string);
	elseif get(h_pop_help1,'val') == 2
	   scrll_string = ['QUICK START & TIPS|====================|'...
		'|ALWAYS REMEMBER TO CLICK (HOLD), WAIT FOR CURSOR TO |'...
		'CHANGE AND THEN DRAG THE MOUSE.  The guimaker responsiveness s|'...
		'depends on your system''ms speed.  Be a little patient |'...
		'until you know how fast you can create,|and select and move stuff.|'...
		'|'...
		'Most likely a canvas already exists (otherwise chose FILE->New|'...
		'Canvas to bring up a blank figure).  Click on the various icons|'...
		'in the Palette and read the message that appears in the GUI|'...
		'Maker 2.1 figure so that you know what each icon creates.|'...
		'Once you select the item you want to create, click, pause|'...
		'and drag out the region that the new object will occupy.|'...
		'Remember that an axes object must exist before text objects|'...
		'can be created (you can always make the axes object invisible.|'...
		'After you create an object, it''s browser should appear to|'...
		'allow you to edit the objects''s properties.|'...
		'|'...
		'If you do not want to use the palette of gui creation icons|'...
		'Then select Mode->Create (if you are not already|'...
		'in this mode). Type an object tag in the edit box (see help on user |'...
		'prefs if you want this done automatically) which is just a unique |'...
		'set of characters assigned to the graphics object, such as |'...
		'"h_ui_push1". Type a String in the edit box if so desired.|'...
		' |Next select the object type (default is a uicontrol frame object) from|'...
		'the popupmenus. Then click down on the "Create" button, at which|'...
		'point you are instructed to click and drag in the Canvas figure to|'...
		'define the location and size of the object.|'...
		' |If you are not satisfied with the size and location, see help on|'...
		'Selecting/Moving/Resizing, to alter these properties with the mouse.|'...
		'A selected UI control, axes, and text objects will have a box|'...
		'drawn around it.|'...
		' |Continue creating your objects, each time making sure to provide|'...
		'a new and unique object tag. Then at some point experiment with the|'...
		'other Modes and Tools. Hopefully they are intuitive otherwise use help.|'...
		' |Note that Undo only works when you move or resize an object with the|'...
		'mouse.  Copy works on all selected objects.  And you can paste to the|'...
		'same canvas (guimaker automatically creates new tags) or another canvas.|'...
		' |TIPS:| |1) Frames should be created before the rest of the objects|'...
		'   The last object created will be in front of the previous objects.|'...
		'   If you create a frame on top of other objects but want it below them|'...
		'   save the canvas with File->Save and then use File->Load to bring it|'...
		'   back up - recreated version will have frames in background.|'...
		' |2) Object on top of frames can still be moved around, only you will|'...
		'   not see the select box. Best method unselect all objects (use mouse|'...
		'   or Select Mode). Click on the object - until the message window|'...
		'   says that the object is selected. Click down near the edge of the|'...
		'   object - you will know that you can move or resize by the mouse|'...
		'   pointer style : Fleur = Move, Corner = Resize.|'...
		' |3) When using multiple canvases, when you select create, they can|'...
		'   only be created in the current canvas at the time you clicked down|'...
		'   on Create.  To make a canvas current use the Windows Menu (the|'...
		'   checked figure is the current canvas), or click in the figure window.|'...
		' |4) To resize a window without affecting the object sizes within|'...
		'    follow these steps:||'...
		'      a. Select all.|'...
		'      b. Use the Mode->Basic Prop. Editor |'...
		'      c. Put the popup to "Units"|'...
		'      d. Type "pixels" in the edit box.|'...
		'      e. Click on "Set".|'...
		'      f. Resize the window.|'...
		'   |'...
		'   Note if you click anywhere within the window. All objects will be|'...
		'   in units "normalized" and you will have to repeat this set of |'...
		'   operations. (All moving/selecting/resizing is done with the objects|'... 
		'   in normalized units).|'...
		' |5) Experiment with it before you work on a project and get frustrated.||'...
		'The Creation Palette is the easiest way to create object. Just|'...
		'point click and drag in the current canvas.|'...
		'Allows you to graphically choose the type of UI or axes that will be|'...
		'created with a choice of different UI icons.  Select the Arrow Icon|'...
		'button to use the mouse as a selection device.  Use the Axes Icon to|'...
		'create an axes with the mouse in the current canvas.  Use the Frame|'...
		'Icon to create a frame UI in the current canvas.  Use the PopUp Icon|'...
		'to create a popupmenu UI in the current canvas ....|'...
		'|'...
		'  +------------------+|'...
		'  (   Arrow      *    Axes        )|'...
		'  +-----------+------+|'...
		'  (   Frame     * Popupmenu )|'...
		'  +-----------+------+|'...
		'  ( Pushbutton*    Slider      )|'...
		'  +-----------+------+|'...
		'  ( Checkbox  * Radiobutton )|'...
		'  +-----------+------+|'...
		'  (  Editbox     *   Textbox      )|'...
		'  +------------------+|'...
		'  (  Text obj    *   UIMENU     )|'...
		'  +------------------+|'...
		'||You can also use keyboard commands within canvases:|'...
		'    a = alignment tool|'...
		'    c = copy|'...
		'    v = paste|'...
		'    u = undo|'...
		'    d = delete|'...
		'    m = normal mouse click (used when MATLAB doesnt recognize|'...
		'                     your mouse click actions when the pointer is|'...
		'                     on top of frames - see select/move/resize)|'...
		'    M = extended mouse click (used when MATLAB doesnt recognize|'...
		'                     your mouse click actions when the pointer is|'...
		'                     on top of frames - see select/move/resize)|'...
		];
	   scrllwin('set',[h_edit_help1 h_slide_help1],'string',scrll_string);
	elseif get(h_pop_help1,'val') == 11
	   scrll_string = ['UIMenu Creation|============|'...
		'This may not be so intuitive.  To create a |'...
		'1st level uimenu object just select the lower-right|'...
		'tools icon.  Click in the canvas.  After you have |'...
		'clicked a menu bar will be created and the first |'...
		'entry on the left should have the characters "<>" in|'...
		'it.  At the same time the uimenu browser should appear.|'...
		'Type the label (the name that appears to the user in|'...
		'the menu) in the label property value box.  Lets say|'...
		'you type "Menu1" in the label box.  The uimenu should|'...
		'look like "<Menu1>"  the "<" and ">" mean that that|'...
		'uimenu object is selected (Note: depending on the|'...
		'platform you are running on the update between |'...
		'select and unselected top level uimenus may only|'...
		'occur after you have selected two different figures |'...
		'- I have seen this happen on the Macintosh - Unix |'...
		'versions seem to do just fine).  If a uimenu is |'...
		'selected and you create another uimenu (by selecting |'...
		'the lower-right tools icon, and click in the figure) |'...
		'the next uimenu will appear below the selected one.|'...
		'|'...
		'If no uimenus are selected, the new uimenu will |'...
		'be on the top level.  If more than one uimenu is |'...
		'selected.  A message will appear in the message |'...
		'window telling you that at most only one uimenu |'...
		'object should be selected when creating new ones.|'...
		'|'...
		'UImenu selection is painful and somewhat annoying |'...
		'(hopefully a better way will be thought of by |'...
		'guimaker version 3.0).  1st level menus toggle |'...
		'between selected/unselected every time you use the |'...
		'pointer and click on one.  The uimenus below a 1st |'...
		'(top) level uimenu toggle their selected states when |'...
		'you choose them with the mouse.  Clicking in the |'...
		'figure window of a canvas unselects all objects |'...
		'(even uimenus).  It can be a little bit of a puzzle |'...
		'but I''m sure you''ll figure it out.'];
	   scrllwin('set',[h_edit_help1 h_slide_help1],'string',scrll_string);
	elseif get(h_pop_help1,'val') == 10
	   scrll_string = ['HELP|============|To use the help window, just select the|'...
		'topic from the popup menu at the top of this window.|'...
		' |'...
		'Resize the help window if you want.|'...
		' |'...
		'You can scroll through the help on a particular topic|'...
		'by using the slider that is on the right hand side of|'...
		'the edit box that this text is in. You can also place the|'...
		'cursor in the edit box and use the arrow keys. This may|'...
		'be necessary if your font is too big.| |'...
		'When you are done. Just press the Cancel pushbutton or|'...
		'just select another window such as the GUI Maker 2.1|'...
		'Window.|'...
		' |'...
		'Have fun...|'...
		' |'...
		];
	   scrllwin('set',[h_edit_help1 h_slide_help1],'string',scrll_string);
	elseif get(h_pop_help1,'val') == 12
	   scrll_string = ['GUIMaker 2.1 (SHAREWARE)|',...
		' |Suggested Donations: |'...
		'             $ 10 ($25 with manual) for single machine license.|'...
		'             $  8 ($23 with manual) per machine for 2-20 machines.|'...
		'             $160 ($199 with 5 manuals) for unlimited number of machines.|'...
		' |'...
		'If possible, please make payment by check and in U.S. dollars|'...
		'If registering from abroad, send cash if necessary.|'...
		' |'...
		'Fill out the form in the file "register" and send it|'...
		'along with payment to:|'...
		' |'...
		'            Patrick Marchand|'...
		'            96 Warrington Drive|'...
		'            Lake Bluff, IL 60044|'...
		'            USA|'...
		' |'...
		'The donation entitles you to free support and bug fixes.|'...
		'Updates and bug fixes will be sent by email.|'...
		' |'...
		'For those of you sending $10 or more, there will be an|'...
		'opportunity to receive half of it back.  Details will be|'...
		'available soon.| '...
		'|Licence Agreement: |'...
		'|The author makes no warranty, either express or implied, to this|'...
		'software package.  You assume all risk of using the package with|'...
		'regard to loss or damage of data or materials.|'...
		'|GUIMaker is copyrighted material.  This product may not be|'...
		'sold or exploited for profit without the written consent of the author.|'...
		'You also agree to use the product for 30 days at which time you either|'...
		'shall register in the form stated above or destroy all files associated|'...
		'with the GUIMaker package.  You may distribute the package without|'...
		'modification in its entirety and original form (all files must be|'...
		'distributed as one package).||'... 
		'Thanks for your support.| '...
		'                           -PRM|'...
		];
	   scrllwin('set',[h_edit_help1 h_slide_help1],'string',scrll_string);
	end
elseif command == 99

	% DO NOTHING JUST COMPILE FOR FASTER RECALL
 
else 
	error('Error: ng_hlp_w.m called with incorrect command.') 
end 
