function ng_ld_w(command,param1) 
%  Template for uicontrol form. 
%   
%  1. Optional: Replace all occurances of 'ng_ld_w' with desired 'filename'. 
%  2. Optional: Resave this file as that 'filename'. 
%  3. Optional: Fill in the 'elseif command == ...' sections with 
%          code that does something other than display which 
%          uicontrol button was pressed. Be creative! 
%  4. Optional: Change each 'h(index)' ,where index is 1,2,3,.. 
%               to a functionally more descriptive name. 
%  5. Optional: Delete these first 10 comment lines. 
%   
%  ng_ld_w.m 
%   
%  usage:       ng_ld_w(command,parameter1) 
%   
%           where 
%   
%               'command' is used to perform some defined operation 
%               'parameter1' can be used pass extra information 
%                              to a defined operation 
%   
%           If no arguements are used the GUI is initialized. 
%   
%   
%  Created: 18-Nov-94 
%  Using  : GUI Maker Ver 2.0 by Patrick Marchand 
%                         (PRMarchand@aol.com) 
%  Author :  PRM
%  Mods.  :  
%   

% Copyright (c) 1995 by Patrick Marchand
%       Permission is NOT given to modify and re-distribute this
%	code in any manner without written consent from Patrick Marchand.
%       The code can be distributed in its unaltered form as long as it
%       accompanies all files contained within the GUI Maker Version 2.0
%       package of files.  All standard disclaimers apply. 



if nargin == 0 
	command = 'new'; 
end 

if isstr(command) 
	if strcmp(lower(command),'initialize') | strcmp(lower(command),'new') 
		command = 0; 
	elseif strcmp(lower(command),lower('h_push_ld_dirlook')) 
		command = 1; 
	elseif strcmp(lower(command),lower('h_push_ld_cancel')) 
		command = 2; 
	elseif strcmp(lower(command),lower('h_push_ld_load')) 
		command = 3; 
	elseif strcmp(lower(command),lower('h_edit_ld_filename')) 
		command = 4; 
	elseif strcmp(lower(command),lower('h_pop_ld_fignums')) 
		command = 5; 
	elseif strcmp(lower(command),lower('h_pop_ld_filetype')) 
		command = 6; 
	elseif strcmp(lower(command),lower('h_chbx_not_guimk')) 
		command = 7; 
	elseif strcmp(lower(command),lower('compile')) 
		command = 99; 
	end 
end 

if command ~= 0 & command ~= 99
	handle_list = get(findobj(get(0,'chil'),'flat',...
		'tag','ng_ld_w'),'userdata'); 
	if length(handle_list) > 0 
		h_frame_load = handle_list(1); 
		h_push_ld_dirlook = handle_list(2); 
		h_push_ld_cancel = handle_list(3); 
		h_push_ld_load = handle_list(4); 
		h_edit_ld_filename = handle_list(5); 
		h_text_ld_window = handle_list(6); 
		h_pop_ld_fignums = handle_list(7); 
		h_pop_ld_filetype = handle_list(8); 
		h_chbx_not_guimk = handle_list(9); 
	end 
end 


if command == 0 

	fig = findobj(get(0,'children'),'flat','tag','ng_ld_w');
	if length(fig) > 0
	   figure(fig);
	   return;
	end

	fig = figure('position',[10 697 278 124],...
		'resize','on','tag','ng_ld_w',...
		'name','Load GUI','Numbertitle','off'); 

	%  Uicontrol Object Creation 

	h_frame_load = uicontrol(... 
		'CallBack','ng_ld_w(''h_frame_load'');',... 
		'Position',[ 0.0 0.0 1 1 ],... 
		'Style','frame',... 
		'Units','normalized',... 
		'Tag','h_frame_load',... 
		'UserData',''); 
	h_push_ld_dirlook = uicontrol(... 
		'CallBack','ng_ld_w(''h_push_ld_dirlook'');',... 
		'Position',[ 0.84 0.53 0.08 0.16 ],... 
		'String','...',... 
		'Units','normalized',... 
		'Tag','h_push_ld_dirlook',... 
		'UserData',''); 
	h_push_ld_cancel = uicontrol(... 
		'CallBack','ng_ld_w(''h_push_ld_cancel'');',... 
		'Position',[.75 .78 .21 .16],... 
		'String','Cancel',... 
		'Units','normalized',... 
		'Tag','h_push_ld_cancel',... 
		'UserData',''); 
	h_push_ld_load = uicontrol(... 
		'CallBack','ng_ld_w(''h_push_ld_load'');',... 
		'Position',[.50 .78 .21 .16],... 
		'String','Load',... 
		'Units','normalized',... 
		'Tag','h_push_ld_load',... 
		'UserData',''); 
	h_edit_ld_filename = uicontrol(... 
		'CallBack','ng_ld_w(''h_edit_ld_filename'');',... 
		'Position',[ 0.09 0.53 0.72 0.16 ],... 
		'String','template.m',... 
		'Style','edit',... 
		'Units','normalized',... 
		'Tag','h_edit_ld_filename',... 
		'UserData',''); 
	h_text_ld_window = uicontrol(... 
		'CallBack','ng_ld_w(''h_text_ld_window'');',... 
		'Position',[ 0.03 0.78 0.12 0.16 ],... 
		'String','FILE:',... 
		'Style','text',... 
		'Units','normalized',... 
		'Tag','h_text_ld_window',... 
		'UserData',''); 
	h_pop_ld_fignums = uicontrol(... 
		'CallBack','ng_ld_w(''h_pop_ld_fignums'');',... 
		'Min',[ 1 ],... 
		'Position',[ 0.30 0.53 0.38 0.16 ],... 
		'String','Figure 1',... 
		'Style','popupmenu',... 
		'Units','normalized',... 
		'Value',[ 1 ],... 
		'Visible','off',...
		'Tag','h_pop_ld_fignums',... 
		'UserData',''); 
	h_pop_ld_filetype = uicontrol(... 
		'CallBack','ng_ld_w(''h_pop_ld_filetype'');',... 
		'Min',[ 1 ],... 
		'Position',[ 0.23 0.32 0.52 0.16 ],... 
		'String','M-file|Figure',... 
		'Style','popupmenu',... 
		'Units','normalized',... 
		'Value',[ 1 ],... 
		'Tag','h_pop_ld_filetype',... 
		'UserData',''); 
	h_chbx_not_guimk = uicontrol(...
		'CallBack','ng_ld_w(''h_chbx_not_guimk'');',... 
		'Position',[.07 .10 .86 .16],... 
		'String','Not created with GUIMaker',... 
		'Style','checkbox',... 
		'Units','normalized',... 
		'Value',[ 0 ],... 
		'Tag','h_chbx_not_guimk',... 
		'UserData',''); 

	%  Menu Object Creation 


	%  Axes and Text Object Creation 




	handle_list = [ ...  
	 	 h_frame_load h_push_ld_dirlook h_push_ld_cancel ... 
	 	h_push_ld_load h_edit_ld_filename h_text_ld_window  ... 
	 	h_pop_ld_fignums h_pop_ld_filetype h_chbx_not_guimk... 
	 	 	]; 

	set(gcf,'userdata',handle_list); 
	cf = findobj(get(0,'children'),'flat','tag','control_figure');
	h_status = findobj(cf,'tag','h_text_status');
	set(h_status,'string','Ready to Load a GUI');

elseif command == 1 
%	disp('h_push_ld_dirlook selected.') 
	[filename,pathname] = uigetfile('*.m','Choose File:');
	if isstr(filename)
		set(h_edit_ld_filename,'string',[pathname filename]);
	end
elseif command == 2 
	set(findobj(get(0,'children'),'flat','tag','ng_ld_w'),'vis','off');
	cf = findobj(get(0,'children'),'flat','tag','control_figure');
	if cf
	  h = findobj(cf,'tag','h_text_status');
	  set(h,'string','Load Window hidden from view.');
	end
elseif command == 3 
%	disp('h_push_ld_load selected.') 

	cur_dir = pwd;

	choice = get(h_pop_ld_filetype,'val');
	created_by_guim = ~get(h_chbx_not_guimk,'val');
	exist_flag = 0;
	cf = findobj(get(0,'children'),'flat','tag','control_figure');
	h_status = findobj(cf,'tag','h_text_status');
	if choice == 1
	   file_or_figure = 'file';
	   filename = dblnkall(get(h_edit_ld_filename,'string'));
%Added 4/13/95
        pathname = [''];
        slsh_loc = max([findstr(filename,'/') findstr(filename,'\') ...
			findstr(filename,':')]);
        if length(slsh_loc) > 0
           pathname = [filename(1:slsh_loc)];
	   if length(filename) > slsh_loc
		filename = filename((slsh_loc+1):length(filename));
	   else
		filename = [''];
	   end
	end
	ext_loc = findstr(filename,'.');
	if length(ext_loc) > 0
		filename = filename(1:(min(ext_loc)-1));
	end


%	   ext_start = findstr(filename,'.');
%	   if length(ext_start) > 0
%		filename = filename(1:(ext_start-1));
%	   end
	   if length(filename) > 0
		exist_flag = exist([pathname filename '.m']) > 0;
		if exist_flag ~= 0
		  if length(pathname) > 0
		    if strcmp(computer,'MAC2') | strcmp(computer,'MAC')
			eval(['cd ''' pathname '''']);
		    else
			% Fix offered by C.Wilkerson for DOS
			eval(['cd ' pathname(1:length(pathname)-1)]);
			%eval(['cd ' pathname]);
		    end
		  end
		  eval(filename);
		  if length(pathname) > 0
		    if strcmp(computer,'MAC2') | strcmp(computer,'MAC')
			eval(['cd ''' cur_dir '''']);
		    else
			eval(['cd ' cur_dir]);
		    end
		  end

		  fig_2_load = gcf;
		end
	   end
	   if exist_flag == 0
	     set(h_status,'string',...
		'File must be in MATLAB PATH or current directory.');
	     set(findobj(get(0,'children'),'flat','tag','ng_ld_w'),'vis','off');
	   end
	elseif choice == 2
	   file_or_figure = 'figure';
	   figs_str = get(h_pop_ld_fignums,'string');
	   [nr,nc] = size(figs_str);
	   figs = [];
	   for string_number = 1:nr
		figs = [figs str2num(strrep(figs_str(string_number,:), ...
			'Figure ',''))];
	   end
	   if length(figs) > 0
		fig_2_load = figs(get(h_pop_ld_fignums,'val'));
		exist_flag = 1;
	   else
		set(h_status,'string','There are no figures to load.');
	   end
	end

	if exist_flag == 1
	   
	  set(get(0,'children'),'pointer','watch');
	   figs = get(0,'children');
	   canvas_count = 0;
	   canvas_num = [];
	   for loop = 1:length(figs)
	     figname = get(figs(loop),'name');
	      if length(figname) > 7
	       if strcmp(lower(figname(1:6)),'canvas')
		canvas_count = canvas_count +1;
		% MOD 4/11/95
		paren_loc = findstr(figname,'(');
		if length(paren_loc) == 0
		  last_char_loc = length(figname);
		else
		  last_char_loc = paren_loc-1;
		end
		canvas_num(canvas_count) = str2num(figname(7:last_char_loc));
	       end
	      end
	   end
	   if length(canvas_num) > 0
		canvas_nums = zeros(1,(max(canvas_num)+1));
		canvas_nums(canvas_num) = ones(size(canvas_num));
		[tmp,new_canvas_ind] = find(canvas_nums == 0);
		new_canvas_num = min(new_canvas_ind);
	   else
		new_canvas_num = 1;
	   end
	   set(fig_2_load,'name',['Canvas ' num2str(new_canvas_num) ...
		' (' filename ')']);
	   cur_can(fig_2_load);
	   set(fig_2_load,'windowbuttonupfcn','','numbertitle','off',...
		'inter','yes','menubar','none');
	   set(fig_2_load,'windowbuttondownfcn',...
		['mouseopr(' num2str(fig_2_load) ',1);']);
	   set(fig_2_load,'keypress',['keycomm(' num2str(fig_2_load) ');']);
	   ld_mfile(fig_2_load,choice,created_by_guim);
	  if choice == 1
	   if created_by_guim
		if length(pathname) > 0
		    if strcmp(computer,'MAC2') | strcmp(computer,'MAC')
			eval(['cd ''' pathname '''']);
		    else
			% Fix offered by C.Wilkerson for DOS
			eval(['cd ' pathname(1:length(pathname)-1)]);
			%eval(['cd ' pathname]);
		    end
		end
		scan4cbk([filename '.m'],fig_2_load);
		if length(pathname) > 0
		    if strcmp(computer,'MAC2') | strcmp(computer,'MAC')
			eval(['cd ''' cur_dir '''']);
		    else
			eval(['cd ' cur_dir]);
		    end
		end
	   end
	  end
	  set(get(0,'children'),'pointer','arrow');
	  set(findobj(get(0,'children'),'flat','tag','ng_ld_w'),'vis','off');
	  %MOD 4/7/95
	  set(h_status,'string',['Done loading file ' filename '.']);
	end 
elseif command == 4 
%	disp('h_edit_ld_filename selected.')
elseif command == 5 
%	disp('h_pop_ld_fignums selected.') 
elseif command == 6 
	choice = get(h_pop_ld_filetype,'val');
	if choice == 1
		set(h_pop_ld_fignums,'visible','off');
		set(h_edit_ld_filename,'visible','on');
		set(h_push_ld_dirlook,'visible','on');
	elseif choice == 2
		set(h_edit_ld_filename,'visible','off');
		set(h_push_ld_dirlook,'visible','off');
		fig_vals = sort(get(0,'children'));
		cnt_valid = 0;
		for loop = 1:length(fig_vals)
		 figtag = get(fig_vals(loop),'tag');
		 if ~strcmp(figtag,'control_figure') & ...
		    ~strcmp(figtag,'callback_editor') & ...
		    ~strcmp(figtag,'ng_sav_w') & ...
		    ~strcmp(figtag,'ng_ld_w') & ...
		    ~strcmp(figtag,'ng_prt_w') & ...
		    ~strcmp(figtag,'ng_hlp_w')
		  cnt_valid = cnt_valid + 1;
		  if cnt_valid == 1
		    strng_txt = ['Figure ' num2str(fig_vals(loop))];
		  else
		    strng_txt = [strng_txt '|Figure ' num2str(fig_vals(loop))];
		  end
		 end
		end
		set(h_pop_ld_fignums,'string',strng_txt);
		set(h_pop_ld_fignums,'visible','on');
	end
elseif command == 7 
%	disp('h_chbx_not_guimk selected.') 
elseif command == 99

	% DO NOTHING JUST COMPILE FOR FASTER RECALL
 
else 
	error('Error: ng_ld_w.m called with incorrect command.') 
end 
