function ng_mbr_w(command,param1) 
%  Template for uicontrol form. 
%   
%  1. Optional: Replace all occurances of 'ng_mbr_w' with desired 'filename'. 
%  2. Optional: Resave this file as that 'filename'. 
%  3. Optional: Fill in the 'elseif command == ...' sections with 
%          code that does something other than display which 
%          uicontrol button was pressed. Be creative! 
%  4. Optional: Change each 'h(index)' ,where index is 1,2,3,.. 
%               to a functionally more descriptive name. 
%  5. Optional: Delete these first 10 comment lines. 
%   
%  ng_mbr_w.m 
%   
%  usage:       ng_mbr_w(command,parameter1) 
%   
%           where 
%   
%               'command' is used to perform some defined operation 
%               'parameter1' can be used pass extra information 
%                              to a defined operation 
%   
%           If no arguements are used the GUI is initialized. 
%   
%   
%  Created: 23-Feb-95 
%  Using  : GUI Maker Ver 2.0 by Patrick Marchand 
%                         (PRMarchand@aol.com) 
%  Author :  
%  Mods.  :  
%   

% Copyright (c) 1995 by Patrick Marchand
%       Permission is NOT given to modify and re-distribute this
%	code in any manner without written consent from Patrick Marchand.
%       The code can be distributed in its unaltered form as long as it
%       accompanies all files contained within the GUI Maker Version 2.0
%       package of files.  All standard disclaimers apply. 


if nargin == 0 
	command = 'new'; 
end 
if nargin < 2
	param1 = 0;
end

if isstr(command) 
	if strcmp(lower(command),'compile')
	   return;
	end
	if strcmp(lower(command),'initialize') | strcmp(lower(command),'new') 
		command = 0; 
	elseif strcmp(lower(command),lower('h_ed_m_bcolor')) 
		command = 1; 
	elseif strcmp(lower(command),lower('h_ed_m_type')) 
		command = 2; 
	elseif strcmp(lower(command),lower('h_ed_m_tag')) 
		command = 3; 
	elseif strcmp(lower(command),lower('h_ed_m_bdfcn')) 
		command = 4; 
	elseif strcmp(lower(command),lower('h_ed_m_uimpos')) 
		command = 5; 
	elseif strcmp(lower(command),lower('h_pop_m_check')) 
		command = 8; 
	elseif strcmp(lower(command),lower('h_ed_m_uicstring')) 
		command = 9; 
	elseif strcmp(lower(command),lower('h_pop_m_visible')) 
		command = 10; 
	elseif strcmp(lower(command),lower('h_pop_m_clipping')) 
		command = 11; 
	elseif strcmp(lower(command),lower('h_m_pop_separ')) 
		command = 15; 
	elseif strcmp(lower(command),lower('h_ed_m_accel')) 
		command = 16; 
	elseif strcmp(lower(command),lower('h_ed_m_fcolor')) 
		command = 17; 
	elseif strcmp(lower(command),lower('h_pop_m_inter')) 
		command = 18; 
	end 
end 

if command ~= 0 
	handle_list = get(gcf,'userdata'); 
	if length(handle_list) > 0 
		h_frame_m_tbrw = handle_list(1); 
		h_ed_m_bcolor = handle_list(2); 
		h_ed_m_type = handle_list(3); 
		h_ed_m_tag = handle_list(4); 
		h_ed_m_bdfcn = handle_list(5); 
		h_ed_m_uimpos = handle_list(6); 
		h_pop_m_check = handle_list(7); 
		h_ed_m_uicstring = handle_list(8); 
		h_t_m_bcolor = handle_list(9); 
		h_t_m_fcolor = handle_list(10); 
		h_t_m_accel = handle_list(11); 
		h_t_m_check = handle_list(12); 
		h_m_t_separ = handle_list(13); 
		h_t_m_uimpos = handle_list(14); 
		h_t_m_uicstring = handle_list(15); 
		h_m_t_bdf = handle_list(16); 
		h_m_t_clip = handle_list(17); 
		h_m_t_tag = handle_list(18); 
		h_m_t_type = handle_list(19); 
		h_m_t_vis = handle_list(20); 
		h_pop_m_visible = handle_list(21); 
		h_pop_m_clipping = handle_list(22); 
		h_m_pop_separ= handle_list(23); 
		h_ed_m_accel = handle_list(24); 
		h_ed_m_fcolor = handle_list(25); 
		h_m_t_inter = handle_list(26);
		 h_pop_m_inter = handle_list(27);
	end 
end 

if command > 0
	wf = findobj(get(0,'children'),'flat','tag','working_figure');

	if wf
	    uim_objs = findobj(wf,'type','uimenu','selected','on');
	else
	end
end

cf =findobj(get(0,'children'),'flat','tag','control_figure');
st =findobj(cf,'tag','h_text_status');
if command == 0
  set(st,'string','UI Menu Browser almost up.');
else
  set(st,'string','');
end

err_string = ['cf =findobj(get(0,''children''),''flat'',''tag'',''control_figure'');'...
	      'st =findobj(cf,''tag'',''h_text_status'');'...
	      'set(st,''string'',''Error in setting property. Check format.'');'];

if command == 0 

	fig = findobj(get(0,'children'),'flat','tag','ng_mbr_w');
	if length(fig) > 0
	   figure(fig);
	   set(fig,'visible','on');
	   ng_mbr_w(50);
	   return
	end

	set(0,'units','pixels');
	spos = get(0,'screensize');
	fig_ng_tbr = figure('position',[ 415 (spos(4)-80-123-240) 337 123 ],...
		'resize','off',...
		'tag','ng_mbr_w','visible','off','menubar','none',...
		'name','UImenu Browser','NumberTitle','off'); 

	%  Uicontrol Object Creation 

	h_frame_m_tbrw = uicontrol(... 
		'CallBack','ng_mbr_w(''h_frame_m_tbrw'');',... 
		'Position',[ 0 0 1 1 ],... 
		'Enable','off',... 
		'Style','frame',... 
		'Backgroundcolor',[.7 .8 .7],...
		'Units','normalized',... 
		'Tag','h_frame_m_tbrw',... 
		'UserData',''); 
	h_t_m_bcolor = uicontrol(... 
		'CallBack','ng_mbr_w(''h_t_m_bcolor'');',... 
		'Position',[ 0.04 0.815 0.35 0.158 ],... 
		'String','BackgroundColor:',... 
		'Style','text',... 
		'Backgroundcolor',[.7 .8 .7],...
		'Units','normalized',... 
		'Tag','h_t_m_bcolor',... 
		'UserData',''); 
	h_ed_m_bcolor = uicontrol(... 
		'CallBack','ng_mbr_w(''h_ed_m_bcolor'');',... 
		'Position',[ 0.42 0.815 0.55 0.158 ],... 
		'String','',... 
		'Style','edit',... 
		'Units','normalized',... 
		'Tag','h_ed_m_bcolor',... 
		'UserData',''); 
	h_t_m_fcolor = uicontrol(... 
		'CallBack','ng_mbr_w(''h_t_m_fcolor'');',... 
		'Position',[ 0.04 0.657 0.35 0.158 ],... 
		'String','ForegroundColor:',... 
		'Style','text',... 
		'Backgroundcolor',[.7 .8 .7],...
		'Units','normalized',... 
		'Tag','h_t_m_fcolor',... 
		'UserData',''); 
	h_ed_m_fcolor = uicontrol(... 
		'CallBack','ng_mbr_w(''h_ed_m_fcolor'');',... 
		'Position',[ 0.42 0.657 0.55 0.158 ],... 
		'String','',... 
		'Style','edit',... 
		'Units','normalized',... 
		'Value',[ 1 ],... 
		'Tag','h_ed_m_fcolor',... 
		'UserData',''); 
	h_t_m_accel = uicontrol(... 
		'CallBack','ng_mbr_w(''h_t_m_accel'');',... 
		'Position',[ 0.04 0.499 0.35 0.158 ],... 
		'String','Accelerator:',... 
		'Style','text',... 
		'Backgroundcolor',[.7 .8 .7],...
		'Units','normalized',... 
		'Tag','h_t_m_accel',... 
		'UserData',''); 
	h_ed_m_accel = uicontrol(... 
		'CallBack','ng_mbr_w(''h_ed_m_accel'');',... 
		'Position',[ 0.42 0.499 0.55 0.158 ],... 
		'String','',... 
		'Style','edit',... 
		'Units','normalized',... 
		'Tag','h_ed_m_accel',... 
		'UserData',''); 
	h_t_m_uicstring = uicontrol(... 
		'CallBack','ng_mbr_w(''h_t_m_uicstring'');',... 
		'Position',[ 0.04 0.341 0.35 0.158 ],... 
		'String','Label:',... 
		'Style','text',... 
		'Backgroundcolor',[.7 .8 .7],...
		'Units','normalized',... 
		'Tag','h_t_m_uicstring',... 
		'UserData',''); 
	h_ed_m_uicstring = uicontrol(... 
		'CallBack','ng_mbr_w(''h_ed_m_uicstring'');',... 
		'Min',[ 1 ],... 
		'Position',[ 0.42 0.341 0.55 0.158 ],... 
		'String','',... 
		'Style','edit',... 
		'Units','normalized',... 
		'Value',[ 1 ],... 
		'Tag','h_ed_m_uicstring',... 
		'UserData',''); 
	h_t_m_check = uicontrol(... 
		'CallBack','ng_mbr_w(''h_t_m_check'');',... 
		'Position',[ 0.04 0.183 0.35 0.158 ],... 
		'String','Checked:',... 
		'Style','text',... 
		'Backgroundcolor',[.7 .8 .7],...
		'Units','normalized',... 
		'Tag','h_t_m_check',... 
		'UserData',''); 
	h_pop_m_check = uicontrol(... 
		'CallBack','ng_mbr_w(''h_pop_m_check'');',... 
		'Position',[ 0.42 0.183 0.55 0.158 ],... 
		'String','on|off|Not all Identical',... 
		'Style','popupmenu',... 
		'Units','normalized',... 
		'Tag','h_pop_m_check',... 
		'UserData',''); 
	h_m_t_separ = uicontrol(... 
		'CallBack','ng_mbr_w(''h_m_t_separ'');',... 
		'Position',[ 0.04 0.025 0.35 0.158 ],... 
		'String','Separator:',... 
		'Style','text',... 
		'Backgroundcolor',[.7 .8 .7],...
		'Units','normalized',... 
		'Tag','h_m_t_separ',... 
		'Visible','off',...
		'UserData',''); 
	h_m_pop_separ= uicontrol(... 
		'CallBack','ng_mbr_w(''h_m_pop_separ'');',... 
		'Max',[ 4 ],... 
		'Min',[ 1 ],... 
		'Position',[ 0.42 0.025 0.55 0.158 ],... 
		'String','on|off|All Not Identical',... 
		'Style','popupmenu',... 
		'Units','normalized',... 
		'Value',[ 1 ],... 
		'Visible','off',...
		'Tag','h_m_pop_separ',... 
		'UserData',''); 
	h_t_m_uimpos = uicontrol(... 
		'CallBack','ng_mbr_w(''h_t_m_uimpos'');',... 
		'Position',[ 0.04 0.341 0.35 0.158 ],... 
		'String','Position:',... 
		'Style','text',... 
		'Backgroundcolor',[.7 .8 .7],...
		'Units','normalized',... 
		'Tag','h_t_m_uimpos',... 
		'UserData',''); 
	h_ed_m_uimpos = uicontrol(... 
		'CallBack','ng_mbr_w(''h_ed_m_uimpos'');',... 
		'Position',[ 0.42 0.341 0.55 0.158 ],... 
		'Style','edit',... 
		'Units','normalized',... 
		'Tag','h_ed_m_uimpos',... 
		'UserData',''); 
	h_m_t_bdf = uicontrol(... 
		'CallBack','ng_mbr_w(''h_m_t_bdf'');',... 
		'Position',[ 0.04 0.815 0.35 0.158 ],... 
		'String','ButtonDownFcn:',... 
		'Style','text',... 
		'Backgroundcolor',[.7 .8 .7],...
		'Units','normalized',... 
		'Tag','h_m_t_bdf',... 
		'UserData',''); 
	h_ed_m_bdfcn = uicontrol(... 
		'CallBack','ng_mbr_w(''h_ed_m_bdfcn'');',... 
		'Position',[ 0.42 0.815 0.55 0.158 ],... 
		'Style','edit',... 
		'Units','normalized',... 
		'Tag','h_ed_m_bdfcn',...
		'Enable','off',... 
		'UserData',''); 
	h_m_t_clip = uicontrol(... 
		'CallBack','ng_mbr_w(''h_m_t_clip'');',... 
		'Position',[ 0.04 0.657 0.35 0.158 ],... 
		'String','Clipping:',... 
		'Style','text',... 
		'Backgroundcolor',[.7 .8 .7],...
		'Units','normalized',... 
		'Tag','h_m_t_clip',... 
		'UserData',''); 
	h_pop_m_clipping = uicontrol(... 
		'CallBack','ng_mbr_w(''h_pop_m_clipping'');',... 
		'Max',[ 2 ],... 
		'Min',[ 1 ],... 
		'Position',[ 0.42 0.657 0.55 0.158 ],... 
		'String','on|off|All Not Identical',... 
		'Style','popupmenu',... 
		'Units','normalized',... 
		'Value',[ 1 ],... 
		'Tag','h_pop_m_clipping',... 
		'UserData',''); 
	h_m_t_tag = uicontrol(... 
		'CallBack','ng_mbr_w(''h_m_t_tag'');',... 
		'Position',[ 0.04 0.499 0.35 0.158 ],... 
		'String','Tag:',... 
		'Style','text',... 
		'Backgroundcolor',[.7 .8 .7],...
		'Units','normalized',... 
		'Tag','h_m_t_tag',... 
		'UserData',''); 
	h_ed_m_tag = uicontrol(... 
		'CallBack','ng_mbr_w(''h_ed_m_tag'');',... 
		'Position',[ 0.42 0.499 0.55 0.158 ],... 
		'Style','edit',... 
		'Units','normalized',... 
		'Tag','h_ed_m_tag',... 
		'UserData',''); 
	h_m_t_type = uicontrol(... 
		'CallBack','ng_mbr_w(''h_m_t_type'');',... 
		'Position',[ 0.04 0.341 0.35 0.158 ],... 
		'String','Type:',... 
		'Style','text',... 
		'Backgroundcolor',[.7 .8 .7],...
		'Units','normalized',... 
		'Tag','h_m_t_type',... 
		'UserData',''); 
	h_ed_m_type = uicontrol(... 
		'CallBack','ng_mbr_w(''h_ed_m_type'');',... 
		'Position',[ 0.42 0.341 0.55 0.158 ],... 
		'String','uimenu',... 
		'Style','edit',... 
		'Units','normalized',... 
		'Tag','h_ed_m_type',... 
		'UserData',''); 
	h_m_t_vis = uicontrol(... 
		'CallBack','ng_mbr_w(''h_m_t_vis'');',... 
		'Position',[ 0.04 0.183 0.35 0.158 ],... 
		'String','Visible:',... 
		'Style','text',... 
		'Backgroundcolor',[.7 .8 .7],...
		'Units','normalized',... 
		'Tag','h_m_t_vis',... 
		'UserData',''); 
	h_pop_m_visible = uicontrol(... 
		'CallBack','ng_mbr_w(''h_pop_m_visible'');',... 
		'Max',[ 2 ],... 
		'Min',[ 1 ],... 
		'Position',[ 0.42 0.183 0.55 0.158 ],... 
		'String','on|off|All Not Identical',... 
		'Style','popupmenu',... 
		'Units','normalized',... 
		'Value',[ 1 ],... 
		'Tag','h_pop_m_visible',... 
		'UserData',''); 
	h_m_t_inter = uicontrol(... 
		'CallBack','ng_mbr_w(''h_m_t_inter'');',... 
		'Position',[ 0.04 0.025 0.35 0.158 ],... 
		'String','Interruptible:',... 
		'Style','text',... 
		'Backgroundcolor',[.7 .8 .7],...
		'Units','normalized',... 
		'Tag','h_m_t_inter',... 
		'UserData',''); 
	h_pop_m_inter = uicontrol(... 
		'CallBack','ng_mbr_w(''h_pop_m_inter'');',... 
		'Max',[ 2 ],... 
		'Min',[ 1 ],... 
		'Position',[ 0.42 0.025 0.55 0.158 ],... 
		'String','no|yes|All Not Identical',... 
		'Style','popupmenu',... 
		'Units','normalized',... 
		'Value',[ 1 ],... 
		'Tag','h_pop_m_inter',... 
		'UserData',''); 


	%  Menu Object Creation 

	h_uim_prop = uimenu('label','Property');
	h_uim_prop_list  = uimenu(h_uim_prop,'label','List');
	c_string = ['fh = findobj(get(0,''children''),''flat'',''tag'',''ng_mbr_w'');'...
			'm1 = findobj(fh,''tag'',''h_uim_plist_font'');'...
			'm2 = findobj(fh,''tag'',''h_uim_plist_pos'');'...
			'm3 = findobj(fh,''tag'',''h_uim_plist_misc'');'...
			'set(get(m3,''userdata''),''visible'',''off'');set(m3,''checked'',''off'');'...
			'set(get(m2,''userdata''),''visible'',''off'');set(m2,''checked'',''off'');'...
			'set(get(m1,''userdata''),''visible'',''on'');set(m1,''checked'',''on'');'];
	h_uim_plist_font = uimenu(h_uim_prop_list,'label','Color, Label, ... ',...
			'tag','h_uim_plist_font','userdata',...
			[h_t_m_fcolor h_t_m_accel h_t_m_check h_t_m_uicstring ...
			h_t_m_bcolor h_m_t_separ h_m_pop_separ h_ed_m_bcolor ...
			h_pop_m_check h_ed_m_uicstring ...
			h_ed_m_accel h_ed_m_fcolor]','callback',c_string);
	c_string = ['fh = findobj(get(0,''children''),''flat'',''tag'',''ng_mbr_w'');'...
			'm1 = findobj(fh,''tag'',''h_uim_plist_font'');'...
			'm2 = findobj(fh,''tag'',''h_uim_plist_pos'');'...
			'm3 = findobj(fh,''tag'',''h_uim_plist_misc'');'...
			'set(get(m1,''userdata''),''visible'',''off'');set(m1,''checked'',''off'');'...
			'set(get(m3,''userdata''),''visible'',''off'');set(m3,''checked'',''off'');'...
			'set(get(m2,''userdata''),''visible'',''on'');set(m2,''checked'',''on'');'];
	h_uim_plist_pos = uimenu(h_uim_prop_list,'label','Position Attributes',...
			'tag','h_uim_plist_pos','userdata',[h_t_m_uimpos ...
				h_ed_m_uimpos]','callback',c_string);
	c_string = ['fh = findobj(get(0,''children''),''flat'',''tag'',''ng_mbr_w'');'...
			'm1 = findobj(fh,''tag'',''h_uim_plist_font'');'...
			'm2 = findobj(fh,''tag'',''h_uim_plist_pos'');'...
			'm3 = findobj(fh,''tag'',''h_uim_plist_misc'');'...
			'set(get(m1,''userdata''),''visible'',''off'');set(m1,''checked'',''off'');'...
			'set(get(m2,''userdata''),''visible'',''off'');set(m2,''checked'',''off'');'...
			'set(get(m3,''userdata''),''visible'',''on'');set(m3,''checked'',''on'');'];

	h_uim_plist_misc = uimenu(h_uim_prop_list,'label','Other Attributes',...
			'tag','h_uim_plist_misc','userdata',[h_m_t_clip h_m_t_tag ...
			h_m_t_type h_m_t_vis h_m_t_bdf h_ed_m_type h_ed_m_tag ...
			h_ed_m_bdfcn h_pop_m_visible h_pop_m_clipping...
			h_m_t_inter h_pop_m_inter]',...
			'callback',c_string);
	h_uim_prop_get = uimenu(h_uim_prop,'label','GET',...
		'callback','ng_mbr_w(50)');
	h_uim_opt = uimenu('label','Options');
	h_uim_opt_hide = uimenu(h_uim_opt,'label','Hide Text Browser',...
		'callback',['set(findobj(get(0,''children''),''flat'',' ...
		'''tag'',''ng_mbr_w''),''visible'',''off'');']);
%	h_uim_opt_close = uimenu(h_uim_opt,'label','Close Text Browser',...
%		'callback',['close(findobj(get(0,''children''),''flat'','...
%		'''tag'',''ng_mbr_w''));']);

	%  Axes and Text Object Creation 




	handle_list = [ ...  
	 	 h_frame_m_tbrw h_ed_m_bcolor h_ed_m_type ... 
	 	h_ed_m_tag h_ed_m_bdfcn h_ed_m_uimpos ... 
	 	h_pop_m_check h_ed_m_uicstring h_t_m_bcolor ... 
	 	h_t_m_fcolor h_t_m_accel ... 
	 	h_t_m_check h_m_t_separ h_t_m_uimpos... 
	 	h_t_m_uicstring h_m_t_bdf ... 
	 	h_m_t_clip h_m_t_tag h_m_t_type h_m_t_vis ... 
	 	h_pop_m_visible h_pop_m_clipping ... 
	 	h_m_pop_separ h_ed_m_accel h_ed_m_fcolor ... 
	 	 	h_m_t_inter h_pop_m_inter]; 

 	eval(get(h_uim_plist_font,'callback'));
	pause(.1);
	set(fig_ng_tbr,'userdata',handle_list); 
	ng_mbr_w(50);
	if nargin < 2 | (nargin == 2 & param1 ~= 999)
	  set(fig_ng_tbr,'visible','on')
	end
elseif command == 1 
	%disp('h_ed_m_bcolor selected.') 
	if length(uim_objs) > 0
	   col =  (get(h_ed_m_bcolor,'string'));
	   if length(str2num(col)) == 0
	     eval(['set(uim_objs,''backgroundcolor'',''' col ''')'],err_string);
	   else
	     eval(['set(uim_objs,''backgroundcolor'',' col ')'],err_string);
	   end
%	   if length(col) == 3
%	     eval(['set(uim_objs,''backgroundcolor'',col)'],err_string);
%	   end
	end
elseif command == 2 
	%disp('h_ed_m_type selected.') 
elseif command == 3 
	%disp('h_ed_m_tag selected.') 
	if length(uim_objs) == 1
	   tag = get(h_ed_m_tag,'string');
		  if length(findobj(wf,'tag',tag)) == 0
		   if length(tag) == 0
		     set(st,'string',['Tag must be legal.']);
		   else
		    oldtag = get(uim_objs,'tag');
	            eval(['set(uim_objs,''tag'',tag);'...
		        'set(uim_objs,''callback'','...
			'strrep(get(uim_objs,''callback''),oldtag,tag));'],...
			err_string);
		   end
		  else
		   set(st,'string',['Another object already' ...
			' has this tag.'])
		  end
%	   eval(['set(uim_objs,''tag'',tag)'],err_string);
	else
		set(st,'string','Every object''s tag must be unique.');
	end
elseif command == 4 
	%disp('h_ed_m_bdfcn selected.') 
	if length(uim_objs) > 0
	   propval = get(h_ed_m_bdfcn,'string');
	   eval(['set(uim_objs,''buttondownfcn'',propval)'],err_string);
	end
elseif command == 5 
	%disp('h_ed_m_uimpos selected.') 
	if length(uim_objs) > 0
	   propstr = str2num(get(h_ed_m_uimpos,'string'));
	   eval(['set(uim_objs,''position'',propstr)'],err_string);
	end
elseif command == 8 
	%disp('h_pop_m_check selected.') 
	if length(uim_objs) > 0
	   propval = get(h_pop_m_check,'val');
	   propstr = get(h_pop_m_check,'string');
	   objpropstr = deblank(propstr(propval,:));
	      eval(['set(uim_objs,''checked'',''' objpropstr ''')'],...
		err_string);
	end
elseif command == 9 
	%disp('h_ed_m_uicstring selected.') 
	if length(uim_objs) > 0
	   propval = ['<' get(h_ed_m_uicstring,'string') '>'];
	   eval(['set(uim_objs,''label'',propval)'],err_string);
	end
elseif command == 10 
	%disp('h_pop_m_visible selected.') 
	if length(uim_objs) > 0
	   propval = get(h_pop_m_visible,'val');
	   propstr = get(h_pop_m_visible,'string');
	   objpropstr = deblank(propstr(propval,:));
	      eval(['set(uim_objs,''visible'',''' objpropstr ''')'],...
		err_string);
	end
elseif command == 11 
	%disp('h_pop_m_clipping selected.') 
	if length(uim_objs) > 0
	   propval = get(h_pop_m_clipping,'val');
	   propstr = get(h_pop_m_clipping,'string');
	   objpropstr = deblank(propstr(propval,:));
	     eval(['set(uim_objs,''clipping'',''' objpropstr ''')'],...
		err_string);
	end
elseif command == 15 
	%disp('h_m_pop_separselected.') 
	if length(uim_objs) > 0
	   propval = get(h_m_pop_separ,'val');
	   propstr = get(h_m_pop_separ,'string');
	   objpropstr = deblank(propstr(propval,:));
	   eval(['set(uim_objs,''separator'',''' objpropstr ''')'],...
		err_string);
	end
elseif command == 16 
	%disp('h_ed_m_accel selected.') 
	if length(uim_objs) > 0
	   propstr = get(h_ed_m_accel,'string');
	   eval(['set(uim_objs,''accelerator'',''' propstr ''')'],...
		err_string);
	end
elseif command == 17 
	%disp('h_ed_m_fcolor selected.') 
	if length(uim_objs) > 0
	   col = (get(h_ed_m_fcolor,'string'));
	   if length(str2num(col)) == 0
	     eval(['set(uim_objs,''foregroundcolor'',''' col ''')'],err_string);
	   else
	     eval(['set(uim_objs,''foregroundcolor'',' col ')'],err_string);
	   end
%	   eval(['set(uim_objs,''foregroundcolor'',propval)'],err_string);
	end
elseif command == 18 
	%disp('h_pop_m_inter selected.') 
	if length(uim_objs) > 0
	   propval = get(h_pop_m_inter,'val');
	   propstr = get(h_pop_m_inter,'string');
	   objpropstr = deblank(propstr(propval,:));
	   eval(['set(uim_objs,''interruptible'',''' objpropstr ''')'],...
		err_string);
	end
elseif command == 50
    if length(uim_objs) > 0
	
	property_list = str2mat('clipping','visible','interruptible','checked');
	handle_prop_list = [h_pop_m_clipping h_pop_m_visible h_pop_m_inter ...
		h_pop_m_check];
	fig = findobj(get(0,'children'),'flat','tag','ng_mbr_w');
	if length(uim_objs) == 1
	  set(fig,'name',['UImenu Browser (' get(uim_objs,'tag') ')']);
	else
	  set(fig,'name',['UImenu Browser for (Mult. UImenus)']);
	end

	for loop = 1:size(property_list,1)
	   property = deblank(property_list(loop,:));
	   flag_not_all_same = 0;
	   for loop2 = 1:length(uim_objs)
	      property_value = get(uim_objs(loop2),property);
	      if loop2 > 1
		if ~strcmp(first_prop_val,property_value)
		   flag_not_all_same = 1; break;
		end
	      else
		first_prop_val = property_value;
	      end
	   end
	   pos_vals = get(handle_prop_list(loop),'string');
	   for loop1 = 1:size(pos_vals,1)
	    if strcmp(lower(deblank(pos_vals(loop1,:))),property_value) & ...
		flag_not_all_same == 0
	      set(handle_prop_list(loop),'val',loop1);break
	    elseif loop1 == size(pos_vals,1)
	      set(handle_prop_list(loop),'val',loop1);
	    end
	    drawnow;
	   end
	end

	property_list = str2mat('backgroundcolor','foregroundcolor'...
			);
	handle_prop_list = [h_ed_m_bcolor h_ed_m_fcolor ...
			];

	for loop = 1:size(property_list,1)
	   property = deblank(property_list(loop,:));
	   flag_not_all_same = 0;
	   for loop2 = 1:length(uim_objs)
	      property_value = get(uim_objs(loop2),property);
	      if loop2 > 1
		if ~prod(first_prop_val == property_value)
		   flag_not_all_same = 1; break;
		end
	      else
		first_prop_val = property_value;
	      end
	   end
	   if flag_not_all_same == 0
		set(handle_prop_list(loop),'string',mat2str2(round(property_value*100)/100));
	   else
		set(handle_prop_list(loop),'string','');
	   end
	end

	property_list = str2mat('label',...
			'buttondownfcn','tag','accelerator');
	handle_prop_list = [h_ed_m_uicstring ...
			h_ed_m_bdfcn h_ed_m_tag h_ed_m_accel];

	for loop = 1:size(property_list,1)
	   property = deblank(property_list(loop,:));
	   flag_not_all_same = 0;
	   for loop2 = 1:length(uim_objs)
	      property_value = get(uim_objs(loop2),property);
	      if loop2 > 1
		if ~strcmp(first_prop_val,property_value)
		   flag_not_all_same = 1; break;
		end
	      else
		first_prop_val = property_value;
	      end
	   end
	   if flag_not_all_same == 0
		if handle_prop_list(loop) == h_ed_m_uicstring
		  set(handle_prop_list(loop),'string',...
		    strrep(strrep(property_value,'>',''),'<',''));
		else
		  set(handle_prop_list(loop),'string',property_value);
		end
	   else
		set(handle_prop_list(loop),'string','');
	   end
	end

	property_list = 'position';
	handle_prop_list = [h_ed_m_uimpos];

	for loop = 1:size(property_list,1)
	   property = deblank(property_list(loop,:));
	   flag_not_all_same = [0 0 0 0];
	   for loop2 = 1:length(uim_objs)
	      property_value = get(uim_objs(loop2),property);
	      if loop2 > 1
		if first_prop_val(1) ~= property_value(1)
		   flag_not_all_same(1) = 1;
		   first_prop_val(1) = NaN;
		end
		if first_prop_val(2) ~= property_value(2)
		   flag_not_all_same(2) = 1;
		   first_prop_val(2) = NaN;
		end
		if first_prop_val(3) ~= property_value(3)
		   flag_not_all_same(3) = 1;
		   first_prop_val(3) = NaN;
		end
		if first_prop_val(4) ~= property_value(4)
		   flag_not_all_same(4) = 1;
		   first_prop_val(4) = NaN;
		end
		if prod(flag_not_all_same)
		   break
		end
	      else
		first_prop_val = property_value;
	      end
	   end
	  pos_string = mat2str2(round(first_prop_val*100)/100);
	  set(handle_prop_list(loop),'string',pos_string);
	end
     end
  set(st,'string','OK...Properties Gotten. Ready.');
else 
	error('Error: ng_mbr_w.m called with incorrect command.') 
end 
