function ng_prt_w(command,param1) 
%  ng_prt_w.m 
%   
%  usage:       ng_prt_w(command,parameter1) 
%   
%           where 
%   
%               'command' is used to perform some defined operation 
%               'parameter1' can be used pass extra information 
%                              to a defined operation 
%   
%           If no arguements are used the GUI is initialized. 
%   
%   
%  Created: 18-Nov-94 
%  Using  : GUI Maker Ver 2.0 by Patrick Marchand 
%                         (PRMarchand@aol.com) 
%  Author :  
%  Mods.  :  
%   

% Copyright (c) 1995 by Patrick Marchand
%       Permission is NOT given to modify and re-distribute this
%	code in any manner without written consent from Patrick Marchand.
%       The code can be distributed in its unaltered form as long as it
%       accompanies all files contained within the GUI Maker Version 2.0
%       package of files.  All standard disclaimers apply. 


if nargin == 0 
	command = 'new'; 
end 

if isstr(command) 
	if strcmp(lower(command),'initialize') | strcmp(lower(command),'new') 
		command = 0; 
	elseif strcmp(lower(command),lower('h_push_prt_cancel')) 
		command = 1; 
	elseif strcmp(lower(command),lower('h_push_prt_print')) 
		command = 2; 
	elseif strcmp(lower(command),lower('h_pop_prt_fignums')) 
		command = 3; 
	elseif strcmp(lower(command),lower('h_pop_prt_uitype')) 
		command = 4; 
	elseif strcmp(lower(command),lower('h_edit_prt_filename')) 
		command = 5; 
	elseif strcmp(lower(command),lower('h_pop_prt_filename')) 
		command = 6; 
	elseif strcmp(lower(command),lower('h_pop_prt_orient')) 
		command = 7; 
	elseif strcmp(lower(command),lower('compile')) 
		command = 99; 
	end 
end 

if command ~= 0 & command ~= 99
	handle_list = get(gcf,'userdata'); 
	if length(handle_list) > 0 
		h_frame_print = handle_list(1); 
		h_push_prt_cancel = handle_list(2); 
		h_push_prt_print = handle_list(3); 
		h_text_prt_window = handle_list(4); 
		h_pop_prt_fignums = handle_list(5); 
		h_pop_prt_uitype = handle_list(6); 
		h_edit_prt_filename = handle_list(7); 
		h_pop_prt_filename = handle_list(8); 
		h_pop_prt_orient = handle_list(9);
		h_text_prt_fileprt = handle_list(10);
	end 
end 


if command == 0 

	fig =  findobj(get(0,'children'),'flat','tag','ng_prt_w');
	if fig
	   figure(fig);
	   set(fig,'visible','on');
 	   ng_prt_w('h_pop_prt_fignums');
	   return;
	end
	figure('position',[10 697 278 124],'resize','off','tag','ng_prt_w',...
		'name','Print GUI','NumberTitle','off'); 

	%  Uicontrol Object Creation 

	h_frame_print = uicontrol(... 
		'CallBack','ng_prt_w(''h_frame_print'');',... 
		'Position',[ 0.0 0 1 1 ],... 
		'Style','frame',... 
		'Units','normalized',... 
		'Tag','h_frame_print',... 
		'UserData',''); 
	h_push_prt_cancel = uicontrol(... 
		'CallBack','ng_prt_w(''h_push_prt_cancel'');',... 
		'Position',[.75 .78 .21 .16],... 
		'String','Cancel',... 
		'Units','normalized',... 
		'Tag','h_push_prt_cancel',... 
		'UserData',''); 
	h_push_prt_print = uicontrol(... 
		'CallBack','ng_prt_w(''h_push_prt_print'');',... 
		'Position',[.50 .78 .21 .16],... 
		'String','Print',... 
		'Units','normalized',... 
		'Tag','h_push_prt_print',... 
		'UserData',''); 
	h_text_prt_window = uicontrol(... 
		'CallBack','ng_prt_w(''h_text_prt_window'');',... 
		'Position',[ 0.03 0.78 0.12 0.16 ],... 
		'String','FILE:',... 
		'Style','text',... 
		'Units','normalized',... 
		'Tag','h_text_prt_window',... 
		'UserData',''); 
	h_pop_prt_fignums = uicontrol(... 
		'CallBack','ng_prt_w(''h_pop_prt_fignums'');',... 
		'Min',[ 1 ],... 
		'Position',[ 0.03 0.6 0.94 0.16 ],... 
		'String','Figure 1',... 
		'Style','popupmenu',... 
		'Units','normalized',... 
		'Value',[ 1 ],... 
		'Tag','h_pop_prt_fignums',... 
		'UserData',''); 
	h_pop_prt_orient = uicontrol(... 
		'CallBack','ng_prt_w(''h_pop_prt_orient'');',... 
		'Min',[ 1 ],... 
		'Position',[.25 .43 .5 .16],... 
		'String','Portrait|Landscape',... 
		'Style','popupmenu',... 
		'Units','normalized',... 
		'Value',[ 1 ],... 
		'Tag','h_pop_prt_orient',... 
		'UserData',''); 
	h_pop_prt_uitype = uicontrol(... 
		'CallBack','ng_prt_w(''h_pop_prt_uitype'');',... 
		'Position',[.03 .26 .47 .16],... 
		'String','All|UIcontrol Only|UImenus Only|Axes&Text Only',... 
		'Style','popupmenu',... 
		'Units','normalized',... 
		'Value',[ 1 ],... 
		'Tag','h_pop_prt_uitype',... 
		'UserData',''); 
	h_edit_prt_filename = uicontrol(... 
		'CallBack','ng_prt_w(''h_edit_prt_filename'');',... 
		'Position',[ 0.30 0.05 0.65 0.17 ],... 
		'String','temp.ps',... 
		'Style','edit',... 
		'Units','normalized',... 
		'Tag','h_edit_prt_filename',...
		'UserData',''); 
	h_text_prt_fileprt = uicontrol(...
		'style','text','string','Printer:',...
		'pos',[ 0.05 0.05 0.20 0.16 ],'tag','h_text_prt_fileprt',...
		'units','norm');
	h_pop_prt_filename = uicontrol(... 
		'CallBack','ng_prt_w(''h_pop_prt_filename'');',... 
		'Position',[.52 .26 .46 .16],... 
		'String','to printer|as file',... 
		'Style','popupmenu',... 
		'Units','normalized',...
		'Value',1,... 
		'Tag','h_pop_prt_filename',... 
		'UserData',''); 
	%  Menu Object Creation 


	%  Axes and Text Object Creation 


		prname=eval('getenv([''PRINTER''])','');
		if length(prname) == 0
		  prname = '';
		end
		set(h_edit_prt_filename,'string',prname);


	handle_list = [ ...  
	 	 h_frame_print h_push_prt_cancel ... 
	 	h_push_prt_print h_text_prt_window h_pop_prt_fignums ... 
	 	h_pop_prt_uitype h_edit_prt_filename h_pop_prt_filename ...
		h_pop_prt_orient h_text_prt_fileprt]; 

	set(gcf,'userdata',handle_list); 
 	ng_prt_w('h_pop_prt_fignums');



elseif command == 1 
%	disp('h_push_prt_cancel selected.') 
	set(findobj(get(0,'chil'),'flat','tag','ng_prt_w'),'vis','off');
elseif command == 2 
%	disp('h_push_prt_print selected.')

	fig_choices = get(h_pop_prt_fignums,'string');
	fig_name = dblnkall(fig_choices(get(h_pop_prt_fignums,'val'),:));
	fig = findobj(get(0,'chil'),'flat','name',fig_name);

	if length(fig) == 0
 	 fig = str2num(deblank(strrep(...
		fig_choices(get(h_pop_prt_fignums,'val'),:),'Figure','')));
	end

	stat_win = findobj(findobj(get(0,'chil'),...
			'flat','tag','control_figure'),'tag','h_text_status');
		if stat_win
		   set(stat_win,'string',['Printing figure ' ...
					num2str(fig) '...One moment please.']);
		end
	objs = [findobj(fig,'type','uicontrol','visible','on');
		findobj(fig,'type','uimenu','visible','on');
		findobj(fig,'type','axes')];
	%		
	if get(h_pop_prt_orient,'val') == 1
	  orientation = 'portrait';
	else
	  orientation = 'landscape';
	end

	Objtype = get(h_pop_prt_uitype,'val');
	if Objtype == 1
	  [X,map] = capture(fig);
	  set(fig,'units','pixels');
	  fig_pos = get(fig,'pos');fig_units = get(fig,'units');
	  pr_fig = figure('pos',fig_pos,'units',fig_units);
	  axes('pos',[0 0 1 1],'units','norm','vis','off');
	  image(X);colormap(map);
	  set(gca,'visible','off');
	% PAPER PRINTOUT
	% FIX THESE LINES - account for paper size
	% Right now the assumption is that 8.5 x 11 inch paper is used.
	set(pr_fig,'paperunits','inches')
	set(pr_fig,'units','inches','inverthardcopy','off')
	pos = get(pr_fig,'position');

	% Assuming that this will be printed to paper that is
	% 8.5" wide by 11" tall
	if strcmp(orientation,'portrait')
	  orient portrait
	  if ( ((pos(3)-8.0) > 0) | ((pos(4)-10.5) > 0) )
		if (pos(3)-8.0) > (pos(4)-10.5)
		  norm_factor = pos(3)/8;
		else
		  norm_factor = pos(4)/10.5;
		end
		pos(3) = pos(3)/norm_factor;
		pos(4) = pos(4)/norm_factor;
	  end
	  set(pr_fig,'paperposition',[(8.5-pos(3))/2 (11-pos(4))/2 pos([3 4])]);
	else
	  orient landscape
	  if ( ((pos(3)-10.5) > 0) | ((pos(4)-8) > 0) )
		if (pos(3)-10.5) > (pos(4)-8)
		  norm_factor = pos(3)/10.5;
		else
		  norm_factor = pos(4)/8;
		end
		pos(3) = pos(3)/norm_factor;
		pos(4) = pos(4)/norm_factor;
	  end
	  set(pr_fig,'paperposition',[(11-pos(3))/2 (8.5-pos(4))/2 pos([3 4])]);
	end

	uimenu('label','CLOSE','callback','close(gcf)');
	  
	else
	  pr_fig = print_ui(fig,objs,orientation,Objtype);
	end

     if length(pr_fig) > 0
	choice = get(h_pop_prt_filename,'val');
	if choice == 2
	  filename = fliplr(deblank(fliplr(deblank(...
		get(h_edit_prt_filename,'string') ))));
	  if length(filename) == 0; filename = ['temp.ps'];end;
	  set(0,'currentfigure',pr_fig)
	  eval(['print -deps ' filename])
		if stat_win
		   set(stat_win,'string',['Finished printing figure ' ...
					num2str(fig) ' to ' filename]);
		end
	elseif choice == 1
	  set(0,'currentfigure',pr_fig)
%	   print -deps temp.ps
	   printername = get(h_edit_prt_filename,'string');
	   if length(printername) == 0
		print
		if stat_win
		   set(stat_win,'string',['Finished printing figure ' ...
					num2str(fig)]);
		end
	   else
	        eval(['print -P', printername ';if stat_win;set(stat_win,'...
			'''string'',''Finished printing figure ' ...
			num2str(fig) ''');end;'],['if stat_win;set(stat_win,'...
			'''string'',''Printer does not exist'');end;'])
	   end
%	   print
%	   if strcmp(computer,'SUN4')
%	     eval('!lpr -h temp.ps')
%	   else
%	   end
	end
     else
	
		if stat_win
		   set(stat_win,'string',['Nothing Printed - ' ...
				'No Graphics Objects']);
		end
     end

elseif command == 3 
%	disp('h_pop_prt_fignums selected.') 
		fig_vals = sort(findobj(get(0,'children'),'flat','visible','on'));
%		fig_vals = sort(get(0,'children'));
		for loop = 1:length(fig_vals)
		  fig_name = get(fig_vals(loop),'name');
		  if loop == 1
		   if length(fig_name) > 0
		    strng_txt = [fig_name];
		   else
		    strng_txt = ['Figure ' num2str(fig_vals(loop))];
		   end
		  else
		   if length(fig_name) > 0
		    strng_txt = [strng_txt '|' fig_name];
		   else
		    strng_txt = [strng_txt '|Figure ' num2str(fig_vals(loop))];
		   end
		  end
		end
		set(h_pop_prt_fignums,'string',strng_txt);
elseif command == 4 
%	disp('h_pop_prt_uitype selected.') 
	choice = get(h_pop_prt_uitype,'val');
	if choice == 1
 	elseif choice == 2
	elseif choice == 3
	end
elseif command == 5 
%	disp('h_edit_prt_filename selected.') 
elseif command == 6 
%	disp('h_pop_prt_filename selected.')
	choice = get(h_pop_prt_filename,'val');
	if choice == 2
%		set(h_edit_prt_filename,'visible','on')
		set(h_edit_prt_filename,'string','temp.ps')
		set(h_text_prt_fileprt,'string','File:');
	elseif choice == 1
%		set(h_edit_prt_filename,'visible','off')
		prname=eval('getenv([''PRINTER''])','');
		if length(prname) == 0
		  prname = '';
		end
		set(h_edit_prt_filename,'string',prname);
		set(h_text_prt_fileprt,'string','Printer:');
	end 
elseif command == 7 
%	disp('h_pop_prt_orient selected.')
elseif command == 99

	% DO NOTHING JUST COMPILE FOR FASTER RECALL
 
else 
	error('Error: ng_prt_w.m called with incorrect command.') 
end 
