function ng_sav_w(command,param1) 
%   
%  ng_sav_w.m 
%   
%  usage:       ng_sav_w(command,parameter1) 
%   
%           where 
%   
%               'command' is used to perform some defined operation 
%               'parameter1' can be used pass extra information 
%                              to a defined operation 
%   
%           If no arguements are used the GUI is initialized. 
%   
%   
%  Created: 18-Nov-94 
%  Using  : GUI Maker Ver 2.0 by Patrick Marchand 
%                         (PRMarchand@aol.com) 
%  Author :  PRM
%  Mods.  :  
%   

% Copyright (c) 1995 by Patrick Marchand
%       Permission is NOT given to modify and re-distribute this
%	code in any manner without written consent from Patrick Marchand.
%       The code can be distributed in its unaltered form as long as it
%       accompanies all files contained within the GUI Maker Version 2.0
%       package of files.  All standard disclaimers apply. 



if nargin == 0 
	command = 'new'; 
end 

if isstr(command) 
	if strcmp(lower(command),'initialize') | strcmp(lower(command),'new') 
		command = 0; 
	elseif strcmp(lower(command),lower('h_push_s_cancel')) 
		command = 1; 
	elseif strcmp(lower(command),lower('h_push_s_save')) 
		command = 2; 
	elseif strcmp(lower(command),lower('h_push_s_dirlook')) 
		command = 3; 
	elseif strcmp(lower(command),lower('h_ckbx_s_debug')) 
		command = 4; 
	elseif strcmp(lower(command),lower('h_edit_s_filename')) 
		command = 5; 
	elseif strcmp(lower(command),lower('h_pop_s_filetype')) 
		command = 6; 
	elseif strcmp(lower(command),lower('h_push_s_figbrw')) 
		command = 7; 
	elseif strcmp(lower(command),lower('compile')) 
		command = 99; 
	end 
end 

if command ~= 0 & command ~= 99
	handle_list = get(findobj(get(0,'children'),'flat',...
		'tag','ng_sav_w'),'userdata'); 
	if length(handle_list) > 0 
		h_frame_save = handle_list(1); 
		h_push_s_cancel = handle_list(2); 
		h_push_s_save = handle_list(3); 
		h_push_s_dirlook = handle_list(4); 
		h_ckbx_s_debug = handle_list(5); 
		h_edit_s_filename = handle_list(6); 
		h_text_s_window = handle_list(7); 
		h_pop_s_filetype = handle_list(8); 
		h_push_s_figbrw = handle_list(9); 
	end 
end 


if command == 0 

	wf = findobj(get(0,'children'),'flat','tag','working_figure');
	fig = findobj(get(0,'children'),'flat','tag','ng_sav_w');
	if length(fig) > 0
	   figure(fig);
	   set(fig,'visible','on');
	   return
	end

	figure('position',[10 697 278 124],'resize','off','tag','ng_sav_w',...
		'name','Save GUI','Numbertitle','off'); 

	%  Uicontrol Object Creation 

	h_frame_save = uicontrol(... 
		'CallBack','ng_sav_w(''h_frame_save'');',... 
		'Position',[ 0.0 0.0 1 1 ],... 
		'Style','frame',... 
		'Units','normalized',... 
		'Tag','h_frame_save',... 
		'UserData',''); 
	h_push_s_cancel = uicontrol(... 
		'CallBack','ng_sav_w(''h_push_s_cancel'');',... 
		'Position',[.75 .78 .21 .16],... 
		'String','Cancel',... 
		'Units','normalized',... 
		'Tag','h_push_s_cancel',... 
		'UserData',''); 
	h_push_s_save = uicontrol(... 
		'CallBack','ng_sav_w(''h_push_s_save'');',... 
		'Position',[.50 .78 .21 .16],... 
		'String','Save',... 
		'Units','normalized',... 
		'Tag','h_push_s_save',... 
		'Interruptible','yes',...
		'UserData',''); 
	h_push_s_dirlook = uicontrol(... 
		'CallBack','ng_sav_w(''h_push_s_dirlook'');',... 
		'Position',[ 0.88 0.57 0.08 0.16 ],... 
		'String','...',... 
		'Units','normalized',... 
		'Tag','h_push_s_dirlook',... 
		'UserData',''); 
	h_push_s_figbrw = uicontrol(... 
		'CallBack','ng_sav_w(''h_push_s_figbrw'');',... 
		'Position',[ 0.07 0.22 0.86 0.16 ],... 
		'String','Define Figure Properties',... 
		'Units','normalized',... 
		'Interruptible','yes',...
		'Tag','h_push_s_figbrw',... 
		'UserData',''); 
	h_ckbx_s_debug = uicontrol(... 
		'CallBack','ng_sav_w(''h_ckbx_s_debug'');',... 
		'Position',[.07 .05 .86 .16],... 
		'String','Print Obj. Tag in Callback',... 
		'Style','checkbox',... 
		'Units','normalized',... 
		'Value',[ 1 ],... 
		'Tag','h_ckbx_s_debug',... 
		'UserData',''); 
	h_edit_s_filename = uicontrol(... 
		'CallBack','ng_sav_w(''h_edit_s_filename'');',... 
		'Position',[ 0.04 0.57 0.81 0.16 ],... 
		'String','template.m',... 
		'Style','edit',... 
		'Units','normalized',... 
		'Tag','h_edit_s_filename',... 
		'UserData',''); 
	h_text_s_window = uicontrol(... 
		'CallBack','ng_sav_w(''h_text_s_window'');',... 
		'Position',[ 0.03 0.78 0.12 0.16 ],... 
		'String','FILE:',... 
		'Style','text',... 
		'Units','normalized',... 
		'Tag','h_text_s_window',... 
		'UserData',''); 
	h_pop_s_filetype = uicontrol(... 
		'CallBack','ng_sav_w(''h_pop_s_filetype'');',... 
		'Min',[ 1 ],... 
		'Position',[ 0.07 0.38 0.86 0.16 ],... 
		'String',['GUI (Operational) M-file|GUI Create Object Function|' ...
			 'GUI Create Object Script'],... 
		'Style','popupmenu',... 
		'Units','normalized',... 
		'Value',[ 1 ],... 
		'Tag','h_pop_s_filetype',... 
		'UserData',''); 
	h_temp_text = uicontrol('style','text','visible','off','tag',...
		'h_GMtemp_text_saver');


	%  Menu Object Creation 


	%  Axes and Text Object Creation 




	handle_list = [ ...  
	 	 h_frame_save h_push_s_cancel h_push_s_save ... 
	 	h_push_s_dirlook h_ckbx_s_debug h_edit_s_filename h_text_s_window ... 
	 	h_pop_s_filetype h_push_s_figbrw... 
	 	 	]; 

	   if wf
		wf_name=get(wf,'name');
		paren_loc1 = findstr(wf_name,'(');
		paren_loc2 = findstr(wf_name,')');
		if length([paren_loc1 paren_loc2]) == 2
		   wf_name = wf_name((paren_loc1+1):(paren_loc2-1));
		   set(h_edit_s_filename,'string',[wf_name '.m']);
		end
	   end

	set(gcf,'userdata',handle_list,'visible','on'); 


elseif command == 1 
%	disp('h_push_s_cancel selected.') 
	close(findobj(get(0,'child'),'flat','tag','ng_sav_w'));
	close(findobj(get(0,'child'),'flat','tag','ng_fbr_w'));
elseif command == 2 
%	disp('h_push_s_save selected.') 

	wf = findobj(get(0,'children'),'flat','tag','working_figure');
	cf = findobj(get(0,'children'),'flat','tag','control_figure');
	st = findobj(cf,'tag','h_text_status');

	if length(wf) == 0
		set(st,'string','No GUI to save. Load or Create a GUI');
		close(findobj('tag','ng_sav_w'));
		return;
	end

	filename = get(h_edit_s_filename,'string');
%	if ~valid_fn(filename)
%	  set(st,'string','Nothing Saved. Not a valid filename.');
%
%	else
        if 1
	 no_save = 0;
         pathname = [''];
	cur_dir = pwd;
         slsh_loc = max([findstr(filename,'/') findstr(filename,'\') ...
			findstr(filename,':')]);
	 if length(slsh_loc) == 0
	   pathname = pwd;
	   if isunix
		pathname = [pathname '/'];
	   elseif strcmp(computer,'PCWIN')
		pathname = [pathname '\'];
	   elseif strcmp(computer,'MAC') | strcmp(computer,'MAC2')
		pathname = [pathname ':'];
	   end
	 end

	 if exist([pathname filename]) | exist([pathname filename '.m'])
	    if strcmp(questdlg('This file already exists. Overwrite?','Yes','No'),'No')
	      no_save = 1;
	    end
	 end
	 if no_save == 0

	  set(st,'string','One moment please. Saving...');
	  set(get(0,'children'),'pointer','watch');
	  drawnow;
	  if get(h_pop_s_filetype,'val') == 1
		[fid,pn_tmp,fn_tmp] = ...
			mk_mfile(0,filename,2,get(h_ckbx_s_debug,'val'));
	  elseif get(h_pop_s_filetype,'val') == 2
		[fid,pn_tmp,fn_tmp] = ...
			mk_mfile(1,filename,2,get(h_ckbx_s_debug,'val'));
	  elseif get(h_pop_s_filetype,'val') == 3
		[fid,pn_tmp,fn_tmp] = ...
			mk_mfile(2,filename,2,get(h_ckbx_s_debug,'val'));
	  end
	  if fid ~= -1
	    set(st,'string',['File ' filename ' has been created.']);
	    if length(fn_tmp) > 0
		wf_name = get(wf,'name');
		paren_loc = findstr(wf_name,'(');
		if length(paren_loc) > 0
		   wf_name = wf_name(1:(paren_loc-2));
		end
		wf_name = [wf_name ' (' fn_tmp ')'];
		set(wf,'name',wf_name);
	    end
	  else
	    set(st,'string','Nothing saved. You must use a valid filename.');
	  end
	  if strcmp(computer,'MAC2') | strcmp(computer,'MAC')
	    eval(['cd ''' cur_dir '''']);
	  else
	    eval(['cd ' cur_dir ]);
	  end

	 end % nosave == 0

	end
	set(get(0,'children'),'pointer','arrow')
	close(findobj(get(0,'child'),'flat','tag','ng_sav_w'));
	close(findobj(get(0,'child'),'flat','tag','ng_fbr_w'));

elseif command == 3 
%	disp('h_push_s_dirlook selected.')
	[filename,pathname] = uigetfile('*.m','Get filename:');
	if isstr(filename)
	  set( h_edit_s_filename,'string',[pathname filename]);
	end
elseif command == 4 
%	disp('h_ckbx_s_debug selected.') 
elseif command == 5 
%	disp('h_edit_s_filename selected.') 
elseif command == 6 
%	disp('h_pop_s_filetype selected.') 
elseif command == 7 
%	disp('h_push_s_figbrw selected.')
	ng_fbr_w; 
elseif command == 99

	% DO NOTHING JUST COMPILE FOR FASTER RECALL
 
else 
	error('Error: ng_sav_w.m called with incorrect command.') 
end 
