function ng_tbr_w(command,param1) 
%  ng_tbr_w.m 
%   
%  usage:       ng_tbr_w(command,parameter1) 
%   
%           where 
%   
%               'command' is used to perform some defined operation 
%               'parameter1' can be used pass extra information 
%                              to a defined operation 
%   
%           If no arguements are used the GUI is initialized. 
%   
%   
%  Created: 23-Feb-95 
%  Using  : GUI Maker Ver 2.0 by Patrick Marchand 
%                         (PRMarchand@aol.com) 
%  Author :  
%  Mods.  :  
%   

% Copyright (c) 1995 by Patrick Marchand
%       Permission is NOT given to modify and re-distribute this
%	code in any manner without written consent from Patrick Marchand.
%       The code can be distributed in its unaltered form as long as it
%       accompanies all files contained within the GUI Maker Version 2.0
%       package of files.  All standard disclaimers apply. 

if nargin == 0 
	command = 'new'; 
end 
if nargin < 2
	param1 = 0;
end

if isstr(command) 
	if strcmp(lower(command),'compile')
	   return;
	end
	if strcmp(lower(command),'initialize') | strcmp(lower(command),'new') 
		command = 0; 
	elseif strcmp(lower(command),lower('h_ed_t_color')) 
		command = 1; 
	elseif strcmp(lower(command),lower('h_ed_t_type')) 
		command = 2; 
	elseif strcmp(lower(command),lower('h_ed_t_tag')) 
		command = 3; 
	elseif strcmp(lower(command),lower('h_ed_t_bdfcn')) 
		command = 4; 
	elseif strcmp(lower(command),lower('h_ed_t_string')) 
		command = 5; 
	elseif strcmp(lower(command),lower('h_ed_t_rotation')) 
		command = 6; 
	elseif strcmp(lower(command),lower('h_ed_t_position')) 
		command = 7; 
	elseif strcmp(lower(command),lower('h_ed_t_fontsize')) 
		command = 8; 
	elseif strcmp(lower(command),lower('h_e_t_fontname')) 
		command = 9; 
	elseif strcmp(lower(command),lower('h_pop_t_visible')) 
		command = 10; 
	elseif strcmp(lower(command),lower('h_pop_t_clipping')) 
		command = 11; 
	elseif strcmp(lower(command),lower('h_pop_t_valign')) 
		command = 12; 
	elseif strcmp(lower(command),lower('h_pop_t_units')) 
		command = 13; 
	elseif strcmp(lower(command),lower('h_pop_t_halign')) 
		command = 14; 
	elseif strcmp(lower(command),lower('h_pop_t_fontweight')) 
		command = 15; 
	elseif strcmp(lower(command),lower('h_pop_t_fontangle')) 
		command = 16; 
	elseif strcmp(lower(command),lower('h_pop_t_erasemode')) 
		command = 17; 
	end 
end 

if command ~= 0 
	handle_list = get(gcf,'userdata'); 
	if length(handle_list) > 0 
		h_frame_t_tbrw = handle_list(1); 
		h_ed_t_color = handle_list(2); 
		h_ed_t_type = handle_list(3); 
		h_ed_t_tag = handle_list(4); 
		h_ed_t_bdfcn = handle_list(5); 
		h_ed_t_string = handle_list(6); 
		h_ed_t_rotation = handle_list(7); 
		h_ed_t_position = handle_list(8); 
		h_ed_t_fontsize = handle_list(9); 
		h_e_t_fontname = handle_list(10); 
		h_t_t_color = handle_list(11); 
		h_t_t_va = handle_list(12); 
		h_t_t_ha = handle_list(13); 
		h_t_t_em = handle_list(14); 
		h_t_t_fa = handle_list(15); 
		h_t_t_fs = handle_list(16); 
		h_t_t_fw = handle_list(17); 
		h_t_t_string = handle_list(18); 
		h_t_t_units = handle_list(19); 
		h_t_t_fn = handle_list(20); 
		h_t_t_pos = handle_list(21); 
		h_t_t_bdf = handle_list(22); 
		h_t_t_rot = handle_list(23); 
		h_t_t_clip = handle_list(24); 
		h_t_t_tag = handle_list(25); 
		h_t_t_type = handle_list(26); 
		h_t_t_vis = handle_list(27); 
		h_pop_t_visible = handle_list(28); 
		h_pop_t_clipping = handle_list(29); 
		h_pop_t_valign = handle_list(30); 
		h_pop_t_units = handle_list(31); 
		h_pop_t_halign = handle_list(32); 
		h_pop_t_fontweight = handle_list(33); 
		h_pop_t_fontangle = handle_list(34); 
		h_pop_t_erasemode = handle_list(35); 
	end 
end 

if command > 0
	wf = findobj(get(0,'children'),'flat','tag','working_figure');

	if wf
	    txt_objs = findobj(wf,'type','text','selected','on');
	else
	end
end
cf =findobj(get(0,'children'),'flat','tag','control_figure');
st =findobj(cf,'tag','h_text_status');
if command == 0
  set(st,'string','Text Browser almost up.');
else
  set(st,'string','');
end

err_string = ['cf =findobj(get(0,''children''),''flat'',''tag'',''control_figure'');'...
	      'st =findobj(cf,''tag'',''h_text_status'');'...
	      'set(st,''string'',''Error in setting property. Check format.'');'];

if command == 0 

	fig = findobj(get(0,'children'),'flat','tag','ng_tbr_w');
	if length(fig) > 0
	   figure(fig);
	   set(fig,'visible','on');
	   ng_tbr_w(50);
	   return
	end

	set(0,'units','pixels');
	spos = get(0,'screensize');
	fig_ng_tbr = figure('position',[ 415 (spos(4)-80-123-240) 337 123 ],...
		'resize','off',...
		'tag','ng_tbr_w','visible','off','menubar','none',...
		'name','Text Browser','NumberTitle','off'); 

	%  Uicontrol Object Creation 

	h_frame_t_tbrw = uicontrol(... 
		'CallBack','ng_tbr_w(''h_frame_t_tbrw'');',... 
		'Position',[ 0 0 1 1 ],... 
		'Enable','off',... 
		'Style','frame',... 
		'Backgroundcolor',[.7 .8 .8],...
		'Units','normalized',... 
		'Tag','h_frame_t_tbrw',... 
		'UserData',''); 
	h_ed_t_color = uicontrol(... 
		'CallBack','ng_tbr_w(''h_ed_t_color'');',... 
		'Position',[ 0.42 0.815 0.55 0.158 ],... 
		'String','',... 
		'Style','edit',... 
		'Units','normalized',... 
		'Tag','h_ed_t_color',... 
		'UserData',''); 
	h_ed_t_type = uicontrol(... 
		'CallBack','ng_tbr_w(''h_ed_t_type'');',... 
		'Position',[ 0.42 0.341 0.55 0.158 ],... 
		'String','text',... 
		'Style','edit',... 
		'Units','normalized',... 
		'Tag','h_ed_t_type',... 
		'UserData',''); 
	h_ed_t_tag = uicontrol(... 
		'CallBack','ng_tbr_w(''h_ed_t_tag'');',... 
		'Position',[ 0.42 0.499 0.55 0.158 ],... 
		'Style','edit',... 
		'Units','normalized',... 
		'Tag','h_ed_t_tag',... 
		'UserData',''); 
	h_ed_t_bdfcn = uicontrol(... 
		'CallBack','ng_tbr_w(''h_ed_t_bdfcn'');',... 
		'Position',[ 0.42 0.815 0.55 0.158 ],... 
		'Style','edit',... 
		'Units','normalized',... 
		'Tag','h_ed_t_bdfcn',... 
		'Enable','off',...
		'UserData',''); 
	h_ed_t_string = uicontrol(... 
		'CallBack','ng_tbr_w(''h_ed_t_string'');',... 
		'Position',[ 0.42 0.341 0.55 0.158 ],... 
		'Style','edit',... 
		'Units','normalized',... 
		'Tag','h_ed_t_string',... 
		'UserData',''); 
	h_ed_t_rotation = uicontrol(... 
		'CallBack','ng_tbr_w(''h_ed_t_rotation'');',... 
		'Position',[ 0.42 0.499 0.55 0.158 ],... 
		'String','',... 
		'Style','edit',... 
		'Units','normalized',... 
		'Tag','h_ed_t_rotation',... 
		'UserData',''); 
	h_ed_t_position = uicontrol(... 
		'CallBack','ng_tbr_w(''h_ed_t_position'');',... 
		'Position',[ 0.42 0.657 0.55 0.158 ],... 
		'Style','edit',... 
		'Units','normalized',... 
		'Tag','h_ed_t_position',... 
		'UserData',''); 
	h_ed_t_fontsize = uicontrol(... 
		'CallBack','ng_tbr_w(''h_ed_t_fontsize'');',... 
		'Position',[ 0.42 0.183 0.55 0.158 ],... 
		'String','',... 
		'Style','edit',... 
		'Units','normalized',... 
		'Tag','h_ed_t_fontsize',... 
		'UserData',''); 
	h_e_t_fontname = uicontrol(... 
		'CallBack','ng_tbr_w(''h_e_t_fontname'');',... 
		'Min',[ 1 ],... 
		'Position',[ 0.42 0.341 0.55 0.158 ],... 
		'String','',... 
		'Style','edit',... 
		'Units','normalized',... 
		'Value',[ 1 ],... 
		'Tag','h_e_t_fontname',... 
		'UserData',''); 
	h_t_t_color = uicontrol(... 
		'CallBack','ng_tbr_w(''h_t_t_color'');',... 
		'Position',[ 0.04 0.815 0.35 0.158 ],... 
		'String','Color:',... 
		'Style','text',... 
		'Backgroundcolor',[.7 .8 .8],...
		'Units','normalized',... 
		'Tag','h_t_t_color',... 
		'UserData',''); 
	h_t_t_va = uicontrol(... 
		'CallBack','ng_tbr_w(''h_t_t_va'');',... 
		'Position',[ 0.04 0.025 0.35 0.158 ],... 
		'String','Vert. Alignment:',... 
		'Style','text',... 
		'Backgroundcolor',[.7 .8 .8],...
		'Units','normalized',... 
		'Tag','h_t_t_va',... 
		'UserData',''); 
	h_t_t_ha = uicontrol(... 
		'CallBack','ng_tbr_w(''h_t_t_ha'');',... 
		'Position',[ 0.04 0.815 0.37 0.158 ],... 
		'String','Horiz. Alignment:',... 
		'Style','text',... 
		'Backgroundcolor',[.7 .8 .8],...
		'Units','normalized',... 
		'Tag','h_t_t_ha',... 
		'UserData',''); 
	h_t_t_em = uicontrol(... 
		'CallBack','ng_tbr_w(''h_t_t_em'');',... 
		'Position',[ 0.04 0.657 0.35 0.158 ],... 
		'String','EraseMode:',... 
		'Style','text',... 
		'Backgroundcolor',[.7 .8 .8],...
		'Units','normalized',... 
		'Tag','h_t_t_em',... 
		'UserData',''); 
	h_t_t_fa = uicontrol(... 
		'CallBack','ng_tbr_w(''h_t_t_fa'');',... 
		'Position',[ 0.04 0.499 0.35 0.158 ],... 
		'String','FontAngle:',... 
		'Style','text',... 
		'Backgroundcolor',[.7 .8 .8],...
		'Units','normalized',... 
		'Tag','h_t_t_fa',... 
		'UserData',''); 
	h_t_t_fs = uicontrol(... 
		'CallBack','ng_tbr_w(''h_t_t_fs'');',... 
		'Position',[ 0.04 0.183 0.35 0.158 ],... 
		'String','FontSize:',... 
		'Style','text',... 
		'Backgroundcolor',[.7 .8 .8],...
		'Units','normalized',... 
		'Tag','h_t_t_fs',... 
		'UserData',''); 
	h_t_t_fw = uicontrol(... 
		'CallBack','ng_tbr_w(''h_t_t_fw'');',... 
		'Position',[ 0.04 0.025 0.35 0.158 ],... 
		'String','FontWeight:',... 
		'Style','text',... 
		'Backgroundcolor',[.7 .8 .8],...
		'Units','normalized',... 
		'Tag','h_t_t_fw',... 
		'UserData',''); 
	h_t_t_string = uicontrol(... 
		'CallBack','ng_tbr_w(''h_t_t_string'');',... 
		'Position',[ 0.04 0.341 0.35 0.158 ],... 
		'String','String:',... 
		'Style','text',... 
		'Backgroundcolor',[.7 .8 .8],...
		'Units','normalized',... 
		'Tag','h_t_t_string',... 
		'UserData',''); 
	h_t_t_units = uicontrol(... 
		'CallBack','ng_tbr_w(''h_t_t_units'');',... 
		'Position',[ 0.04 0.183 0.35 0.158 ],... 
		'String','Units:',... 
		'Style','text',... 
		'Units','normalized',... 
		'Backgroundcolor',[.7 .8 .8],...
		'Tag','h_t_t_units',... 
		'UserData',''); 
	h_t_t_fn = uicontrol(... 
		'CallBack','ng_tbr_w(''h_t_t_fn'');',... 
		'Position',[ 0.04 0.341 0.35 0.158 ],... 
		'String','FontName:',... 
		'Style','text',... 
		'Backgroundcolor',[.7 .8 .8],...
		'Units','normalized',... 
		'Tag','h_t_t_fn',... 
		'UserData',''); 
	h_t_t_pos = uicontrol(... 
		'CallBack','ng_tbr_w(''h_t_t_pos'');',... 
		'Position',[ 0.04 0.657 0.35 0.158 ],... 
		'String','Position:',... 
		'Style','text',... 
		'Backgroundcolor',[.7 .8 .8],...
		'Units','normalized',... 
		'Tag','h_t_t_pos',... 
		'UserData',''); 
	h_t_t_bdf = uicontrol(... 
		'CallBack','ng_tbr_w(''h_t_t_bdf'');',... 
		'Position',[ 0.04 0.815 0.35 0.158 ],... 
		'String','ButtonDownFcn:',... 
		'Style','text',... 
		'Backgroundcolor',[.7 .8 .8],...
		'Units','normalized',... 
		'Tag','h_t_t_bdf',... 
		'UserData',''); 
	h_t_t_rot = uicontrol(... 
		'CallBack','ng_tbr_w(''h_t_t_rot'');',... 
		'Position',[ 0.04 0.499 0.35 0.158 ],... 
		'String','Rotation:',... 
		'Style','text',... 
		'Units','normalized',... 
		'Backgroundcolor',[.7 .8 .8],...
		'Tag','h_t_t_rot',... 
		'UserData',''); 
	h_t_t_clip = uicontrol(... 
		'CallBack','ng_tbr_w(''h_t_t_clip'');',... 
		'Position',[ 0.04 0.657 0.35 0.158 ],... 
		'String','Clipping:',... 
		'Style','text',... 
		'Backgroundcolor',[.7 .8 .8],...
		'Units','normalized',... 
		'Tag','h_t_t_clip',... 
		'UserData',''); 
	h_t_t_tag = uicontrol(... 
		'CallBack','ng_tbr_w(''h_t_t_tag'');',... 
		'Position',[ 0.04 0.499 0.35 0.158 ],... 
		'String','Tag:',... 
		'Style','text',... 
		'Backgroundcolor',[.7 .8 .8],...
		'Units','normalized',... 
		'Tag','h_t_t_tag',... 
		'UserData',''); 
	h_t_t_type = uicontrol(... 
		'CallBack','ng_tbr_w(''h_t_t_type'');',... 
		'Position',[ 0.04 0.341 0.35 0.158 ],... 
		'String','Type:',... 
		'Style','text',... 
		'Backgroundcolor',[.7 .8 .8],...
		'Units','normalized',... 
		'Tag','h_t_t_type',... 
		'UserData',''); 
	h_t_t_vis = uicontrol(... 
		'CallBack','ng_tbr_w(''h_t_t_vis'');',... 
		'Position',[ 0.04 0.183 0.35 0.158 ],... 
		'String','Visible:',... 
		'Style','text',... 
		'Backgroundcolor',[.7 .8 .8],...
		'Units','normalized',... 
		'Tag','h_t_t_vis',... 
		'UserData',''); 
	h_pop_t_visible = uicontrol(... 
		'CallBack','ng_tbr_w(''h_pop_t_visible'');',... 
		'Max',[ 2 ],... 
		'Min',[ 1 ],... 
		'Position',[ 0.42 0.183 0.55 0.158 ],... 
		'String','on|off|All Not Identical',... 
		'Style','popupmenu',... 
		'Units','normalized',... 
		'Value',[ 1 ],... 
		'Tag','h_pop_t_visible',... 
		'UserData',''); 
	h_pop_t_clipping = uicontrol(... 
		'CallBack','ng_tbr_w(''h_pop_t_clipping'');',... 
		'Max',[ 2 ],... 
		'Min',[ 1 ],... 
		'Position',[ 0.42 0.657 0.55 0.158 ],... 
		'String','on|off|All Not Identical',... 
		'Style','popupmenu',... 
		'Units','normalized',... 
		'Value',[ 1 ],... 
		'Tag','h_pop_t_clipping',... 
		'UserData',''); 
	h_pop_t_valign = uicontrol(... 
		'CallBack','ng_tbr_w(''h_pop_t_valign'');',... 
		'Max',[ 5 ],... 
		'Min',[ 1 ],... 
		'Position',[ 0.42 0.025 0.55 0.158 ],... 
		'String','top|cap|middle|baseline|bottom|All Not Identical',... 
		'Style','popupmenu',... 
		'Units','normalized',... 
		'Value',[ 1 ],... 
		'Tag','h_pop_t_valign',... 
		'UserData',''); 
	h_pop_t_units = uicontrol(... 
		'CallBack','ng_tbr_w(''h_pop_t_units'');',... 
		'Max',[ 6 ],... 
		'Min',[ 1 ],... 
		'Position',[ 0.42 0.183 0.55 0.158 ],... 
		'String','inches|centimeters|normalized|points|pixels|data|All Not Identical',... 
		'Style','popupmenu',... 
		'Units','normalized',... 
		'Value',[ 1 ],... 
		'Tag','h_pop_t_units',... 
		'UserData',''); 
	h_pop_t_halign = uicontrol(... 
		'CallBack','ng_tbr_w(''h_pop_t_halign'');',... 
		'Max',[ 3 ],... 
		'Min',[ 1 ],... 
		'Position',[ 0.42 0.815 0.55 0.158 ],... 
		'String','left|center|right|All Not Identical',... 
		'Style','popupmenu',... 
		'Units','normalized',... 
		'Value',[ 1 ],... 
		'Tag','h_pop_t_halign',... 
		'UserData',''); 
	h_pop_t_fontweight = uicontrol(... 
		'CallBack','ng_tbr_w(''h_pop_t_fontweight'');',... 
		'Max',[ 4 ],... 
		'Min',[ 1 ],... 
		'Position',[ 0.42 0.025 0.55 0.158 ],... 
		'String','normal|light|demi|bold|All Not Identical',... 
		'Style','popupmenu',... 
		'Units','normalized',... 
		'Value',[ 1 ],... 
		'Tag','h_pop_t_fontweight',... 
		'UserData',''); 
	h_pop_t_fontangle = uicontrol(... 
		'CallBack','ng_tbr_w(''h_pop_t_fontangle'');',... 
		'Max',[ 3 ],... 
		'Min',[ 1 ],... 
		'Position',[ 0.42 0.499 0.55 0.158 ],... 
		'String','normal|italic|oblique|All Not Identical',... 
		'Style','popupmenu',... 
		'Units','normalized',... 
		'Value',[ 1 ],... 
		'Tag','h_pop_t_fontangle',... 
		'UserData',''); 
	h_pop_t_erasemode = uicontrol(... 
		'CallBack','ng_tbr_w(''h_pop_t_erasemode'');',... 
		'Max',[ 4 ],... 
		'Min',[ 1 ],... 
		'Position',[ 0.42 0.657 0.55 0.158 ],... 
		'String','normal|background|xor|none|All Not Identical',... 
		'Style','popupmenu',... 
		'Units','normalized',... 
		'Value',[ 1 ],... 
		'Tag','h_pop_t_erasemode',... 
		'UserData',''); 


	%  Menu Object Creation 

	h_uim_prop = uimenu('label','Property');
	h_uim_prop_list  = uimenu(h_uim_prop,'label','List');
	c_string = ['fh = findobj(get(0,''children''),''flat'',''tag'',''ng_tbr_w'');'...
			'm1 = findobj(fh,''tag'',''h_uim_plist_font'');'...
			'm2 = findobj(fh,''tag'',''h_uim_plist_pos'');'...
			'm3 = findobj(fh,''tag'',''h_uim_plist_misc'');'...
			'set(get(m3,''userdata''),''visible'',''off'');set(m3,''checked'',''off'');'...
			'set(get(m2,''userdata''),''visible'',''off'');set(m2,''checked'',''off'');'...
			'set(get(m1,''userdata''),''visible'',''on'');set(m1,''checked'',''on'');'];
	h_uim_plist_font = uimenu(h_uim_prop_list,'label','Font Attributes',...
			'tag','h_uim_plist_font','userdata',...
			[h_t_t_em h_t_t_fa h_t_t_fs h_t_t_fw h_t_t_fn h_ed_t_color ...
			h_ed_t_fontsize h_e_t_fontname h_pop_t_fontweight ...
			h_pop_t_fontangle h_pop_t_erasemode]','callback',c_string);
	c_string = ['fh = findobj(get(0,''children''),''flat'',''tag'',''ng_tbr_w'');'...
			'm1 = findobj(fh,''tag'',''h_uim_plist_font'');'...
			'm2 = findobj(fh,''tag'',''h_uim_plist_pos'');'...
			'm3 = findobj(fh,''tag'',''h_uim_plist_misc'');'...
			'set(get(m1,''userdata''),''visible'',''off'');set(m1,''checked'',''off'');'...
			'set(get(m3,''userdata''),''visible'',''off'');set(m3,''checked'',''off'');'...
			'set(get(m2,''userdata''),''visible'',''on'');set(m2,''checked'',''on'');'];
	h_uim_plist_pos = uimenu(h_uim_prop_list,'label','String & Position Attributes',...
			'tag','h_uim_plist_pos','userdata',[h_t_t_string h_t_t_units ...
			h_t_t_pos h_t_t_va h_t_t_ha h_ed_t_string h_ed_t_rotation ...
			h_ed_t_position h_pop_t_halign h_pop_t_valign ...
			h_pop_t_units h_t_t_rot]','callback',c_string);
	c_string = ['fh = findobj(get(0,''children''),''flat'',''tag'',''ng_tbr_w'');'...
			'm1 = findobj(fh,''tag'',''h_uim_plist_font'');'...
			'm2 = findobj(fh,''tag'',''h_uim_plist_pos'');'...
			'm3 = findobj(fh,''tag'',''h_uim_plist_misc'');'...
			'set(get(m1,''userdata''),''visible'',''off'');set(m1,''checked'',''off'');'...
			'set(get(m2,''userdata''),''visible'',''off'');set(m2,''checked'',''off'');'...
			'set(get(m3,''userdata''),''visible'',''on'');set(m3,''checked'',''on'');'];

	h_uim_plist_misc = uimenu(h_uim_prop_list,'label','Other Attributes',...
			'tag','h_uim_plist_misc','userdata',[h_t_t_clip h_t_t_tag ...
			h_t_t_type h_t_t_vis h_t_t_bdf h_ed_t_type h_ed_t_tag ...
			h_ed_t_bdfcn h_pop_t_visible h_pop_t_clipping]',...
			'callback',c_string);
	h_uim_prop_get = uimenu(h_uim_prop,'label','GET',...
		'callback','ng_tbr_w(50)');
	h_uim_opt = uimenu('label','Options');
	h_uim_opt_hide = uimenu(h_uim_opt,'label','Hide Text Browser',...
		'callback',['set(findobj(get(0,''children''),''flat'',' ...
		'''tag'',''ng_tbr_w''),''visible'',''off'');']);
%	h_uim_opt_close = uimenu(h_uim_opt,'label','Close Text Browser',...
%		'callback',['close(findobj(get(0,''children''),''flat'','...
%		'''tag'',''ng_tbr_w''));']);

	%  Axes and Text Object Creation 




	handle_list = [ ...  
	 	 h_frame_t_tbrw h_ed_t_color h_ed_t_type ... 
	 	h_ed_t_tag h_ed_t_bdfcn h_ed_t_string h_ed_t_rotation ... 
	 	h_ed_t_position h_ed_t_fontsize h_e_t_fontname h_t_t_color ... 
	 	h_t_t_va h_t_t_ha h_t_t_em h_t_t_fa ... 
	 	h_t_t_fs h_t_t_fw h_t_t_string h_t_t_units ... 
	 	h_t_t_fn h_t_t_pos h_t_t_bdf h_t_t_rot ... 
	 	h_t_t_clip h_t_t_tag h_t_t_type h_t_t_vis ... 
	 	h_pop_t_visible h_pop_t_clipping h_pop_t_valign h_pop_t_units ... 
	 	h_pop_t_halign h_pop_t_fontweight h_pop_t_fontangle h_pop_t_erasemode ... 
	 	 	]; 

 	eval(get(h_uim_plist_font,'callback'));
	pause(.1);
	set(fig_ng_tbr,'userdata',handle_list); 
	ng_tbr_w(50);
	if nargin < 2 | (nargin == 2 & param1 ~= 999)
	  set(fig_ng_tbr,'visible','on')
	end

elseif command == 1 
	%disp('h_ed_t_color selected.') 
	if length(txt_objs) > 0
%	   col = str2num(get(h_ed_t_color,'string'));
	   col =  (get(h_ed_t_color,'string'));
	   if length(str2num(col)) == 0
	     eval(['set(txt_objs,''color'',''' col ''')'],err_string);
	   else
	     eval(['set(txt_objs,''color'',' col ')'],err_string);
	   end
%	   if length(col) == 3
%	     eval(['set(txt_objs,''color'',col)'],err_string);
%	   end
	end
elseif command == 2 
	%disp('h_ed_t_type selected.') 
elseif command == 3 
	%disp('h_ed_t_tag selected.') 
	if length(txt_objs) == 1
	   tag = get(h_ed_t_tag,'string');
		  if length(findobj(wf,'tag',tag)) == 0
		   if length(tag) == 0
		     set(st,'string',['Tag must be legal.']);
		   else
		    oldtag = get(txt_objs,'tag');
	            eval(['set(txt_objs,''tag'',tag);'...
		        'set(txt_objs,''callback'','...
			'strrep(get(txt_objs,''callback''),oldtag,tag));'],...
			err_string);
		   end
		  else
		   set(st,'string',['Another object already' ...
			' has this tag.'])
		  end
%	   eval(['set(txt_objs,''tag'',tag)'],err_string);
	else
		set(st,'string','Every object''s tag must be unique.');
	end
elseif command == 4 
	%disp('h_ed_t_bdfcn selected.') 
	if length(txt_objs) > 0
	   propval = get(h_ed_t_bdfcn,'string');
	   eval(['set(txt_objs,''userdata'',propval)'],err_string);
	end
elseif command == 5 
	%disp('h_ed_t_string selected.') 
	if length(txt_objs) > 0
	   propval = get(h_ed_t_string,'string');
	   eval(['set(txt_objs,''string'',propval)'],err_string);
	end
elseif command == 6 
	%disp('h_ed_t_rotation selected.') 
	if length(txt_objs) > 0
	   propval = str2num(get(h_ed_t_rotation,'string'));
	   eval(['set(txt_objs,''rotation'',propval)'],err_string);
	end
elseif command == 7 
	%disp('h_ed_t_position selected.') 
	if length(txt_objs) > 0
	   propstr = (get(h_ed_t_position,'string'));
	   propstr = strrep(propstr,'-','NaN');
	   proppos = eval(propstr);
	   proppos_ind = find(~isnan(proppos));
	
	   for loop = 1:length(txt_objs)
	    oldpos = get(txt_objs(loop),'position');
	    newpos = oldpos;
 	    newpos(proppos_ind) = proppos(proppos_ind);
	    eval(['set(txt_objs(loop),''position'',newpos)'],err_string);
	   end
	end
elseif command == 8 
	%disp('h_ed_t_fontsize selected.') 
	if length(txt_objs) > 0
	   propval = str2num(get(h_ed_t_fontsize,'string'));
	   eval(['set(txt_objs,''fontsize'',propval)'],err_string);
	end
elseif command == 9 
	%disp('h_e_t_fontname selected.') 
	if length(txt_objs) > 0
	   propval = get(h_e_t_fontname,'string');
	   eval(['set(txt_objs,''fontname'',propval)'],err_string);
	end
elseif command == 10 
	%disp('h_pop_t_visible selected.') 
	if length(txt_objs) > 0
	   propval = get(h_pop_t_visible,'val');
	   propstr = get(h_pop_t_visible,'string');
	   objpropstr = deblank(propstr(propval,:));
	      eval(['set(txt_objs,''visible'',''' objpropstr ''')'],...
		err_string);
	end
elseif command == 11 
	%disp('h_pop_t_clipping selected.') 
	if length(txt_objs) > 0
	   propval = get(h_pop_t_clipping,'val');
	   propstr = get(h_pop_t_clipping,'string');
	   objpropstr = deblank(propstr(propval,:));
	     eval(['set(txt_objs,''clipping'',''' objpropstr ''')'],...
		err_string);
	end
elseif command == 12 
	%disp('h_pop_t_valign selected.') 
	if length(txt_objs) > 0
	   propval = get(h_pop_t_valign,'val');
	   propstr = get(h_pop_t_valign,'string');
	   objpropstr = deblank(propstr(propval,:));
	     eval(['set(txt_objs,''verticalalignment'',''' objpropstr ''')'],...
		err_string);
	end
elseif command == 13 
	%disp('h_pop_t_units selected.') 
	if length(txt_objs) > 0
	   propval = get(h_pop_t_units,'val');
	   propstr = get(h_pop_t_units,'string');
	   objpropstr = deblank(propstr(propval,:));
	     eval(['set(txt_objs,''units'',''' objpropstr ''')'],...
		err_string);
	   ng_tbr_w(50);
	end
elseif command == 14 
	%disp('h_pop_t_halign selected.') 
	if length(txt_objs) > 0
	   propval = get(h_pop_t_halign,'val');
	   propstr = get(h_pop_t_halign,'string');
	   objpropstr = deblank(propstr(propval,:));
	   eval(['set(txt_objs,''horizontalalignment'',''' objpropstr ''')'],...
		err_string);
	end
elseif command == 15 
	%disp('h_pop_t_fontweight selected.') 
	if length(txt_objs) > 0
	   propval = get(h_pop_t_fontweight,'val');
	   propstr = get(h_pop_t_fontweight,'string');
	   objpropstr = deblank(propstr(propval,:));
	   eval(['set(txt_objs,''fontweight'',''' objpropstr ''')'],...
		err_string);
	end
elseif command == 16 
	%disp('h_pop_t_fontangle selected.') 
	if length(txt_objs) > 0
	   propval = get(h_pop_t_fontangle,'val');
	   propstr = get(h_pop_t_fontangle,'string');
	   objpropstr = deblank(propstr(propval,:));
	   eval(['set(txt_objs,''fontangle'',''' objpropstr ''')'],...
		err_string);
	end
elseif command == 17 
	%disp('h_pop_t_erasemode selected.') 
	if length(txt_objs) > 0
	   propval = get(h_pop_t_erasemode,'val');
	   propstr = get(h_pop_t_erasemode,'string');
	   objpropstr = deblank(propstr(propval,:));
	   eval(['set(txt_objs,''erasemode'',''' objpropstr ''')'],...
		err_string);
	end
elseif command == 50
    if length(txt_objs) > 0
	
	property_list = str2mat('erasemode','fontangle',...
			'fontweight','horizontalalignment','units',...
			'verticalalignment','clipping','visible');
	handle_prop_list = [h_pop_t_erasemode h_pop_t_fontangle ...
			h_pop_t_fontweight h_pop_t_halign h_pop_t_units ...
			h_pop_t_valign h_pop_t_clipping h_pop_t_visible];

	fig = findobj(get(0,'children'),'flat','tag','ng_tbr_w');
	if length(txt_objs) == 1
	  set(fig,'name',['Text Browser for (' get(txt_objs,'tag') ')']);
	else
	  set(fig,'name',['Text Browser for (Mult. Text Objs.)']);
	end

	for loop = 1:size(property_list,1)
	   property = deblank(property_list(loop,:));
	   flag_not_all_same = 0;
	   for loop2 = 1:length(txt_objs)
	      property_value = get(txt_objs(loop2),property);
	      if loop2 > 1
		if ~strcmp(first_prop_val,property_value)
		   flag_not_all_same = 1; break;
		end
	      else
		first_prop_val = property_value;
	      end
	   end
	   pos_vals = get(handle_prop_list(loop),'string');
	   for loop1 = 1:size(pos_vals,1)
	    if strcmp(lower(deblank(pos_vals(loop1,:))),property_value) & ...
		flag_not_all_same == 0
	      set(handle_prop_list(loop),'val',loop1);break
	    elseif loop1 == size(pos_vals,1)
	      set(handle_prop_list(loop),'val',loop1);
	    end
	    drawnow;
	   end
	end

	property_list = str2mat('color','fontsize',...
			'rotation');
	handle_prop_list = [h_ed_t_color h_ed_t_fontsize ...
			h_ed_t_rotation];

	for loop = 1:size(property_list,1)
	   property = deblank(property_list(loop,:));
	   flag_not_all_same = 0;
	   for loop2 = 1:length(txt_objs)
	      property_value = get(txt_objs(loop2),property);
	      if loop2 > 1
		if ~prod(first_prop_val == property_value)
		   flag_not_all_same = 1; break;
		end
	      else
		first_prop_val = property_value;
	      end
	   end
	   if flag_not_all_same == 0
		set(handle_prop_list(loop),'string',mat2str2(property_value));
	   else
		set(handle_prop_list(loop),'string','');
	   end
	end

	property_list = str2mat('fontname','string',...
			'buttondownfcn','tag');
	handle_prop_list = [h_e_t_fontname h_ed_t_string ...
			h_ed_t_bdfcn h_ed_t_tag];

	for loop = 1:size(property_list,1)
	   property = deblank(property_list(loop,:));
	   flag_not_all_same = 0;
	   for loop2 = 1:length(txt_objs)
	      property_value = get(txt_objs(loop2),property);
	      if loop2 > 1
		if ~strcmp(first_prop_val,property_value)
		   flag_not_all_same = 1; break;
		end
	      else
		first_prop_val = property_value;
	      end
	   end
	   if flag_not_all_same == 0
		set(handle_prop_list(loop),'string',property_value);
	   else
		set(handle_prop_list(loop),'string','');
	   end
	end

	property_list = 'position';
	handle_prop_list = [h_ed_t_position];

	for loop = 1:size(property_list,1)
	   property = deblank(property_list(loop,:));
	   flag_not_all_same = [0 0 0];
	   for loop2 = 1:length(txt_objs)
	      property_value = get(txt_objs(loop2),property);
	      if loop2 > 1
		for loop3 = 1:length(property_value)
		 if first_prop_val(loop3) ~= property_value(loop3)
		   flag_not_all_same(loop3) = 1;
		   first_prop_val(loop3) = NaN;
		 end
		end
%		if first_prop_val(1) ~= property_value(1)
%		   flag_not_all_same(1) = 1;
%		   first_prop_val(1) = NaN;
%		end
%		if first_prop_val(2) ~= property_value(2)
%		   flag_not_all_same(2) = 1;
%		   first_prop_val(2) = NaN;
%		end
%		if first_prop_val(3) ~= property_value(3)
%		   flag_not_all_same(3) = 1;
%		   first_prop_val(3) = NaN;
%		end
		if prod(flag_not_all_same)
		   break
		end
	      else
		first_prop_val = property_value;
	      end
	   end
	  if length(first_prop_val) ~= 3
	  	first_prop_val = [first_prop_val NaN];
	  end
	  pos_string = mat2str2(round(first_prop_val*100)/100);
	  set(handle_prop_list(loop),'string',pos_string);
	end
     end
  set(st,'string','OK...Properties Gotten. Ready.');
else 
	error('Error: ng_tbr_w.m called with incorrect command.') 
end 
