function temp(command,parameter1) 
%  Template for uicontrol form. 
%   
%  If you rename this file: 
%    1. Replace all occurrences of 'temp' with desired 'filename'. 
%    2. Resave this file as that 'filename'. 
%   
%  To edit callbacks : 
%          Fill in the 'elseif command == ...' sections with 
%          code that does something other than what was  
%          defined in GUIMaker 2.0. Be creative! 
%          The code must lie between the CALLBACK_START and  
%          CALLBACK_STOP comments for each objects callback  
%          command section if you want to be able to edit 
%          the GUI with GUIMaker later on and not lose the 
%          callback information. 
%   
%  temp.m 
%   
%  usage:       temp(command,parameter1) 
%   
%           where 
%   
%               'command' is used to perform some defined operation 
%               'parameter1' can be used pass extra information 
%                              to a defined operation 
%   
%           If no arguements are used the GUI is initialized. 
%   
%   
%  Created: 19-Jul-95 
%  Using  : GUI Maker Ver 2.0 by Patrick Marchand 
%                         (pmarchan@motown.ge.com) 
%  Author :  
%  Mods.  :  
%   

%  Copyright (c)   
%       Permission is granted to modify and re-distribute this 
%	code in any manner as long as this notice is preserved. 
%	All standard disclaimers apply. 


if nargin == 0 
	command = 'new'; 
end 

if isstr(command) 
	if strcmp(lower(command),'initialize') | strcmp(lower(command),'new') 
		command = 0; 
	elseif strcmp(lower(command),lower('h_uic_1')) 
		command = 1; 
	elseif strcmp(lower(command),lower('h_uic_5')) 
		command = 2; 
	elseif strcmp(lower(command),lower('h_uic_3')) 
		command = 3; 
	elseif strcmp(lower(command),lower('h_uim_6')) 
		command = 4; 
	elseif strcmp(lower(command),lower('h_uim_3')) 
		command = 5; 
	elseif strcmp(lower(command),lower('h_uim_1')) 
		command = 6; 
	elseif strcmp(lower(command),lower('h_uim_2')) 
		command = 7; 
	end 
end 

if command ~= 0 
	h_fig_list = findobj(get(0,'children'),'flat',... 
		'tag','temp'); 
		if length(h_fig_list) > 1 
			h_fig_list = gcf; 
		elseif length(h_fig_list) == 0 
			error('There are no figures with Tag = temp.'); 
		end 
	handle_list = get(h_fig_list,'userdata'); 
	if length(handle_list) > 0 
		h_uic_4 = handle_list(1); 
		h_uic_1 = handle_list(2); 
		h_uic_5 = handle_list(3); 
		h_uic_3 = handle_list(4); 
		h_uim_6 = handle_list(5); 
		h_uim_3 = handle_list(6); 
		h_uim_1 = handle_list(7); 
		h_uim_2 = handle_list(8); 
		h_axes_1 = handle_list(9); 
		h_text_2 = handle_list(10); 
	end 
end 


if command == 0 

	fig = findobj(get(0,'children'),'flat','tag','temp'); 
	if length(fig) > 0 
		set(fig,'visible','on'); 
		figure(fig); 
		return; 
	end 
	fig = figure('position',[ 18 433 380 250 ],... 
		'resize','Off','tag','temp',... 
		'menubar','Figure','name','Test',... 
		'numbertitle','Off','visible','off'); 

	%  Uicontrol Object Creation 

	h_uic_4 = uicontrol(... 
		'CallBack','temp(''h_uic_4'');',... 
		'Position',[ 0.04 0.38 0.28 0.36 ],... 
		'Enable','off',... 
		'Style','frame',... 
		'Units','normalized',... 
		'Tag','h_uic_4',... 
		'UserData',''); 
	h_uic_1 = uicontrol(... 
		'CallBack','temp(''h_uic_1'');',... 
		'Position',[ 0.04 0.82 0.22 0.09 ],... 
		'Enable','off',... 
		'Style','pushbutton',... 
		'Units','normalized',... 
		'Tag','h_uic_1',... 
		'UserData',''); 
	h_uic_5 = uicontrol(... 
		'CallBack','temp(''h_uic_5'');',... 
		'Position',[ 0.04 0.74 0.2 0.08 ],... 
		'Enable','off',... 
		'Style','radiobutton',... 
		'Units','normalized',... 
		'Tag','h_uic_5',... 
		'UserData',''); 
	h_uic_3 = uicontrol(... 
		'CallBack','temp(''h_uic_3'');',... 
		'Position',[ 0.04 0.29 0.28 0.08 ],... 
		'Enable','off',... 
		'String','Checkbox1',... 
		'Style','checkbox',... 
		'Units','normalized',... 
		'Value',[ 1 ],... 
		'Tag','h_uic_3',... 
		'UserData',''); 


	%  Menu Object Creation 

	h_uim_6 = uimenu(...                
		'CallBack','temp(''h_uim_6'');',... 
		'Position',[ 1 ],...                
		'Label','Menu1',...                 
		'Tag','h_uim_6',...                 
		'UserData','');  drawnow;
	h_uim_3 = uimenu(h_uim_6, ...       
		'CallBack','temp(''h_uim_3'');',... 
		'Position',[ 2 ],...                
		'Label','Menu1b',...                
		'Tag','h_uim_3',...                 
		'UserData','');       drawnow;              
	h_uim_1 = uimenu(h_uim_6, ...       
		'CallBack','temp(''h_uim_1'');',... 
		'Position',[ 1 ],...                
		'Label','Menu1a',...                
		'Tag','h_uim_1',...                 
		'UserData','');          drawnow;           
	h_uim_2 = uimenu(h_uim_1, ...       
		'CallBack','temp(''h_uim_2'');',... 
		'Position',[ 1 ],...                
		'Label','Menu1a1',...               
		'Tag','h_uim_2',...                 
		'UserData','');      drawnow;               

	%  Axes and Text Object Creation 

	h_axes_1 = axes(... 
		'Position',[ 0.33 0.14 0.32 0.52 ],... 
		'Units','normalized', ... 
		'Xgrid','off', ... 
		'Ygrid','off', ... 
		'Xlim',[ 0 1 ],... 
		'Ylim',[ 0 1 ],... 
		'Clipping','on', ... 
		'Tag','h_axes_1', ... 
		'UserData',''); 
	h_text_2 = text(... 
		'Position',[ 1.28 0.92 0 ],... 
		'String','Hello', ... 
		'Units','normalized', ... 
		'VerticalAlignment','bottom', ... 
		'Tag','h_text_2', ... 
		'UserData',''); 



	handle_list = [ ...  
	 	 h_uic_4 h_uic_1 h_uic_5 ... 
	 	h_uic_3 h_uim_6 h_uim_3 h_uim_1 ... 
	 	h_uim_2  h_axes_1  ... 
	 	h_text_2 ... 
	 	 	]; 

	set(gcf,'userdata',handle_list); 
	drawnow;pause(1); 
	set(gcf,'visible','on'); 


elseif command == 1 
	disp('h_uic_1 selected.') 
	%%       DO NOT REMOVE/ALTER THIS COMMENT: CALLBACK_START h_uic_1 
	%%       DO NOT REMOVE/ALTER THIS COMMENT: CALLBACK_STOP h_uic_1 
elseif command == 2 
	disp('h_uic_5 selected.') 
	%%       DO NOT REMOVE/ALTER THIS COMMENT: CALLBACK_START h_uic_5 
	%%       DO NOT REMOVE/ALTER THIS COMMENT: CALLBACK_STOP h_uic_5 
elseif command == 3 
	disp('h_uic_3 selected.') 
	%%       DO NOT REMOVE/ALTER THIS COMMENT: CALLBACK_START h_uic_3 
	%%       DO NOT REMOVE/ALTER THIS COMMENT: CALLBACK_STOP h_uic_3 
elseif command == 4 
	disp('h_uim_6 selected.') 
	%%       DO NOT REMOVE/ALTER THIS COMMENT: CALLBACK_START h_uim_6 
	%%       DO NOT REMOVE/ALTER THIS COMMENT: CALLBACK_STOP h_uim_6 
elseif command == 5 
	disp('h_uim_3 selected.') 
	%%       DO NOT REMOVE/ALTER THIS COMMENT: CALLBACK_START h_uim_3 
	%%       DO NOT REMOVE/ALTER THIS COMMENT: CALLBACK_STOP h_uim_3 
elseif command == 6 
	disp('h_uim_1 selected.') 
	%%       DO NOT REMOVE/ALTER THIS COMMENT: CALLBACK_START h_uim_1 
	%%       DO NOT REMOVE/ALTER THIS COMMENT: CALLBACK_STOP h_uim_1 
elseif command == 7 
	disp('h_uim_2 selected.') 
	%%       DO NOT REMOVE/ALTER THIS COMMENT: CALLBACK_START h_uim_2 
	%%       DO NOT REMOVE/ALTER THIS COMMENT: CALLBACK_STOP h_uim_2 
else 
	error('Error: temp.m called with incorrect command.') 
end 
