function out = valid_fn(name)
%
%  valid_fn.m
%
%        Detemines if the string is a valid variable name.
%	 Returns a 1 if name is a valid variable name.
%	 Returns a 0 if name is not a valid variable name.
%
%  usage:
%		valid_fn(name)
%
%
%  Date   :  7-Jan-94
%  Author :  Patrick Marchand
%  Mods.  :  
%   

% Copyright (c) 1995 by Patrick Marchand
%       Permission is NOT given to modify and re-distribute this
%	code in any manner without written consent from Patrick Marchand.
%       The code can be distributed in its unaltered form as long as it
%       accompanies all files contained within the GUI Maker Version 2.0
%       package of files.  All standard disclaimers apply. 

if nargin == 1
   if isstr(name)
	[numrow,numcol] = size(name);
	if numrow == 1
	  if isletter(name(1))
	    match = 0;
	    for loop = 2:numcol
	      testchar = name(loop);
	      if strcmp(testchar,' ')
		match = 1;
		break
	      end
	    end
	    if match == 0
		out = 1;
	    else
		out = 0;
	    end
	  else
	    out = 0;
	  end
	else
	    out = 0;
	end
   else
     out = 0;
   end 
else
   error('Error: valid_fn used incorrectly')
end
