function binarray = int2bin(num,msb)
% function binarray = int2bin(num,msb)
% Converts from an integer value to a binary number
% stuffed into an array.  So
% 2 -> [...0 0 1 0]
% 9 -> [...1 0 0 1]
% msb is the most significant bit. i.e. 0th
% first, second ... msb=0 1 2 ...

for i=0:msb
 divider=2^(msb-i);
 binarray(msb+1-i)=((num/divider)>=1.0);
 num=num-binarray(msb+1-i)*divider;
end
