function [y,x]=range(y,x)
% function [Yout,Xout]=range(Yin[,Xin])
% Graphical interface tool to separate out
% part of a curve.
%
% Data must be oriented columnwise.
% Yin can be an array, where data is arranged columnwise.

% make sure graph is in the right mode.
hold off;
[nrow,ncol]=size(y);
if(nrow==1),y=y';end


 plot(y);


fprintf('Select the range that you want by clicking on two points.\n');
title('Select the range that you want by clicking on two points.');

[X,Y]=ginput(2);

if( X(2) > X(1) ),
   ixstart=round(X(1));
   ixend=round(X(2));
else
   ixstart=round(X(2));
   ixend=round(X(1));
end
   if(ixstart<0),ixstart=1;end
   if(ixend>length(y)),ixend=length(y);end

y=y(ixstart:ixend,:);
if(nargin==2),
 x=x(ixstart:ixend);
end


if(nrow==1),y=y';end
 
