function Number=WordToNumber(word,theformat)
% function WordToNumber(word,theformat)
% Convert a word to a number according to a given format
% Allowable formats
% e f g = floating point
% x = hexadecimal word=0x####
% b = binary      word=0b####
%
% If a word doesnot begin with a number
% then it is considered invalid

% Check to see if word is probably ok
comp=[43 45 46 48 49 50 51 52 53 54 55 56 57];
%     .  +  -   0  1  2  3  4  5  6  7  8  9
if isstr(word),
 ich1=abs(word(1));
  if max(ich1==comp)==1, 
   ok=1;
  else
   ok=0;
  end
else
 ok=0;
end

% Return if not ok
if ~ok,
  Number='a';
  return;
end

theformat=toupper(theformat);
word=toupper(word);
wordlength=length(word);
theSign=1;
if max(theformat=='EFG')==1,
 % Find the decimal or the exponent first
  array=zeros(1,wordlength);
  theDecindex=-1; theExpindex=-1;

  for index=1:wordlength, 
   
    theChar=word(index);

    if max(theChar=='EFG')==1,
     theExpindex=index;
    elseif theChar=='.',
     theDecindex=index;
    elseif theChar=='-',
     if Index==1,
       sign=-1;
     elseif theExpindex > 0,
       expsign=-1; 
     else 
       error('Problem with sign in WordToNumber');
     end
    elseif theChar=='+',
     if Index==1,
       sign=1;
     elseif theExpindex > 0,
       expsign=1; 
     else 
       error('Problem with sign in WordToNumber');
     end

     
    elseif max(theChar=='0123456789')==1,
     array(index)=abs(theChar)-abs('0');
    else
     ok=0;
    end

  end
else
  fprintf('Unacceptable format type to WordToNumber\n');
end

% Handle mantissa

if theDecindex > 0,
 limit=theDecindex-1;
 exp=0;
 for k=limit:-1:1,;
  number=array(k)*10^exp+number;
  exp=exp+1;
 end
 
 if theExpindex >0,
 exp=-1;
 limit= theExpindex-1,
 for k=limit:-1:theDecindex+1,;
  number=array(k)*10^exp+number;
  exp=exp-1;
 end
 
 
 exp=0;
 for k=limit:-1:1,;
  number=array(k)*10^exp+number;
  exp=exp+1;
 end

 
  
Number=array;
   

