function uiedit(f,arg)
% helps design dialog boxes
% after display a dialog box (a figure with uicontrols),
% run uiedit.
% uiedit will put a menu on the menu bar that allows you to manipulate
% and examine the dialog parameters.
% some of the menu items have accelerators.

% author tobi@pcmp.caltech.edu (tobi delbruck), 1994

if nargin==0, f='setup'; end;

global fig sp op

if 0,

elseif strcmp(f,'setup')

	fig=gcf;
	set(fig,'backingstore','off');
	chil=get(fig,'children');
	menuexists=0;
	for c=chil',
		type=get(c,'type');
		if strcmp(type,'uicontrol')
			set(c,'buttondownfcn','uiedit(''click'');','callb','uiedit(''click'');');
		end;
		if  strcmp(type,'axes'),
			set(c,'buttondownfcn','uiedit(''click'');');
		end;
		if strcmp(get(c,'type'),'uimenu') ,
		 if strcmp(get(c,'label'),'uiedit'),
			 menuexists=1; 
		 end;
		end;
		
	end;
	
	set(fig,'units','pixels');
	
	if ~menuexists,
		m=uimenu('label','uiedit');
			uimenu(m,'label','new uicontrol','callb','uiedit(''new uicontrol'');');
			uimenu(m,'label','new axes','callb','uiedit(''new axes'');');
			uimenu(m,'label','write','callb','uiedit(''write'');');
			uimenu(m,'label','delete','callb','uiedit(''delete'');','interrup','yes');
			uimenu(m,'label','edit','callb','uiedit(''edit'');','interrup','yes','accel','E');
			uimenu(m,'label','resize','callb','uiedit(''resize'');','accel','R');
			uimenu(m,'label','move','callb','uiedit(''move'');','accel','M');
			uimenu(m,'label','sendtoback','callb','uiedit(''sendtoback'');','accel','J');
	end;

elseif strcmp(f,'delete'),
	o=get(fig,'currentobj');
	if o==gcf, return; end;
	if strcmp('Yes',questdlg('Delete this object?','Yes','No')),
		delete(o);
	end;
	
elseif strcmp(f,'click'),
	tic; 
	o=get(fig,'currentobj');
	for i=1:2,
		set(o,'visible','off'); pause(.1); set(o,'visible','on');
	end;
	click;
	return
	set(o,'buttondownfcn','uiedit(''doubleclick'');');
	set(fig,'windowbuttonmotionfcn','uiedit(''motion'');');
	
elseif strcmp(f,'doubleclick'),
	o=get(fig,'currentobj');
	set(o,'buttondownfcn','uiedit(''click'');');
	if toc<.3,
		click; uiedit('edit');
	end;

elseif strcmp(f,'resize'),
	set(fig,'windowbuttonmotionfcn','uiedit(''resize2'');');
	set(fig,'windowbuttondownfcn','uiedit(''resize3'');');
	o=get(fig,'currentobj');
	type=get(o,'type');
	if strcmp(type,'uicontrol'),
		sp=get(fig,'currentpoint');
		op=get(o,'pos');
	elseif strcmp(type,'axes');
%		ou=get(fig,'units');
%		set(fig,'units','normal');
		sp=get(fig,'currentpoint');
		op=get(o,'pos');
%		set(fig,'units',ou)
		
	end;

elseif strcmp(f,'resize2'),
	set(fig,'windowbuttonmotionfcn','uiedit(''resize2'');');
	set(fig,'windowbuttondownfcn','uiedit(''resize3'');');
	o=get(fig,'currentobj');
	type=get(o,'type');
	if strcmp(type,'uicontrol'),
		p=get(fig,'currentpoint');
		set(o,'position',[op(1),op(2),p(1)-op(1),p(2)-op(2)]);
	elseif strcmp(type,'axes');
%		ou=get(fig,'units');
%		set(fig,'units','normal');
		p=get(fig,'currentpoint');
		set(o,'position',[op(1),op(2),p(1)-op(1),p(2)-op(2)]);
%		set(fig,'units',ou)
		
	end;


elseif strcmp(f,'resize3'),
	click;
	set(fig,'windowbuttonmotionfcn','');
	set(fig,'windowbuttondownfcn','');
	o=get(fig,'currentobj');
	type=get(o,'type');
	if strcmp(type,'uicontrol'),
		p=get(fig,'currentpoint');
		set(o,'position',[op(1),op(2),p(1)-op(1),p(2)-op(2)]);
	elseif strcmp(type,'axes');
%		ou=get(fig,'units');
%		set(fig,'units','normal');
		p=get(fig,'currentpoint');
		set(o,'position',[op(1),op(2),p(1)-op(1),p(2)-op(2)]);
%		set(fig,'units',ou)
		
	end;


elseif strcmp(f,'move'),
	set(fig,'windowbuttonmotionfcn','uiedit(''move'');');
	set(fig,'windowbuttondownfcn','uiedit(''down'');');
	o=get(fig,'currentobj');
	type=get(o,'type');
	set(o,'units','pixels');
	if strcmp(type,'uicontrol'),
		p=get(fig,'currentpoint');
		op=get(o,'pos');
		set(o,'position',[p(1),p(2),op(3),op(4)]);
	elseif strcmp(type,'axes');
%		ou=get(fig,'units');
%		set(fig,'units','normal');
		p=get(fig,'currentpoint');
		op=get(o,'pos');
		set(o,'position',[p(1),p(2),op(3),op(4)]);
%		set(fig,'units',ou)
		
	end;

elseif strcmp(f,'down')
	set(fig,'windowbuttonmotionfcn','');
	set(fig,'windowbuttondownfcn','');

elseif strcmp(f,'edit'),
	set(fig,'windowbuttonmotionfcn','');
	set(fig,'windowbuttonupfcn','');
	o=get(fig,'currentobj');
	type=get(o,'type');
	op=get(o,'pos')
	w=getnumberordefault('width?',op(3));
	h=getnumberordefault('height?',op(4));
	set(o,'position',[op(1),op(2),w,h]);
	if strcmp(type,'uicontrol'),
		s=getstringordefault('style? ',get(o,'style'));
		set(o,'style',s);
		s=getstringordefault('string? ',get(o,'string'));
		set(o,'string',s);
		c=get(o,'foregroundcolor');
		s=getstringordefault('foregroundcolor? ',['[', num2str(c(1)), ',' num2str(c(2)), ',' num2str(c(3)), ']' ]);
		set(o,'foregroundcolor',eval(s));
		c=get(o,'backgroundcolor');
		s=getstringordefault('backgroundcolor? ',['[', num2str(c(1)), ',' num2str(c(2)), ',' num2str(c(3)), ']' ]);
		set(o,'backgroundcolor',eval(s));
	elseif strcmp(type,'axes');
		
	end;
	
	figure(fig);

elseif strcmp(f,'new uicontrol'),
	u=uicontrol('buttondownfcn','uiedit(''click'');','string','','callb','uiedit(''click'');');

elseif strcmp(f,'new axes'),
	u=axes('buttondownfcn','uiedit(''click'');');
	set(u,'units','pixels');

elseif strcmp(f,'sendtoback'),
	o=get(fig,'currentobj');
	c=get(fig,'children');
	c=c([length(c),1:length(c)-1]);
	
elseif strcmp(f,'write'),
%	f=input('Filename? ','s');
	fprintf('\n\n\n');

	chil=get(fig,'children');
	pos=get(fig,'pos');
	fprintf('fig=figure(''position'',[ %g %g %g %g ]);\n',pos(1),pos(2),pos(3),pos(4));
	
	for c=chil',
		type=get(c,'type');
		if strcmp(type,'uicontrol')
			if strcmp(get(c,'style'),'frame'),
				pos=get(c,'position');
				string=get(c,'string'); 
				if isempty(string), string='(null)'; end;
				style=get(c,'style');
				fprintf('\tuicontrol(''position'',[ %g %g %g %g ], ''style'',''%s'' );\n',...
					pos(1),pos(2),pos(3),pos(4),style);
			end;
		elseif strcmp(type,'axes'),
			pos=get(c,'position');
			fprintf('\taxes(''units'',''pixels'',''position'',[ %g %g %g %g ] );\n',...
				pos(1),pos(2),pos(3),pos(4));
		end;
	end;
	for c=chil',
		type=get(c,'type');
		if strcmp(type,'uicontrol')
			pos=get(c,'position');
			string=get(c,'string'); 
			if isempty(string), string='(null)'; end;
			style=get(c,'style');
			fprintf('\tuicontrol(''position'',[ %g %g %g %g ], ''string'',''%s'',''style'',''%s'' );\n',...
				pos(1),pos(2),pos(3),pos(4),string,style);
		end
	end;
		
	fprintf('\n\n\n');
	
			
end;

